<?php

namespace Service;

use Repository\MessageRepository;
require_once __DIR__ . '/../Repository/MessageRepository.php';

/**
 * Description of MessageService
 *
 * @author Egrem
 */
class MessageService {
    public function sendNewVersionNotification($currVersion, $newVersion) {
        require_once __DIR__ .'/../classes/group.class.php';
        $subject = 'Neue Version '.$newVersion." verfgbar!";
        $message = 'Eine neue Version des EG-Verwaltungstools steht bereit.<br />'
                . 'Deine Version: '.$currVersion.'<br />'
                . 'Neueste Version: '.$newVersion.'<br /><br />'
                . 'Du kannst die neue Version hier beziehen: <a href="' . \Config::TOOL_DOWNLOAD_LINK . '" target="_blank">egtool.zip</a><br />'
                . '&Auml;nderungen siehe: <a href="' . \Config::TOOL_CHANGELOG_LINK . '" target="_blank">changelog</a>';
        $mRepo = new MessageRepository();
        
        $group = new \Group(null);
        $adminUsers = $group->getUserByGroup(1);
        
        foreach( $adminUsers as $adminUsers ) {
            $mRepo->save($message, $subject, $adminUsers['uid'], 0, true);
        }
    }
}
