<?php
ini_set("zlib.output_compression", 4096);		//kompression aktivieren
// Kompressionslevel setzen
ini_set('zlib.output_compression_level', 5);

session_name('sid');
session_start();
include_once ('../include/db.php');
include_once('../classes/functions.php');
include_once('../include/auth.php');
include_once('../classes/user.class.php');
include_once('../classes/chat.class.php');
include_once('../classes/config.class.php');
include_once('../classes/smileys.class.php');

$chatuser = new User();
$chat = new Chat();
$config = new Config();
$smileyObj = new Smileys();

if($_POST['action'] == "loadini")
{
	//gesamten chat laden
	
	$config->getEditNewsUser();
        $allSmileys = $smileyObj->findAll();
	echo '
	<table id="chattable" class="resultT" style="width: 100%;height: 100%;" border="0">
	<tr style="height:25px;">
		<th id="chathead">Chat';
	
	//wenn Nutzer Verlauf lschen darf
	if(in_array($chatuser->getUId(), $config->getEditNewsIds()))
	{
		echo '
		<div onclick="editChat();" class="ui-state-active" style="background: none; border:none;position: absolute; right: 5px; top: 5px; cursor:pointer;"><span class=" ui-icon ui-icon-wrench"></span></div>
		<div id="editchat" class="ui-state-active ui-corner-bottom center"><br />
			L&ouml;sche alle Eintr&auml;ge, die &auml;lter als&nbsp;
			<input id="editdays" type="text" name="editchat" value="7" style="width:40px;" /> Tage sind.<br />
			<span class="hint txt3">(bei "0" Tagen wird alles gel&ouml;scht)</span>
			<p><span class="txt4"><input id="chateditsubmit" type="submit" value="senden"  /></span></p>
		</div>
		';
	}
		
	echo'
		</th>
	</tr>
	<tr>
		<td style="vertical-align:top;">
			<div class="chattext txt2">';
			$chats = $chat->loadChat();
			$i = count($chats);
			foreach($chats as $row)
			{
				if($row['diff'] == 0)	$date = $row['date1'];	//wenn es von heute ist
				else					$date = $row['date2'];	//mit Anzeige des tages
				// den Nutzernamen des angemeldeten Nuters im Chat hervorheben
				$content = preg_replace('/('.$_SESSION['nick'].')/i', '<span class="chat-highlight">$1</span>', $row['content']);
                                $content = Smileys::smileyConverter($allSmileys, $content);
                                $content = $chat->linkConverter($content);
				echo '
				<div style="width: 100%;" data-num="'.$i--.'">
					<span class="chatdatum">'.$date.'</span>
					<span class="chatname"><a href="?site=info_hero&hero_id=' . $row['uid'] . '">'.$row['nick'].'</a>:</span>
					'.$content.'
				</div>
				';
			}

			echo'
			</div>
		</td>
	</tr>
	<tr style="height: 25px;">
		<th class="txt4 left nob" style="vertical-align:center; position: relative;">
                <div id="smileysContainer" class="ui-state-active ui-corner-top center"><br />';
		    foreach($allSmileys as $smiley) {
                        echo '<a href="javascript:insert(\''.$smiley['short_1'].' \', \'\', \'#submittxt\');"><image src="images/smileys/'.$smiley['image'].'" /></a>&nbsp;';
                    }
		echo '</div>
		<form id="chatform">
			<input id="submittxt" type="text" name="chat" value="" style="width:80%;" autocomplete="off" /> <input id="chatsubmit" type="submit" value="senden" /> <image id="smileyToggle" onclick="toggleSmileys();" src="images/smileys/icon_smile.gif" />
		</form>
		</th>
	</tr>
	</table>	
	';
			
	echo '<script type="text/javascript">
		$(document).ready(function()
		{
			var width; var height;
			/*$("#chattable").resizable({
				start: function(event, ui)
				{
					height = $(this).height();
					width = $(this).width();
				},
				stop: function(event, ui)
				{
					var hdiff = $(this).height() - height;
					var wdiff = $(this).width() - width;
					var newHeight = $(".chattext").height() + hdiff;	
					
					$(".chattext").css("height", ""+newHeight+"px");
				}
			});*/
			$("#chatsubmit").button();
			$("#chatform").submit(function()
			{
				saveChat("chat");
				return false;
			});
		});
	</script>';
}
else if($_POST['action'] == "load")
{
	//nur den Textbereich neu laden
	$chats = $chat->loadChat();
        $allSmileys = $smileyObj->findAll();
	$entries = (int)$_POST['entries'];
	// wenn neue Eintr�ge vorhanden sind
	if($entries < count($chats))
	{
		$i = count($chats);
		foreach($chats as $row)
		{
			// wenn die differenz ausgeglichen wurde
			if($i <= $entries)	break;
			
			if($row['diff'] == 0)	$date = $row['date1'];	//wenn es von heute ist
			else					$date = $row['date2'];	//mit Anzeige des tages
			// den Nutzernamen des angemeldeten Nuters im Chat hervorheben
			$content = preg_replace('/('.$_SESSION['nick'].')/i', '<span class="chat-highlight">$1</span>', $row['content']);
                        $content = Smileys::smileyConverter($allSmileys, $content);
                        $content = $chat->linkConverter($content);
			echo '
			<div style="width: 100%;" data-num="'.$i.'">
				<span class="chatdatum">'.$date.'</span>
				<span class="chatname"><a href="?site=info_hero&hero_id=' . $row['uid'] . '">'.$row['nick'].'</a>:</span>
				'.$content.'
			</div>';
			
			$i--;
		}
	}
	else if($entries > count($chats))	// bedeutet, der chat wurde geleert
	{
		echo "-1";	// client muss den kompletten chat neu laden
	}
}
else if($_POST['action'] == "save")
{
	$text = $_POST['text'];
	if($chat->saveMessage(decodeAbsatz($text), $chatuser->getUId()))
		echo "1";
	else 
		echo "0";
}
else if($_POST['action'] == "clearchat" && isset($_POST['days']))
{	
	$days = (int)$_POST['days'];
	$config->getEditNewsUser();
	//wenn Nutzer Verlauf l�schen darf
	if(in_array($chatuser->getUId(), $config->getEditNewsIds()))
	{
		if($chat->clearChat($days))
			echo "1";
		else 
			echo "0";		
	}
	else 
		echo "0";
	
}
//while (@ob_end_flush());
//ob_end_clean();
?>