<?php
session_name('sid');
session_start();
include_once ('../include/db.php');
include_once('../include/auth.php');
require_once('../classes/warehouse.class.php');
require_once('../classes/user.class.php');
$user = new User();
$wh = new Warehouse($user);

$iid = (int)$_POST['iid'];
$whId = (int)$_POST['wid'];

$it = $wh->getItem($iid, $whId);

$chronicalseven = $wh->getChronic($iid, $whId, 7);
$inseven = (array_key_exists('Einlagerung', $chronicalseven) ? $chronicalseven['Einlagerung'] : Array());
$outseven = (array_key_exists('Entnahme', $chronicalseven) ? $chronicalseven['Entnahme'] : Array());

$chronicalstmonth = $wh->getChronic($iid, $whId, 30);
$inlastmonth = (array_key_exists('Einlagerung', $chronicalstmonth) ? $chronicalstmonth['Einlagerung'] : Array());
$outlastmonth = (array_key_exists('Entnahme', $chronicalstmonth) ? $chronicalstmonth['Entnahme'] : Array());

$chronictotal = $wh->getChronic($iid, $whId);
$intotal = (array_key_exists('Einlagerung', $chronictotal) ? $chronictotal['Einlagerung'] : Array());
$outtotal = (array_key_exists('Entnahme', $chronictotal) ? $chronictotal['Entnahme'] : Array());
//print_r($chronictotal);
echo '
	<div class="editoverlib">
		<table class="tableOverlib" border="0" style="">
			<tr>
				<th class="nob1" colspan="2"><span style="float:left;">Warenverfolgung: '.$it['item'].'</span>
						<span style="cursor:pointer; float:right; margin-right:10px;" onclick="$(\'#itemusers\').hide();">X</span></th>
			</tr>
		</table>
		<div id="tabs" class="txt2 left">
			<ul>
				<li class="txt4"><a href="#tabs-1">letzten 7 Tage</a></li>
				<li class="txt4"><a href="#tabs-2">letzten 30 Tage</a></li>
				<li class="txt4"><a href="#tabs-3">Gesamt</a></li>

			</ul>
			<div id="tabs-1" class="left txt3">
				<div style="float:left; margin-right:5px; width:48%;">
					<table class="resultT4" border="0" style="width:100%; border: none; margin-bottom:15px;">
						<tr>
							<td colspan="2" class="txt3 nob3" style="padding:0;"><span class="bold">Entnahme</span> <span class="txt4 padtxt" style="float:right;">Gesamt: '.$chronicalseven['totalOut'].'</span></td>
						</tr>
						';
							foreach($outseven as $out)
							{
								echo '<tr onmouseover="$(this).addClass(\'ui-state-highlight\');" onmouseout="$(this).removeClass(\'ui-state-highlight\');">
										<td class="nob6 txt4 left padtxt">'.$out['nick'].'</td>
									  	<td class="nob5 txt4 padtxt right">'.$out['sum'].'</td>
									  </tr>';
							}
							if(count($outseven) == 0)
								echo '<tr>
										<td class="nob6 txt4 center padtxt hint" colspan="2">keine Eintr&auml;ge vorhanden</td>
									  </tr>';
						echo '
					</table>
				</div>
				<div style="width:48%; float:right;">
					<table class="resultT4" border="0" style="width:100%; border:none; margin-bottom:15px;">
						<tr>
							<td colspan="2" class="txt3 nob3" style="padding:0;"><span class="bold">Einlagerung</span> <span class="txt4 padtxt" style="float:right;">Gesamt: '.$chronicalseven['totalIn'].'</span></td>
						</tr>
						';
							foreach($inseven as $in)
							{
								echo '<tr onmouseover="$(this).addClass(\'ui-state-highlight\');" onmouseout="$(this).removeClass(\'ui-state-highlight\');">
										<td class="nob6 txt4 left padtxt">'.$in['nick'].'</td>
									  	<td class="nob5 txt4 padtxt right">'.$in['sum'].'</td>
									  </tr>';
							}
							if(count($inseven) == 0)
								echo '<tr>
										<td class="nob6 txt4 center padtxt hint" colspan="2">keine Eintr&auml;ge vorhanden</td>
									  </tr>';
						echo '
					</table>						
				</div>
				
			</div>
			<div id="tabs-2" class="left txt3">
				<div style="float:left; margin-right:5px; width:48%;">
					<table class="resultT4" border="0" style="width:100%; border: none; margin-bottom:15px;">
						<tr>
							<td colspan="2" class="txt3 nob3" style="padding:0;"><span class="bold">Entnahme</span> <span class="txt4 padtxt" style="float:right;">Gesamt: '.$chronicalstmonth['totalOut'].'</span></td>
						</tr>
						';
							foreach($outlastmonth as $out)
							{
								echo '<tr onmouseover="$(this).addClass(\'ui-state-highlight\');" onmouseout="$(this).removeClass(\'ui-state-highlight\');">
										<td class="nob6 txt4 left padtxt">'.$out['nick'].'</td>
									  	<td class="nob5 txt4 padtxt right">'.$out['sum'].'</td>
									  </tr>';
							}
							if(count($outlastmonth) == 0)
								echo '<tr>
										<td class="nob6 txt4 center padtxt hint" colspan="2">keine Eintr&auml;ge vorhanden</td>
									  </tr>';
						echo '
					</table>
				</div>
				<div style="width:48%; float:right;">
					<table class="resultT4" border="0" style="width:100%; border:none; margin-bottom:15px;">
						<tr>
							<td colspan="2" class="txt3 nob3" style="padding:0;"><span class="bold">Einlagerung</span> <span class="txt4 padtxt" style="float:right;">Gesamt: '.$chronicalstmonth['totalIn'].'</span></td>
						</tr>
						';
							foreach($inlastmonth as $in)
							{
								echo '<tr onmouseover="$(this).addClass(\'ui-state-highlight\');" onmouseout="$(this).removeClass(\'ui-state-highlight\');">
										<td class="nob6 txt4 left padtxt">'.$in['nick'].'</td>
									  	<td class="nob5 txt4 padtxt right">'.$in['sum'].'</td>
									  </tr>';
							}
							if(count($inlastmonth) == 0)
								echo '<tr>
										<td class="nob6 txt4 center padtxt hint" colspan="2">keine Eintr&auml;ge vorhanden</td>
									  </tr>';
						echo '
					</table>						
				</div>
				
			</div>
			<div id="tabs-3" class="left txt3">
				<div style="float:left; margin-right:5px; width:48%;">
					<table class="resultT4" border="0" style="width:100%; border: none; margin-bottom:15px;">
						<tr>
							<td colspan="2" class="txt3 nob3" style="padding:0;"><span class="bold">Entnahme</span> <span class="txt4 padtxt" style="float:right;">Gesamt: '.$chronictotal['totalOut'].'</span></td>
						</tr>
						';
							foreach($outtotal as $out)
							{
								echo '<tr onmouseover="$(this).addClass(\'ui-state-highlight\');" onmouseout="$(this).removeClass(\'ui-state-highlight\');">
										<td class="nob6 txt4 left padtxt">'.$out['nick'].'</td>
									  	<td class="nob5 txt4 padtxt right">'.$out['sum'].'</td>
									  </tr>';
							}
							if(count($outtotal) == 0)
								echo '<tr>
										<td class="nob6 txt4 center padtxt hint" colspan="2">keine Eintr&auml;ge vorhanden</td>
									  </tr>';
						echo '
					</table>
				</div>
				<div style="width:48%; float:right;"">
					<table class="resultT4" border="0" style="width:100%; border:none; margin-bottom:15px;">
						<tr>
							<td colspan="2" class="txt3 nob3" style="padding:0;"><span class="bold">Einlagerung</span> <span class="txt4 padtxt" style="float:right;">Gesamt: '.$chronictotal['totalIn'].'</span></td>
						</tr>
						';
							foreach($intotal as $in)
							{
								echo '<tr onmouseover="$(this).addClass(\'ui-state-highlight\');" onmouseout="$(this).removeClass(\'ui-state-highlight\');">
										<td class="nob6 txt4 left padtxt">'.$in['nick'].'</td>
									  	<td class="nob5 txt4 padtxt right">'.$in['sum'].'</td>
									  </tr>';
							}
							if(count($intotal) == 0)
								echo '<tr>
										<td class="nob6 txt4 center padtxt hint" colspan="2">keine Eintr&auml;ge vorhanden</td>
									  </tr>';
						echo '
					</table>						
				</div>
			</div>
		</div>';
	      
	      echo '
	      	<table class="tableOverlib" border="0">
	      <tr>
	      	<th class="nob">&nbsp;</th>
	      </tr>
		</table>
		<input type="hidden" name="edituid" value="'.(int)($_POST['uid'] ?? 0).'" />
	<script type="text/javascript">
		$(document).ready(function()
		{
		    $( "#tabs" ).tabs();
		});
	</script>';
?>