<?php
class Chat
{
	
	public function loadChat($limit = 2000, $loadFrom = "", $uid = 0)
	{
		//wenn ein gltiger timestamp ankommt
		/*if(is_numeric($loadFrom) && (int)$loadFrom == $loadFrom && $uid > 0)
			$where = " WHERE UNIX_TIMESTAMP(c.date) >= ".$loadFrom." AND NOT (UNIX_TIMESTAMP(c.date)=".$loadFrom." AND c.uid=".(int)$uid.")";
		else 
			$where = "";*/
		$result = Array();
		$query = "SELECT c.content, c.uid, u.nick, DATE_FORMAT(c.date, '%H:%i') as date1, DATE_FORMAT(c.date, '%d.%m. %H:%i') as date2,
						 DATEDIFF(NOW(), c.date) as diff, UNIX_TIMESTAMP(c.date) as ts
				  FROM ".DB_PREFIX."chat c JOIN ".DB_PREFIX."users u ON u.uid=c.uid
				  ORDER BY c.date DESC
				  LIMIT ".(int)$limit;
		//echo $query;
		$res =  mysqli_query(Config::getDBConn(), $query);
		if(mysqli_num_rows($res) > 0)
		{
			$i = 0;
			while($row = mysqli_fetch_array($res))
			{
				$result[$i]['content'] = $row['content'];
				$result[$i]['uid'] = $row['uid'];
				$result[$i]['nick'] = $row['nick'];
				$result[$i]['date1'] = $row['date1'];
				$result[$i]['date2'] = $row['date2'];
				$result[$i]['diff'] = (int)$row['diff'];
				//$result[$i]['ts'] = (int)$row['ts'];
				$i++;	
			}
		}
		return $result;
	}
	
	public function saveMessage($text, $uid)
	{
		$query = "INSERT INTO ".DB_PREFIX."chat (content, uid, date) 
				  VALUES ('".getStringForDb(utf8_decode($text))."', ".(int)$uid.", NOW())";
		if( mysqli_query(Config::getDBConn(), $query))
			return true;
		else
			return false;
	}
	
	public function clearChat($days = 0)
	{
		//Alles lschen, was lter als $days Tage ist
		$query = "DELETE FROM ".DB_PREFIX."chat
				  WHERE DATEDIFF(NOW(), date)>=".(int)$days;
		if( mysqli_query(Config::getDBConn(), $query))
			return true;
		else
			return false;
	}
        
    public function linkConverter($text)
    {
        $text = preg_replace("/(https?:\/\/[a-z]+\.evergore\.de\/evergore.html\?page=battle_report&amp;battle_id=[0-9]+[#]?)/i", '<a href="$1" target="_blank">Kampfbericht</a>', $text);
        $text = preg_replace("/(https?:\/\/board\.evergore\.de\/igbt.php\?b=[0-9]+&amp;t=[0-9]+&amp;bp=[0-9]+(&amp;ci=[0-9]+)?)/i", '<i><a href="$1" target="_blank">Forum</a></i>', $text);
        return $text;
    }
}
?>