<?php
class Summary
{	
	public function addSumForWh($date, $userDepo, $userWith, $managerDepo, $managerWith, $whId)
	{
		//prfen, ob Datum schon vorhanden
		$res =  mysqli_query(Config::getDBConn(), "SELECT date FROM ".DB_PREFIX."summary_wh WHERE date='".getStringForDb($date)."' and wid=".(int)$whId);
		
		//wenn ja -> update
		if($res && mysqli_num_rows($res) == 1)
		{
			$uq = "UPDATE ".DB_PREFIX."summary_wh set 
					deposit_user=deposit_user+".round($userDepo).", 
					withdrawal_user=withdrawal_user+".round($userWith).",
					deposit_manager=deposit_manager+".round($managerDepo).", 
					withdrawal_manager=withdrawal_manager+".round($managerWith)."
				   WHERE date='".getStringForDb($date)."' and wid=".(int)$whId;
			return  mysqli_query(Config::getDBConn(), $uq);
		}
		else	//sonst -> insert
		{
			$iq = "INSERT INTO ".DB_PREFIX."summary_wh (date, wid, deposit_user, withdrawal_user, deposit_manager, withdrawal_manager) VALUES 
				   ('".getStringForDb($date)."', ".(int)$whId.", ".round($userDepo).", ".round($userWith).", ".round($managerDepo).", ".round($managerWith).")";
			return  mysqli_query(Config::getDBConn(), $iq);
		}
	}
	
	public function getSummaryListForWhs($whIds, $yearf, $monthf=0, $yeart=0, $montht=0)
	{
		$result = array();
		
		/*****************Gild Ids******************/
		$inf = " and wid IN("; $i = 0;
		foreach($whIds as $val)	
		{
			$inf .= $val;
			if($i != count($whIds)-1)
					$inf .= ', ';
				$i++;
		}
		if(count($whIds) == 0)	$inf .= "0";
		$inf .= ")";
		/*****************************************/
		
		$from = $yearf.'-'.$monthf.'-1';
		
		//anzahl tage im Monat ermitteln
		$tmpstmp = mktime(0,0,0,$montht,1,$yeart);
		
		$to = $yeart.'-'.$montht.'-'.date("t", $tmpstmp);
		
		if($monthf == 0)	//yearly
			$query = "SELECT SUM(deposit_user) as du, SUM(withdrawal_user) as wu, SUM(deposit_manager) as dm,
					  SUM(withdrawal_manager) as wm, MONTH(date) as month
					  FROM ".DB_PREFIX."summary_wh
					  where YEAR(date)=".(int)$yearf." ".$inf."
					  group by YEAR(date), MONTH(date)";
		else if($monthf > 0 && $yeart > 0 && $montht > 0)	//weekly
			$query = "SELECT SUM(deposit_user) as du, SUM(withdrawal_user) as wu, SUM(deposit_manager) as dm,
					  SUM(withdrawal_manager) as wm, WEEKOFYEAR(date) as month
				  	  FROM ".DB_PREFIX."summary_wh
				  	  where DATEDIFF(date, '".$from."')>=0 and DATEDIFF(date, '".$to."')<=0 ".$inf." 
			  	  	  group by YEAR(date), WEEKOFYEAR(date)
			  	  	  order by year(date)";
		else if($yeart == 0 && $montht == 0)	//dayly
			$query = "SELECT SUM(deposit_user) as du, SUM(withdrawal_user) as wu, SUM(deposit_manager) as dm,
					  SUM(withdrawal_manager) as wm, DAY(date) as month
				  	  FROM ".DB_PREFIX."summary_wh
				  	  where YEAR(date)>=".(int)$yearf." ".$inf." and MONTH(date)>=".(int)$monthf." and 
				  	  YEAR(date)<=".(int)$yearf." and MONTH(date)<=".(int)$monthf." 
			  	  	  group by YEAR(date), MONTH(date), DAY(date)";

		//echo $query;
		$res =  mysqli_query(Config::getDBConn(), $query);
		if(mysqli_num_rows($res) > 0)
		{   
                    while($row = mysqli_fetch_array($res))
                    {   
                        if(!isset($result['Einlagerung'][$row['month']])) {
                            $result['Einlagerung'][$row['month']] = 0;
                        }
                        if(!isset( $result['Entnahme'][$row['month']])) {
                             $result['Entnahme'][$row['month']] = 0;
                        }
                        $result['Einlagerung'][$row['month']] += $row['du'];
                        $result['Entnahme'][$row['month']] += $row['wu'];

                        //Differenzen der Lagerverwalter
                        if($row['dm'] > $row['wm'])			//in > out
                                $result['Einlagerung'][$row['month']] += $row['dm'] - $row['wm'];
                        else if($row['wm'] > $row['dm'])	//out > in
                                $result['Entnahme'][$row['month']] += $row['wm'] - $row['dm'];
                    }
		}
		return $result;		
	}
}