<?php
if(file_exists('../include/db.php'))
{
	$currentCookieParams = session_get_cookie_params(); 
	session_set_cookie_params(
	    $currentCookieParams["lifetime"],
	    dirname($_SERVER['PHP_SELF']),
	    $currentCookieParams["domain"],
	    $currentCookieParams["secure"],
	    true
	); 
	session_name('sid'); 
	session_start();
	ini_set("default_charset", "iso-8859-1");
	require_once('../include/db.php');
	require_once '../classes/functions.php';
	require_once '../classes/config.class.php';
	
	$err = "";
	$msg = "";
	
	$neededversion = "1.10.0";
        $newVersion = "1.11.0";
	$config = new Config();
	$curversion = $config->getToolVersion();
	if($curversion != $neededversion)
		$err .= "Dieses Script setzt die Toolversion ".$neededversion." voraus, <br />du nutzt aber ".$curversion.".";
		
	
	
	echo '<?xml version="1.0" encoding="ISO-8859-1" ?>';
	
	echo '
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
	       "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">
	';
	?>
	<head>
	<title>EG-Verwaltungstool by Egrem</title>
	<link rel="stylesheet" type="text/css" href="../css/style_1.7.3.css" />
	
	</head>
	<body>
	<h1>Updatescript <?php echo $neededversion ?> -> <?php echo $newVersion ?></h1>
	<p class="bold">
	<?php 
	if($err != "") echo '<br /><span class="err">'.$err.'</span>';
	if($err == "" && !$_POST)
	{
	?>
	</p>
	<form action="?" method="post">
	
	<table class="tableLogin" border="0">
		<tr>
			<th colspan="2">Aktualisierung der Datenbank</th>
		</tr>
		  <tr>
	        <td class="center" colspan="2">Dieses Script aktualisiert deine Datenbank von Version <?php echo $neededversion ?> auf <?php echo $newVersion ?></td>
	      </tr>
	      <tr>
	      	<th colspan="2"><input type="submit" value="Vorgang starten" /></th>
	      </tr>
	</table>
	<input type="hidden" name="action" value="check" />
	</form>
	<?php 
	}
	else if(isset($_POST['action']) && $_POST['action'] == 'check' && $err == "")
	{			
		$sql_status = array();
		$errcount = 0;
		$i = 0;
                            
                /***********  Start Bandagen fix ***********/
		$dbChange = Array();	
                $dbChange[] = "UPDATE ".DB_PREFIX."warehouse_items set stability=0 WHERE iid IN (SELECT i2.iid FROM ".DB_PREFIX."items i2 where i2.itid=28);"; 
                $dbChange[] = " UPDATE `".DB_PREFIX."item_types` SET `cid_fight` = '35' WHERE `".DB_PREFIX."item_types`.`itid` = 28;";
                
                
                $dbChange[] = "ALTER TABLE `".DB_PREFIX."items` ADD `rel_min` DECIMAL(3,2) NULL DEFAULT NULL AFTER `critical`, ADD `rel_max` DECIMAL(3,2) NULL DEFAULT NULL AFTER `rel_min`;";
                $dbChange[] = "UPDATE `".DB_PREFIX."items` SET `dmgmin` = '20', `dmgmax` = '50', `rel_min` = '0.5', `rel_max` = '2.5' WHERE `egtool_items`.`iid` = 756;";
                $dbChange[] = "UPDATE `".DB_PREFIX."items` SET `dmgmin` = '30', `dmgmax` = '65', `rel_min` = '2.0', `rel_max` = '4.0' WHERE `egtool_items`.`iid` = 757;";
                $dbChange[] = "UPDATE `".DB_PREFIX."items` SET `dmgmin` = '45', `dmgmax` = '85', `rel_min` = '3.5', `rel_max` = '5.5' WHERE `egtool_items`.`iid` = 758;";
                $dbChange[] = "UPDATE `".DB_PREFIX."items` SET `dmgmin` = '68', `dmgmax` = '110', `rel_min` = '5.0', `rel_max` = '7.0' WHERE `egtool_items`.`iid` = 759;";
                $dbChange[] = "UPDATE `".DB_PREFIX."items` SET `dmgmin` = '101', `dmgmax` = '143', `rel_min` = '6.5', `rel_max` = '8.5' WHERE `egtool_items`.`iid` = 760;";
                $dbChange[] = "UPDATE `".DB_PREFIX."items` SET `dmgmin` = '152', `dmgmax` = '186', `rel_min` = '0.5', `rel_max` = '2.5' WHERE `egtool_items`.`iid` = 763;";
		
                $dbChange[] = "ALTER TABLE `".DB_PREFIX."users` ADD `bandages_count` TINYINT NOT NULL DEFAULT '0' AFTER `combat_position`, ADD `bandages_heal` TINYINT NOT NULL DEFAULT '0' AFTER `bandages_count`, ADD `bandages_prio` TINYINT NOT NULL DEFAULT '1' AFTER `bandages_heal`;";
                
		$dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    $sql_status[$i]['file'] = "Erweiterung Bandagen.";
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';
		}
		else
		{
                    $sql_status[$i]['file'] = "Bandagen";
                    $sql_status[$i]['status'] = $dbChangeErr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende Bandagen fix ***********/
                
                /***********  Start Kufer ***********/
		$dbChange = Array();	
                $dbChange[] = "INSERT INTO `".DB_PREFIX."sites` (`sid`, `site`, `short`, `sort`, `type`, `parent`) VALUES (NULL, '&Uuml;bersicht', 'overview', '1', '3', '51'), (NULL, 'K&auml;ufer', 'buyer', '2', '3', '51');"; 
                $dbChange[] = "INSERT INTO `".DB_PREFIX."group_rights` (`gid`, `sid`) VALUES ('1', '52'), ('1', '53');";   
                
                $dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    $sql_status[$i]['file'] = "Kufer fr die Marktstandauswertung hinzugefgt (neue Seiten: bersicht, Kufer).<br /><strong>Vergiss bitte nicht die neuen Seitenberechtigungen unter Verwaltung -> Gruppeneinstellungen -> Zugriffsrecht zu vergeben!</strong>";
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';
		}
		else
		{
                    $sql_status[$i]['file'] = "Marktstandauswertung Kufer";
                    $sql_status[$i]['status'] = $dbChangeErr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende Kufer ***********/
                
                /***********  Start Bugfix Fhigkeiten ***********/
		$dbChange = Array();	
                // bei jedem Nutzer, auer Gilden in Zyr, die Wirkung auf 1.0 wieder setzen
                $dbChange[] = "UPDATE ".DB_PREFIX."users_capabilities uc set uc.effect = 1.0 WHERE uc.uid IN 
                                (
                                    SELECT u.uid FROM ".DB_PREFIX."users u
                                    LEFT JOIN ".DB_PREFIX."guilds_user gu ON gu.uid=u.uid
                                    JOIN ".DB_PREFIX."guilds g on g.guid=gu.guid
                                    WHERE g.world NOT IN (5)
                                )";   
                
		$dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    $sql_status[$i]['file'] = "fehlerhafte Fhigkeiten korrigiert";
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';
		}
		else
		{
                    $sql_status[$i]['file'] = "Fhigkeiten";
                    $sql_status[$i]['status'] = $dbChangeErr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende Bugfix Fhigkeiten ***********/
                
                /***********  Start Messages ***********/
		$dbChange = Array();	               
                $dbChange[] = "CREATE TABLE IF NOT EXISTS `".DB_PREFIX."messages` (
                                `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
                                `message` text NOT NULL,
                                `subject` varchar(255) NOT NULL,
                                `receiver` int(10) UNSIGNED NOT NULL,
                                `sender` int(10) UNSIGNED NOT NULL,
                                `is_read` tinyint(1) NOT NULL DEFAULT 0,
                                `send` datetime NOT NULL DEFAULT current_timestamp(),
                                `message_hash` varchar(255) NOT NULL,
                                PRIMARY KEY (`id`)
                              ) ENGINE=MyISAM DEFAULT CHARSET=latin1;";		
                
                $dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    $sql_status[$i]['file'] = "Vorbereitung fr Auftrags-/Nachrichtensystem";
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';
		}
		else
		{
                    $sql_status[$i]['file'] = "Messages";
                    $sql_status[$i]['status'] = $dbChangeErr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende Messages ***********/
              
                /***********  Start Version ***********/
		$structure = Array();	
		$structure[] = "UPDATE ".DB_PREFIX."config set value='".$newVersion."' WHERE set_key='version'";
		
		$strucerr = "";
		foreach($structure as $row)
		{
			if(! mysqli_query(Config::getDBConn(), $row))
				$strucerr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($strucerr == "")
		{
			$sql_status[$i]['file'] = "Version aktualisiert";
			$sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
			$sql_status[$i]['file'] = "Version aktualisiert";
			$sql_status[$i]['status'] = $strucerr;		
			$errcount++;	
		}
		$i++;
		/***********  Ende Version ***********/

		if($errcount == 0)
		{
			echo '<span class="ok">Das Update war erfolgreich.<br />Bitte l&ouml;sche jetzt das Verzeichnis<br />install/</span>';
			echo '<p><a href="../index.php">zum Tool</a></p>';
		}
		else
		{
			echo '<span class="err">Das Update war nicht erfolgreich! Es trat mindestens ein Fehler auf.</span>';
		}
		echo '				
		<table class="tableGroup2" border="0">
			<tr>
				<th colspan="2">Status der Datenbankscripts</th>
			</tr>';
			foreach($sql_status as $line)
			{
				echo '
				<tr>
			      <td class="left txt2">'.$line['file'].'</td>
			      <td class="left txt2">'.$line['status'].'</td>
			    </tr>';
			}
		echo '					      
		</table>';			
	}
	echo '
	</body>
	</html>';
}
else
	echo 'Das Tool muss bereits installiert sein!';
?>