<?php
if(file_exists('../include/db.php'))
{
	$currentCookieParams = session_get_cookie_params(); 
	session_set_cookie_params(
	    $currentCookieParams["lifetime"],
	    dirname($_SERVER['PHP_SELF']),
	    $currentCookieParams["domain"],
	    $currentCookieParams["secure"],
	    true
	); 
	session_name('sid'); 
	session_start();
	ini_set("default_charset", "iso-8859-1");
	require_once('../include/db.php');
	require_once '../classes/functions.php';
	require_once '../classes/config.class.php';
	
	$err = "";
	$msg = "";
	
	$neededversion = "1.8.0";
        $newVersion = "1.9.0";
	$config = new Config();
	$curversion = $config->getToolVersion();
	if($curversion != $neededversion)
		$err .= "Dieses Script setzt die Toolversion ".$neededversion." voraus, <br />du nutzt aber ".$curversion.".";
		
	
	
	echo '<?xml version="1.0" encoding="ISO-8859-1" ?>';
	
	echo '
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
	       "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">
	';
	?>
	<head>
	<title>EG-Verwaltungstool by Egrem</title>
	<link rel="stylesheet" type="text/css" href="../css/style_1.7.3.css" />
	
	</head>
	<body>
	<h1>Updatescript <?php echo $neededversion ?> -> <?php echo $newVersion ?></h1>
	<p class="bold">
	<?php 
	if($err != "") echo '<br /><span class="err">'.$err.'</span>';
	if($err == "" && !$_POST)
	{
	?>
	</p>
	<form action="?" method="post">
	
	<table class="tableLogin" border="0">
		<tr>
			<th colspan="2">Aktualisierung der Datenbank</th>
		</tr>
		  <tr>
	        <td class="center" colspan="2">Dieses Script aktualisiert deine Datenbank von Version <?php echo $neededversion ?> auf <?php echo $newVersion ?></td>
	      </tr>
	      <tr>
	      	<th colspan="2"><input type="submit" value="Vorgang starten" /></th>
	      </tr>
	</table>
	<input type="hidden" name="action" value="check" />
	</form>
	<?php 
	}
	else if(isset($_POST['action']) && $_POST['action'] == 'check' && $err == "")
	{			
		$sql_status = array();
		$errcount = 0;
		$i = 0;
                            
                /***********  Start Bandagen ***********/
		$dbChange = Array();	
                // Schilde
		$dbChange[] = "INSERT INTO ".DB_PREFIX."capabilities (cid, capability, type) VALUES (NULL, 'Bandagieren', '1');"; 
                $dbChange[] = "INSERT INTO ".DB_PREFIX."item_types (itid, type, prod_equals_cap_lvl, cid_fight) VALUES (NULL, 'Bandagen', '1', '0');"; 
                $dbChange[] = "INSERT INTO ".DB_PREFIX."items (iid, item, lvl, producable, magical, marketvalue, realvalue, itid, sort, subsort, cid, weight, dmgmin, dmgmax, effect, armor, absorb, handicap, speed, accuracy, blockabsorb) VALUES (NULL, 'Improvisierte Leinenbinde', '0', '1', '0', '16', '0', '28', '0', '', '17', '0.2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);";
                $dbChange[] = "INSERT INTO ".DB_PREFIX."items (iid, item, lvl, producable, magical, marketvalue, realvalue, itid, sort, subsort, cid, weight, dmgmin, dmgmax, effect, armor, absorb, handicap, speed, accuracy, blockabsorb) VALUES (NULL, 'Einfacher Wollverband', '5', '1', '0', '32', '0', '28', '0', '', '17', '0.2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);";
                $dbChange[] = "INSERT INTO ".DB_PREFIX."items (iid, item, lvl, producable, magical, marketvalue, realvalue, itid, sort, subsort, cid, weight, dmgmin, dmgmax, effect, armor, absorb, handicap, speed, accuracy, blockabsorb) VALUES (NULL, 'Gute Baumwollbinde', '10', '1', '0', '65', '0', '28', '0', '', '17', '0.2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);";
                $dbChange[] = "INSERT INTO ".DB_PREFIX."items (iid, item, lvl, producable, magical, marketvalue, realvalue, itid, sort, subsort, cid, weight, dmgmin, dmgmax, effect, armor, absorb, handicap, speed, accuracy, blockabsorb) VALUES (NULL, 'Heilsamer Seidenverband', '15', '1', '0', '127', '0', '28', '0', '', '17', '0.2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);";
                $dbChange[] = "INSERT INTO ".DB_PREFIX."items (iid, item, lvl, producable, magical, marketvalue, realvalue, itid, sort, subsort, cid, weight, dmgmin, dmgmax, effect, armor, absorb, handicap, speed, accuracy, blockabsorb) VALUES (NULL, 'Magische &Auml;therbinde', '20', '1', '0', '257', '0', '28', '0', '', '17', '0.2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);";
                
                require_once '../classes/warehouse.class.php';
                $whObj = new Warehouse(null);
                $whs = $whObj->getWHs();
                foreach($whs as $wh) {
                    $whObj->iniWh($wh['wid']);
                    $dbChange[] = "INSERT INTO ".DB_PREFIX."item_values(iid, wid) SELECT iid, ".(int)$wh['wid']." as wid FROM egtool_items where itid=28;";
                    $dbChange[] = "INSERT INTO ".DB_PREFIX."item_types_values(itid, wid, minval, maxval) SELECT itid, ".(int)$wh['wid']." as wid, 0 as minval, 0 as maxval FROM egtool_item_types where itid=28;"; 
                }
                
		
		$dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    $sql_status[$i]['file'] = "Bandagieren und Bandagen hinzugef�gt.";
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
                    $sql_status[$i]['file'] = "Bandagieren und Bandagen";
                    $sql_status[$i]['status'] = $dbChangeErr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende Bandagen ***********/
                
                /***********  Start mysqli ***********/
		$dbChange = Array();	
                
                $message = '<strong>Kopiere den unten stehenden Text und ersetze den kompletten Inhalt in der Datei</strong><br>'
                        . '<pre>include/db.php</pre><br>'    
                        . '<textarea style="width:400px; height:300px;">'
                        . '<?php
require_once __DIR__.\'/../classes/config.class.php\';
define (\'MYSQL_HOST\', \''.MYSQL_HOST.'\');
define (\'MYSQL_BENUTZER\', \''.MYSQL_BENUTZER.'\');
define (\'MYSQL_PASS\', \''.MYSQL_PASS.'\');
define (\'MYSQL_DB\', \''.MYSQL_DB.'\');
define (\'DB_PREFIX\', \''.DB_PREFIX.'\');
                                                        
$dbConn = @mysqli_connect(MYSQL_HOST, MYSQL_BENUTZER, MYSQL_PASS, MYSQL_DB);
if(mysqli_connect_errno())
    die(\'Fehler beim Verbinden zum Datenbankserver\');
Config::setDBConn($dbConn);

// Zeitzone setzen
date_default_timezone_set("Europe/Berlin");
mysqli_query(Config::getDBConn(), "SET time_zone = \'".date(\'P\')."\';");
?>'
.'</textarea>';
		
		$dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    $sql_status[$i]['file'] = $message;
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
                    $sql_status[$i]['file'] = "PHP7 unterst�tzung";
                    $sql_status[$i]['status'] = $dbChangeErr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende +X/Wirkung ***********/
                
		/***********  Start Version ***********/
		$structure = Array();	
		$structure[] = "UPDATE ".DB_PREFIX."config set value='".$newVersion."' WHERE set_key='version'";
		
		$strucerr = "";
		foreach($structure as $row)
		{
			if(! mysqli_query(Config::getDBConn(), $row))
				$strucerr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($strucerr == "")
		{
			$sql_status[$i]['file'] = "Version aktualisiert";
			$sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
			$sql_status[$i]['file'] = "Version aktualisiert";
			$sql_status[$i]['status'] = $strucerr;		
			$errcount++;	
		}
		$i++;
		/***********  Ende Version ***********/

		if($errcount == 0)
		{
			echo '<span class="ok">Das Update war erfolgreich.<br />Bitte l&ouml;sche jetzt das Verzeichnis<br />install/</span>';
			echo '<p><a href="../index.php">zum Tool</a></p>';
		}
		else
		{
			echo '<span class="err">Das Update war nicht erfolgreich! Es trat mindestens ein Fehler auf.</span>';
		}
		echo '				
		<table class="tableGroup2" border="0">
			<tr>
				<th colspan="2">Status der Datenbankscripts</th>
			</tr>';
			foreach($sql_status as $line)
			{
				echo '
				<tr>
			      <td class="left txt2">'.$line['file'].'</td>
			      <td class="left txt2">'.$line['status'].'</td>
			    </tr>';
			}
		echo '					      
		</table>';			
	}
	echo '
	</body>
	</html>';
}
else
	echo 'Das Tool muss bereits installiert sein!';
?>