var loadInProgress = false;
var updatetime = 5000;
function loadChat(id, initial, clearcontent)
{	//alert($("#autoreload2").is("checked"));
	if(!loadInProgress)
	{
		$entries = 0;
		if(initial)	$action = "loadini";
		else
		{
			$action = "load";
			if($(".chattext div").length > 0)
				$entries = parseInt($(".chattext div:first").attr("data-num"));
		}
		$.ajax(
	      {type: "POST", url: "ajaxcalls/chat.php", 
			beforeSend: function()
			{
				loadInProgress = true;
				wait = 1;
				if(initial)
				{
					setTimeout(function(){ displayWait(id)}, 500);
				}
				else
					setTimeout(function(){ displayChatWait()}, 500);
				
			}
			 ,data: ({ action: $action, entries: $entries }),
		 	success: function(data)
			{					
		 		
				if(initial)
		 			$("#"+id).html(data);
				else if(data == "-1")				// Chat neu laden, da er geleert wurde
				{
					loadInProgress = false;
					loadChat("chat", true, false);
				}
		 		else if(data.length > 0)
	 			{
		 			//oben anfgen
		 			$(".chattext").prepend(data);
					updatetime = 5000;			//wenn es etwas neues gibt, alle 5 sek aktualisieren
	 			}
		 			
		 		if(updatetime < 60000)
		 			updatetime += 2000; 		//ansonsten immer 2 sekunden lnger warten
		 		else
		 			updatetime = 60000;			//maximal jedoch 60 sekunden update zyklus
		 		
		 		loadInProgress = false;		
			},
			error: function(data, status, error)
			{
				
				//alert("Chat konnte nicht geladen werden. Fehler: "+error);	
				loadInProgress = false;	 		
			},
			complete: function()
			{
				wait = 0;
				removeChatWait();
				setTimeout('jQuery(function(){loadChat("chat", false, false);});', updatetime );
			}
		});			
	}	
}

function saveChat(id)
{
	$txt = $("#submittxt").val();
        $("#smileysContainer").hide();
	if($txt.length > 0)
	{
		$.ajax(
	      {type: "POST", url: "ajaxcalls/chat.php", 
			beforeSend: function()
			{
				$("#chatsubmit").button( "option", "disabled", true );                                
			}
			 ,data: ({ action: "save", text: encodeAbsatz($txt) }),
		 	success: function(data)
			{				
		 		if(data != "1")
		 			alert("Deine Nachricht konnte nicht gespeichert werden.");
		 		else
		 			$("#submittxt").val("");		 		
		 		loadChat(id, false, false);
			},
			error: function(data, status, error)
			{
				alert("Deine Nachricht konnte nicht gespeichert werden. Fehler: "+error);
				
			},
			complete: function()
			{
				setTimeout('$("#chatsubmit").button( "option", "disabled", false );',2000 );
			}
		});
	}
}

function clearChat(id)
{
	$days = $("#editdays").val();
	//ob etwas drin steht und ob es sich um eine ziffer handelt
	if($days.length > 0 && !isNaN($days))
	{
		$.ajax(
	      {type: "POST", url: "ajaxcalls/chat.php", 
			beforeSend: function()
			{
				$("#chateditsubmit").button( "option", "disabled", true );
			}
			 ,data: ({ action: "clearchat", days: $days }),
		 	success: function(data)
			{				
		 		if(data != "1")
		 			alert("Verlauf konnte nicht gelscht werden.");
		 		else
		 		{	
		 			$("#editchat").fadeOut();
		 			loadChat("chat", true, false);
		 		}
			},
			error: function(data, status, error)
			{
				alert("Verlauf konnte nicht gelscht werden. Fehler: "+error);
				
			},
			complete: function()
			{
				//setTimeout('$("#chateditsubmit").button( "option", "disabled", false );',2000 );
			}
		});
	}
}

function editChat()
{
	if($("#editchat").is(":hidden"))
	{	
		$("#chateditsubmit").button();
		$("#editchat").slideDown(); 
		$("#chateditsubmit").click(function(){ clearChat(); });
	}
	else
		$("#editchat").fadeOut();
}

function toggleSmileys()
{
    if($("#smileysContainer").is(":hidden"))
    {		
        $("#smileysContainer").fadeIn(); 
    }
    else 
    {
        $("#smileysContainer").fadeOut();
    }        
}

function displayChatWait()
{
  if(wait)
  {
	  $("#chathead").append('<img id="chatloader" src="images/loader2.gif" alt="loading" title="loading" style="position: absolute; left: 5px; top: 5px;" />');
  }
    
}
function removeChatWait()
{
            $("#chatloader").fadeOut(function(){$(this).remove()});    
}

//function insert(elm, text) {
//    
//    $(elm).insertAtCaret(text);
//}

function insert(startTag, endTag, elm)
{
    var input = $(elm)[0];
    input.focus();

    /* fr Internet Explorer */
    if (typeof document.selection != 'undefined') {
        /* Einfgen des Formatierungscodes */
        var range = document.selection.createRange();
        var insText = range.text;
        range.text = startTag + insText + endTag;
        /* Anpassen der Cursorposition */
        range = document.selection.createRange();
        if (insText.length == 0) {
            range.move('character', -endTag.length);
        } else {
            range.moveStart('character', startTag.length + insText.length + endTag.length);
        }
        range.select();
    }
    /* fr neuere auf Gecko basierende Browser */
    else if (typeof input.selectionStart != 'undefined')
    {
        /* Einfgen des Formatierungscodes */
        var start = input.selectionStart;
        var end = input.selectionEnd;
        var insText = input.value.substring(start, end);
        input.value = input.value.substr(0, start) + startTag + insText + endTag + input.value.substr(end);
        /* Anpassen der Cursorposition */
        var pos;
        if (insText.length == 0) {
            pos = start + startTag.length;
        } else {
            pos = start + startTag.length + insText.length + endTag.length;
        }
        input.selectionStart = pos;
        input.selectionEnd = pos;
    }
    /* fr die brigen Browser */
    else
    {
        /* Abfrage der Einfgeposition */
        var pos;
        var re = new RegExp('^[0-9]{0,3}$');
        while (!re.test(pos)) {
            pos = prompt("Einfgen an Position (0.." + input.value.length + "):", "0");
        }
        if (pos > input.value.length) {
            pos = input.value.length;
        }
        /* Einfgen des Formatierungscodes */
        var insText = prompt("Bitte geben Sie den zu formatierenden Text ein:");
        input.value = input.value.substr(0, pos) + startTag + insText + endTag + input.value.substr(pos);
    }
}
