/*
 * rand_enemy = 1
 * weak_enemy = 2
 * strong_enemy = 3
 * 
 * fk_nk = 1
 * nk = 2
 * 
 */
var groupmembers = 99;
var maxmembers = 8;
var fightcaps = Array(19,20,21,22,23,24,25,28,29,31,30);
$(document).ready(function()
{
	enableAllFilters()	
	loadUsers(1);
	$( "#grouplist" ).sortable(
	{
		placeholder: "ui-state-highlight", 
		cancel: "span.ui-icon, input",
		connectWith: "#grouplist",
		stop: function(event, ui) 
		{ //alert($("#grouplist li.spacer").index());
			setTimeout(function(){
			//wenn spacer und dieser an position 9 oder hher positioniert wird, wieder zurck setzen
			if($("#grouplist li.spacer").index() > maxmembers)
				$("#grouplist li").eq(maxmembers-1).after($("#grouplist li.spacer"));
			calculateSkSl();
			},1);
		}
	});
	//$( "#grouplist" ).disableSelection();
	//$("#huntleft").draggable();
	//$("#huntcenter").draggable();
	//$("#huntright").draggable();
	$("#suser").draggable({cancel: "span.ui-icon, input, select, #tabs"});
	$("#filters input").each(function(index) 
	{
		//alert(index + ": " + $(this).attr("name"));
		if($(this).attr("type") == "text")
		{
			$($(this)).keyup(function()
			{
				loadUsers(1);
			});
		}
		else
		{
			$($(this)).change(function () {
		          loadUsers(1);
		      });
	    }
		
	});
	
	$( "#drop" ).droppable({
		accept: "#userlist > li",
		activeClass: "ui-state-highlight",
		over: function(event, ui) 
		{ 
			setTimeout(function(){
			//wenn gruppe voll ist, nicht hinzufgen
			if($("#grouplist li").length >= groupmembers)
				$(ui.draggable).draggable( "option", "revert", true );
			var uid = parseInt($(ui.draggable).attr("data-id"));
			var uids = getUidsInGroup("grouplist");
			//wenn user schon in gruppe ist, nicht hinzufgen
			if(jQuery.inArray(parseInt(uid), uids) != -1)
			{	$(ui.draggable).draggable( "option", "revert", true ); } 						
			},1);
		}, 
		drop: function( event, ui ) {
			setTimeout(function(){
			var uid = parseInt($(ui.draggable).attr("data-id"));
			var uids = getUidsInGroup("grouplist");
			
			//wenn gruppe noch nicht voll ist und nutzer noch nicht in gruppe
			if($("#grouplist li").length < groupmembers && jQuery.inArray(parseInt(uid), uids) == -1)
			{	//$( this ).addClass( "ui-state-highlight" );
				$(ui.draggable).fadeOut(function()
				{
					$(ui.draggable).draggable("destroy");
					var uid = ui.draggable.attr("data-id");
					
					//wenn Nutzer erfolgreich geladen wurde
					$.ajax(
				      {type: "POST", url: "ajaxcalls/getUsers.php", dataType: "json",
						data: ({load: "single", uid: uid}),
					 	success: function(data)
						{
							//alert(data.id);
							var activeCap = getActiveCap(data.capabilities);
							var slsk = getSlSk(data.capabilities)
							
							hideAllMores();
							var str = data.nick+"&nbsp;&nbsp;&nbsp;<span class=\"hint\">"+data.folk+", Level: "+data.lvl+", <span id=\"fight"+uid+"\">"+activeCap+"</span>, SK: "+slsk.sk+", SL: "+slsk.sl+"</span>";
							str += "<div id=\"showmore"+uid+"\" class=\"showmore\" data-uid=\""+uid+"\"><span class=\"ui-icon ui-icon-caret-1-s arrtop\"></span><span class=\"ui-icon ui-icon-caret-1-s arrbot\"></span></div>";
							str += "<div id=\"more"+uid+"\" class=\"more\"><table id=\"huntTable\">"+
										"<tr>"+
											"<td class=\"nob2\" style=\"width:320px;\"><input type=\"radio\" name=\"enemy"+uid+"\" value=\"1\""+(data.enemy==1?" checked=\"checked\"":"")+"/> Zuf&auml;llige Gegnerwahl</td>"+
											"<td class=\"nob2\"><input type=\"radio\" name=\"fknk"+uid+"\" value=\"1\""+(data.combat==1?" checked=\"checked\"":"")+" /> FK + NK</td>"+
											"<td class=\"nob2\" style=\"width:250px;\"><input type=\"radio\" name=\"cposition"+uid+"\" value=\"1\""+(data.cposition==1?" checked=\"checked\"":"")+" /> Zuf&auml;llige Position</td>"+
										"</tr>"+
										"<tr>"+
											"<td class=\"nob2\"><input type=\"radio\" name=\"enemy"+uid+"\" value=\"2\""+(data.enemy==2?" checked=\"checked\"":"")+" /> schwache Gegner</td>"+
                                                                                        "<td class=\"nob2\"><input type=\"radio\" name=\"fknk"+uid+"\" value=\"2\""+(data.combat==2?" checked=\"checked\"":"")+" /> NK</td>"+
                                                                                        "<td class=\"nob2\"><input type=\"radio\" name=\"cposition"+uid+"\" value=\"2\""+(data.cposition==2?" checked=\"checked\"":"")+" /> Mittig</td>"+                                                                                        
										"</tr>"+
										"<tr>"+
											"<td class=\"nob2\"><input type=\"radio\" name=\"enemy"+uid+"\" value=\"3\""+(data.enemy==3?" checked=\"checked\"":"")+" /> starke Gegner</td>"+
											"<td class=\"nob2\"></td>"+
                                                                                        "<td class=\"nob2\"><input type=\"radio\" name=\"cposition"+uid+"\" value=\"3\""+(data.cposition==3?" checked=\"checked\"":"")+" /> Unten</td>"+
										"</tr>"+
                                                                                "<tr>"+
											"<td class=\"nob2\"><input type=\"radio\" name=\"enemy"+uid+"\" value=\"4\""+(data.enemy==4?" checked=\"checked\"":"")+" /> Gegner mit viel LP</td>"+
											"<td class=\"nob2\"></td>"+
                                                                                        "<td class=\"nob2\"><input type=\"radio\" name=\"cposition"+uid+"\" value=\"4\""+(data.cposition==4?" checked=\"checked\"":"")+" /> Oben</td>"+
										"</tr>"+
                                                                                "<tr>"+
											"<td class=\"nob2\"><input type=\"radio\" name=\"enemy"+uid+"\" value=\"5\""+(data.enemy==5?" checked=\"checked\"":"")+" /> Gegner mit wenig LP</td>"+
											"<td class=\"nob2\"></td>"+
                                                                                        "<td class=\"nob2\"></td>"+
										"</tr>"+
                                                                                "<tr>"+
											"<td class=\"nob2\"><input type=\"radio\" name=\"enemy"+uid+"\" value=\"6\""+(data.enemy==6?" checked=\"checked\"":"")+" /> Nahkmpfer</td>"+
											"<td class=\"nob2\"><input type=\"radio\" name=\"leader\" value=\"leader\" /> Leiter</td>"+
                                                                                        "<td class=\"nob2\">online: <input type=\"text\" name=\"ontime"+uid+"\" value=\""+decodeAbsatz(data.ontime)+"\" maxlength=\"50\" style=\"width:70px;\" /></td>"+
										"</tr>"+
                                                                                "<tr>"+
											"<td class=\"nob2\"><input type=\"radio\" name=\"enemy"+uid+"\" value=\"7\""+(data.enemy==7?" checked=\"checked\"":"")+" /> Fernkmpfer</td>"+
											"<td class=\"nob2\"></td>"+
                                                                                        "<td class=\"nob2\"></td>"+
										"</tr>"+
									"</table>"+
									"<input type=\"hidden\" value=\"0\" name=\"inv"+uid+"\" />"+
									"<input type=\"hidden\" value=\"0\" name=\"spells"+uid+"\" />"+
									"<input type=\"hidden\" value=\"0\" name=\"attr"+uid+"\" />"+
									"<input type=\"hidden\" value=\"0\" name=\"ench"+uid+"\" />"+
									"</div>";
							//Nutzer zur Liste hinzufgen
							$newItem = $( "<li class=\"ui-state-default\" data-uid=\""+uid+"\" data-sl=\""+slsk.sl+"\" data-sk=\""+slsk.sk+"\" ></li>" )
							.html( str );
							//wenn spacer an letzter Stelle steht und noch keine 8 Mann in der Gruppe sind
							//vor spacer einfgen, sonst danach
							if($("#grouplist li").last().attr("class").indexOf("spacer") >=0 && getNumberOfUsers("grouplist") < maxmembers)
								$newItem.insertBefore( $("#grouplist li.spacer") ).fadeIn();
							else
								$newItem.appendTo( $("#grouplist") ).fadeIn();
							$newItem.append($("<span class=\"ui-icon ui-icon-arrowthick-2-n-s\"></span>"));
							$newItem.append($("<span class=\"ui-icon ui-icon-trash\" onclick=\"removeFromGroup(this);\"></span>"));
							$newItem.append($("<span class=\"ui-icon ui-icon-info\"onclick=\"showUserInfo('suser','"+uid+"',-1,event);\"></span>"));
							$newItem.append($("<span class=\"ui-icon ui-icon-wrench\"onclick=\"editUserInfo('suser','"+uid+"',event);\"></span>"));
							showMore(uid);
							makeShowMoreClickable("#showmore"+uid);
							calculateSkSl();
							saveGroup();
						}
					});
					
				});
			}	
			},1);}
	});
	
	$( "#drop2" ).droppable({
		accept: "#userlist > li",
		activeClass: "ui-state-highlight",
		over: function(event, ui) 
		{ 
			setTimeout(function()
			{
				$(ui.draggable).draggable( "option", "revert","invalid" ); 		//default wert einstellen, falls vorher etwas anderes gesetzt wurde
				var uid = parseInt($(ui.draggable).attr("data-id"));
				var uids = getUidsInGroup("editlist");
				//wenn user schon in gruppe ist, nicht hinzufgen
				if(jQuery.inArray(parseInt(uid), uids) != -1)
					$(ui.draggable).draggable( "option", "revert", true ); 						
			},1);
		}, 
		drop: function( event, ui ) 
		{
			setTimeout(function()
			{
				var uid = ui.draggable.attr("data-id");
				var uids = getUidsInGroup("editlist");
				if(jQuery.inArray(parseInt(uid), uids) == -1)
				{
					$(ui.draggable).fadeOut(function()
					{
						$(ui.draggable).draggable("destroy");
						var str = "";
						str += $(ui.draggable).text();
						$( "<li class=\"txt2\" data-uid=\""+uid+"\"></li>" )
									.text( str ).appendTo( $("#editlist") ).fadeIn()
									.append("<span class=\"ui-icon ui-icon-trash\" onclick=\"removeFromGroup(this);\"></span>");
						loadUsers(1);
					});
				}
			},1);
		}});
});

function getNumberOfUsers(id)
{
	return $("#"+id+" li.ui-state-default").length;
}

function makeUserDraggable()
{
	//$("#userlist > li").draggable("destroy");
	$("#userlist > li").draggable({ revert: "invalid", cancel: "span.ui-icon",cursor: "move" })
					   .hover(
							  function () {
							    $(this).addClass("ui-state-default");
							  },
							  function () {
							    $(this).removeClass("ui-state-default");
							  });	
}

function getUidsInGroup(id)
{
	var ret = new Array()
	$("#"+id+" li").each(function(index) 
	{
		ret[index] = parseInt($(this).attr("data-uid"));
	});
	return ret;
}
function calculateSkSl()
{
	 var sls = new Array();
	 var sks = new Array();
	 var efficiency = new Array(1, 0.8, 0.6, 0.4, 0.3, 0.3, 0.3, 0.3);
	$("#grouplist li").each(function(index) 
	{
		if(index >= maxmembers || $(this).attr("class").indexOf("spacer") >=0) return false;
		var sl = parseInt($(this).attr("data-sl"));
		var sk = parseInt($(this).attr("data-sk"));
		if(sl > 25) sl = 25;
		if(sk > 25) sk = 25;
		sls[index] = sl;
		sks[index] = sk;
		
	});
	sks.sort(sortNumber);
	sls.sort(sortNumber);
	var i;
	var len = sks.length;
	var totalsk = 0; var totalsl = 0;
	for(i=0; i < len; i++)
	{	
		totalsk += sks[i]*2*efficiency[i]; 
		totalsl += sls[i]*2*efficiency[i]; 
	}
	
	$("#slsk").text("Schattenkunde: +"+Math.floor(totalsk)+"% | Spurenlesen: +"+Math.floor(totalsl)+"%");
}
function sortNumber(a,b)
{
	return b - a;
}

function hideAllMores()
{
	$("#grouplist li.ui-state-default").each(function(index) 
	{
		hideMore($(this).attr("data-uid"));
	});
}

function makeShowMoreClickable(elm)
{
	//$("#grouplist li .showmore").each(function(index) 
	//{
		//alert(index + ": " + $(this).attr("data-uid"));
		$(elm).click(function()
		{
			$id = $(this).attr("data-uid");
			if($("#more"+$id).is(":hidden"))
				showMore($id);
			else
				hideMore($id);
			
			
		});
	//});
}

function makeAllShowMoreClickable()
{
	$("#grouplist .showmore").each(function(index) 
	{
		//alert(index + ": " + $(this).attr("id"));
		$($(this)).click(function()
		{
			$id = $(this).attr("data-uid");
			if($("#more"+$id).is(":hidden"))
				showMore($id);
			else
				hideMore($id);
			
			
		});
	});
}

function makeAllShowMoreInfoClickable()
{
	$(".showmoreinfo").each(function(index) 
	{
		//alert(index + ": " + $(this).attr("id"));
		$($(this)).click(function()
		{
			$id = $(this).attr("data-uid");
			if($("#more"+$id+"info").is(":hidden"))
				showMoreInfo($id);
			else
				hideMoreInfo($id);
			
			
		});
	});
}

function showMore($id)
{
	$("#showmore"+$id+" span").removeClass("ui-icon-caret-1-s").addClass("ui-icon-caret-1-n");
	$("#more"+$id).slideDown("fast");		
}

function hideMore($id)
{
	$("#showmore"+$id+" span").removeClass("ui-icon-caret-1-n").addClass("ui-icon-caret-1-s");
	$("#more"+$id).slideUp("fast");
}

function showMoreInfo($id)
{
	$("#showmore"+$id+"info span").removeClass("ui-icon-caret-1-s").addClass("ui-icon-caret-1-n");
	$("#more"+$id+"info").slideDown("fast");		
}

function hideMoreInfo($id)
{
	$("#showmore"+$id+"info span").removeClass("ui-icon-caret-1-n").addClass("ui-icon-caret-1-s");
	$("#more"+$id+"info").slideUp("fast");
}

function loadUsers(site)
{
	var jsonstr = "{";
	//alle Filter durchgehen
	$("#filters input").each(function(index) 
	{
		if($(this).attr("type") == "checkbox" && $(this).is(":checked"))
		{
			jsonstr += '"'+$(this).attr("name")+'":"'+$(this).val()+'",';
		}
		if($(this).attr("type") == "text")
		{
			jsonstr += '"'+$(this).attr("name")+'":"'+$(this).val()+'",';
		}
	});
	
	//jsonstr[jsonstr.length-1] = ".";
	
	//alert(jsonstr.slice(0,-1));
	//das letzte Komma abschneiden
	if(jsonstr[jsonstr.length-1] == ",")
		jsonstr = jsonstr.slice(0,-1)
		
	jsonstr += "}";
	//alert(jsonstr);
	if(jsonstr.length > 2)
	{
		$.ajax(
	      {type: "POST", url: "ajaxcalls/getUsers.php", 
			beforeSend: function()
			{
				//wait = 1;
				//setTimeout(function(){ displayWait(id)}, 400);
			}
			 ,data: ({load: "filterlist", json: jsonstr, site:site, hid:huntId}),
		 	success: function(data)
			{	//alert(data);			
		 		//$("#"+id).hide();
		 		$("#huntright").html(data);
		 		makeUserDraggable();
		 		//wait = 0;	
			}
		});
	}
}

function loadUser(uid)
{
	var result = "";	
	$.ajax(
      {type: "POST", url: "ajaxcalls/getUsers.php", dataType: "json",
		beforeSend: function()
		{
			//wait = 1;
			//setTimeout(function(){ displayWait(id)}, 400);
		}
		 ,data: ({load: "single", uid:uid}),
	 	success: function(data)
		{	//alert(data.attributes[0][1]);
			return data;		
	 		//$("#"+id).hide();
	 		//wait = 0;	
		}
	});
}

function enableAllFilters()
{
	$('#filters input[type="checkbox"]').each(function(index) 
	{
		$(this).attr("checked","checked");
	});
}


function getActiveCap(caps)
{
	var len = caps.length;
	var i;
	for(i=0;i<len;i++)
	{
		//wenn aktiv und eine Kapffertigkeit
		if(jQuery.inArray(parseInt(caps[i].id), fightcaps) != -1 && parseInt(caps[i].active) == 1)
			return caps[i].name+" ("+caps[i].lvl+")";
	}
	return "";
}

function getSlSk(caps)
{
	var len = caps.length;
	var sl = 0; var sk = 0;
	for(i=0;i<len;i++)
	{
		//wenn aktiv und eine Kapffertigkeit
		if(parseInt(caps[i].id) == 32)
			sk = parseInt(caps[i].lvl)
		if(parseInt(caps[i].id) == 33)
			sl = parseInt(caps[i].lvl)
	}
	var obj = new Object();
	obj.sl = sl;
	obj.sk = sk;
	return obj;
}

function saveGroup()
{
	if($("#gname").val().length == 0)
		$("#gname").val("meine Gruppe");
	//id der Hauptgruppe
	var htgid = $('select[name="htgid"] option:selected').val();
	
	var jsonstr = '{"name":"'+encodeAbsatz($("#gname").val())+'",';		//gruppenname
	jsonstr += '"hid":"'+huntId+'",'
	jsonstr += '"htgid":"'+htgid+'",'
	jsonstr += '"description":"'+encodeAbsatz($('textarea[name="desc"]').val())+'",';
	jsonstr += '"public":"'+$('input[name="public"]').is(":checked")+'",';
	jsonstr += '"spacer":"'+$("#grouplist li.spacer").index()+'",';
	var i = 1;	
	//alle li durchgehen
	$("#grouplist li.ui-state-default").each(function(index) 
	{
		var uid = $(this).attr("data-uid");
		jsonstr += '"'+i+'":{"uid":"'+uid+'",';		//uid
		jsonstr += '"sort":"'+index+'",';
		//alle inputs des users durchgehen
		$('#grouplist li[data-uid="'+uid+'"] input').each(function(index) 
		{
			if($(this).attr("type") == "radio" && $(this).is(":checked"))
			{
				jsonstr += '"'+$(this).attr("name")+'":"'+$(this).val()+'",';
			}
			else if($(this).attr("type") == "text" || $(this).attr("type") == "hidden")
				jsonstr += '"'+$(this).attr("name")+'":"'+encodeAbsatz($(this).val())+'",';
		});
		//letztes Komma abschneiden
		if(jsonstr[jsonstr.length-1] == ",")
		jsonstr = jsonstr.slice(0,-1)
		
		jsonstr += "},";
		i++;
	});
	jsonstr += '"editusers":{';
	$("#editlist li").each(function(index) 
	{
		jsonstr += '"'+index+'":"'+$(this).attr(("data-uid"))+'",';
	});
	if(jsonstr[jsonstr.length-1] == ",")
		jsonstr = jsonstr.slice(0,-1);
	jsonstr += '}';
	
	//letztes Komma abschneiden
	//if(jsonstr[jsonstr.length-1] == ",")
		//jsonstr = jsonstr.slice(0,-1)
		
	jsonstr += "}";
	//alert(jsonstr);
	if(jsonstr.length > 2)
	{
		$.ajax(
	      {type: "POST", url: "ajaxcalls/getUsers.php", 
			beforeSend: function()
			{
				//wait = 1;
				//setTimeout(function(){ displayWait(id)}, 400);
			}
			 ,data: ({save: "group", json: jsonstr}),
		 	success: function(data)
			{	//alert(data);			
		 		huntId = parseInt(data);
		 		//Speicherbutton kurz deaktivieren
		 		$("#save").attr("value","gespeichert").attr("disabled","true");
		 		setTimeout('jQuery("#save").attr("value","speichern").removeAttr("disabled");',2000 );
		 		loadUsers(1);
			}
		});
	}
}

function editUserInfo(id, uid, evt)
{	
	var x = evt.pageX;
	var y = evt.pageY;
	$("#"+id).hide();
	
	//wenn maus am unteren rand ist
	if($(window).height() < (evt.clientY+150))
		y -= 150;
	$("#"+id).css("left", ""+(x+10)+"px");
	$("#"+id).css("top", ""+(y+10)+"px");
	//alert($(window).height()+" "+evt.clientY);
	if($("#"+id).is(":hidden"))
	{
		$.ajax(
	      {type: "POST", url: "ajaxcalls/getUsers.php", 
			beforeSend: function()
			{
				//wait = 1;
				//setTimeout(function(){ displayWait(id)}, 400);
			}
			 ,data: ({ uid: uid, load:"editoverlib", hid:huntId}),
		 	success: function(data)
			{					
		 		//$("#"+id).hide();
		 		$("#"+id).html(data);
		 		wait = 0;
				$("#"+id).fadeIn();	
			}
		});
	}
}

function loadSpells(id, uid)
{	
	$iid = parseInt($('select[name="fk"]').val());
	if($iid > 0)
	{
		$.ajax(
	      {type: "POST", url: "ajaxcalls/getUsers.php", 
			beforeSend: function()
			{
				//wait = 1;
				//setTimeout(function(){ displayWait(id)}, 400);
			}
			 ,data: ({ uid: uid, iid: $('select[name="fk"]').val(), load:"spells", hid:huntId}),
		 	success: function(data)
			{					
		 		$("#"+id).html(data);
		 		wait = 0;
			}
		});
	}
	else
		$("#"+id).html("<span class=\"hint\">Bitte erst einen Zauberstab anlegen!</span>");
}

function loadFightCap(uid)
{	
	if($('input[name="fknk'+uid+'"]:checked').attr("value") == "fknk")
		$iid = parseInt($('select[name="fk"]').val());
	else
		$iid = parseInt($('select[name="nk1"]').val());
		//alert($('input[name="fknk'+uid+'"]:checked').attr("value"));
	//$iid = parseInt($('select[name="fk"]').val());
	if($iid > 0)
	{
		$.ajax(
	      {type: "POST", url: "ajaxcalls/getUsers.php", 
			beforeSend: function()
			{
				//wait = 1;
				//setTimeout(function(){ displayWait(id)}, 400);
			}
			 ,data: ({ uid: uid, iid: $iid, load:"fightcap" }),
		 	success: function(data)
			{	//alert(data);
		 		$("#fight"+uid).html(data);
		 		wait = 0;
			}
		});
	}
}

function loadEditSubPage(id, uid)
{	
	$.ajax(
      {type: "POST", url: "ajaxcalls/getUsers.php", 
		beforeSend: function()
		{
			//wait = 1;
			//setTimeout(function(){ displayWait(id)}, 400);
		}
		 ,data: ({ uid: uid, load:""+id+"", hid:huntId}),
	 	success: function(data)
		{					
	 		$("#"+id).html(data);
	 		wait = 0;
		}
	});
}

function saveEdit(tabindex)
{
	var uid = parseInt($('input[name="edituid"]').val());
	if($('input[name="restore'+tabindex+'"]').is(":checked"))
		var restore = 1;
	else
		var restore = 0;
	if(restore)
		var value = 0;
	else
		var value = 1;
	
	
	var jsonstr= '{"uid":"'+uid+'",';	
	jsonstr += '"hid":"'+huntId+'",';
	jsonstr += '"index":"'+parseInt(tabindex)+'",';
	jsonstr += '"restore":"'+restore+'",';
	
	if(tabindex == 0)	//Ausrstung
	{
		jsonstr += '"0":{';		//uid
		//var $('select[name="fk"]').val();
		$("#tabs-"+(tabindex+1)+" select").each(function(index)
		{
                    if(this.name !== "increment[]") { 
                        jsonstr += '"'+$(this).attr("name")+'":"'+$(this).val()+'",';
                    }
		});
                
                //extra array for increment
                jsonstr += '"increment":{';
                $("#tabs-"+(tabindex+1)+" select[name='increment[]']").each(function(index)
                {
                    jsonstr += '"'+index+'":"'+$(this).val()+'",';
                });

                //letztes Komma abschneiden
                if(jsonstr[jsonstr.length-1] == ",")
                    jsonstr = jsonstr.slice(0,-1)
                jsonstr += "}";
                    
                jsonstr += "}";
	}
	if(tabindex == 1)	//Ausrstung
	{
		jsonstr += '"1":{';		//uid
		//var $('select[name="fk"]').val();
		$("#tabs-"+(tabindex+1)+" select").each(function(index)
		{
			jsonstr += '"'+$(this).attr("name")+'":"'+$(this).val()+'",';
		});
		
		//letztes Komma abschneiden
		if(jsonstr[jsonstr.length-1] == ",")
		jsonstr = jsonstr.slice(0,-1)
		
		jsonstr += "}";
	}
	else if(tabindex == 2)	//Zauber
	{
		jsonstr += '"2":{';		//uid
		//var $('select[name="fk"]').val();
		$("#tabs-"+(tabindex+1)+" select").each(function(index)
		{
			jsonstr += '"'+$(this).attr("name")+'":"'+$(this).val()+'",';
		});
		
		//letztes Komma abschneiden
		if(jsonstr[jsonstr.length-1] == ",")
		jsonstr = jsonstr.slice(0,-1)
		
		jsonstr += "}";
	}
	else if(tabindex == 3)	//Attribute
	{
		jsonstr += '"3":{';		//uid
		//var $('select[name="fk"]').val();
		$("#tabs-"+(tabindex+1)+" input").each(function(index)
		{
			jsonstr += '"'+$(this).attr("name")+'":"'+$(this).val()+'",';
		});
		
		//letztes Komma abschneiden
		if(jsonstr[jsonstr.length-1] == ",")
		jsonstr = jsonstr.slice(0,-1)
		
		jsonstr += "}";
	}
	
	//letztes Komma abschneiden
	if(jsonstr[jsonstr.length-1] == ",")
	jsonstr = jsonstr.slice(0,-1)
	
	jsonstr += "}";
	//alert(jsonstr);
	
	if(jsonstr.length > 2)
	{
		$.ajax(
	      {type: "POST", url: "ajaxcalls/getUsers.php", 
			beforeSend: function()
			{
				//wait = 1;
				//setTimeout(function(){ displayWait(id)}, 400);
			}
			 ,data: ({save: "edit", json: jsonstr}),
		 	success: function(data)
			{	//alert(data);			
		 		//Speicherbutton kurz deaktivieren
		 		$("#saveedit").attr("value","gespeichert").attr("disabled","true");
		 		setTimeout('jQuery("#saveedit").attr("value","speichern").removeAttr("disabled");',2000 );
		 		
		 		if(tabindex == 0 && data == "1")
		 		{	loadEditSubPage("inventar",uid); loadEditSubPage("enchantment",uid); loadEditSubPage("properties",uid); $('input[name="inv'+uid+'"]').val(value); }
		 		if(tabindex == 1 && data == "1")
		 		{	loadEditSubPage("enchantment",uid); loadEditSubPage("properties",uid); $('input[name="ench'+uid+'"]').val(value); }
		 		if(tabindex == 2 && data == "1")
		 		{	loadSpells("spells",uid); loadEditSubPage("properties",uid); $('input[name="spells'+uid+'"]').val(value); }
		 		if(tabindex == 3 && data == "1")
		 		{	loadEditSubPage("attributes",uid); loadEditSubPage("properties",uid); $('input[name="attr'+uid+'"]').val(value); }
			}
		});
	}
}

function showUserInfo(id, uid, hid, evt)
{	
	var x = evt.pageX;
	var y = evt.pageY;
	$("#"+id).hide();
	
	if(hid == -1)
		hid = huntId;
	else
		hid = 0;
	//wenn maus am unteren rand ist
	if($(window).height() < (evt.clientY+150))
		y -= 150;
	$("#"+id).css("left", ""+x-300+"px");
	$("#"+id).css("top", ""+(y+10)+"px");
	//alert($(window).height()+" "+evt.clientY);
	if($("#"+id).is(":hidden"))
	{
		$.ajax(
	      {type: "POST", url: "ajaxcalls/getUsers.php", 
			beforeSend: function()
			{
				//wait = 1;
				//setTimeout(function(){ displayWait(id)}, 400);
			}
			 ,data: ({ uid: uid, load:"signleoverlib", hid:parseInt(hid)}),
		 	success: function(data)
			{					
		 		//$("#"+id).hide();
		 		$("#"+id).html(data);
		 		wait = 0;
				$("#"+id).fadeIn();	
			}
		});
	}
}
function removeFromGroup(elm)
{
	//alert($(elm).attr("class"));
	$(elm).parent().fadeOut(function(){
		$(this).remove();
		//erst gruppe speichern, dann Userliste neu laden, damit der Name wieder dort auftaucht
		calculateSkSl();
		saveGroup();
	});	
}