$(document).ready(function() {
    $('.expandBox').click(function() {
        if($(this).parents('.craftWrapper').css('height') === '26px') {
            var setHeight = $(this).parents('table').css('height');

            $(this).parents('.craftWrapper').animate({
                'height': setHeight
            }, 500);
            $(this).html('<span class="ui-icon ui-icon-caret-1-n"></span>');
        }
        else {
            var setHeight = '26px';

            $(this).parents('.craftWrapper').animate({
                'height': setHeight
            }, 500);
            $(this).html('<span class="ui-icon ui-icon-caret-1-s"></span>');
        }
    });

    $('.craftFilter').click(function() {
        // Filterung von aktiven Berufen
        if($(this).attr('id') == 'craftActive') {
            if($(this).is(':checked')) {
                $("div[data-active='1']").show();
            }
            else {
                $("div[data-active='1']").hide();
            }
        }

        // Filterung von inaktiven Berufen
        if($(this).attr('id') == 'craftInActive') {
            if($(this).is(':checked')) {
                $("div[data-active='0']").show();
            }
            else {
                $("div[data-active='0']").hide();
            }
        }
    });

    // jQuery-UI Tabs
    $(function() {
        $("#tabs").tabs();
    });

    // Anzeige der Infobox #userPlans
    $(function() {
        $("#userPlans").draggable();

        $(".heroPlansButton").click(function( event ) {
            var x = event.pageX;
            var y = event.pageY;

            //wenn maus am unteren rand ist
            if($(window).height() < (event.clientY+150)) {
                y -= 150;
            }

            $("#userPlans").css("left", ""+x-320+"px");
            $("#userPlans").css("top", ""+(y+10)+"px");

            $('#userPlans').fadeIn();

            $('.plans').hide();
            $('.' + $(this).attr('id')).show();
        });
    });
});