<?php
if($menue2->checkPermission($do))
{
	require_once('classes/item.class.php');
	require_once('classes/warehouse.class.php');
        require_once 'classes/enums/WHType.enum.php';
	$item = new Item();
	
	$wh = new Warehouse($user);
	
	$whs = $wh->getWHsByWriteRight();
	
	$itemTypes = array();
    
    $whId = (int)($_REQUEST['wh'] ?? 0);
	//Ausgabe der Warengruppen
	if($wh->canAccess($whs, $whId))
		$whId = (int)$whId;
	else if(array_key_exists(0, $whs))
		$whId = $whs[0]['wid'];
	
	//Anzeige der verfügbaren Lager
	echo '<form action="?site='.$site.'&amp;do='.$do.'&amp;action=changewh" method="post">
		 
		 <table class="tableLogin" border="0">
			<tr>
				<th colspan="2">Lagerauswahl</th>
			</tr>
		      <tr>
		        <td class="left">Lager</td>
		        <td class="left"><select name="wh">';
                            foreach($whs as $single)
                            {  
                                switch($single['type']) {
                                    case WHType::STADTLAGER : $whtype = 'Stadtlager'; break;
                                    case WHType::GILDENLAGER : $whtype = 'Gildenlager, '.$single['short']; break;
                                    case WHType::MARKTSTAND : $whtype = 'Marktstand, '.$single['short']; break;
                                }
                                echo '<option value="'.$single['wid'].'"'; if($whId==$single['wid']) echo ' selected="selected"'; echo'>
                                        '.$single['name'].' ('.$whtype.')</option>'; 

                            }
                        echo '</select></td>
		      </tr>
		      <tr>
		      	<th colspan="2"><input type="submit" value="&auml;ndern" /></th>
		      </tr>
		</table>
		</form>';
	
	//Warengruppen speichern
	if(isset($_GET['do2']) && $_GET['do2'] == 'saveit' && isset($_POST))
	{
		if($item->updateItemsType($_POST, $whId))
			$msg = "Daten gespeichert";
		else
			$err = "Es trat leider ein Fehler beim Speichern auf.";
	}
	
	
	//Ausgabe der Warengruppen
	$items = $item->getItemTypes($whId);
	
	echo '<p>Hier k&ouml;nnen minimale- und maximale Lagerwerte, sowohl f&uuml;r Warengruppen, <br />
	als auch f&uuml;r einzelne Waren, definiert werden. Wird ein Wert f&uuml;r eine einzelne Ware definiert, <br />
	so wird dieser Wert h&ouml;her gewertet, als der Wert der dazugeh&ouml;rigen Warengruppe.<br />
        Das Feld Aktiv legt die Anzahl der durch das Lagerprotokoll erfassten Waren eines Nutzers fest, ab wann dessen Handwerksf&auml;higkeit auf aktiv gesetzt werden soll. <br />
        Mit der Anzahl der Tage legt man fest, wann diese F&auml;higkeit des Nutzern wieder auf inaktiv gesetzt werden soll, sofern kein Gegenstand eingelagert wurde.</p>';
	if($err != "") echo '<p class="err">'.$err.'</p>';
	if($msg != "") echo '<p class="ok">'.$msg.'</p>';
	echo '
	<form action="?site='.$site.'&amp;do='.$do.'&amp;do2=saveit&amp;wh='.(int)$whId.'" method="post">
	
	<table class="tableItemTypes" border="0">
		<tr>
			<th colspan="3">&Uuml;bersicht aller Warengruppen</th>
		</tr>
		<tr>
	      	<td><div class="ithleft">&nbsp;</div><div class="ithright txt">Min&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Max&nbsp;&nbsp;&nbsp;&nbsp;Aktiv&nbsp;&nbsp;&nbsp;Tage&nbsp;&nbsp;&nbsp;</div></td>
	      	<td><div class="ithleft">&nbsp;</div><div class="ithright txt">Min&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Max&nbsp;&nbsp;&nbsp;&nbsp;Aktiv&nbsp;&nbsp;&nbsp;Tage&nbsp;&nbsp;&nbsp;</div></td>
	      	<td><div class="ithleft">&nbsp;</div><div class="ithright txt">Min&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Max&nbsp;&nbsp;&nbsp;&nbsp;Aktiv&nbsp;&nbsp;&nbsp;Tage&nbsp;&nbsp;&nbsp;</div></td>
	      </tr>
	      <tr>';
    echo '<td class="left">';
            $i = 0;
			foreach($items as $row)
			{
                //new column for Bögen and Stoffrüstung
                if($row['id'] == 9 || $row['id'] == 18) {
                    echo '</td>';   // close previous
                    echo '<td class="left">';
                }
					
				echo '<div class="itleft"><a class="txt" href="?site='.$site.'&amp;do='.$do.'&amp;do2=single&amp;it='.$row['id'].'&amp;wh='.(int)$whId.'">'.$row['name'].'</a></div>
					  <br /><div class="itright"><input type="text" class="inp2" name="min'.$i.'" value="'.$row['min'].'" />
					  <input type="text" class="inp2" name="max'.$i.'" value="'.$row['max'].'" />';
                                if(!in_array($row['id'], $item->getItIdNoActivityDiscover())) {
                                    echo '<input type="text" class="inp2" name="active'.$i.'" value="'.$row['active_amount'].'" />
                                          <input type="text" class="inp2" name="days'.$i.'" value="'.$row['inactive_days'].'" />'; 
                                } else {
                                    echo '<span style="display:inline-block; width: 95px;"></span>';
                                }
                                
                                        echo '</div>
                                          <div style="clear:both; width: 100%; height: 7px; border-bottom: 1px solid #000; margin-top:15px;"></div>
					  <input type="hidden" name="it'.$row['id'].'" value="'.$row['id'].'" />';
                $i++;
			}
    echo '</td>';   // close previous
	      echo '
	      </tr>
	      <tr>
	      	<th colspan="3">'; if($_GET['do'] != 'single') echo '<input type="submit" value="speichern" />'; echo '</th>
	      </tr>
	</table>
	</form>';
	
	if($_GET['do2'] == 'single' && $_GET['it'])
	{
		if($_POST)
		{
			if($item->updateItems($_POST, $whId))
				$msg = "Daten gespeichert";
			else
				$err = "Es trat leider ein Fehler beim Speichern auf.";
		}
		
		$items = $item->getItemsByType($_GET['it'], $whId);
		
		echo '
		<p>Die Felder Min und Max nur auf&uuml;llen, wenn diese Werte h&ouml;her als die <br />Gruppeneinstellung gewertet werden sollen, ansonsten LEER lassen.<br />
		Achtung!! Die Felder Marktwert und Realwert gelten f&uuml;r alle Lager gleich!
		</p>';
		
		if($err != "") echo '<p class="err">'.$err.'</p>';
		if($msg != "") echo '<p class="ok">'.$msg.'</p>';
		
		echo '
		<form action="?site='.$site.'&amp;do='.$do.'&amp;do2=single&amp;it='.(int)$_GET['it'].'&amp;wh='.(int)$whId.'" method="post">
		
		<table class="resultT" border="0">
		<tr>
			<th>&Uuml;bersicht</th>
		</tr>
		<tr>
	      	<td><div class="ithleft">&nbsp;</div><div class="ithright txt">Min&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Max&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Marktwert&nbsp;&nbsp;&nbsp;&nbsp;Realwert&nbsp;&nbsp;&nbsp;</div></td>
	      </tr>
	      ';
			$i = 1;
			foreach($items as $row)
			{					
				echo '<tr><td>';
				echo '<div class="itleft"><span class="txt'.($row['magical']?" magical":"").'">'.$row['name'].'</span></div>
					  <div class="itright"><input type="text" class="inp2" name="min'.$i.'" value="'.$row['min'].'" />
					  <input type="text" class="inp2" name="max'.$i.'" value="'.$row['max'].'" />
					  <input type="text" class="inp3" name="market'.$i.'" value="'.$row['market'].'" />
					  <input type="text" class="inp3" name="real'.$i.'" value="'.$row['real'].'" /></div><br />
					  <input type="hidden" name="it'.$row['id'].'" value="'.$row['id'].'" />';
					
				$i++;
				echo '</td></tr>';
			}
	        
	      echo '
	      	
	      <tr>
	      	<th><input type="submit" value="speichern" /></th>
	      </tr>
		</table>
		</form>';
	}
	

}
else
	echo '<p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p><p class="err">Zugang verweigert!</p>'; 
?>