<?php
use Service\MessageService;

if($menue1->checkPermission($site))
{
    
	require_once('classes/config.class.php');
        require_once __DIR__ . '/../Service/MessageService.php';
	
	$dos = Array('edituser', 'adduser', 'group', 'guild', 'managewh', 'online', 'config');
	
	$menue2 = new Menue($user);
	$m2 = $menue2->getMenue(2, $menue1->getIdForSite($site));
	
	if(in_array($_GET['do'], $dos))
		$do = $_GET['do'];
	else 
		$do = $m2[0]['short'];
	$_SESSION['do'] = $do;
	
	$ms = count($m2);
	$i = 0;
	echo '<p>';
	foreach($m2 as $m)
	{
		echo '<a '.($m['short']==$do?'class="under" ':'').'href="?site='.$site.'&amp;do='.$m['short'].'">'.$m['site'].'</a>';
		if($i != $ms-1)
			echo ' | '; $i++;
	}
	echo '</p>';
	
	$conf = new Config();
	
	//einmal pro Session das Protokoll, nach den Vorgaben loeschen
	if(!isset($_SESSION['deleteprot']))
	{
		$conf->deleteProtocollPeriod();
		$_SESSION['deleteprot'] = true;
	}
        
        $installedverion = $conf->getToolVersion();
        $latestVersion = $conf->getLatestVersion();
        
        if($installedverion != $latestVersion) {
            $mService = new MessageService();
            $mService->sendNewVersionNotification($installedverion, $latestVersion);
        }
	
	if($menue2->checkPermission($do))
	{
            $err = "";
            $msg = "";
            $action = $_GET['action'] ?? "";
            $actionPost = $_POST['action'] ?? "";
	//Nutzer hinzufuegen
	if($do == 'adduser')
	{
		require_once('classes/guild.class.php');
                require_once('classes/Folk.php');
                
                echo '<link rel="stylesheet" type="text/css" href="css/strengthify.min.css" />
                  <script type="text/javascript" src="js/jquery.strengthify.min.js"></script>
                  <script type="text/javascript" src="js/pwstrength_1.0.0.js"></script>';
                
                $folk = new Folk();
                $guild = new Guild($user);
                $username = $_POST['username'] ?? "";
                $bot = $_POST['bot'] ?? false;
                $pw1 = $_POST['password1'] ?? "";
                $pw2 = $_POST['password2'] ?? "";
                $nowork = $_POST['nowork'] ?? false;
                $mail = $_POST['mail'] ?? "";
		if($_POST)
		{
			if($username == "" || (!$bot && $pw1 == "") || (!$bot && $pw2 == ""))
				$err .= "Das Feld Benutzername und Passwort darf nicht leer sein.<br />";
			if(!$user->nickAvailable($username))	
				$err .= "Der Charaktername existiert bereits.<br />";
                        if(!$bot && strlen($pw1) < 8 )	
                            $err .= "Das Passwort muss mindestens 8 Zeichen lang sein.<br />";
			if(!$bot && $pw1 != $pw2)	
				$err .= "Das Passwort stimmt nicht &uuml;berein.<br />";
			if($mail != "" && !$user->isValidMail($mail))
				$err .= "Bitte eine g&uuml;ltige eMail-Adresse angeben.<br />";
			
			if($err == "")
			{
				$uid_neu = $user->addUser($_POST['gender_id'], $username, $_POST['avatar'], $pw1, $mail, $_POST['titel'], $_POST['lvl'], $_POST['folk'], $_POST['desc'], ($bot?1:0), ($nowork?1:0), $_POST['class']);
				if(!$uid_neu)
					$err = "Es trat leider ein Fehler beim Erzeugen des Nutzers auf.";
				else
				{
					$msg = "Nutzer erfolgreich hinzugef&uuml;gt.";
					$guild->addUserToGuild($_POST['guild'], $uid_neu);
				}
				
			}
		}
		
		echo '<p>&nbsp;</p>';
		if($err != "") echo '<p class="err">'.$err.'</p>';
		if($msg != "") echo '<p class="ok">'.$msg.'</p>';
		echo '
		<form action="?site=management&amp;do=adduser" method="post">
		<span class="hint">Der Charakter muss den gleichen Namen haben wie in Evergore!</span>
		<table class="tableLogin" border="0">
			<tr>
				<th colspan="2">neuen Charakter anlegen</th>
			</tr>
                        <tr>
                        <td class="left">Geschlecht</td>
                        <td class="left">
                            <select name="gender_id" tabindex="5">
                        ';
        foreach($user->getGenders() AS $gender_id => $gender_name) {
            echo '<option value="' . $gender_id . '">' . $gender_name . '</option>';
        }
        echo '

                                </select>
                            </td>
                        </tr>
		      <tr>
		        <td class="left">Benutzername</td>
		        <td class="left"><input class="inp1" tabindex="1" type="text" name="username" value="'.($err!=""?makeEntityString($_POST['username']):"").'" /></td>
		      </tr>
		      <tr>
		        <td class="left">Passwort</td>
		        <td class="left"><input class="inp1 pwstrengthify" tabindex="2" type="password" name="password1" /></td>
		      </tr>
		      <tr>
		        <td class="left">Passwort wiederholen</td>
		        <td class="left"><input class="inp1" tabindex="3" type="password" name="password2" /></td>
		      </tr>
		      <tr>
		        <td class="left">Charakterlevel</td>
		        <td class="left"><input class="inp2" tabindex="4" type="text" name="lvl" value="'.($err!=""?(int)$_POST['lvl']:"1").'"/></td>
		      </tr>
		      <tr>
		        <td class="left">Volk</td>
		        <td class="left"><select name="folk" tabindex="5">';
                            $folks = $folk->getFolks();
                            foreach($folks as $id=>$value)
                            {
                                    echo '<option value="'.$id.'">'.$value['name'].'</option>';
                            }
                            echo'</select></td>
		      </tr>
                      <tr>
		        <td class="left">Klasse</td>
		        <td class="left"><select name="class" tabindex="6">
                            <option value="0">falls zutreffend</option>';
                            $classes = $folk->getClasses();
                            $count = 0;
                            foreach($classes as $id=>$values)
                            {   
                                if($count == 0) {
                                    echo '<optgroup label="'.$values['groupname'].'">';
                                }
                                echo '<option value="'.$id.'">'.$values['name'].'</option>';
                                if($count == 5) {
                                    echo '</optgroup>';
                                }
                                $count = ($count +1) % 5;
                            }
                            echo'</select></td>
		      </tr>
		      <tr>
		        <td class="left">Gilde</td>
		        <td class="left"><select name="guild" tabindex="6">';
		        						$guilds = $guild->getGuilds();
		        						foreach($guilds as $single)
		        						{
		        							echo '<option value="'.$single['id'].'">'.$single['name'].'</option>';
		        						}
		        		echo'		</select></td>
		      </tr>
		      <!--<tr>
		        <td class="left">eMail</td>
		        <td class="left"><input class="inp1" tabindex="7" type="text" name="mail" value="'.($err!=""?makeEntityString($_POST['mail']):"").'" /></td>
		      </tr>-->
		      <tr>
		        <td class="left">Titel</td>
		        <td class="left"><input class="inp1" tabindex="8" type="text" name="titel" value="'.($err!=""?makeEntityString($_POST['titel']):"").'" /></td>
		      </tr>
		      <tr>
		        <td class="left" valign="top">Beschreibung/Anmerkung</td>
		        <td class="left"><textarea class="inp1" name="desc" tabindex="9">'.($err!=""?makeEntityString($_POST['desc']):"").'</textarea></td>
		      </tr>
		      <tr>
                  <td class="left">Avatar</td>
                  <td class="left"><input class="inp1" tabindex="7" type="text" name="avatar" /></td>
              </tr>
		      <tr>
		        <td class="left"><span class="txt">Wanderer (kein Handwerk)</span></td>
		        <td class="left"><input tabindex="10" type="checkbox" name="nowork" /></td>
		       </tr>
		       <tr>
		        <td class="left" valign="top">Bot <span class="hint txt2">(kann sich nicht anmelden,<br />Passwort entf&auml;llt)</span></td>
		        <td class="left"><input tabindex="11" type="checkbox" name="bot" /></td>
		      </tr>
		      <tr>
		      	<th colspan="2"><input type="submit" value="speichern" /></th>
		      </tr>
		</table>
		</form>';?>
                <script>
                     $(document).ready(function() {
                        bindStrenghtify();
                    }); 
                </script>
    <?php
	}
	else if($do == 'edituser')
	{
		require_once('classes/guild.class.php');
                require_once('classes/Folk.php');
                
                echo '<link rel="stylesheet" type="text/css" href="css/strengthify.min.css" />
                  <script type="text/javascript" src="js/jquery.strengthify.min.js"></script>
                  <script type="text/javascript" src="js/pwstrength_1.0.0.js"></script>';
                
                $folk = new Folk();
		$guild = new Guild($user);
                if(isset($_REQUEST['user'])) 
                {
                    $editUser = new User();
                    $editUser->loadUser($_REQUEST['user']);
                }
		
		$deleted = 0;
		if(isset($_POST['user']) && $action == 'password' && $user->canEdit($_REQUEST['user']))
		{
                    $username = $_POST['username'] ?? "";
                    $bot = $_POST['bot'] ?? false;
                    $pw1 = $_POST['password1'] ?? "";
                    $pw2 = $_POST['password2'] ?? "";
                    $nowork = $_POST['nowork'] ?? false;
                    $mail = $_POST['mail'] ?? "";
                    //wenn Nutzer geloescht werden soll
                    if(isset($_POST['del']))
                    {
                        if($editUser->deleteUserById())
                        {	$msg = "Nutzer gel&ouml;scht."; $deleted = 1; }
                        else
                                $err = "Es trat leider ein Fehler beim L&ouml;schen auf.";
                    }
                    else //ansonsten Daten speichern
                    {
                        if($username == "")
                                $err .= "Das Feld Benutzername darf nicht leer sein.<br />";
                        if(!$bot && $pw1 !== "" && strlen($pw1) < 8 )	
                        $err .= "Das Passwort muss mindestens 8 Zeichen lang sein.<br />";
                        if(!$bot && $pw1 !== "" &&$pw1 !== $pw2)	
                                $err .= "Das Passwort stimmt nicht &uuml;berein.<br />";
                        if($mail != "" && !$user->isValidMail($mail))
                                $err .= "Bitte eine g&uuml;ltige eMail-Adresse angeben.<br />";

                        if($err == "")
                        {
                                if($editUser->updateUser($username, $_POST['gender_id'], $pw1, $mail, $_POST['titel'], $nowork, $_POST['lvl'], $_POST['folk'], $_POST['desc'], '', ($bot?1:0), $_POST['ontime'], $_POST['class'], 1))
                                {
                                        $msg = "Daten gespeichert.";
                                        $guild->deleteUserFromGuilds($_REQUEST['user']);
                                        $guild->addUserToGuild($_POST['guild'], $_REQUEST['user']);
                                }
                                else
                                        $err = "Es trat leider ein Fehler beim Speichern auf.";

                        }
                    }
		}
		
		$users = $user->getUserListByWriteRight();
		echo '<form action="?site='.$site.'&amp;do=edituser" method="post">
		 
		 <table class="tableLogin" border="0">
			<tr>
				<th colspan="2">Charakter ausw&auml;hlen</th>
			</tr>
		      <tr>
		        <td class="left">Charakter</td>
		        <td class="left"><select name="user">';
					foreach($users as $single)
					{  echo '<option style="color:'.$single['color'].';" value="'.$single['id'].'"'; if(isset($_REQUEST['user']) && $_REQUEST['user']==$single['id']) echo ' selected="selected"'; echo'>
							'.$single['nick'].'</option>'; }
					echo '</select></td>
		      </tr>
		      <tr>
		      	<th colspan="2"><input type="submit" value="ok" /></th>
		      </tr>
		</table>
		</form>';
		if($deleted)
		{
			//wenn nutzer geloescht wird, kann man in die untere verzweigung nicht mehr eintreten, da man den nutzer nun nicht mehr bearbeiten darf
			//daher hier die Meldung erneut
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
		}
		if(isset($_REQUEST['user']) && $user->canEdit($_REQUEST['user']))
		{
			if(!$deleted)
				echo '<p>&nbsp;</p><p><a href="?site='.$site.'&amp;do=edituser&amp;action=password&amp;user='.(int)$_REQUEST['user'].'">Allgemein</a> | <a href="?site='.$site.'&amp;do=edituser&amp;action=capabilities&amp;user='.(int)$_REQUEST['user'].'">F&auml;higkeiten</a> | <a href="?site='.$site.'&amp;do=edituser&amp;action=plans&amp;user='.(int)$_REQUEST['user'].'">erlernte Pl&auml;ne</a> | <a href="?site='.$site.'&amp;do=edituser&amp;action=inventar&amp;user='.(int)$_REQUEST['user'].'">Ausr&uuml;stung</a> | <a href="?site='.$site.'&amp;do=edituser&amp;action=enchantment&amp;user='.(int)$_REQUEST['user'].'">Verzauberung</a> | <a href="?site='.$site.'&amp;do=edituser&amp;action=behavior&amp;user='.(int)$_REQUEST['user'].'">Kampfverhalten</a> | <a href="?site='.$site.'&amp;do=edituser&amp;action=attr&amp;user='.(int)$_REQUEST['user'].'">Attribute</a>';
			
			//Allgemeine Einstellungen
			if($action == 'password' || !$action)
			{
				
				if($err != "") echo '<p class="err">'.$err.'</p>';
				if($msg != "") echo '<p class="ok">'.$msg.'</p>';
				if(!$deleted && $editUser->loadUser($_REQUEST['user']))
				{
					$times = $editUser->getUpdateTimes();
					echo '
					<form action="?site=management&amp;do=edituser&amp;action=password" method="post">
			
					<table class="tableLogin" border="0">
						<tr>
							<th colspan="2">Charakter bearbeiten</th>
						</tr>
                        <tr>
                        <td class="left">Geschlecht</td>
                        <td class="left">
                            <select name="gender_id" tabindex="5">
                        ';
                            foreach($user->getGenders() AS $gender_id => $gender_name) {
                                $selected = $gender_id == $editUser->getGender() ? ' selected' : '';

                                echo '<option value="' . $gender_id . '"' . $selected . '>' . $gender_name . '</option>';
                            }
                            echo '

                                </select>
                            </td>
                        </tr>
                            <tr>
                              <td class="left">Benutzername</td>
                              <td class="left"><input class="inp1" tabindex="1" type="text" name="username" value="'.$editUser->getNick().'" /></td>
                            </tr>';
                         if(!$editUser->isBot())				   {
                            echo ' 
                            <tr>
                              <td class="left">Passwort</td>
                              <td class="left"><input class="inp1 pwstrengthify" tabindex="2" type="password" name="password1" /></td>
                            </tr>
                            <tr>
                              <td class="left">Passwort wiederholen</td>
                              <td class="left"><input class="inp1" tabindex="3" type="password" name="password2" /></td>
                            </tr>';
                         }
                                      echo '
                                <tr>
                              <td class="left">Charakterlevel</td>
                              <td class="left"><input class="inp2" tabindex="4" type="text" name="lvl" value="'.$editUser->getLvl().'"/></td>
                            </tr>
                            <tr>
                              <td class="left">Volk</td>
                              <td class="left"><select name="folk" tabindex="5">';
                                    $folks = $folk->getFolks();
                                    foreach($folks as $id=>$value)
                                    {
                                            echo '<option value="'.$id.'"'.($editUser->getFolkId()==$id?' selected="selected"':'').'>'.$value['name'].'</option>';
                                    }
                                    echo'</select></td>
                            </tr>
                            <tr>
                                  <td class="left">Klasse</td>
                                  <td class="left"><select name="class" tabindex="6">
                                      <option value="0">falls zutreffend</option>';
                                      $classes = $folk->getClasses();
                                      $count = 0;
                                      foreach($classes as $id=>$values)
                                      {   
                                          if($count == 0) {
                                              echo '<optgroup label="'.$values['groupname'].'">';
                                          }
                                          echo '<option value="'.$id.'"'.($editUser->getClassesClassId()==$id?' selected="selected"':'').'>'.$values['name'].'</option>';
                                          if($count == 5) {
                                              echo '</optgroup>';
                                          }
                                          $count = ($count +1) % 5;
                                      }
                                      echo'</select></td>
                              </tr>
                            <tr>
                              <td class="left">Gilde</td>
                              <td class="left"><select name="guild" tabindex="6">';
                                    $guilds = $guild->getGuilds();
                                    foreach($guilds as $single)
                                    {
                                            echo '<option value="'.$single['id'].'"'.($editUser->getGuId()==$single['id']?' selected="selected"':'').'>'.$single['name'].'</option>';
                                    }
                                    echo'</select></td>
                            </tr>                            
                            <!--<tr>
                              <td class="left">eMail</td>
                              <td class="left"><input class="inp1" tabindex="4" type="text" name="mail" value="'.$editUser->getMail().'" /></td>
                            </tr>-->
                            <tr>
                              <td class="left">Titel</td>
                              <td class="left"><input class="inp1" tabindex="5" type="text" name="titel" value="'.$editUser->getTitel().'" /></td>
                            </tr>
                             <tr>
                              <td class="left" valign="top">Beschreibung/Anmerkung</td>
                              <td class="left"><textarea class="inp1" name="desc" tabindex="7">'.$editUser->getDesc().'</textarea></td>
                            </tr>
                            <tr>
                            <td class="left">Avatar</td>
                            <td class="left"><input class="inp1" tabindex="7" type="text" name="avatar" value="'.$editUser->getAvatar().'" /></td>
                          </tr>
                            <tr>
                              <td class="left">Onlinezeit</td>
                              <td class="left"><input class="inp2 left" tabindex="4" type="text" name="ontime" value="'.$editUser->getOnTime().'"/> Uhr <span class="txt2 hint">(Bsp: 18-23)</span></td>
                            </tr>
                            <tr>
                              <td class="left"><span class="txt">Wanderer (kein Handwerk)</span></td>
                              <td class="left"><input tabindex="6" type="checkbox" name="nowork"'.($editUser->getNoWork()?' checked="checked"':'').' /></td>
                            </tr>
                             <tr>
                              <td class="left" valign="top">Bot <span class="hint txt2">(kann sich nicht anmelden,<br />Passwort entf&auml;llt)</span></td>
                              <td class="left"><input tabindex="8" type="checkbox" name="bot" '.($editUser->isBot()?' checked="checked"':'').'/></td>
                            </tr>';
                         if(!$editUser->isBot())  		
                         {
                            echo '  	
                            <tr>
                              <td class="left">zuletzt aktiv</td>
                              <td class="left"><span class="txt">'.$times['lastaction'].'</span></td>
                            </tr>';
                         }
                            echo '
                            <tr>
                              <td class="left">Stand F&auml;higkeiten</td>
                              <td class="left"><span class="txt">'.$times['caps'].'</span></td>
                            </tr>
                            <tr>
                              <td class="left">Stand Ausr&uuml;stung</td>
                              <td class="left"><span class="txt">'.$times['inv'].'</span></td>
                            </tr>
                            <tr>
                              <td class="left">Stand Kampfverhalten</td>
                              <td class="left"><span class="txt">'.$times['spells'].'</span></td>
                            </tr>
                            <tr>
                              <td class="left"><span class="err">Charakter l&ouml;schen</span></td>
                              <td class="left"><input tabindex="9" type="checkbox" name="del" /></td>
                            </tr>
                            <tr>
                              <th colspan="2"><input type="submit" value="speichern" /></th>
                            </tr>
                      </table>
                      <input type="hidden" name="user" value="'.$editUser->getId().'" />
                      </form>';?>
                      <script>
                           $(document).ready(function() {
                                bindStrenghtify();
                            });     
                      </script>
                <?php
				}
			}
			else if($action == 'capabilities')
			{//F?higkeiten
				if($_POST)
				{
					if($editUser->updateCap($_POST))
						$msg = "Daten gespeichert";
					else
						$err = "Es trat leider ein Fehler beim Speichern auf.";
				}
				
				
				
				if($err != "") echo '<p class="err">'.$err.'</p>';
				if($msg != "") echo '<p class="ok">'.$msg.'</p>';
				
				echo '
				<div style="width:690px; margin:0 auto;">
					<div style="float:left; margin-right:10px;">
						<form action="?site='.$site.'&amp;do=edituser&amp;action=capabilities" method="post">
						
						<table class="resultT4" border="0">
						<tr>
							<th>Fertigkeiten</th>
						</tr>
						<tr>
					      	<td><div class="ithleft txt2"><strong>Aktiv&nbsp;&nbsp;&nbsp;F&auml;higkeit</strong></div><div class="ithright txt2"><strong>Wirkung&nbsp;&nbsp;&nbsp;&nbsp;Stufe</strong>&nbsp;&nbsp;</div></td>
					      </tr>
					      ';
							$uc = $editUser->getUsersCapabilities(1);
							$i = 1;
							foreach($uc as $key=>$value)
							{					
								echo '<tr><td>';
								echo '<div class="itleft"><span class="txt2">
										<input class="inp2" type="checkbox" name="mw'.$value['id'].'"'.($value['mainwork']?' checked="checked"':'').' />
										'.$key.'</span></div>
									  <div class="itright">
                                                                          <input type="text" class="inp2" name="eff'.$i.'" value="'.(is_null($value['effect']) ? '1.00' : $value['effect']).'" />
                                                                          <input type="text" class="inp2" name="lvl'.$i.'" value="'.(int)$value['value'].'" />
									  <input type="hidden" name="c'.$value['id'].'" value="'.$value['id'].'" /></div>';
									
								$i++;
								echo '</td></tr>';
							}
					        
					      echo '
					      	
					      <tr>
					      	<th></th>
					      </tr>
						</table>
					</div>';
			      
			   echo '
					<div>
												
						<table class="resultT4" border="0">
						<tr>
							<th>Handwerk</th>
						</tr>
						<tr>
					      	<td><div class="ithleft txt2"><strong>Aktiv&nbsp;&nbsp;&nbsp;F&auml;higkeit</strong></div><div class="ithright txt2"><strong>Wirkung&nbsp;&nbsp;&nbsp;&nbsp;Stufe</strong>&nbsp;&nbsp;</div></td>
					      </tr>
					      ';
							$uc = $editUser->getUsersCapabilities(0);
			   				//$i = 1;
							foreach($uc as $key=>$value)
							{					
								echo '<tr><td>';
								echo '<div class="itleft"><span class="txt2">
										<input class="inp2" type="checkbox" name="mw'.$value['id'].'"'.($value['mainwork']?' checked="checked"':'').' />
										'.$key.'</span></div>
									  <div class="itright">
                                                                          <input type="text" class="inp2" name="eff'.$i.'" value="'.(is_null($value['effect']) ? '1.00' : $value['effect']).'" />
                                                                          <input type="text" class="inp2" name="lvl'.$i.'" value="'.(int)$value['value'].'" />
									  <input type="hidden" name="c'.$value['id'].'" value="'.$value['id'].'" /></div>';
									
								$i++;
								echo '</td></tr>';
							}
					        
					      echo '
					      	
					      <tr>
					      	<th></th>
					      </tr>
						</table>
						<p><input type="submit" value="speichern" /></p>
						<input type="hidden" name="user" value="'.(int)$_REQUEST['user'].'" />
						</form>
					</div>
				</div>';
			}
			else if($action == 'plans')
			{//Pl?ne
				if($_POST)
				{
					if($editUser->updatePlans($_POST))
						$msg = "Daten gespeichert";
					else
						$err = "Es trat leider ein Fehler beim Speichern auf.";
				}
				
				$uc = $editUser->getPlansForUser();
				
				echo '<p>Hier kann entsprechend der F&auml;higkeiten eingestellt werden, welche Pl&auml;ne breits erlent worden</p>';
				
				if($err != "") echo '<p class="err">'.$err.'</p>';
				if($msg != "") echo '<p class="ok">'.$msg.'</p>';
				
				echo '
				<form action="?site='.$site.'&amp;do=edituser&amp;action=plans" method="post">
				
				<table class="resultT2" border="0">
				<tr>
					<th>&Uuml;bersicht</th>
				</tr>
				<tr>
			      	<td><div class="ithleft txt"><strong>Plan</strong></div><div class="ithright txt"><strong>Erlernt</strong>&nbsp;&nbsp;</div></td>
			      </tr>
			      ';
					$i = 1;
					foreach($uc as $key=>$value)
					{					
						echo '<tr><td><span class="txt"><strong>'.$key.'</strong></span><br />';
						echo '<input type="hidden" name="cid'.$value['cid'].'" value="'.$value['cid'].'" />';
						foreach($value as $key2=>$val2)
						{
							if($key2 != 'cid')
							{
								echo '<div class="itleft left" style="min-width:150px;"><span class="txt"><a class="altmag" title="Stufe: '.$val2['lvl'].'">'.$key2.'</a></span></div>
								  <div class="itright"><input type="checkbox" class="inp2" name="iid'.$val2['iid'].'" value="'.$val2['iid'].'"'.($val2['active']?' checked="checked"':'').' />
								  <input type="hidden" name="name'.$val2['iid'].'" value="'.$key2.'" /></div>
								  ';
							}
						}
							
						$i++;
						echo '</td></tr>';
					}
			        
			      echo '
			      	
			      <tr>
			      	<th><input type="submit" value="speichern" /></th>
			      </tr>
				</table>
				<input type="hidden" name="user" value="'.(int)$_REQUEST['user'].'" />
				</form>';
			}
			else if($action == 'attr')
			{
                            include 'settings/attributes.php';
			}
			else if($action == 'behavior')
			{   
                            //Kampfverhalten
                            include 'settings/behavior.php';
			}
			else if($action == 'inventar')
			{
			    include 'settings/inventar.php';
			}
			else if($action == 'enchantment')
			{
				require_once 'classes/item.class.php';
				$items = new Item();
				
				if($_POST)
				{
					if($editUser->updateEnchantments($editUser->getUId(),$_POST['head'],$_POST['body'],$_POST['hand'],$_POST['leg'],$_POST['feet'],$_POST['nk1'],$_POST['nk2'],$_POST['fk']))
						$msg = "Daten gespeichert";
					else
						$err = "Es trat leider ein Fehler beim Speichern auf.";
					//$user->loadUser($user->getUId());
				}
				
				$userItems = $editUser->getUsersEnchantments();
				$inventar = $editUser->getUsersInventar();
				$inv = $items->getEnchantments();
				
				echo '<p>&nbsp;</p>';
				
				if($err != "") echo '<p class="err">'.$err.'</p>';
				if($msg != "") echo '<p class="ok">'.$msg.'</p>';
				
				echo '
				<form action="?site='.$site.'&amp;do=edituser&amp;action=enchantment" method="post">
				
				<table class="tableGroup2" border="0" style="width:500px;">
				<tr>
					<th colspan="2" style="padding:2px 5px 2px 5px;">R&uuml;stung</th>
				</tr>
				<tr>
					<td class="txt3" style="width:20%; padding:0;">Kopf</td>
					<td class="txt3 left" style="padding:2px 5px 2px 5px;">
					<select class="txt3" name="head" style="width:100%;">
						<option value="0"'.($editUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
					$invItem = $editUser->getItemForType($inventar,1);
					//wenn an aktueller Position auch etwas anliegt
					if($invItem['iid'] > 0)
					{
						$type = "";
						$curItem = $editUser->getItemForType($userItems,1);
						foreach($inv as $single)
						{
							if($type != $single['typename'])
							{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
							echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
								Gegenstand '.$single['name'].' ('.$single['description'].')
								</option>';
						}
					}
					echo '</select></td>
				</tr>
				<tr>
					<td class="txt3" style="padding:2px 5px 2px 5px;">Torso</td>
					<td class="txt3 left" style="padding:2px 5px 2px 5px;">
					<select class="txt3" name="body" style="width:100%;">
						<option value="0"'.($editUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
					$invItem = $editUser->getItemForType($inventar,2);
					//wenn an aktueller Position auch etwas anliegt
					if($invItem['iid'] > 0)
					{
						$type = "";
						$curItem = $editUser->getItemForType($userItems,2);
						foreach($inv as $single)
						{
							if($type != $single['typename'])
							{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
							echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
								Gegenstand '.$single['name'].' ('.$single['description'].')
								</option>';
						}
					}
					
					echo '</select></td>
				</tr>
				<tr>
					<td class="txt3" style="padding:2px 5px 2px 5px;">H&auml;nde</td>
					<td class="txt3 left" style="padding:2px 5px 2px 5px;">
					<select class="txt3" name="hand" style="width:100%;">
						<option value="0"'.($editUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
					$invItem = $editUser->getItemForType($inventar,3);
					//wenn an aktueller Position auch etwas anliegt
					if($invItem['iid'] > 0)
					{
						$type = "";
						$curItem = $editUser->getItemForType($userItems,3);
						foreach($inv as $single)
						{
							if($type != $single['typename'])
							{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
							echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
								Gegenstand '.$single['name'].' ('.$single['description'].')
								</option>';
						}
					}
					
					echo '</select></td>
				</tr>
				<tr>
					<td class="txt3" style="padding:2px 5px 2px 5px;">Beine</td>
					<td class="txt3 left" style="padding:2px 5px 2px 5px;">
					<select class="txt3" name="leg" style="width:100%;">
						<option value="0"'.($editUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
					$invItem = $editUser->getItemForType($inventar,4);
					//wenn an aktueller Position auch etwas anliegt
					if($invItem['iid'] > 0)
					{
						$type = "";
						$curItem = $editUser->getItemForType($userItems,4);
						foreach($inv as $single)
						{
							if($type != $single['typename'])
							{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
							echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
								Gegenstand '.$single['name'].' ('.$single['description'].')
								</option>';
						}
					}
					
					echo '</select></td>
				</tr>
				<tr>
					<td class="txt3" style="padding:2px 5px 2px 5px;">F&uuml;&szlig;e</td>
					<td class="txt3 left" style="padding:2px 5px 2px 5px;">
					<select class="txt3" name="feet" style="width:100%;">
						<option value="0"'.($editUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
					$invItem = $editUser->getItemForType($inventar,5);
					//wenn an aktueller Position auch etwas anliegt
					if($invItem['iid'] > 0)
					{
						$type = "";
						$curItem = $editUser->getItemForType($userItems,5);
						foreach($inv as $single)
						{
							if($type != $single['typename'])
							{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
							echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
								Gegenstand '.$single['name'].' ('.$single['description'].')
								</option>';
						}
					}
					
					echo '</select></td>
				</tr>
				<tr>
					<th colspan="2" style="padding:2px 5px 2px 5px;">Nahkampf</th>
				</tr>
				<tr>
					<td class="txt3" style="width:15%; padding:0;">Hand</td>
					<td class="txt3 left" style="padding:2px 5px 2px 5px;">
					<select class="txt3" name="nk1" style="width:100%;">
						<option value="0"'.($editUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
					$invItem = $editUser->getItemForType($inventar,6);
					//wenn an aktueller Position auch etwas anliegt
					if($invItem['iid'] > 0)
					{
						$type = "";
						$curItem = $editUser->getItemForType($userItems,6);
						foreach($inv as $single)
						{
							if($type != $single['typename'])
							{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
							echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
								Gegenstand '.$single['name'].' ('.$single['description'].')
								</option>';
						}
					}
					
					echo '</select></td>
				</tr>
				<tr>
					<td class="txt3" style="padding:2px 5px 2px 5px;">Hand</td>
					<td class="txt3 left" style="padding:2px 5px 2px 5px;">
					<select class="txt3" name="nk2" style="width:100%;">
						<option value="0"'.($editUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
					$invItem = $editUser->getItemForType($inventar,7);
					//wenn an aktueller Position auch etwas anliegt
					if($invItem['iid'] > 0)
					{
						$type = "";
						$curItem = $editUser->getItemForType($userItems,7);
						foreach($inv as $single)
						{
							if($type != $single['typename'])
							{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
							echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
								Gegenstand '.$single['name'].' ('.$single['description'].')
								</option>';
						}
					}
					
					echo '</select></td>
				</tr>
				<tr>
					<th colspan="2" style="padding:2px 5px 2px 5px;">Fernkampf</th>
				</tr>
				<tr>
					<td class="txt3" style="width:15%; padding:0;">Fernwaffe</td>
					<td class="txt3 left" style="padding:2px 5px 2px 5px;">
					<select class="txt3" name="fk" style="width:100%;">
						<option value="0"'.($editUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
					$invItem = $editUser->getItemForType($inventar,8);
					//wenn an aktueller Position auch etwas anliegt
					if($invItem['iid'] > 0)
					{
						$type = "";
						$curItem = $editUser->getItemForType($userItems,8);
						foreach($inv as $single)
						{
							if($type != $single['typename'])
							{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
							echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
								Gegenstand '.$single['name'].' ('.$single['description'].')
								</option>';
						}
					}
					
					echo '</select></td>
				</tr>
				';
			        
			      echo '
			      	
			      <tr>
			      	<th colspan="2"><input type="submit" value="speichern" /></th>
			      </tr>
				</table>
				<input type="hidden" name="user" value="'.(int)$_REQUEST['user'].'" />
				</form>';
			}
		}
	}
	else if($do == 'group')
	{
		require_once('classes/group.class.php');
		$group = new Group($user);
                $gr = $_POST['gr'] ?? "";
		
		//Gruppe hinzuf?gen
		if($action == 'add')
		{
			if($_POST)
			{
				if($_POST['name'] == "")	$err = "Der Gruppenname muss gesetzt sein.";
				if($err == "")
				{
					if($group->addGroup($_POST['name']))
						$msg = "Gruppe erstellt.";
					else 
						$err = "Es trat leider ein Fehler beim Erstellen auf.";
				}
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			echo '
			<form action="?site='.$site.'&amp;do=group&amp;action=add" method="post">
			<table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Gruppe hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Name</td>
			        <td class="left"><input class="inp1" tabindex="1" type="text" name="name" /></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="speichern" /></th>
			      </tr>
			</table></form>';
		}
		
		//Gruppe umbennen
		if($action == 'rename' && $_REQUEST['gr'])
		{
			
			if($_POST)
			{
				if($_POST['name'] == "")	$err = "Der Gruppenname muss gesetzt sein.";
				if($err == "")
				{
					if($group->updateGroup($_REQUEST['gr'], $_POST['name']))
						$msg = "Gruppename ge&auml;ndert.";
					else 
						$err = "Es trat leider ein Fehler beim &Auml;ndern auf.";
				}
			}
			
			$regr = $group->loadGroup($_REQUEST['gr']);
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			echo '
			<form action="?site='.$site.'&amp;do=group&amp;action=rename" method="post">
			<table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Gruppe umbenennen</th>
				</tr>
			      <tr>
			        <td class="left">Name</td>
			        <td class="left"><input class="inp1" tabindex="1" type="text" name="name" value="'.$regr['name'].'" /></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="speichern" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$regr['id'].'" /></form>';
		}
		
		//fragen, ob gruppe gel?scht werden soll
		if($action == 'deletegr' && $_REQUEST['gr'])
		{
			echo '<p>&nbsp;</p><form action="?site='.$site.'&amp;do=group" method="post">
			 <table class="tableLogin" border="0">
				<tr>
					<th>Gruppe l&ouml;schen</th>
				</tr>
			      <tr>
			        <td class="left"><span class="err">Diese Gruppe wirklich l&ouml;schen?</span></td>
			      </tr>
			      <tr>
			      	<th><input type="submit" value="ja" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			<input type="hidden" name="action" value="dodelgr" />
			 </form>';
		}
		
		//Gruppe l?schen
		if($gr && $actionPost == 'dodelgr')
		{
			if($group->deleteGroup($gr))
				echo '<p class="ok">Gruppe gel&ouml;scht</p>';
			else 
				echo '<p class="err">Fehler beim L&ouml;schen der Gruppe</p>';
		}
		
		//Recht hinzuf?gen
		if($action == 'addright' && $_REQUEST['gr'])
		{
			if($_POST['site'])
			{
				if($group->addRightToGroup($_REQUEST['gr'], $_POST['site']))
					$msg = "Zugriffsrecht hinzugef&uuml;gt.";
				else 
					$err = "Es trat leider ein Fehler beim Hinzuf&uuml;gen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$sites = $group->getSitesNotInGroup($_REQUEST['gr']);
			echo '<form action="?site='.$site.'&amp;do=group&amp;action=addright" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Zugriffsrecht hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Zugriffsrecht</td>
			        <td class="left"><select name="site">';
					//Hauptseiten		
					foreach($sites as $value)
					{  
						echo '<option value="'.$value['id'].'">'.$value['site'].'</option>';					 
					}
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="hinzuf&uuml;gen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		
		//Nutzer hinzufuegen
		if($action == 'adduser' && $_REQUEST['gr'])
		{
			if($_POST['user'])
			{
				if($_POST['user'][0] == '[' && $_POST['user'][strlen($_POST['user'])-1] == ']')
				{	//gilde hinzuf?gen
					$_POST['user'] = substr($_POST['user'], 1, strlen($_POST['user'])-2);
					if($group->addGuildToGroup($_REQUEST['gr'], $_POST['user']))
						$msg = "Gilde hinzugef&uuml;gt.";
					else 
						$err = "Es trat leider ein Fehler beim Hinzuf&uuml;gen auf.";
				}
				else if($group->addUserToGroup($_REQUEST['gr'], $_POST['user']))	//nutzer
					$msg = "Charakter hinzugef&uuml;gt.";
				else 
					$err = "Es trat leider ein Fehler beim Hinzuf&uuml;gen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$users = $group->getUserNotInGroup($_REQUEST['gr']);
			$guilds = $group->getGuildsNotInGroup($_REQUEST['gr']);
			echo '<form action="?site='.$site.'&amp;do=group&amp;action=adduser" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Gilde oder Charakter hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Gilden / Charaktere</td>
			        <td class="left"><select name="user">';
					//gilde
					foreach($guilds as $single)
							{  echo '<option class="italic"  value="['.$single['id'].']">
									['.$single['name'].']</option>'; }
					//nutzer
					foreach($users as $single)
							{  echo '<option value="'.$single['uid'].'">
									'.$single['nick'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="hinzuf&uuml;gen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		
		//Gildenrecht hinzuf?gen
		if($action == 'addguild' && $_REQUEST['gr'])
		{
			if(isset($_POST['guild']))
			{
				$w = 0; $r = 0;
				if(isset($_POST['canread'])) $r = 1;
				if(isset($_POST['canwrite'])) $w = 1;
				if($group->addGuildRightToGroup($_REQUEST['gr'], $_POST['guild'], $r, $w))
					$msg = "Gilde hinzugef&uuml;gt.";
				else 
					$err = "Es trat leider ein Fehler beim Hinzuf&uuml;gen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$guilds = $group->getGuildsNotInGroupRight($_REQUEST['gr']);
			echo '<form action="?site='.$site.'&amp;do=group&amp;action=addguild" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Gilde hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Gilden</td>
			        <td class="left"><select name="guild">';
					foreach($guilds as $single)
							{  echo '<option value="'.$single['id'].'">
									['.$single['name'].']</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<td  colspan="2"><input type="checkbox" name="canread" checked="checked" /> leserecht
			      				  <input type="checkbox" name="canwrite" /> schreibrecht
			      				  </td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="hinzuf&uuml;gen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		
		//Lager hinzuf?gen
		if($action == 'addwh' && $_REQUEST['gr'])
		{
			if($_POST['wh'])
			{
				$w = 0; $r = 0;
				if(isset($_POST['canread'])) $r = 1;
				if(isset($_POST['canwrite'])) $w = 1;
				if($group->addWhToGroup($_REQUEST['gr'], $_POST['wh'], $r, $w))
					$msg = "Lager hinzugef&uuml;gt.";
				else 
					$err = "Es trat leider ein Fehler beim Hinzuf&uuml;gen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$whs = $group->getWhNotInGroup($_REQUEST['gr']);
			echo '<form action="?site='.$site.'&amp;do=group&amp;action=addwh" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Lager hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Lager</td>
			        <td class="left"><select name="wh">';
					foreach($whs as $single)
							{  echo '<option value="'.$single['wid'].'">
									'.$single['name'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="hinzuf&uuml;gen" /></th>
			      </tr>
			      <tr>
			      	<td  colspan="2"><input type="checkbox" name="canread" checked="checked" /> leserecht
			      				  <input type="checkbox" name="canwrite" /> schreibrecht
			      				  </td>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		
		//Recht entfernen
		if($action == 'deleteright' && $_REQUEST['gr'])
		{
			if($_POST['site'])
			{
				if($group->deleteRightByGroup($_REQUEST['gr'], $_POST['site']))
					$msg = "Zugriffsrecht entfernt.";
				else 
					$err = "Es trat leider ein Fehler beim Entfernen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$sites = $group->getSitesForGroup($_REQUEST['gr']);
			echo '<form action="?site='.$site.'&amp;do=group&amp;action=deleteright" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Zugriffsrecht aus Gruppe entfernen</th>
				</tr>
			      <tr>
			        <td class="left">Zugriffsrechte</td>
			        <td class="left"><select name="site">';
					//Hauptseiten		
					foreach($sites as $value)
					{  
						echo '<option value="'.$value['id'].'">'.$value['site'].'</option>';					 
					}
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="entfernen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		
		//Nutzer entfernen
		if($action == 'deleteuser' && $_REQUEST['gr'])
		{
			if($_POST['user'])
			{
				if($_POST['user'][0] == '[' && $_POST['user'][strlen($_POST['user'])-1] == ']')
				{	//gilde entfernen
					$_POST['user'] = substr($_POST['user'], 1, strlen($_POST['user'])-2);
					if($group->deleteGuildByGroup($_REQUEST['gr'], $_POST['user']))
						$msg = "Gilde entfernt.";
					else 
						$err = "Es trat leider ein Fehler beim Entfernen auf.";
				}
				else if($group->deleteUserByGroup($_REQUEST['gr'], $_POST['user']))
					$msg = "Charakter entfernt.";
				else 
					$err = "Es trat leider ein Fehler beim Entfernen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$users = $group->getUserByGroup($_REQUEST['gr']);
			$guilds = $group->getGuildsByGroup($_REQUEST['gr']);
			echo '<form action="?site='.$site.'&amp;do=group&amp;action=deleteuser" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Gilde/Charakter aus Gruppe entfernen</th>
				</tr>
			      <tr>
			        <td class="left">Gilden / Charaktere</td>
			        <td class="left"><select name="user">';
					//gilde
					foreach($guilds as $single)
							{  echo '<option class="italic" value="['.$single['guid'].']">
									['.$single['name'].']</option>'; }
					//nutzer
					foreach($users as $single)
							{  echo '<option value="'.$single['uid'].'">
									'.$single['nick'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="entfernen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		
		//Gildenrecht entfernen
		if($action == 'deleteguild' && $_REQUEST['gr'])
		{
			if($_POST['guild'])
			{
				if($group->deleteGuildRightByGroup($_REQUEST['gr'], $_POST['guild']))
					$msg = "Gilde entfernt.";
				else 
					$err = "Es trat leider ein Fehler beim Entfernen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$guilds = $group->getGuildRightsByGroup($_REQUEST['gr']);
			echo '<form action="?site='.$site.'&amp;do=group&amp;action=deleteguild" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Gilde entfernen</th>
				</tr>
			      <tr>
			        <td class="left">Gilde</td>
			        <td class="left"><select name="guild">';
					//gilde
					foreach($guilds as $single)
							{  echo '<option class="italic" value="'.$single['guid'].'">
									['.$single['name'].']</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="entfernen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		
		//Lager entfernen
		if($action == 'deletewh' && $_REQUEST['gr'])
		{
			if($_POST['wh'])
			{
				if($group->deleteWhForGroup($_REQUEST['gr'], $_POST['wh']))
					$msg = "Lager entfernt.";
				else 
					$err = "Es trat leider ein Fehler beim Entfernen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$whs = $group->getWarehousesByGroup($_REQUEST['gr']);
			echo '<form action="?site='.$site.'&amp;do=group&amp;action=deletewh" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Lager aus Gruppe entfernen</th>
				</tr>
			      <tr>
			        <td class="left">Lager</td>
			        <td class="left"><select name="wh">';
					foreach($whs as $single)
							{  echo '<option value="'.$single['wid'].'">
									'.$single['name'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="entfernenn" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		
		$grs = $group->getGroups();
		echo '<p>&nbsp;</p><p>Befindet sich ein Charakter in mehreren Gruppen und hat in einer der Gruppen das Recht, <br />eine Seite zu betreten, so darf er die Seite betreten, <br />egal ob in einer anderen Gruppe das Recht daf?r gesetzt wurde.';
		
		echo '
		<link rel="stylesheet" type="text/css" href="css/humanity/'.JQUERY_UI_CSS.'" />
		<table class="tableGroup1" border="0">
			<tr>
				<th colspan="5">Gruppen</th>
			</tr>
			<tr>
				<td class="left" style="min-width:140px;"><strong>Name</strong></td>
				<td class="left" style="min-width:120px;"><strong>Zugriffsrecht</strong></td>
				<td class="left"><strong>Gilden/Charaktere</strong></td>
				<td class="left" style="min-width:120px;"><strong>Zugriff auf Lager</strong></td>
				<td class="left" style="min-width:120px;"><strong>Zugriff auf Gilde</strong></td>
			</tr>';
		foreach($grs as $single)
		{
			$gus = $group->getUserByGroup($single['id']);
			$ggs = $group->getGuildsByGroup($single['id']);
			$grs = $group->getGuildRightsByGroup($single['id']);
			$gws = $group->getWarehousesByGroup($single['id']);
			echo '<tr>';
			echo '<td class="left txt2"><a href="?site='.$site.'&amp;do=group&amp;action=rename&amp;gr='.$single['id'].'">'.$single['name'].'</a><br />
				<a href="?site='.$site.'&amp;do=group&amp;action=deletegr&amp;gr='.$single['id'].'"><img src="images/delete.gif" alt="l&ouml;schen" title="l&ouml;schen" /></a></td>';
			echo '<td class="left txt2"><div style="height: 80px; overflow:hidden; position: relative;">
					<div id="showmore1info" class="showmoreinfo" onclick="showHide(this);" data-gid="'.$single['id'].'">
						<span class="ui-icon ui-icon-caret-1-s arrtop"></span>
						<span class="ui-icon ui-icon-caret-1-s arrbot"></span>
					</div><br />'; 
					$sites = $group->getSitesForGroup($single['id']);
					foreach($sites as $sub)
					{
						echo $sub['site']."<br />";
					}
					/*foreach($sites as $sub=>$value)
					{  
						echo $sub.'<br />';
						
						//Unterseiten
						foreach($value as $subsite=>$val)
						{
							if($subsite != "id" && $subsite != "gid")
							{
							echo '&nbsp;&nbsp;&nbsp;<i>'.$subsite.'</i><br />';
							}
						}						 
					}*/
					echo '</div><br />
					<a href="?site='.$site.'&amp;do=group&amp;action=addright&amp;gr='.$single['id'].'" class="add"><img src="images/plus.png" alt="hinzuf&uuml;gen" title="hinzuf&uuml;gen" /></a>
					<a href="?site='.$site.'&amp;do=group&amp;action=deleteright&amp;gr='.$single['id'].'" class="del"><img src="images/delete.gif" alt="l&ouml;schen" title="l&ouml;schen" /></a></td>';
			echo '<td class="left txt2">';
			$cggs = count($ggs); $i = 0;
			foreach($ggs as $gu) 
			{
				echo '[<span class="italic">'.$gu['name'].'</span>]';
				if($i != $cggs-1)
					echo ', ';
				$i++;
			}
			$cgus = count($gus); $i = 0;
			if($cggs > 0 && $cgus > 0)	echo ', ';
			foreach($gus as $gu) 
			{
				echo $gu['nick'];
				if($i != $cgus-1)
					echo ', ';
				$i++;
			}
			
			echo'<br /><a href="?site='.$site.'&amp;do=group&amp;action=adduser&amp;gr='.$single['id'].'"><img src="images/plus.png" alt="hinzuf&uuml;gen" title="hinzuf&uuml;gen" /></a> 
							<a href="?site='.$site.'&amp;do=group&amp;action=deleteuser&amp;gr='.$single['id'].'"><img src="images/delete.gif" alt="l&ouml;schen" title="l&ouml;schen" /></a>
							</td>';
			//Zugriff auf Lager
			echo '<td class="left txt2">';
			$cgws = count($gws); $i = 0;
			foreach($gws as $gu) 
			{
				$title = ($gu['canread']?'leserecht ':'').($gu['canwrite']?'schreibrecht':'');
				echo '<a class="alt" style="cursor:pointer;" title="'.$title.'">['.$gu['name'].']</a>';
				if($i != $cgws-1)
					echo '<br />';
				$i++;
			}
			echo'<br /><a href="?site='.$site.'&amp;do=group&amp;action=addwh&amp;gr='.$single['id'].'"><img src="images/plus.png" alt="hinzuf&uuml;gen" title="hinzuf&uuml;gen" /></a> 
							<a href="?site='.$site.'&amp;do=group&amp;action=deletewh&amp;gr='.$single['id'].'"><img src="images/delete.gif" alt="l&ouml;schen" title="l&ouml;schen" /></a>
							</td>';
			//Zugriff auf Gilde
			echo '<td  class="left txt2">';
			$cgrs = count($grs); $i = 0;
			foreach($grs as $gu) 
			{
				$title = ($gu['canread']?'leserecht ':'').($gu['canwrite']?'schreibrecht':'');
				echo '<a class="alt" style="cursor:pointer;" title="'.$title.'">['.$gu['name'].']</a>';
				if($i != $cgrs-1)
					echo '<br />';
				$i++;
			}			
			echo '			<br /><a href="?site='.$site.'&amp;do=group&amp;action=addguild&amp;gr='.$single['id'].'"><img src="images/plus.png" alt="hinzuf&uuml;gen" title="hinzuf&uuml;gen" /></a> 
							<a href="?site='.$site.'&amp;do=group&amp;action=deleteguild&amp;gr='.$single['id'].'"><img src="images/delete.gif" alt="l&ouml;schen" title="l&ouml;schen" /></a>
							</td>';
			echo ' 
			</tr>';
		}
		echo '
		<tr>
				<th colspan="5"><a href="?site='.$site.'&amp;do=group&amp;action=add">Gruppe hinzuf&uuml;gen</a></th>
			</tr>
		</table>
		
		<script type="text/javascript">
			function showHide(elm)
			{
				$parent = $(elm).parent();
				if($parent.css("overflow") == "hidden")
				{
					$parent.css("overflow", "visible").css("height", "100%");
					$(elm).find("span").removeClass("ui-icon-caret-1-s").addClass("ui-icon-caret-1-n");
					/*$addLink = $parent.parent().children("a:first");
					$add = "&amp;show="+$(elm).attr("data-gid");
					$newLink = $addLink.attr("href") + */					
				}
				else
				{
					$parent.css("overflow", "hidden").animate({"height": "80px"}, 500);
					$(elm).find("span").removeClass("ui-icon-caret-1-n").addClass("ui-icon-caret-1-s");
				}
			}
			$(document).ready(function()
			{
			
			});
		</script>';
	}
	else if($do == 'guild')
	{
		require_once('classes/guild.class.php');
                require_once 'classes/enums/EGWorld.enum.php';
		$guild = new Guild($user);
                $gr = $_POST['gr'] ?? "";
		
		echo '<link rel="stylesheet" type="text/css" href="css/colorpicker.css" />
			  <script type="text/javascript" src="js/colorpicker.js"></script>';
		
		//Gruppe hinzuf?gen
		if($action == 'add')
		{
			if($_POST)
			{
				if($_POST['name'] == "" || $_POST['short'] == "")	$err = "Bitte alle Felder ausf&uuml;llen";
                                $autoCap = (isset($_POST['auto_cap']) ? 1 : 0);
				if($err == "" && preg_match("/#[0-9a-f]{6}/i", $_POST['color']))
				{
					if($guild->addGuild($_POST['name'], $_POST['color'], $_POST['short'], $autoCap, $_POST['world']))
						$msg = "Gilde erstellt.";
					else 
						$err = "Es trat leider ein Fehler beim Erstellen auf.";
				}
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			echo '
			<form action="?site='.$site.'&amp;do=guild&amp;action=add" method="post">
			<table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Gilde hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Name</td>
			        <td class="left"><input class="inp1" tabindex="1" type="text" name="name" /></td>
			      </tr>
			      <tr>
			        <td class="left">K&uuml;zel</td>
			        <td class="left">[ <input tabindex="2" type="text" name="short" style="width: 70px;" maxlength="10" /> ]
			        	<span class="hint txt3">max 10 Zeichen<br />Diese Angabe muss identisch mit dem K&uuml;rzel in EG sein!</span>
			        </td>
			      </tr>
                              <tr>
			        <td class="left">Aktivt?t der Handwerksf&auml;higkiten automatisch erkennen</td>
			        <td class="left"><input type="checkbox" name="auto_cap" /> 
                                <span class="hint txt3">Durch Auswertung des Lagerprotokolls wird Status der Nutzer automatisch auf aktiv/inaktiv gesetzt.</span>
			        </td>
			      </tr>
                              <tr>
                                <td class="left">Welt</td>
                                <td class="left"><select name="world">
                                    <option value="'.EGWorld::DUNLADAN.'">Dunladan</option>
                                    <option value="'.EGWorld::ENDURIAS.'">Endurias</option>
                                    <option value="'.EGWorld::ZYRTHANIA.'">Zyrthania</option>
                                    <option value="'.EGWorld::IKANDUR.'">Ikandur</option>
                                    <option value="'.EGWorld::KELORAS.'">Keloras</option>
                                    <option value="'.EGWorld::TESTSERVER.'">Testserver</option>
                                </select></td>
                              </tr>
			      <tr>
			      	<td class="left">Farbe w&auml;hlen</td>
			      	<td class="left"><div id="colorSelector"><div style="background-color: #000000"></div></div></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="speichern" /></th>
			      </tr>
			</table>
			<input type="hidden" name="color" value="#000000" />
			</form>';
		}
		
		//Gruppe umbennen
		if($action == 'rename' && $_REQUEST['gr'])
		{
			
			if($_POST)
			{
				if($_POST['name'] == "" || $_POST['short'] == "")	$err = "Bitte alle Felder ausf&uuml;llen";
                                $autoCap = (isset($_POST['auto_cap']) ? 1 : 0);
				if($err == ""  && preg_match("/#[0-9a-f]{6}/i", $_POST['color']))
				{
					if($guild->updateGuild($_REQUEST['gr'], $_POST['name'], $_POST['color'], $_POST['short'], $autoCap, $_POST['world']))
						$msg = "Gilde ge&auml;ndert.";
					else 
						$err = "Es trat leider ein Fehler beim &Auml;ndern auf.";
				}
			}
			
			$regr = $guild->loadGuild($_REQUEST['gr']);
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			echo '
			<form action="?site='.$site.'&amp;do=guild&amp;action=rename" method="post">
			<table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Gilde umbenennen</th>
				</tr>
			      <tr>
			        <td class="left">Name</td>
			        <td class="left"><input class="inp1" tabindex="1" type="text" name="name" value="'.$regr['name'].'" /></td>
			      </tr>
			      <tr>
			        <td class="left">K&uuml;zel</td>
			        <td class="left">[ <input tabindex="2" type="text" name="short" style="width: 70px;" maxlength="10" value="'.$regr['short'].'" /> ]
			        	<span class="hint txt3">max 10 Zeichen<br />Diese Angabe muss identisch mit dem K&uuml;rzel in EG sein!</span>
			        </td>
			      </tr>
                              <tr>
			        <td class="left">Aktivt&auml;t der Handwerksf&auml;higkiten automatisch erkennen</td>
			        <td class="left"><input type="checkbox" name="auto_cap"'.($regr['auto_cap_active']? ' checked' : '').' /> 
                                <span class="hint txt3">Durch Auswertung des Lagerprotokolls wird Status der Nutzer automatisch auf aktiv/inaktiv gesetzt.</span>
			        </td>
			      </tr>
                              <tr>
                                <td class="left">Welt</td>
                                <td class="left"><select name="world">
                                    <option value="'.EGWorld::DUNLADAN.'"'; if($regr['world'] == EGWorld::DUNLADAN) echo ' selected="selected"'; echo '>Dunladan</option>
                                    <option value="'.EGWorld::ENDURIAS.'"'; if($regr['world'] == EGWorld::ENDURIAS) echo ' selected="selected"'; echo '>Endurias</option>
                                    <option value="'.EGWorld::ZYRTHANIA.'"'; if($regr['world'] == EGWorld::ZYRTHANIA) echo ' selected="selected"'; echo '>Zyrthania</option>
                                    <option value="'.EGWorld::IKANDUR.'"'; if($regr['world'] == EGWorld::IKANDUR) echo ' selected="selected"'; echo '>Ikandur</option>
                                    <option value="'.EGWorld::KELORAS.'"'; if($regr['world'] == EGWorld::KELORAS) echo ' selected="selected"'; echo '>Keloras</option>
                                    <option value="'.EGWorld::TESTSERVER.'"'; if($regr['world'] == EGWorld::TESTSERVER) echo ' selected="selected"'; echo '>Testserver</option>
                                </select></td>
                              </tr>
			      <tr>
			      	<td class="left">Farbe w&auml;hlen</td>
			      	<td class="left"><div id="colorSelector"><div style="background-color: '.$regr['color'].'"></div></div></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="speichern" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$regr['id'].'" />
			<input type="hidden" name="color" value="'.$regr['color'].'" />
			</form>';
		}
		
		//fragen, ob gilde gel?scht werden soll
		if($action == 'deletegr' && $_REQUEST['gr'])
		{
			echo '<p>&nbsp;</p><form action="?site='.$site.'&amp;do=guild" method="post">
			 <table class="tableLogin" border="0">
				<tr>
					<th>Gilde l&ouml;schen</th>
				</tr>
			      <tr>
			        <td class="left"><span class="err">Diese Gilde wirklich l&ouml;schen?</span></td>
			      </tr>
			      <tr>
			      	<th><input type="submit" value="ja" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			<input type="hidden" name="action" value="dodelgr" />
			 </form>';
		}

		//Gruppe l?schen
		if($gr && $actionPost == 'dodelgr')
		{
			if($guild->deleteGuild($gr))
				echo '<p class="ok">Gilde gel&ouml;scht</p>';
			else 
				echo '<p class="err">Fehler beim L&ouml;schen der Gilde</p>';
		}
		
		//Recht hinzuf?gen
		if($action == 'addright' && $_REQUEST['gr'])
		{
			if($_POST['site'])
			{
				if($guild->addRightToGroup($_REQUEST['gr'], $_POST['site']))
					$msg = "Zugriffsrecht hinzugef&uuml;gt.";
				else 
					$err = "Es trat leider ein Fehler beim Hinzuf&uuml;gen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$sites = $guild->getSitesNotInGroup($_REQUEST['gr']);
			echo '<form action="?site='.$site.'&amp;do=group&amp;action=addright" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Zugriffsrecht hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Zugriffsrecht</td>
			        <td class="left"><select name="site">';
					foreach($sites as $single)
							{  echo '<option value="'.$single['sid'].'">
									'.$single['site'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="hinzuf&uuml;gen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		
		//Nutzer hinzufuegen
		if($action == 'adduser' && $_REQUEST['gr'])
		{
			if($_POST['user'])
			{
				if($guild->addUserToGuild($_REQUEST['gr'], $_POST['user']))
					$msg = "Charakter hinzugef&uuml;gt.";
				else 
					$err = "Es trat leider ein Fehler beim Hinzuf&uuml;gen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$users = $guild->getUserNotInGuild($_REQUEST['gr']);
			echo '<form action="?site='.$site.'&amp;do=guild&amp;action=adduser" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Charakter hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Charaktere</td>
			        <td class="left"><select name="user">';
					foreach($users as $single)
							{  echo '<option value="'.$single['uid'].'">
									'.$single['nick'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="hinzuf&uuml;gen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		
		//Recht entfernen
		if($action == 'deleteright' && $_REQUEST['gr'])
		{
			if($_POST['site'])
			{
				if($guild->deleteRightByGroup($_REQUEST['gr'], $_POST['site']))
					$msg = "Zugriffsrecht entfernt.";
				else 
					$err = "Es trat leider ein Fehler beim Entfernen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$sites = $guild->getRightsByGroup($_REQUEST['gr']);
			echo '<form action="?site='.$site.'&amp;do=group&amp;action=deleteright" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Zugriffsrecht aus Gruppe entfernen</th>
				</tr>
			      <tr>
			        <td class="left">Zugriffsrechte</td>
			        <td class="left"><select name="site">';
					foreach($sites as $single)
							{  echo '<option value="'.$single['sid'].'">
									'.$single['site'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="entfernen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		
		//Nutzer entfernen
		if($action == 'deleteuser' && $_REQUEST['gr'])
		{
			if($_POST['user'])
			{
				if($guild->deleteUserFromGuilds($_POST['user']))
					$msg = "Charakter entfernt.";
				else 
					$err = "Es trat leider ein Fehler beim Entfernen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$users = $guild->getUsersForGuild($_REQUEST['gr']);
			echo '<form action="?site='.$site.'&amp;do=guild&amp;action=deleteuser" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Charakter aus Gilde entfernen</th>
				</tr>
			      <tr>
			        <td class="left">Charaktere</td>
			        <td class="left"><select name="user">';
					foreach($users as $single)
							{  echo '<option value="'.$single['id'].'">
									'.$single['nick'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="entfernen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		
		$grs = $guild->getGuilds();
		echo '<p>&nbsp;</p><p>Jeder Charakter kann immer nur einer Gilde angeh&ouml;hren.';
		echo '
		<table class="tableGroup" border="0">
			<tr>
				<th colspan="2">Gilden</th>
			</tr>
			<tr>
				<td class="left" style="min-width:140px;"><strong>Name</strong></td>
				<td class="left" style="min-width:120px;"><strong>Mitglieder</strong></td>
			</tr>';
		foreach($grs as $single)
		{
			$gus = $guild->getUsersForGuild($single['id']);

			echo '<tr>';
			echo '<td class="left"><a href="?site='.$site.'&amp;do=guild&amp;action=rename&amp;gr='.$single['id'].'">'.$single['name'].'</a><br />
				  <span class="hint">['.$single['short'].']</span><br />
				<a href="?site='.$site.'&amp;do=guild&amp;action=deletegr&amp;gr='.$single['id'].'"><img src="images/delete.gif" alt="l&ouml;schen" title="l&ouml;schen" /></a></td>';
			echo '<td class="left">';
				//Benutzer
				$cgus = count($gus); $i = 0;
				foreach($gus as $gu) 
				{
					echo '<span style="color:'.$single['color'].';">'.$gu['nick'].'</span>';
					if($i != $cgus-1)
						echo ', ';
					$i++;
				}
				echo '<br />
					<a href="?site='.$site.'&amp;do=guild&amp;action=adduser&amp;gr='.$single['id'].'"><img src="images/plus.png" alt="hinzuf&uuml;gen" title="hinzuf&uuml;gen" /></a>
					<a href="?site='.$site.'&amp;do=guild&amp;action=deleteuser&amp;gr='.$single['id'].'"><img src="images/delete.gif" alt="l&ouml;schen" title="l&ouml;schen" /></a></td>';
			echo '</tr>';
		}
		echo '
		<tr>
				<th colspan="2"><a href="?site='.$site.'&amp;do=guild&amp;action=add">Gilde hinzuf&uuml;gen</a></th>
			</tr>
		</table>';
	}
	else if($do == 'managewh')
	{
		require_once('classes/warehouse.class.php');
		require_once('classes/guild.class.php');
                require_once 'classes/enums/EGWorld.enum.php';
                require_once 'classes/enums/WHType.enum.php';
		$guild = new Guild($user);
		$wh = new Warehouse($user);
		
		//Gruppe hinzuf?gen
		if($action == 'add')
		{
			if($_POST)
			{
				if($_POST['name'] == "")	$err = "Der Lagername muss gesetzt sein.";
				if(!$wh->canAddWh($_POST['guild'], $_POST['parent'], $_POST['type']))	$err = "Jede Gilde darf pro Stadt nur ein Gildenlager besitzen.";
				if($err == "")
				{
					if($wh->addWh($_POST['name'], $_POST['guild'], $_POST['parent'], $_POST['world'], $_POST['type']))
						$msg = "Lager erstellt.";
					else 
						$err = "Es trat leider ein Fehler beim Erstellen auf.";
				}
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			echo '
			<form action="?site='.$site.'&amp;do=managewh&amp;action=add" method="post">
			<table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Lager hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Name</td>
			        <td class="left"><input class="inp1" tabindex="1" type="text" name="name" /></td>
			      </tr>
                              <tr>
                                <td class="left">Typ</td>
                                <td class="left"><select name="type">
                                    <option value="'.WHType::STADTLAGER.'">Stadtlager</option>
                                    <option value="'.WHType::GILDENLAGER.'">Gildenlager</option>
                                    <option value="'.WHType::MARKTSTAND.'">Marktstand</option>
                                </select></td>
                              </tr>
                              <tr>
                                <td class="left">Welt</td>
                                <td class="left"><select name="world">
                                    <option value="'.EGWorld::DUNLADAN.'">Dunladan</option>
                                    <option value="'.EGWorld::ENDURIAS.'">Endurias</option>
                                    <option value="'.EGWorld::ZYRTHANIA.'">Zyrthania</option>
                                    <option value="'.EGWorld::IKANDUR.'">Ikandur</option>
                                    <option value="'.EGWorld::KELORAS.'">Keloras</option>
                                    <option value="'.EGWorld::TESTSERVER.'">Testserver</option>
                                </select></td>
                              </tr>
				  <tr>
					<td class="left">Besitzergilde</td>
					<td class="left"><select name="guild" tabindex="6">';
											$guilds = $guild->getGuilds();
											foreach($guilds as $single)
											{
												echo '<option value="'.$single['id'].'">'.$single['name'].'</option>';
											}
							echo'		</select></td>
				  </tr>
				  <tr>
					<td class="left">&Uuml;bergeordnete Stadt/Lager</td>
					<td class="left"><select name="parent" tabindex="6">';
											echo '<option value="0"></option>
												<option disabled="disabled">---------------</option>';
											$whs = $wh->getWHsByType(WHType::STADTLAGER);
											foreach($whs as $single)
											{
												echo '<option value="'.$single['wid'].'">'.$single['whname'].'</option>';
											}
							echo'		</select></td>
				  </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="speichern" /></th>
			      </tr>
			</table></form>';
		}
		
		//fragen, ob Lager geloescht werden soll
		if($action == 'deletewh' && $_REQUEST['delwh'])
		{
			echo '<p>&nbsp;</p><form action="?site='.$site.'&amp;do=managewh" method="post">
			 <table class="tableLogin" border="0">
				<tr>
					<th>Gruppe l&ouml;schen</th>
				</tr>
			      <tr>
			        <td class="left"><span class="err">Dieses Lager wirklich l&ouml;schen?</span></td>
			      </tr>
			      <tr>
			      	<th><input type="submit" value="ja" /></th>
			      </tr>
			</table>
			<input type="hidden" name="delwh" value="'.(int)$_REQUEST['delwh'].'" />
			<input type="hidden" name="action" value="dodelwh" />
			 </form>';
		}
		
		//Lager l?schen
		if($_POST['delwh'] && $actionPost == 'dodelwh')
		{
			if($wh->delWh($_POST['delwh']))
				echo '<p class="ok">Lager gel&ouml;scht</p>';
			else 
				echo '<p class="err">Fehler beim L&ouml;schen des Lagers</p>';
		}
		
		//Lager umbennen
		if($action == 'rename' && $_REQUEST['rewh'])
		{
			
			if($_POST)
			{
				if($_POST['name'] == "")	$err = "Der Lagername muss gesetzt sein.";
				if(!$wh->canAddWh($_POST['guild'], $_POST['parent'], $_POST['type'], $_POST['rewh']))	$err = "Jede Gilde darf pro Stadt nur ein Gildenlager besitzen.";
				if($err == "")
				{
					if($wh->renameWh($_REQUEST['name'], $_POST['rewh'], $_POST['guild'], $_POST['parent'], $_POST['world'], $_POST['type']))
						$msg = "Lagername ge&auml;ndert.";
					else 
						$err = "Es trat leider ein Fehler beim &Auml;ndern auf.";
				}
			}
			
			$regr = $wh->getWH($_REQUEST['rewh']);
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			echo '
			<form action="?site='.$site.'&amp;do=managewh&amp;action=rename" method="post">
			<table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Lager umbenennen</th>
				</tr>
			      <tr>
			        <td class="left">Name</td>
			        <td class="left"><input class="inp1" tabindex="1" type="text" name="name" value="'.$regr['name'].'" /></td>
			      </tr>
                              <tr>
                                <td class="left">Typ</td>
                                <td class="left"><select name="type">
                                    <option value="'.WHType::STADTLAGER.'"'; if($regr['type'] == WHType::STADTLAGER) echo ' selected="selected"'; echo '>Stadtlager</option>
                                    <option value="'.WHType::GILDENLAGER.'"'; if($regr['type'] == WHType::GILDENLAGER) echo ' selected="selected"'; echo '>Gildenlager</option>
                                    <option value="'.WHType::MARKTSTAND.'"'; if($regr['type'] == WHType::MARKTSTAND) echo ' selected="selected"'; echo '>Marktstand</option>
                                </select></td>
                              </tr>
                              <tr>
                                <td class="left">Welt</td>
                                <td class="left"><select name="world">
                                    <option value="'.EGWorld::DUNLADAN.'"'; if($regr['world'] == EGWorld::DUNLADAN) echo ' selected="selected"'; echo '>Dunladan</option>
                                    <option value="'.EGWorld::ENDURIAS.'"'; if($regr['world'] == EGWorld::ENDURIAS) echo ' selected="selected"'; echo '>Endurias</option>
                                    <option value="'.EGWorld::ZYRTHANIA.'"'; if($regr['world'] == EGWorld::ZYRTHANIA) echo ' selected="selected"'; echo '>Zyrthania</option>
                                    <option value="'.EGWorld::IKANDUR.'"'; if($regr['world'] == EGWorld::IKANDUR) echo ' selected="selected"'; echo '>Ikandur</option>
                                    <option value="'.EGWorld::KELORAS.'"'; if($regr['world'] == EGWorld::KELORAS) echo ' selected="selected"'; echo '>Keloras</option>
                                    <option value="'.EGWorld::TESTSERVER.'"'; if($regr['world'] == EGWorld::TESTSERVER) echo ' selected="selected"'; echo '>Testserver</option>
                                </select></td>
                              </tr>
				  <tr>
					<td class="left">Besitzergilde</td>
					<td class="left"><select name="guild" tabindex="6">';
											$guilds = $guild->getGuilds();
											foreach($guilds as $single)
											{
												echo '<option value="'.$single['id'].'"'; if($regr['guid'] == $single['id']) echo ' selected="selected"'; echo '>'.$single['name'].'</option>';
											}
							echo'		</select></td>
				  </tr>
				  <tr>
					<td class="left">&Uuml;bergeordnete Stadt/Lager</td>
					<td class="left"><select name="parent" tabindex="6">';
											echo '<option value="0"></option>
												<option disabled="disabled">---------------</option>';
											$whs = $wh->getWHsByType(WHType::STADTLAGER);
											foreach($whs as $single)
											{
												echo '<option value="'.$single['wid'].'"'; if($regr['parent'] == $single['wid']) echo ' selected="selected"'; echo '>'.$single['whname'].'</option>';
											}
							echo'		</select></td>
				  </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="speichern" /></th>
			      </tr>
			</table>
			<input type="hidden" name="rewh" value="'.(int)$regr['wid'].'" /></form>';
		}
		
		$whs = $wh->getWHs();
		echo '<p>&nbsp;</p><table border="0" class="resultT2" cellspacing="0" cellpadding="0">
		<tr>
			<th>Lager</th>
		</tr>
		';
		foreach($whs as $row)
		{
                    // wenn Gildenlager
                    if($row['type'] == WHType::GILDENLAGER)
                    {
                            $parent = $wh->getWH($row['parent']);
                            $parentName = '<span class="hint">&Uuml;bergeordnete Stadt/Lager: '.$parent['name'].'</span><br />';
                    }
                    else	$parentName = '';
                    $world = ucfirst(strtolower(EGWorld::toString($row['world'])));
                    $type = ucfirst(strtolower(WHType::toString($row['type'])));
                    echo '<tr><td class="left"><strong><a href="?site='.$site.'&amp;do=managewh&amp;action=rename&amp;rewh='.$row['wid'].'">'.$row['name'].'</a></strong> <span class="hint">('.$type.', '.$row['short'].')</span><br />
                                    '.$parentName.'
                                    <span class="hint">Initialisiert: '.$row['ini'].'</span><br />
                                    <span class="hint">Welt: '.$world.'</span><br />
                                    <a href="?site='.$site.'&amp;do=managewh&amp;action=deletewh&amp;delwh='.$row['wid'].'"><img src="images/delete.gif" alt="l&ouml;schen" title="l&ouml;schen" /></a></td></tr>';
		}
		echo '
		
		<tr>
			<th><a href="?site='.$site.'&amp;do=managewh&amp;action=add">Lager hinzuf&uuml;gen</a></th>
		</tr>';
	}
	else if($do == 'online')
	{
		require_once('classes/guild.class.php');
		$guild = new Guild($user);
		
		echo '
		<link rel="stylesheet" type="text/css" href="css/humanity/'.JQUERY_UI_CSS.'" />
		<script type="text/javascript" src="js/'.JQUERY_UI_JS.'"></script>';
		
		$dir = array('up', 'down');
		$sort = array('nick', 'lastaction', 'updated', 'trustlvl');
	
		
		$gus = $guild->getGuildsByReadRight();
		if(isset($_REQUEST['gu']) && ((int)$_REQUEST['gu'] == 0 || $guild->canAccess($gus, (int)$_REQUEST['gu'])))
			$guId = (int)$_REQUEST['gu'];
		else if(array_key_exists(0, $gus))
			$guId = $gus[0]['id'];
		else 
			$guId = 0;
		
		// Gildenids zwischenspeichern, wenn alle angezeigt werden sollen
		if($guId == 0)
		{
		  $guids = array();
		  foreach($gus as $g)
			  array_push($guids, $g['id']);
		}
		else 
		  $guids = array($guId);

		//sortierung
  		if(in_array($_GET['sort'], $sort) && in_array($_GET['dir'], $dir))
    		$online = $user->getOnlineList($guids, $_GET['sort'], $_GET['dir']);
 		else
    		$online = $user->getOnlineList($guids);

    	$onemonthago = time()-(30*86400);
		//$online = $user->getOnlineList();
		
		echo '<p>&nbsp;</p>
		<form action="?" method="get">
		 
		 <table class="tableLogin" border="0">
			<tr>
				<th colspan="2">Gildenauswahl</th>
			</tr>
		      <tr>
		        <td class="left">Gilde</td>
		        <td class="left"><select name="gu">
				<option value="0">--alle--</option>';
				foreach($gus as $single)
								{  echo '<option value="'.$single['id'].'"'; if($guId==$single['id']) echo ' selected="selected"'; echo'>
										'.$single['name'].'</option>'; }
					echo '</select></td>
		      </tr>
		      <tr>
		      	<th colspan="2"><input type="submit" value="&auml;ndern" /></th>
		      </tr>
		</table>
		<input type="hidden" name="site" value="'.$site.'" />
		<input type="hidden" name="do" value="'.$do.'" />
		</form>
		<br />
		<table class="tableGroup" border="0" style="width:650px;">			
			<tr>
			      	<th>Charakter <a href="?site='.$site.'&amp;do=online&amp;gu='.$guId.'&amp;sort=nick&amp;dir=down"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do=online&amp;gu='.$guId.'&amp;sort=nick&amp;dir=up"><img src="down.png" alt="up" title="up" /></a></th>
			      	<th>zuletzt aktiv <a href="?site='.$site.'&amp;do=online&amp;gu='.$guId.'&amp;sort=lastaction&amp;dir=down"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do=online&amp;gu='.$guId.'&amp;sort=lastaction&amp;dir=up"><img src="down.png" alt="up" title="up" /></a></th>
			      	<th>F&auml;higkeiten <a href="?site='.$site.'&amp;do=online&amp;gu='.$guId.'&amp;sort=updated&amp;dir=down"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do=online&amp;gu='.$guId.'&amp;sort=updated&amp;dir=up"><img src="down.png" alt="up" title="up" /></a></th>
			      	<th>Zuverl&auml;ssigkeit <a href="?site='.$site.'&amp;do=online&amp;gu='.$guId.'&amp;sort=trustlvl&amp;dir=down"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do=online&amp;gu='.$guId.'&amp;sort=trustlvl&amp;dir=up"><img src="down.png" alt="up" title="up" /></a></th>
			  </tr>
		     ';
					$count = count($online);
					
					foreach($online as $key=>$single)
					{ 
						echo  '<tr>
		        				<td class="left" style="color:'.$single['color'].'; min-width:110px;"><a href="?site=info_hero&hero_id=' . $single['uid'] . '">'.$single['nick'].'</a></td>
							  	<td class="right txt2'.($single['action2']<$onemonthago?' err':'').'" style="min-width:100px;">'.$single['action'].'</td>
							  	<td class="right txt2'.($single['updated2']<$onemonthago?' err':'').'" style="min-width:100px;">'.$single['updated'].'</td>
								<td class="right txt2" style="width:190px;"><div id="slider'.$single['uid'].'" class="slider"></div><div id="trustlvl'.$single['uid'].'" class="trust hint center" data-uid="'.$single['uid'].'" data-trustlvl="'.$single['trustlvl'].'"></div></td>';
						echo '</td>
		      					</tr>';
					}
					echo '
		      <tr>
		      	<th colspan="4">&nbsp;</th>
		      </tr>
		</table>';
		echo '<script type="text/javascript">
		$(document).ready(function()
		{
			$(".trust").each(function(index) 
			{
				var uid = parseInt($(this).attr("data-uid"));
				var trust = parseInt($(this).attr("data-trustlvl"));
				$( "#slider"+uid ).slider({
					value:trust,
					min: 0,
					max: 100,
					step: 5,
					range: "min",
					animate: true,
					slide: function( event, ui ) 
					{
						$( "#trustlvl"+uid ).text( ui.value + "%" );
					},
					stop: function( event, ui ) 
					{
						saveTrustLvl(uid, ui.value);
					}
				  });
				  $( "#trustlvl"+uid ).text( $( "#slider"+uid ).slider( "value" )+ "%" );
			});			
		});
		
		function saveTrustLvl(uid, lvl)
		{
			$.ajax(
		      {type: "POST", url: "ajaxcalls/saveTrust.php",
				beforeSend: function()
				{
					//wait = 1;
					//setTimeout(function(){ displayWait(id)}, 400);
				}
				 ,data: ({uid: uid, lvl:lvl}),
			 	success: function(data)
				{	
			 		//wait = 0;
			 		if(data == "0")
			 			alert("Fehler beim Speichern.");
				},
				error: function(jqXHR, textStatus, errorThrown)
				{
					alert("Fehler beim Speichern.");
				}
			});
		}
		</script>';
	}
	else if($do == 'config')
	{//Konfiguration
		
		require_once('classes/warehouse.class.php');
		$wh = new Warehouse($user);
		require_once 'classes/payment.class.php';
		$payment = new Payment();
		require_once 'classes/hunt.class.php';
		$hunt = new Hunt();
		require_once('classes/guild.class.php');
		$guild = new Guild($user);
		
		//no wh transact hinzuf?gen
		if($action == 'addnowhtransact')
		{
			if($_POST['user'] && $user->canEdit($_POST['user']))
			{
				if($wh->saveNoWhTransactUser($_POST['user']))
					$msg = "Charakter hinzugef&uuml;gt.";
				else 
					$err = "Es trat leider ein Fehler beim Hinzuf&uuml;gen auf.";
				$wh->loadIniNoWhTransactUsers();
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$users = $user->getUserListByWriteRight();
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=addnowhtransact" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Charakter hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Charaktere</td>
			        <td class="left"><select name="user">';
						foreach($users as $single)
						{  echo '<option style="color:'.$single['color'].';" value="'.$single['id'].'"'; if($_REQUEST['user']==$single['id']) echo ' selected="selected"'; echo'>
							'.$single['nick'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="hinzuf&uuml;gen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		//no wh transact entfernen
		if($action == 'delnowhtransact')
		{
			if($_POST['user'] && $user->canEdit($_POST['user']))
			{
				if($wh->delNoWhTransactUser($_POST['user']))
					$msg = "Charakter entfernt.";
				else 
					$err = "Es trat leider ein Fehler beim Entfernen auf.";
				$wh->loadIniNoWhTransactUsers();
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$users = $wh->getNoWhTransactUsers();
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=delnowhtransact" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Charakter entfernen</th>
				</tr>
			      <tr>
			        <td class="left">Charaktere</td>
			        <td class="left"><select name="user">';
					foreach($users as $single)
							{  echo '<option value="'.$single['uid'].'">
									'.$single['nick'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="entfernen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		
		//no donation show hinzuf?gen
		if($action == 'addnodonationshow')
		{
			if($_POST['user'] && $user->canEdit($_POST['user']))
			{
				if($payment->saveNoDonationShowUser($_POST['user']))
					$msg = "Charakter hinzugef&uuml;gt.";
				else 
					$err = "Es trat leider ein Fehler beim Hinzuf&uuml;gen auf.";
				$payment->loadIniNoDonationShow();
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$users = $user->getUserListByWriteRight();
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=addnodonationshow" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Charakter hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Charaktere</td>
			        <td class="left"><select name="user">';
						foreach($users as $single)
						{  echo '<option style="color:'.$single['color'].';" value="'.$single['id'].'"'; if($_REQUEST['user']==$single['id']) echo ' selected="selected"'; echo'>
							'.$single['nick'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="hinzuf&uuml;gen" /></th>
			      </tr>
			</table>
			</form>';
		}
		//no donation show entfernen
		if($action == 'delnodonationshow')
		{
			if($_POST['user'] && $user->canEdit($_POST['user']))
			{
				if($payment->delNoDonationShowUser($_POST['user']))
					$msg = "Charakter entfernt.";
				else 
					$err = "Es trat leider ein Fehler beim Entfernen auf.";
				$payment->loadIniNoDonationShow();
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$users = $payment->getNoDonationShowUsers();
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=delnodonationshow" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Charakter entfernen</th>
				</tr>
			      <tr>
			        <td class="left">Charaktere</td>
			        <td class="left"><select name="user">';
					foreach($users as $single)
							{  echo '<option value="'.$single['uid'].'">
									'.$single['nick'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="entfernen" /></th>
			      </tr>
			</table>
			</form>';
		}
		
		//hunt top gruppe hinzuf?gen
		if($action == 'addtopgroup')
		{
			if($_POST['name'])
			{
				$p = 0;
				if(isset($_POST['public'])) $p = 1;
				if($hunt->saveTopGroup($_POST['name'], $p))
					$msg = "hinzugef&uuml;gt.";
				else 
					$err = "Es trat leider ein Fehler beim Hinzuf&uuml;gen auf.";
				$hunt->loadIniTopGroups();
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=addtopgroup" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Gruppe hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Name</td>
			        <td class="left"><input class="inp1" type="text" name="name" /></td>
			      </tr>
			      <tr>
			      	<td  colspan="2"><input type="checkbox" name="public" /> &ouml;ffentlich (jeder darf sie sehen)</td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="hinzuf&uuml;gen" /></th>
			      </tr>
			</table>
			</form>';
		}
		//hunt top gruppe bearbeiten
		if($action == 'edittopgroup')
		{
			$htgid = (int)$_REQUEST['htgid'];
			if($_POST['name'])
			{
				$p = 0;
				if(isset($_POST['public'])) $p = 1;
				if($hunt->editTopGroup($htgid, $_POST['name'], $p))
					$msg = "bearbeitet";
				else 
					$err = "Es trat leider ein Fehler beim Bearbeiten auf.";
				$hunt->loadIniTopGroups();
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$group = $hunt->getTopGroup($htgid);
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=edittopgroup" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Gruppe bearbeiten</th>
				</tr>
			      <tr>
			        <td class="left">Name</td>
			        <td class="left"><input class="inp1" type="text" name="name" value="'.$group['name'].'" /></td>
			      </tr>
			      <tr>
			      	<td  colspan="2"><input type="checkbox" name="public"'.($group['public']?' checked="checked"':'').' /> &ouml;ffentlich (jeder darf sie sehen)</td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="bearbeiten" /></th>
			      </tr>
			</table>
			<input type="hidden" name="htgid" value="'.$htgid.'" />
			</form>';
		}
		//hunt top gruppe entfernen
		if($action == 'deltopgroup')
		{
			if($_POST['htgid'])
			{
				if($hunt->delTopGroup($_POST['htgid']))
					$msg = "Gruppe entfernt.";
				else 
					$err = "Es trat leider ein Fehler beim Entfernen auf. Sind der Gruppe noch Jagdgruppen zugeteilt?";
				$hunt->loadIniTopGroups();
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$users = $hunt->getTopGroups();
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=deltopgroup" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Charakter entfernen</th>
				</tr>
			      <tr>
			        <td class="left">Charaktere</td>
			        <td class="left"><select name="htgid">';
					foreach($users as $single)
							{  echo '<option value="'.$single['id'].'">
									'.$single['name'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="entfernen" /></th>
			      </tr>
			</table>
			</form>';
		}
		//edit news user hinzufuegen
		if($action == 'addeditnews')
		{
			if($_POST['user'] && $user->canEdit($_POST['user']))
			{
				if($conf->saveEditNewsUser($_POST['user']))
					$msg = "Charakter hinzugef&uuml;gt.";
				else 
					$err = "Es trat leider ein Fehler beim Hinzuf&uuml;gen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$users = $user->getUserListByWriteRight();
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=addeditnews" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Charakter hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Charaktere</td>
			        <td class="left"><select name="user">';
						foreach($users as $single)
						{  echo '<option style="color:'.$single['color'].';" value="'.$single['id'].'"'; if($_REQUEST['user']==$single['id']) echo ' selected="selected"'; echo'>
							'.$single['nick'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="hinzuf&uuml;gen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		//editnews user entfernen
		if($action == 'deleditnews')
		{
			if($_POST['user'] && $user->canEdit($_POST['user']))
			{
				if($conf->delEditNewsUser($_POST['user']))
					$msg = "Charakter entfernt.";
				else 
					$err = "Es trat leider ein Fehler beim Entfernen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$users = $conf->getEditNewsUser();
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=deleditnews" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Charakter entfernen</th>
				</tr>
			      <tr>
			        <td class="left">Charaktere</td>
			        <td class="left"><select name="user">';
					foreach($users as $single)
							{  echo '<option value="'.$single['uid'].'">
									'.$single['nick'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="entfernen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
                //edithunt user hinzufuegen
		if($action == 'addedithuntuser')
		{
			if($_POST['user'] && $user->canEdit($_POST['user']))
			{
				if($conf->saveEditHuntUser($_POST['user']))
					$msg = "Charakter hinzugef&uuml;gt.";
				else 
					$err = "Es trat leider ein Fehler beim Hinzuf&uuml;gen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$users = $user->getUserListByWriteRight();
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=addedithuntuser" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Charakter hinzuf&uuml;gen</th>
				</tr>
			      <tr>
			        <td class="left">Charaktere</td>
			        <td class="left"><select name="user">';
						foreach($users as $single)
						{  echo '<option style="color:'.$single['color'].';" value="'.$single['id'].'"'; if($_REQUEST['user']==$single['id']) echo ' selected="selected"'; echo'>
							'.$single['nick'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="hinzuf&uuml;gen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		//edithunt user entfernen
		if($action == 'deleteedithuntuser')
		{
			if($_POST['user'] && $user->canEdit($_POST['user']))
			{
				if($conf->delEditHuntUser($_POST['user']))
					$msg = "Charakter entfernt.";
				else 
					$err = "Es trat leider ein Fehler beim Entfernen auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$users = $conf->getEditHuntUser();
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=deleteedithuntuser" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Charakter entfernen</th>
				</tr>
			      <tr>
			        <td class="left">Charaktere</td>
			        <td class="left"><select name="user">';
					foreach($users as $single)
							{  echo '<option value="'.$single['uid'].'">
									'.$single['nick'].'</option>'; }
						echo '</select></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="entfernen" /></th>
			      </tr>
			</table>
			<input type="hidden" name="gr" value="'.(int)$_REQUEST['gr'].'" />
			</form>';
		}
		//pjirc settings
		if($action == 'editpjirc')
		{
			if(isset($_POST['host']) || isset($_POST['channel']))
			{
				if($conf->updatePJIRCSettings($_POST['host'], $_POST['channel']))
					$msg = "bearbeitet";
				else 
					$err = "Es trat leider ein Fehler beim Bearbeiten auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$pjirc_settings = $conf->getPJIRCSettings();
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=editpjirc" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Einstellungen bearbeiten</th>
				</tr>
			      <tr>
			        <td class="left">Host</td>
			        <td class="left"><input class="inp1" type="text" name="host" value="'.$pjirc_settings['pjirc_host'].'" /></td>
			      </tr>
			      <tr>
			        <td class="left">Channel <span class="hint">(ohne "#")</span></td>
			        <td class="left"><input class="inp1" type="text" name="channel" value="'.$pjirc_settings['pjirc_channel'].'" /></td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="bearbeiten" /></th>
			      </tr>
			</table>
			</form>';
		}
		
		//Protokoll update Periode
		if($action == 'editprotperiod')
		{
			if(isset($_POST['period']))
			{
				if($conf->updateProtocollDeletePeriod($_POST['period']))
					$msg = "bearbeitet";
				else 
					$err = "Es trat leider ein Fehler beim Bearbeiten auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$period = $conf->getProtocollDeletePeriod();
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=editprotperiod" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Einstellungen bearbeiten</th>
				</tr>
			      <tr>
			        <td class="left">Aufbewahrungszeit</td>
			        <td class="left"><select name="period">
			        	<option value="0"'.($period==0?" selected=\"selected\"":"").'>unbegrenzt</option>
			        	<option value="3"'.($period==3?" selected=\"selected\"":"").'>3 Monate</option>
			        	<option value="6"'.($period==6?" selected=\"selected\"":"").'>6 Monate</option>
			        	<option value="9"'.($period==9?" selected=\"selected\"":"").'>9 Monate</option>
			        	<option value="12"'.($period==12?" selected=\"selected\"":"").'>12 Monate</option>
			        	<option value="18"'.($period==18?" selected=\"selected\"":"").'>18 Monate</option>
			        	<option value="24"'.($period==24?" selected=\"selected\"":"").'>24 Monate</option>
			        	</select>
			        </td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="bearbeiten" /></th>
			      </tr>
			</table>
			</form>';
		}
		
		//Protokoll User Settings
		if($action == 'editprotusersettings')
		{
			if(isset($_POST['removeuseraction']) && isset($_POST['adduser']) && isset($_POST['guid']))
			{
				if($conf->updateProtUserSettings($_POST['guid'], $_POST['adduser'], $_POST['removeuseraction']))
					$msg = "bearbeitet";
				else 
					$err = "Es trat leider ein Fehler beim Bearbeiten auf.";
			}
			
			echo '<p>&nbsp;</p>';
			if($err != "") echo '<p class="err">'.$err.'</p>';
			if($msg != "") echo '<p class="ok">'.$msg.'</p>';
			
			$protUsers = $conf->getProtUserSettings();
			echo '<form action="?site='.$site.'&amp;do=config&amp;action=editprotusersettings" method="post">
			 
			 <table class="tableLogin" border="0">
				<tr>
					<th colspan="2">Einstellungen bearbeiten</th>
				</tr>
			      <tr>
			        <td class="left">Nutzer anlegen</td>
			        <td class="left"><select name="adduser">
			        	<option value="0"'.($protUsers['prot_add_newuser']==0?" selected=\"selected\"":"").'>nein</option>
			        	<option value="1"'.($protUsers['prot_add_newuser']==1?" selected=\"selected\"":"").'>ja</option>
			        	</select>
			        </td>
			      </tr>
			      <tr>
			        <td class="left">Verlassen der Gilde</td>
			        <td class="left"><select name="removeuseraction">
			        	<option value="0"'.($protUsers['prot_removeduser_action']==0?" selected=\"selected\"":"").'>in Gilde verschieben</option>
			        	<option value="1"'.($protUsers['prot_removeduser_action']==1?" selected=\"selected\"":"").'>Nutzer l&ouml;schen</option>
			        	<option value="2"'.($protUsers['prot_removeduser_action']==2?" selected=\"selected\"":"").'>nichts machen</option>
			        	</select>
			        </td>
			      </tr>
			      <tr>
			        <td class="left">in Gilde verschieben</td>
			        <td class="left"><select name="guid">';
						$gus = $guild->getGuilds();
						foreach($gus as $gu)
						{
							echo '<option value="'.$gu['id'].'"'.($protUsers['prot_add_removeduser_to_guildid']==$gu['id']?" selected=\"selected\"":"").'>'.$gu['name'].'</option>';
						}
			        	echo '			        	
			        	</select>
			        </td>
			      </tr>
			      <tr>
			      	<th colspan="2"><input type="submit" value="bearbeiten" /></th>
			      </tr>
			</table>
			</form>';
		}
		
		
		$installedverion = $conf->getToolVersion();
        $latestVersion = $conf->getLatestVersion();
                
                if($installedverion != $latestVersion) {
                    $vtxt = '<span class="err">'.$installedverion.'</span> <span class="italic">(neue Version verf&uuml;gbar: 
                            <a href="' . Config::TOOL_DOWNLOAD_LINK . '" target="_blank">'.$latestVersion.'</a>)</span>';
                } else {
                    $vtxt = '<span class="ok">'.$installedverion.'</span> <span class="italic">(aktuellste Version: 
                            '.$latestVersion.')</span>';
                }
		
		echo '<p>&nbsp;</p><p>Hier k&ouml;nnen grundlegende Einstellungen vorgenommen werden.';
		echo '
		<table class="tableGroup" border="0">
			<tr>
				<th colspan="2">Einstellungen</th>
			</tr>
			<tr>
				<td class="left" style="min-width:35%"><strong>Eigenschaft</strong></td>
				<td class="left" ><strong>Wert</strong></td>
			</tr>
			<tr>
				<td class="left">Version</td>
				<td class="left">'.$vtxt.'</td>
			</tr>
			<tr>
				<td class="left">keine Summierung bei<br /> Protokollauswertung des Lagers</td>';
			echo '<td class="left">';
				//Benutzer
				$cgus = count($wh->getNoWhTransactNicks()); $i = 0;
				foreach($wh->getNoWhTransactNicks() as $nick) 
				{
					echo $nick;
					if($i != $cgus-1)
						echo ', ';
					$i++;
				}			
				echo '<br />
					<a href="?site='.$site.'&amp;do=config&amp;action=addnowhtransact"><img src="images/plus.png" alt="hinzuf&uuml;gen" title="hinzuf&uuml;gen" /></a>
					<a href="?site='.$site.'&amp;do=config&amp;action=delnowhtransact"><img src="images/delete.gif" alt="l&ouml;schen" title="l&ouml;schen" /></a></td>
			</tr>
			<tr>
				<td class="left">taucht nicht in der Spendenliste<br /> der Gildenkasse auf</td>';
			echo '<td class="left">';
				//Benutzer
				$cgus = count($payment->getNoDonationShowNicks()); $i = 0;
				foreach($payment->getNoDonationShowNicks() as $nick) 
				{
					echo $nick;
					if($i != $cgus-1)
						echo ', ';
					$i++;
				}			
				echo '<br />
					<a href="?site='.$site.'&amp;do=config&amp;action=addnodonationshow"><img src="images/plus.png" alt="hinzuf&uuml;gen" title="hinzuf&uuml;gen" /></a>
					<a href="?site='.$site.'&amp;do=config&amp;action=delnodonationshow"><img src="images/delete.gif" alt="l&ouml;schen" title="l&ouml;schen" /></a></td>
			</tr>
			<tr>
				<td class="left">Hauptgruppen f&uuml;r die<br /> Jagdgruppenplanung</td>';
			echo '<td class="left">';
				//Benutzer
				$cgus = count($hunt->getTopGroups()); $i = 0;
				foreach($hunt->getTopGroups() as $nick) 
				{
					echo '<a href="?site='.$site.'&amp;do=config&amp;action=edittopgroup&amp;htgid='.$nick['id'].'">'.$nick['name'].'</a>';
					if($i != $cgus-1)
						echo ', ';
					$i++;
				}			
				echo '<br />
					<a href="?site='.$site.'&amp;do=config&amp;action=addtopgroup"><img src="images/plus.png" alt="hinzuf&uuml;gen" title="hinzuf&uuml;gen" /></a>
					<a href="?site='.$site.'&amp;do=config&amp;action=deltopgroup"><img src="images/delete.gif" alt="l&ouml;schen" title="l&ouml;schen" /></a></td>
			</tr>
                        <tr>
				<td class="left">Jagdgruppen bearbeiten/<br />l&ouml;schen (alle)</td>';
			echo '<td class="left">';
				//Benutzer
				$edithuntuser = $conf->getEditHuntUser();
				$cgus = count($edithuntuser); $i = 0;
				foreach($edithuntuser as $single) 
				{
					echo $single['nick'];
					if($i != $cgus-1)
						echo ', ';
					$i++;
				}			
				echo '<br />
					<a href="?site='.$site.'&amp;do=config&amp;action=addedithuntuser"><img src="images/plus.png" alt="hinzuf&uuml;gen" title="hinzuf&uuml;gen" /></a>
					<a href="?site='.$site.'&amp;do=config&amp;action=deleteedithuntuser"><img src="images/delete.gif" alt="l&ouml;schen" title="l&ouml;schen" /></a></td>
			</tr>
			<tr>
				<td class="left">News bearbeiten/<br />Chatverlauf l&ouml;schen</td>';
			echo '<td class="left">';
				//Benutzer
				$editnewsuser = $conf->getEditNewsUser();
				$cgus = count($editnewsuser); $i = 0;
				foreach($editnewsuser as $single) 
				{
					echo $single['nick'];
					if($i != $cgus-1)
						echo ', ';
					$i++;
				}			
				echo '<br />
					<a href="?site='.$site.'&amp;do=config&amp;action=addeditnews"><img src="images/plus.png" alt="hinzuf&uuml;gen" title="hinzuf&uuml;gen" /></a>
					<a href="?site='.$site.'&amp;do=config&amp;action=deleditnews"><img src="images/delete.gif" alt="l&ouml;schen" title="l&ouml;schen" /></a></td>
			</tr>
			<tr>
				<td class="left">Einstellungen f&uuml;r den IRC-Chat</td>';
			echo '<td class="left">';
				//Benutzer
				$pjirc_settings = $conf->getPJIRCSettings();
				echo '<a href="?site='.$site.'&amp;do=config&amp;action=editpjirc">Host:</a> '.$pjirc_settings['pjirc_host'].'
					  <a href="?site='.$site.'&amp;do=config&amp;action=editpjirc">Channel:</a> '.$pjirc_settings['pjirc_channel'];			
				echo '</td>
			</tr>
			<tr>
				<td class="left">Aufbewahrungszeit von Protokolleintr&auml;gen (Lager, Kasse)</td>';
			echo '<td class="left">';
				$delmonth = $conf->getProtocollDeletePeriod();
				$txt = ($delmonth==0?"unbegrenzt": $delmonth." Monate");
				echo '<a href="?site='.$site.'&amp;do=config&amp;action=editprotperiod">'.$txt.'</a>
					  </td>
			</tr>
			<tr>
				<td class="left">Aufgenommene/Entlassene Nutzer, die im Gildenprotokoll auftauchen</td>';
			echo '<td class="left">';
				$protUsers = $conf->getProtUserSettings();
				if($protUsers['prot_add_removeduser_to_guildid'] == 0) 
					$gutxt = "-";
				else 
				{
					$gu = $guild->getGuildById($protUsers['prot_add_removeduser_to_guildid']);
					$gutxt = (count($gu) > 0? $gu['name'] : "-");
				}
				
				if($protUsers['prot_add_newuser'] == 0) 			$addusertxt = "nein";
				else												$addusertxt = "ja";
				
				if($protUsers['prot_removeduser_action'] == 0) 		$useractiontxt = "in Gilde verschieben";
				else if($protUsers['prot_removeduser_action'] == 1)	$useractiontxt = "l&ouml;schen";
				else if($protUsers['prot_removeduser_action'] == 2)	$useractiontxt = "nichts machen";
				
				echo 'neue Nutzer im Tool anlegen: <a href="?site='.$site.'&amp;do=config&amp;action=editprotusersettings">'.$addusertxt.'</a><br />
					  Aktion, wenn Nutzer Gilde/Welt verl&auml;&szlig;t: <a href="?site='.$site.'&amp;do=config&amp;action=editprotusersettings">'.$useractiontxt.'</a>';
				//nur anzeigen, wenn Nutzer verschoben werden soll
				if($protUsers['prot_removeduser_action'] == 0)
					echo '<br />Gilde, in die verschoben werden soll: <a href="?site='.$site.'&amp;do=config&amp;action=editprotusersettings">'.$gutxt.'</a>';
				echo'	  
				</td>
			</tr>
			<tr>
				<th colspan="2">&nbsp;</th>
			</tr>
		</table>';
				
	}
	}
	else
		echo '<p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p><p class="err">Zugang verweigert!</p>'; 
}
else
	echo '<p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p><p class="err">Zugang verweigert!</p>'; 
?>
