<?php

// if accessed directly
if( !defined('EGTOOL') ) {
    exit;
}

//j�ngster Eintrag
$lastDate = $wh->getJungestProtEntry($whId);

$res = $market->getMarketUtilizationOverview($year, $month, $daymin, $daymax, $whIds);

if ($total) {
    echo '<span class="bold">Gesamt&uuml;bersicht (alle Monate)</span>';
}
echo '  <div class="deledit hint" style="width:820px;">Stand: ' . ($lastDate['date'] ?? "") . '</div>
        <table class="tableItemTypes2" border="0">
        <tr>
            <th colspan="3">Erl&ouml;s nach Warengruppen (Angaben in Gold)</th>
        </tr>
        <tr>';

$totalPrice = 0;
echo '<td class="left">';
foreach ($res as $row) {
    if($row['itid'] == 9 || $row['itid'] == 18) {
        echo '</td>';   // close previous
        echo '<td class="left">';
    }
    // markiere selektierte gruppe
    if ($itid > 0 && $itid == $row['itid']) {
        $a = '<span class="txt" style="color: blue;">' . $row['type'] . '</span>';
    } else {
        $a = '<a class="txt" title="' . $row['type'] . '" href="'.$pageLinkHref.'&amp;it=' . $row['itid'] . '">' . $row['type'] . '</a>';
    }
    echo '  <div class="itleft">' . $a . '</div>
            <div class="itright">' . $row['price_f'] . '</div><br />';
        
    $totalPrice += $row['sellprice'];
}
echo '</td>';
echo '
        </tr>
        <tr>
            <th colspan="3">Gesamterl&ouml;s: ' . number_format($totalPrice, 0, '', '.') . ' Gold</th>
        </tr>
        </table>';

// einzelne Warengruppe
if ($itid > 0) {
    $items = $market->getMarketUtilizationForItid($itid, $year, $month, $daymin, $daymax, $whIds);
    if ($itid == 27)
        $items = $wh->sortPlans($items);  //spezielle sortierung f�r Pl�ne

    echo '
                <p>&nbsp;</p>';

    echo '
                <table class="resultT2" border="0" style="position: relative; width: 390px;">
                <tr>
                    <th>&Uuml;bersicht</th>
                </tr>
                <tr>
                    <td>
                        <div class="wileft"><strong>Erl&ouml;s</strong></div>
                        <div class="wileft"><strong>Anzal</strong></div>
                        <div class="wiright"><strong>Ware</strong></div>
                    </td>
                </tr>
              ';
    $i = 1;
    $totalPrice = 0;
    foreach ($items as $row) {
        $singlePrice = $row['sellprice'] / $row['icount'];
        $title = 'Einzelpreis: ' . number_format($singlePrice, 0, '', '.') . ' Gold';
        echo '<tr><td>';
        echo '<div class="wileft"><span class="txt">' . $row['price_f'] . '</span></div>
                              <div class="wileft"><span class="txt">' . $row['icount_f'] . '</span></div>
                                  <div class="wiright">
                                        <span class="txt"><a title="' . $title . '" style="cursor:pointer;" class="alt' . ($row['magical'] ? "mag" : "") . '" title="' . $title . '" onclick="showUsersForItem(\'itemusers\', \'' . $row['iid'] . '\', \'' . $row['item'] . '\', \'' . $row['magical'] . '\', \'' . $row['producable'] . '\', \'' . $row['equals'] . '\', \'' . $whId . '\',event);">' . $row['item'] . '</a></span>
                                        <span class="ui-icon ui-icon-transferthick-e-w" onclick="showChronic(\'itemusers\', \'' . $row['iid'] . '\', \'' . $whId . '\', event);"></span>
                                  </div>';

        $i++;
        $totalPrice += $row['sellprice'];
        echo '</td></tr>';
    }
    if (count($items) == 0) {
        echo '<tr><td><span class="txt hint">keine verkaufte Ware</span></td></tr>';
    }
    echo'
              <tr>
                <th>Gesamterl&ouml;s: ' . number_format($totalPrice, 0, '', '.') . ' Gold</th>
              </tr>
                </table>';
}
