<?php 
	require_once 'classes/payment.class.php';
	require_once('classes/warehouse.class.php');
	require_once('classes/guild.class.php');
	
	$wh = new Warehouse($user);
	$payment = new Payment();
	
	$query = "SELECT DISTINCT MONTH(date) FROM ".DB_PREFIX."warehouse_protocoll ORDER BY MONTH(date) DESC";
	$qry_m =  mysqli_query(Config::getDBConn(), $query);
	$query = "SELECT DISTINCT YEAR(date) FROM ".DB_PREFIX."warehouse_protocoll ORDER BY YEAR(date) DESC";
	$qry_y =  mysqli_query(Config::getDBConn(), $query);
	//$years = mysqli_fetch_row($qry_y);
	
	$m = array();
	while($row = mysqli_fetch_row($qry_m))
	  $m[] = $row[0];
	$months = getMonthList($m);
	while($row = mysqli_fetch_row($qry_y))
 		$years[] = $row[0];
	
if(isset($_GET['action']) && in_array($_GET['action'], $actions))
	$action = $_GET['action'];
else 	
	$action = "";
	
if(isset($_REQUEST['total']) || $action == "total")
	$total = true;
else
	$total = false;

//gilden
$guild = new Guild($user);

if(isset($_REQUEST['yearly']) || (isset($_REQUEST['month']) && $_REQUEST['month'] == 0 && isset($_REQUEST['year'])))
	$yearly = true;
else
	$yearly = false;

$gus = $guild->getGuildsByReadRight();
if(isset($_REQUEST['gu']) && ((int)$_REQUEST['gu'] == 0 || $guild->canAccess($gus, (int)$_REQUEST['gu'])))
	$guId = (int)$_REQUEST['gu'];
else if(array_key_exists(0, $gus))
	$guId = $gus[0]['id'];
else 
	$guId = 0;

if(!$total)
{
  if(isset($_REQUEST['month']) && $_REQUEST['month'] > 0)	//wenn ein anderer Zeitpunkt gewhlt wurde
  {
	  $year = (int)$_REQUEST['year'];
	  $month = (int)$_REQUEST['month'];
	  $daymin = max(array(1,(int)$_REQUEST['daymin']));
	  $daymax = min(array(31,(int)$_REQUEST['daymax']));
  }
  else if(isset($_REQUEST['year']) && $_REQUEST['year'] > 0)
  {
	$year = (int)$_REQUEST['year'];
	$month = 0;
	$daymin = 1;
	$daymax = 31;
  }
  else //beim ersten Aufruf der Seite
  {
	  $year = (in_array(date("Y"), $years)?date("Y"):$years[0]);
	  $month = (in_array(date("n"), $m)?date("n"):$m[0]);
	  $daymin = 1;
	  $daymax = 31;
  }
  	if($daymin>$daymax)
  		$daymin = $daymax;  
}
else
{
  $year = 0;
  $month = 0;
  $daymin = 1;
  $daymax = 31;
}

echo '
	<link rel="stylesheet" type="text/css" href="css/humanity/'.JQUERY_UI_CSS.'" />
	<script type="text/javascript" src="js/'.JQUERY_UI_JS.'"></script>';
	
echo '<form action="?site='.$site.'&amp;do=monthly" method="get">
<table border="0" class="tableGroup2" cellspacing="0" cellpadding="0" style="border:none;">
<tr style="border:none;">
	<td style="border:none;" >Gilde: <select id="guild" name="gu">
								<option value="0">--alle--</option>';
						foreach($gus as $single)
								{  echo '<option value="'.$single['id'].'"'; if($guId==$single['id']) echo ' selected="selected"'; echo'>
										'.$single['name'].'</option>'; }
					echo '</select></td>
</tr>
<tr style="border:none;">
	<td style="border:none;" >Gesamt <input type="checkbox" name="total"'.($total?' checked="checked"':'').' id="total" />
		jhrlich <input type="checkbox" name="yearly"'.($yearly?' checked="checked"':'').' id="yearly" />
		<select name="month" id="month">';
		foreach($months as $month2)
		{  echo '<option value="'.$month2[1].'"'; if($month==$month2[1]) echo ' selected="selected"'; echo'>'.$month2[0].'</option>'; }
		echo '
		</select>
		<select name="year" id="year">';
		foreach($years as $year2)
		{  echo '<option value="'.$year2.'"'; if($year==$year2) echo ' selected="selected"'; echo'>'.$year2.'</option>'; }
		echo '
		</select>
		Charakter: <input type="text" name="nick" size="10" value="'.makeEntityString($_GET['nick']).'" /></td>
</tr>
<tr style="border:none;">
	<td style="border:none;"><div style="float:left; width:40px;margin-right:20px;">Zeitraum:</div><div id="slider-range" class="slider2"></div><div class="range hint center">'.$daymin.'. - '.$daymax.'.</div></td>
</tr>
</table>


 <p><input type="submit" value="Anzeigen" /></p>
 <input type="hidden" name="site" value="'.$site.'" />
 <input type="hidden" name="do" value="'.$do.'" />
 <input type="hidden" id="daymin" name="daymin" value="'.$daymin.'" />
 <input type="hidden" id="daymax" name="daymax" value="'.$daymax.'" />
</form>
';
	
if($guId == 0)
{
	$guids = array();
	foreach($gus as $g)
		array_push($guids, $g['id']);
}
else 
	$guids = array($guId);
		
$respay = $payment->getOverview($month,$year,"name",$_GET['dir'],true, $guids, $daymin, $daymax, $_GET['nick']);
$reswh = $wh->getProtocollListTotal($year, $month, "nick", $_GET['dir'], $_GET['nick'], 0, $daymin, $daymax, array());
	
	
	echo '
	<table border="0" class="resultT" cellspacing="0" cellpadding="0">
		<tr>';
		if($total)
		{
			echo '
			<th>Name <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=nick&amp;dir=down&amp;gu='.$guId.'"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=nick&amp;dir=up&amp;gu='.$guId.'"><img src="down.png" alt="up" title="up" /></a></th>
			<th>Eingang <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=in&amp;dir=down&amp;gu='.$guId.'"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=in&amp;dir=up&amp;gu='.$guId.'"><img src="down.png" alt="up" title="up" /></a></th>
			<th>Ausgang <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=out&amp;dir=down&amp;gu='.$guId.'"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=out&amp;dir=up&amp;gu='.$guId.'"><img src="down.png" alt="up" title="up" /></a></th>
			<th>Verh&auml;ltnis</th>';
		}else
		{
			echo '
			<th>Name <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=nick&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=nick&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="down.png" alt="up" title="up" /></a></th>
			<th>Eingang <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=in&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=in&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="down.png" alt="up" title="up" /></a></th>
			<th>Ausgang <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=out&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=out&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="down.png" alt="up" title="up" /></a></th>
			<th>Verh&auml;ltnis</th>';
		}
		echo '
		</tr>';
	
	if($guId == 0)
  		$guUsers = $guild->getGuildsUserByAccess($gus);
  	else
  		$guUsers = $guild->getUsersForGuild($guId);	
  	
	$in = array(); $out = array(); $names = array();
	$intot = 0; $outtot = 0;   
        $tmpUserObj = new User();  // user object to load missing user id from users in $reswh
	//lager durchgehen
	foreach($reswh as $user=>$val1)
	{		
		//prfen, ob der nutzer in der gilde ist, wenn ja mit anzeigen
   		$found = false;
   		foreach($guUsers as $cuser)
   		{
   			if($cuser['nick'] == $user)
   			{
   				$found = true;
   				break;
   			}
   		}
   		if(!$found)
   			continue;

		if(array_key_exists('Einlagerung', $val1))
			$inwh = $val1['Einlagerung']['sum'];
		else 
			$inwh = 0;
		if(array_key_exists('Entnahme', $val1))
			$outwh = $val1['Entnahme']['sum'];
		else 
			$outwh = 0;
		$inpay = 0; $outpay = 0;
		//in kasse suchen
		foreach($respay as $key=>$single)
		{
			if($single['nick'] == $user)
			{
				if(is_numeric($single['deposit']))
					$inpay = $single['deposit'];
				if(is_numeric($single['withdrawal']))
					$outpay = $single['withdrawal'];
				
				unset($respay[$key]);
				break;
			}
		}
		$in[strtolower($user)] = $inwh+$inpay;
		$out[strtolower($user)] = $outwh+$outpay;
                $tmpUserObj->loadUserByNick($user);
		$names[strtolower($user)]['nick'] = $user;
                $names[strtolower($user)]['uid'] = $tmpUserObj->getUId();
		
		if(!in_array($user, $wh->getNoWhTransactNicks()))
		{
			$intot += $inwh+$inpay;
			$outtot += $outwh+$outpay;
		}
		else
		{
			//differenz bei lager hinzufgen
			if($inwh>$outwh)
				$intot += $inwh-$outwh;
			else if($outwh>$inwh)
				$outtot += $outwh-$inwh;
			//kasse ganz normal hinzufgen
			$intot += $inpay;
			$outtot += $outpay;
		}
	}
	//alle namen, die nicht im lager waren aber in kasse noch vorhanden sind
	if(count($respay)>0)
	{
		foreach($respay as $single)
		{
			if(is_numeric($single['deposit']))
				$in[strtolower($single['nick'])] = $single['deposit'];
			else 	
				$in[strtolower($single['nick'])] = 0;
			if(is_numeric($single['withdrawal']))
				$out[strtolower($single['nick'])] = $single['withdrawal'];
			else 	
				$out[strtolower($single['nick'])] = 0;

            $names[strtolower($single['nick'])]['uid'] = $single['uid'];
            $names[strtolower($single['nick'])]['nick'] = $single['nick'];

			$intot += $in[strtolower($single['nick'])];
			$outtot += $out[strtolower($single['nick'])];
		}
	}
	
	//sortierung
	
	if($_GET['sort'] == "nick" && $_GET['dir'] == "up")
		{ krsort($out, SORT_STRING); $looparr = $out; }
	else if($_GET['sort'] == "out" && $_GET['dir'] == "up")
		{ arsort($out, SORT_NUMERIC ); $looparr = $out; }
	else if($_GET['sort'] == "out" && $_GET['dir'] == "down")
		{ asort($out, SORT_NUMERIC ); $looparr = $out; }
	else if($_GET['sort'] == "in" && $_GET['dir'] == "up")
		{ arsort($in, SORT_NUMERIC ); $looparr = $in;}
	else if($_GET['sort'] == "in" && $_GET['dir'] == "down")
		{ asort($in, SORT_NUMERIC ); $looparr = $in;}
	else	
		{ ksort($out, SORT_STRING ); $looparr = $out; }
	
	//darstellen
	foreach($looparr as $key=>$value)
	{
		$ratio = ($out[$key]>0?$in[$key]/$out[$key]:0);
		echo '<tr>
				<td class="left txt2"><a href="?site=info_hero&hero_id=' . $names[$key]['uid'] . '">'.$names[$key]['nick'].'</a></td>
				<td class="right txt2">'.number_format($in[$key], 0, '', '.').'</td>
				<td class="right txt2">'.number_format($out[$key], 0, '', '.').'</td>
				<td class="right txt2"><span'.($ratio<0.95&&$out[$key]>0?' class="err"':($ratio>2.05||$out[$key]==0?' class="ok"':'')).'>
			 <strong>'.($out[$key]==0?'1 : ':'').number_format($ratio,2,',','.').($out[$key]!=0?' : 1':'').'</strong></span></td>
			  </tr>';
	}
	$ratio = ($outtot>0?$intot/$outtot:0);
	echo '
		<tr>
			<td class="left bold txt2">Gesamt</td>
			<td class="right bold txt2">'.number_format($intot, 0, '', '.').'</td>
			<td class="right bold txt2">'.number_format($outtot, 0, '', '.').'</td>
			<td class="right txt2"><span'.($ratio<0.95&&$outtot>0?' class="err"':($ratio>2.05||$outtot==0?' class="ok"':'')).'>
			 <strong>'.($outtot==0?'1 : ':'').number_format($ratio,2,',','.').($outtot!=0?' : 1':'').'</strong></span></td>
		</tr>
	</table>
	<script type="text/javascript">
		$(document).ready(function()
		{
			$( "#slider-range" ).slider({
				range: true,
				min: 1,
				max: 31,
				values: [ '.$daymin.', '.$daymax.' ],
				slide: function( event, ui ) 
				{
					$( "#daymin" ).val( ui.values[ 0 ] );
					$( "#daymax" ).val( ui.values[ 1 ] );
					$( ".range" ).text( ui.values[ 0 ] + ". - " + ui.values[ 1 ] +"." );
				}
			});
		
			if($("#total").is(":checked"))
				disableYearMonth();
			if($("#yearly").is(":checked"))
				disableMonth();
				
			$("#total").click(function()
			{
				if($(this).is(":checked"))
					disableYearMonth();
				else
					enableYearMonth();
			});	
			
			$("#yearly").click(function()
			{
				if($(this).is(":checked"))
					disableMonth();
				else
					enableYearMonth();
			});
		});
		
		function disableYearMonth()
		{
			$("#month").attr("disabled","true");
			$("#year").attr("disabled","true");
			$("#yearly").attr("disabled","true");
			$( "#slider-range" ).slider( "option", "disabled", true );
		}
		
		function enableYearMonth()
		{
			$("#month").removeAttr("disabled");
			$("#year").removeAttr("disabled");
			$("#yearly").removeAttr("disabled");
			$("#total").removeAttr("disabled");
			$( "#slider-range" ).slider( "option", "disabled", false );
		}
		
		function disableMonth()
		{
			$("#month").attr("disabled","true");
			$("#total").attr("disabled","true");
			$( "#slider-range" ).slider( "option", "disabled", true );
		}
	</script>';
?>