<?php

require_once __DIR__.'/../../classes/item.class.php';
$items = new Item();

if($_SERVER['REQUEST_METHOD'] === 'POST')
{
        $valid = $items->getValidSpells($_POST['spell1'], $_POST['spell2'], $_POST['spell3']);
        if($_POST['ban_heal'] < 0 || $_POST['ban_heal'] > 90) {
            $err = "Der Gesundheitszustand muss zwischen 0-90% liegen.";
        } else if($editUser->updateBehavior($_POST['enemy'], $_POST['combat'], $_POST['position'], 
                $_POST['ban_count'], $_POST['ban_heal'], $_POST['ban_prio'], $valid[0], $valid[1], $valid[2])) {
            $msg = "Daten gespeichert";
        }                
        else {
            $err = "Es trat leider ein Fehler beim Speichern auf.";
        }
                
        $editUser->loadUser($editUser->getUId());
}
$useritems = $editUser->getUsersInventar();
$fkitem = $editUser->getItemForType($useritems, 8);
$userSpells = $editUser->getUsersSpell();

echo '<p>&nbsp;</p>';

if($err != "") echo '<p class="err">'.$err.'</p>';
if($msg != "") echo '<p class="ok">'.$msg.'</p>';

$getAction = (!empty($action) ? "&amp;action=".$action : "");   // used in management site

echo '
<form action="?site='.$site.'&amp;do='.$do.$getAction.'" method="post">
    <table class="resultT4" border="0" style="width:550px;">
    <tr>
        <th colspan="2" style="padding:2px 5px 2px 5px;">Gegnerwahl</th>
    </tr>
    <tr>
        <td class="txt2" style="width:15%; padding:0;"><input type="radio" name="enemy" value="1"'.($editUser->getEnemy()==1?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Zuf&auml;llige Gegnerwahl</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:2px 5px 2px 5px;"><input type="radio" name="enemy" value="2"'.($editUser->getEnemy()==2?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Bevorzugt schwache Gegner</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:2px 5px 2px 5px;"><input type="radio" name="enemy" value="3"'.($editUser->getEnemy()==3?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Bevorzugt starke Gegner</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:2px 5px 2px 5px;"><input type="radio" name="enemy" value="4"'.($editUser->getEnemy()==4?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Bevorzugt Gegner mit viel LP</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:2px 5px 2px 5px;"><input type="radio" name="enemy" value="5"'.($editUser->getEnemy()==5?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Bevorzugt Gegner mit wenig LP</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:2px 5px 2px 5px;"><input type="radio" name="enemy" value="6"'.($editUser->getEnemy()==6?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Bevorzugt Nahk&auml;mpfer</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:2px 5px 2px 5px;"><input type="radio" name="enemy" value="7"'.($editUser->getEnemy()==7?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Bevorzugt Fernk&auml;mpfer</td>
    </tr>                
    <tr>
        <th colspan="2" style="padding:2px 5px 2px 5px;">Angriffsart</th>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;"><input type="radio" name="combat" value="1"'.($editUser->getCombat()==1?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Nahkampf &amp; Fernkampf</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:2px 5px 2px 5px;"><input type="radio" name="combat" value="2"'.($editUser->getCombat()==2?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Nahkampf</td>
    </tr>
    <tr>
        <th colspan="2" style="padding:2px 5px 2px 5px;">Position</th>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;"><input type="radio" name="position" value="1"'.($editUser->getPosition()==1?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Zuf&auml;llige Position</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;"><input type="radio" name="position" value="2"'.($editUser->getPosition()==2?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Mittig</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;"><input type="radio" name="position" value="3"'.($editUser->getPosition()==3?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Unten</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;"><input type="radio" name="position" value="4"'.($editUser->getPosition()==4?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Oben</td>
    </tr>
    <tr>
        <th colspan="2" style="padding:2px 5px 2px 5px;">Zauber</th>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;">1. Zauber</td>
        <td class="txt3 left" style="padding:2px 5px 2px 5px;">
        <select name="spell1" style="width:100%;" class="txt3">';
        $curSpell = $editUser->getItemForType($userSpells,0);
        echo '	<option class="txt3" value="0"'.($curSpell['spid']==0?' selected="selected"':'').'>--nicht belegt--</option>';
        $inv1 = $items->getSpells(1, $user, $fkitem['itid']);
        $type = "";
        $curSpell = $editUser->getItemForType($userSpells,1);
        foreach($inv1 as $single)
        {
            $more = ", ".$items->getSpellTypeName($single['type']).", (".$single['dmgmin']."-".$single['dmgmax'].")";
            if($single['reach'] > 1)
                    $more .= ", [".$single['reach']." Felder]";
            echo '<option class="txt3" value="'.$single['spid'].'"'.($curSpell['spid']==$single['spid']?' selected="selected"':'').'>
                    '.$single['name'].' (Stufe: '.$single['lvl'].')'.$more.'
                    </option>';
        }

        echo '</select></td>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;">2. Zauber</td>
        <td class="txt3 left" style="padding:2px 5px 2px 5px;">
        <select class="txt3" name="spell2" style="width:100%;">';

        $curSpell = $editUser->getItemForType($userSpells,0);
        echo '	<option value="0"'.($curSpell['spid']==0?' selected="selected"':'').'>--nicht belegt--</option>';
        $inv1 = $items->getSpells(2, $user, $fkitem['itid']);
        $type = "";
        $curSpell = $editUser->getItemForType($userSpells,2);
        foreach($inv1 as $single)
        {
            $more = ", ".$items->getSpellTypeName($single['type']).", (".$single['dmgmin']."-".$single['dmgmax'].")";
            if($single['reach'] > 1)
                    $more .= ", [".$single['reach']." Felder]";
            echo '<option class="txt3" value="'.$single['spid'].'"'.($curSpell['spid']==$single['spid']?' selected="selected"':'').'>
                    '.$single['name'].' (Stufe: '.$single['lvl'].')'.$more.'
                    </option>';
        }

        echo '</select></td>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;">3. Zauber</td>
        <td class="txt3 left" style="padding:2px 5px 2px 5px;">
        <select class="txt3" name="spell3" style="width:100%;">';
        $curSpell = $editUser->getItemForType($userSpells,0);
        echo '	<option value="0"'.($curSpell['spid']==0?' selected="selected"':'').'>--nicht belegt--</option>';
        $inv1 = $items->getSpells(3, $user, $fkitem['itid']);
        $type = "";
        $curSpell = $editUser->getItemForType($userSpells,3);
        foreach($inv1 as $single)
        {
            $more = ", ".$items->getSpellTypeName($single['type']).", (".$single['dmgmin']."-".$single['dmgmax'].")";
            if($single['reach'] > 1)
                    $more .= ", [".$single['reach']." Felder]";
            echo '<option class="txt3" value="'.$single['spid'].'"'.($curSpell['spid']==$single['spid']?' selected="selected"':'').'>
                    '.$single['name'].' (Stufe: '.$single['lvl'].')'.$more.'
                    </option>';
        }

        echo '</select></td>
    </tr>
    <tr>
        <th colspan="2" class="left" style="padding:2px 5px 2px 5px;">Wie sollen Kampfgefhrten nach dem Kampf bandagiert werden?</th>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;">
            <select name="ban_count">';
            for($i = 0; $i <= 10; $i++) {
                echo '<option value="'.$i.'"'.($editUser->getBandagesCount() == $i ? " selected=\"selcted\"":"").'>'.$i.'</option>';
            }
    echo '</select></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Anzahl der Bandagen pro Kampf</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;">
            <input type="number" name="ban_heal" value="'.$editUser->getBandagesHeal().'" min="0" max="90" step="1" class="center" style="width: 50px;">
        </td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Bis zu diesem Gesundheitszustand (0-90%) </td>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;"><input type="radio" name="ban_prio" value="1"'.($editUser->getBandagesPrio()==1?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Behandeln nach Aufstellung</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;"><input type="radio" name="ban_prio" value="2"'.($editUser->getBandagesPrio()==2?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Behandle den mit den wenigsten LP zuerst (Absolut)</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;"><input type="radio" name="ban_prio" value="3"'.($editUser->getBandagesPrio()==3?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Behandle den am schwersten Verletzten zuerst (Relativ)</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;"><input type="radio" name="ban_prio" value="4"'.($editUser->getBandagesPrio()==4?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Nahkmpfer zuerst</td>
    </tr>
    <tr>
        <td class="txt2" style="padding:0;"><input type="radio" name="ban_prio" value="5"'.($editUser->getBandagesPrio()==5?" checked=\"checked\"":"").' /></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">Fernkmpfer zuerst</td>
    </tr>
    <tr>
      <th colspan="2"><input type="submit" value="speichern" /></th>
    </tr>
    </table>
    <input type="hidden" name="user" value="'.$editUser->getId().'" />
</form>';
