<?php

require_once __DIR__.'/../../classes/item.class.php';

$items = new Item();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    //prfen, ob nur eine 2H Waffe angelegt wurde
    $nk1item = $items->getItem($_POST['nk1']);
    $h2weapons = Array(2, 5, 7, 8); //itid der 2H-Waffen
    if (in_array($nk1item['itid'], $h2weapons))
        $_POST['nk2'] = 0;
    //auf passende mun achten
    $weaponmun = $items->getValidMunforWeapon($_POST['fk'], $_POST['mun']);
    if ($weaponmun != 0)
        $_POST['mun'] = $weaponmun;

    if ($editUser->updateInventar($editUser->getUId(), $_POST['head'], $_POST['body'], $_POST['hand'], $_POST['leg'], $_POST['feet'], $_POST['nk1'], $_POST['nk2'], $_POST['fk'], $_POST['mun'], $_POST['bandagen'], $_POST['increment']))
        $msg = "Daten gespeichert";
    else
        $err = "Es trat leider ein Fehler beim Speichern auf.";
    //$editUser->loadUser($editUser->getUId());
}

$userItems = $editUser->getUsersInventar();
echo '<p>&nbsp;</p>';

if ($err != "") {
    echo '<p class="err">' . $err . '</p>';
}    
if ($msg != "") {
    echo '<p class="ok">' . $msg . '</p>';
}    
$getAction = (!empty($action) ? "&amp;action=".$action : "");   // used in management site
echo '
<form action="?site=' . $site . '&amp;do=' . $do . $getAction. '" method="post">
    <table class="tableGroup2" border="0" style="width:500px;">
    <tr>
        <th colspan="2" style="padding:2px 5px 2px 5px;">R&uuml;stung</th>
    </tr>
    <tr>
        <td class="txt2" style="width:20%; padding:0;">Kopf</td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">
            <select name="head" style="width:87%;">
                <option value="0"' . ($editUser->getItemIdForType($userItems, 0) == 0 ? ' selected="selected"' : '') . '>kein Gegenstand angelegt</option>';
                $inv1 = $items->getItemsForInventary(1, $editUser->getUId());
                $type = "";
                foreach ($inv1 as $single) {
                    if ($type != $single['type']) {
                        echo '<option value="0" class="bold italic">&nbsp;&nbsp;' . $single['type'] . '</option>';
                        $type = $single['type'];
                    }
                    echo '<option value="' . $single['iid'] . '"' . ($single['magical'] ? ' class="magical"' : '') . '"' . ($editUser->getItemIdForType($userItems, 1) == $single['iid'] ? ' selected="selected"' : '') . '>
                        ' . $single['item'] . ' (Stufe: ' . $single['lvl'] . ')
                        </option>';
                }

echo '
            </select>
            <select name="increment[]" style="width:11%;">
                <option value="0">--</option>';
                $typeItems = $editUser->getItemForType($userItems, 1);
                $typeInc = 0;
                if (count($typeItems) > 0) {
                    $typeInc = $typeItems['increment'];
                }
                for ($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                    echo '<option value="' . $i . '"' . ($typeInc == $i ? ' selected="selected"' : '') . '>+' . $i . '</option>';
                }
echo '     
            </select>
        </td>
    </tr>
    <tr>
        <td class="txt2" style="padding:2px 5px 2px 5px;">Torso</td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">
            <select name="body" style="width:87%;">
                <option value="0"' . ($editUser->getItemIdForType($userItems, 0) == 0 ? ' selected="selected"' : '') . '>kein Gegenstand angelegt</option>';
                $inv1 = $items->getItemsForInventary(2, $editUser->getUId());
                $type = "";
                foreach ($inv1 as $single) {
                    if ($type != $single['type']) {
                        echo '<option value="0" class="bold italic">&nbsp;&nbsp;' . $single['type'] . '</option>';
                        $type = $single['type'];
                    }
                    echo '<option value="' . $single['iid'] . '"' . ($single['magical'] ? ' class="magical"' : '') . '"' . ($editUser->getItemIdForType($userItems, 2) == $single['iid'] ? ' selected="selected"' : '') . '>
                        ' . $single['item'] . ' (Stufe: ' . $single['lvl'] . ')
                        </option>';
                }

echo '
            </select>
            <select name="increment[]" style="width:11%;">
                <option value="0">--</option>';
                $typeItems = $editUser->getItemForType($userItems, 2);
                $typeInc = 0;
                if (count($typeItems) > 0) {
                    $typeInc = $typeItems['increment'];
                }
                for ($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                    echo '<option value="' . $i . '"' . ($typeInc == $i ? ' selected="selected"' : '') . '>+' . $i . '</option>';
                }
echo '     
            </select>
        </td>
    </tr>
    <tr>
        <td class="txt2" style="padding:2px 5px 2px 5px;">H&auml;nde</td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">
            <select name="hand" style="width:87%;">
                <option value="0"' . ($editUser->getItemIdForType($userItems, 0) == 0 ? ' selected="selected"' : '') . '>kein Gegenstand angelegt</option>';
                $inv1 = $items->getItemsForInventary(3, $editUser->getUId());
                $type = "";
                foreach ($inv1 as $single) {
                    if ($type != $single['type']) {
                        echo '<option value="0" class="bold italic">&nbsp;&nbsp;' . $single['type'] . '</option>';
                        $type = $single['type'];
                    }
                    echo '<option value="' . $single['iid'] . '"' . ($single['magical'] ? ' class="magical"' : '') . '"' . ($editUser->getItemIdForType($userItems, 3) == $single['iid'] ? ' selected="selected"' : '') . '>
                        ' . $single['item'] . ' (Stufe: ' . $single['lvl'] . ')
                        </option>';
                }

echo '
            </select>
            <select name="increment[]" style="width:11%;">
                <option value="0">--</option>';
                $typeItems = $editUser->getItemForType($userItems, 3);
                $typeInc = 0;
                if (count($typeItems) > 0) {
                    $typeInc = $typeItems['increment'];
                }
                for ($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                    echo '<option value="' . $i . '"' . ($typeInc == $i ? ' selected="selected"' : '') . '>+' . $i . '</option>';
                }
echo '     
            </select>
        </td>
    </tr>
    <tr>
        <td class="txt2" style="padding:2px 5px 2px 5px;">Beine</td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">
            <select name="leg" style="width:87%;">
                <option value="0"' . ($editUser->getItemIdForType($userItems, 0) == 0 ? ' selected="selected"' : '') . '>kein Gegenstand angelegt</option>';
                $inv1 = $items->getItemsForInventary(4, $editUser->getUId());
                $type = "";
                foreach ($inv1 as $single) {
                    if ($type != $single['type']) {
                        echo '<option value="0" class="bold italic">&nbsp;&nbsp;' . $single['type'] . '</option>';
                        $type = $single['type'];
                    }
                    echo '<option value="' . $single['iid'] . '"' . ($single['magical'] ? ' class="magical"' : '') . '"' . ($editUser->getItemIdForType($userItems, 4) == $single['iid'] ? ' selected="selected"' : '') . '>
                        ' . $single['item'] . ' (Stufe: ' . $single['lvl'] . ')
                        </option>';
                }

echo '
            </select>
            <select name="increment[]" style="width:11%;">
                <option value="0">--</option>';
                $typeItems = $editUser->getItemForType($userItems, 4);
                $typeInc = 0;
                if (count($typeItems) > 0) {
                    $typeInc = $typeItems['increment'];
                }
                for ($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                    echo '<option value="' . $i . '"' . ($typeInc == $i ? ' selected="selected"' : '') . '>+' . $i . '</option>';
                }
echo '     
            </select>
        </td>
    </tr>
    <tr>
        <td class="txt2" style="padding:2px 5px 2px 5px;">F&uuml;&szlig;e</td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">
            <select name="feet" style="width:87%;">
                <option value="0"' . ($editUser->getItemIdForType($userItems, 0) == 0 ? ' selected="selected"' : '') . '>kein Gegenstand angelegt</option>';
                $inv1 = $items->getItemsForInventary(5, $editUser->getUId());
                $type = "";
                foreach ($inv1 as $single) {
                    if ($type != $single['type']) {
                        echo '<option value="0" class="bold italic">&nbsp;&nbsp;' . $single['type'] . '</option>';
                        $type = $single['type'];
                    }
                    echo '<option value="' . $single['iid'] . '"' . ($single['magical'] ? ' class="magical"' : '') . '"' . ($editUser->getItemIdForType($userItems, 5) == $single['iid'] ? ' selected="selected"' : '') . '>
                        ' . $single['item'] . ' (Stufe: ' . $single['lvl'] . ')
                        </option>';
                }

echo '
            </select>
            <select name="increment[]" style="width:11%;">
                <option value="0">--</option>';
                $typeItems = $editUser->getItemForType($userItems, 5);
                $typeInc = 0;
                if (count($typeItems) > 0) {
                    $typeInc = $typeItems['increment'];
                }
                for ($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                    echo '<option value="' . $i . '"' . ($typeInc == $i ? ' selected="selected"' : '') . '>+' . $i . '</option>';
                }
echo '     
            </select>
        </td>
    </tr>
    <tr>
        <th colspan="2" style="padding:2px 5px 2px 5px;">Nahkampf</th>
    </tr>
    <tr>
        <td class="txt2" style="width:15%; padding:0;">Hand</td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">
            <select name="nk1" style="width:87%;">
                <option value="0"' . ($editUser->getItemIdForType($userItems, 0) == 0 ? ' selected="selected"' : '') . '>kein Gegenstand angelegt</option>';
                $inv1 = $items->getItemsForInventary(6, $editUser->getUId());
                $type = "";
                foreach ($inv1 as $single) {
                    if ($type != $single['type']) {
                        echo '<option value="0" class="bold italic">&nbsp;&nbsp;' . $single['type'] . '</option>';
                        $type = $single['type'];
                    }
                    echo '<option value="' . $single['iid'] . '"' . ($single['magical'] ? ' class="magical"' : '') . '"' . ($editUser->getItemIdForType($userItems, 6) == $single['iid'] ? ' selected="selected"' : '') . '>
                        ' . $single['item'] . ' (Stufe: ' . $single['lvl'] . ')
                        </option>';
                }

echo '
            </select>
            <select name="increment[]" style="width:11%;">
                <option value="0">--</option>';
                $typeItems = $editUser->getItemForType($userItems, 6);
                $typeInc = 0;
                if (count($typeItems) > 0) {
                    $typeInc = $typeItems['increment'];
                }
                for ($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                    echo '<option value="' . $i . '"' . ($typeInc == $i ? ' selected="selected"' : '') . '>+' . $i . '</option>';
                }
echo '     
            </select>
        </td>
    </tr>
    <tr>
        <td class="txt2" style="padding:2px 5px 2px 5px;">Hand</td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">
            <select name="nk2" style="width:87%;">
                <option value="0"' . ($editUser->getItemIdForType($userItems, 0) == 0 ? ' selected="selected"' : '') . '>kein Gegenstand angelegt</option>';
                $inv1 = $items->getItemsForInventary(7, $editUser->getUId());
                $type = "";
                foreach ($inv1 as $single) {
                    if ($type != $single['type']) {
                        echo '<option value="0" class="bold italic">&nbsp;&nbsp;' . $single['type'] . '</option>';
                        $type = $single['type'];
                    }
                    echo '<option value="' . $single['iid'] . '"' . ($single['magical'] ? ' class="magical"' : '') . '"' . ($editUser->getItemIdForType($userItems, 7) == $single['iid'] ? ' selected="selected"' : '') . '>
                                                        ' . $single['item'] . ' (Stufe: ' . $single['lvl'] . ')
                                                        </option>';
                }

echo '
            </select>
            <select name="increment[]" style="width:11%;">
                <option value="0">--</option>';
                $typeItems = $editUser->getItemForType($userItems, 7);
                $typeInc = 0;
                if (count($typeItems) > 0) {
                    $typeInc = $typeItems['increment'];
                }
                for ($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                    echo '<option value="' . $i . '"' . ($typeInc == $i ? ' selected="selected"' : '') . '>+' . $i . '</option>';
                }
echo '     
            </select>
        </td>
    </tr>
    <tr>
        <th colspan="2" style="padding:2px 5px 2px 5px;">Fernkampf</th>
    </tr>
    <tr>
        <td class="txt2" style="width:15%; padding:0;">Fernwaffe</td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">
            <select name="fk" style="width:87%;">
                <option value="0"' . ($editUser->getItemIdForType($userItems, 0) == 0 ? ' selected="selected"' : '') . '>kein Gegenstand angelegt</option>';
                $inv1 = $items->getItemsForInventary(8, $editUser->getUId());
                $type = "";
                foreach ($inv1 as $single) {
                    if ($type != $single['type']) {
                        echo '<option value="0" class="bold italic">&nbsp;&nbsp;' . $single['type'] . '</option>';
                        $type = $single['type'];
                    }
                    echo '<option value="' . $single['iid'] . '"' . ($single['magical'] ? ' class="magical"' : '') . '"' . ($editUser->getItemIdForType($userItems, 8) == $single['iid'] ? ' selected="selected"' : '') . '>
                        ' . $single['item'] . ' (Stufe: ' . $single['lvl'] . ')
                        </option>';
                }

echo '
            </select>
            <select name="increment[]" style="width:11%;">
                <option value="0">--</option>';
                $typeItems = $editUser->getItemForType($userItems, 8);
                $typeInc = 0;
                if (count($typeItems) > 0) {
                    $typeInc = $typeItems['increment'];
                }
                for ($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                    echo '<option value="' . $i . '"' . ($typeInc == $i ? ' selected="selected"' : '') . '>+' . $i . '</option>';
                }
echo '     
            </select>
        </td>
    </tr>
    <tr>
        <td class="txt2" style="padding:2px 5px 2px 5px;">Munition</td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">
            <select name="mun" style="width:87%;">
                <option value="0"' . ($editUser->getItemIdForType($userItems, 0) == 0 ? ' selected="selected"' : '') . '>kein Gegenstand angelegt</option>';
                $inv1 = $items->getItemsForInventary(9, $editUser->getUId());
                $type = "";
                foreach ($inv1 as $single) {
                    if ($type != $single['type']) {
                        echo '<option value="0" class="bold italic">&nbsp;&nbsp;' . $single['type'] . '</option>';
                        $type = $single['type'];
                    }
                    echo '<option value="' . $single['iid'] . '"' . ($single['magical'] ? ' class="magical"' : '') . '"' . ($editUser->getItemIdForType($userItems, 9) == $single['iid'] ? ' selected="selected"' : '') . '>
                        ' . $single['item'] . ' (Stufe: ' . $single['lvl'] . ')
                        </option>';
                }

echo '
            </select>
            <select name="increment[]" style="width:11%;">
                <option value="0">--</option>';
                $typeItems = $editUser->getItemForType($userItems, 9);
                $typeInc = 0;
                if (count($typeItems) > 0) {
                    $typeInc = $typeItems['increment'];
                }
                for ($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                    echo '<option value="' . $i . '"' . ($typeInc == $i ? ' selected="selected"' : '') . '>+' . $i . '</option>';
                }
echo '     
            </select>
        </td>
    </tr>
    <tr>
        <th colspan="2" style="padding:2px 5px 2px 5px;">Bandagen</th>
    </tr>
    <tr>
        <td class="txt2" style="width:15%; padding:0;"></td>
        <td class="txt2 left" style="padding:2px 5px 2px 5px;">
            <select name="bandagen" style="width:87%;">
                <option value="0"' . ($editUser->getItemIdForType($userItems, 0) == 0 ? ' selected="selected"' : '') . '>kein Gegenstand angelegt</option>';
                $inv1 = $items->getItemsForInventary(10, $editUser->getUId());
                $type = "";
                foreach ($inv1 as $single) {
                    if ($type != $single['type']) {
                        echo '<option value="0" class="bold italic">&nbsp;&nbsp;' . $single['type'] . '</option>';
                        $type = $single['type'];
                    }
                    echo '<option value="' . $single['iid'] . '"' . ($single['magical'] ? ' class="magical"' : '') . '"' . ($editUser->getItemIdForType($userItems, 10) == $single['iid'] ? ' selected="selected"' : '') . '>
                        ' . $single['item'] . ' (Stufe: ' . $single['lvl'] . ')
                        </option>';
                }

echo '
            </select>
            <select name="increment[]" style="width:11%;">
                <option value="0">--</option>';
                $typeItems = $editUser->getItemForType($userItems, 10);
                $typeInc = 0;
                if (count($typeItems) > 0) {
                    $typeInc = $typeItems['increment'];
                }
                for ($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                    echo '<option value="' . $i . '"' . ($typeInc == $i ? ' selected="selected"' : '') . '>+' . $i . '</option>';
                }
echo '     
            </select>
        </td>
    </tr>
    <tr>
        <th colspan="2"><input type="submit" value="speichern" /></th>
    </tr>
    </table>
    <div class="hint left" style="width: 500px; margin: 0 auto;">* Whle hier +2 fr eine personenbezogene Ausrstung.</div>
    <input type="hidden" name="user" value="'.$editUser->getId().'" />
</form>';

