<?php

if($menue2->checkPermission($do))
{
	require_once('classes/item.class.php');
	require_once('classes/warehouse.class.php');
        require_once 'classes/enums/WHType.enum.php';
	
	$wh = new Warehouse($user);
//        $wh->iniWh(1);
//        $wh->iniWh(2);
//        $wh->iniWh(3);
//        $wh->iniWh(4);
//        $wh->iniWh(5);
	$item = new Item();
	
	$whs = $wh->getWHsByReadRight();
	
	$itemTypes = array();
	//Ausgabe der Warengruppen
	if(isset($_REQUEST['wh']) && $wh->canAccess($whs, $_REQUEST['wh']))
		$whId = (int)$_REQUEST['wh'];
	else if(array_key_exists(0, $whs))
		$whId = $whs[0]['wid'];
	unset($_SESSION['whid']);
	$_SESSION['whid'] = $whId;
	$dos2 = Array('total', 'showmin', 'showmax', 'showscrap');
	$actions = Array('total', 'showmin', 'showmax');
        
        $lastDate = $wh->getJungestProtEntry($whId);
	
	$menue3 = new Menue($user);
	$m3 = $menue3->getMenue(3, $menue2->getIdForSite($do));
	
	if(isset($_GET['do2']) && in_array($_GET['do2'], $dos2))
            $do2 = $_GET['do2'];
	else 
            $do2 = $m3[0]['short'];
		
	echo '<link rel="stylesheet" type="text/css" href="css/humanity/'.JQUERY_UI_CSS.'" />';
	
	$ms = count($m3);
	$i = 0;
	echo '<p>';
	foreach($m3 as $m)
	{
		echo '<a '.($m['short']==$do2?'class="under" ':'').'href="?site='.$site.'&amp;do='.$do.'&amp;do2='.$m['short'].'&amp;wh='.$whId.'">'.$m['site'].'</a>';
		if($i != $ms-1)
			echo ' | '; $i++;
	}
	echo '</p>';
	
	if($menue3->checkPermission($do2))
	{
            // dont show default wh selct option on scrap page, we need to add some additional lines to the table
            if($do2 !== "showscrap")
            {
                echo '<div id="itemusers"></div>';
		echo '<form action="?site='.$site.'&amp;do='.$do.'&amp;do2='.$do2.'&amp;action=changewh" method="post">
		 
		 <table class="tableLogin" border="0">
			<tr>
				<th colspan="2">Lagerauswahl</th>
			</tr>
		      <tr>
		        <td class="left">Lager</td>
		        <td class="left"><select name="wh">';
				foreach($whs as $single)
                                {
                                    switch($single['type']) {
                                        case WHType::STADTLAGER : $whtype = 'Stadtlager'; break;
                                        case WHType::GILDENLAGER : $whtype = 'Gildenlager, '.$single['short']; break;
                                        case WHType::MARKTSTAND : $whtype = 'Marktstand, '.$single['short']; break;
                                    }

                                    echo '<option value="'.$single['wid'].'"'; if($whId==$single['wid']) echo ' selected="selected"'; echo'>
                                            '.$single['name'].' ('.$whtype.')</option>';

                                }
                                echo '</select></td>
		      </tr>
		      <tr>
		      	<th colspan="2"><input type="submit" value="&auml;ndern" /></th>
		      </tr>
		</table>
		</form>';
            }	
	
	if($do2 == "total")
	{
		$total = $wh->getWhPrice($whId);
		$itemTypes = $wh->getWarhouseItemTypes($whId);
		
		echo '<p>In Klammern steht die summierte Anzahl an Waren, je Warengruppe. Ber&uuml;cksichtigt werden nur Waren mitt (100) Haltbarkeit.<br />
		Geht man mit der Maus &uuml;ber den Namen einer Warengruppe oder Ware, erscheinen die minimalen und maximalen Lagerlimits.<br />
		Klickt man auf eine einzelne Ware, erh&auml;lt man eine &Uuml;bersicht der vorhandenen Produzenten.<br />
		rot umrandete Felder bedeuten: das Minimum wurde bereits unterschritten;
		gr&uuml;n umrandete Felder bedeuten: das Maximum wurde &uuml;berschritten<br />';
		echo '	
		<table class="tableItemTypes2" border="0">
			<tr>
				<th colspan="3">&Uuml;bersicht aller Warengruppen</th>
			</tr>
		      <tr>';
                if(isset($_GET['action']) && $_GET['action'] == 'single' && isset($_GET['it'])) {
                    $itid = (int)$_GET['it'];
                } else {
                    $itid = 0;
                }

        echo '<td class="left">';
				foreach($itemTypes as $row)
				{
                    //new column for Bgen and Stoffrstung
                    if($row['id'] == 9 || $row['id'] == 18) {
                        echo '</td>';   // close previous
                        echo '<td class="left">';
                    }

					$title = 'Min: '.$row['minvalue'].' Max: '.$row['maxvalue'];
                    // markiere selektierte gruppe
                    if($itid > 0 && $itid == $row['id']) {
                        $a = '<span title="'.$title.'" class="txt" style="color: blue;">'.$row['type'].'</span>';
                    } else {
                        $a = '<a class="txt" title="'.$title.'" href="?site='.$site.'&amp;do='.$do.'&amp;do2=total&amp;action=single&amp;it='.$row['id'].'&amp;wh='.$whId.'">'.$row['type'].'</a>';
                    }
					echo '<div class="itleft">'.$a.'</div>
						  <div class="itright">('.$row['count'].')</div><br />';
				}
        echo '</td>';
		      echo '
		      </tr>
		      <tr>
		      	<th colspan="3">Wert: '.$total[0].' Gold&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gewicht: '.$total[1].' kg</th>
		      </tr>
		</table>';
		
		if($itid > 0)
		{
			$total = $wh->getWhTypePrice($whId, $itid);
			$items = $wh->getWarhouseItemsByType($whId, $itid);
			$whswrite = $wh->getWHsByWriteRight();
			if($_GET['it'] == 27)
				$items = $wh->sortPlans($items);		//spezielle sortierung f�r Pl�ne
			
			echo '
			<p>&nbsp;</p>';
			
			echo '
			<table class="resultT6" border="0" style="position: relative;">
			<tr>
				<th>&Uuml;bersicht';
					if($wh->canAccess($whswrite, $whId))	//nur wenn ers bearbeiten darf anzeigen
						echo '<div class="ui-state-active" style="background: none; border:none;position: absolute; right: 5px; top: 5px; cursor:pointer;"><span class="ui-icon ui-icon-wrench"></span></div>';
				echo '
				</th>
			</tr>
			<tr>
		      	<td><div class="wileft"><strong>Anzahl</strong></div>
						  <div class="wiright"><strong>Ware</strong></div></td>
		      </tr>
		      ';
				$i = 1;
				foreach($items as $row)
				{	
					$title = 'Min: '.$row['fminvalue'].' Max: '.$row['fmaxvalue'];		
					echo '<tr'; if($row['count']<$row['minvalue']) echo ' class="min"'; 
						   else if($row['count']>$row['maxvalue']) echo ' class="max"'; echo'><td>';
					echo '<div class="wileft"><span class="txt" id="fcount'.$row['wiid'].'">'.$row['fcount'].'</span></div>
						  <div class="wiright">
						  	<span class="txt"><a style="cursor:pointer;" class="alt'.($row['magical']?"mag":"").'" title="'.$title.'" onclick="showUsersForItem(\'itemusers\', \''.$row['id'].'\', \''.$row['item'].'\', \''.$row['magical'].'\', \''.$row['producable'].'\', \''.$row['equals'].'\', \''.$whId.'\',event);">'.$row['item'].'</a></span>
						  	<span class="ui-icon ui-icon-transferthick-e-w" onclick="showChronic(\'itemusers\', \''.$row['id'].'\', \''.$whId.'\', event);"></span>';
							if($wh->canAccess($whswrite, $whId))	//nur wenn ers bearbeiten darf anzeigen
							echo '
							  	<div class="addremoveamount" data-wiid="'.$row['wiid'].'">
							  		<span class="ui-icon ui-icon-minus"></span> <input type="text" name="amount'.$row['id'].' id="amount'.$row['id'].'" value="0" class="amount txt2" style="width:50px; float: left;"/> <span class="ui-icon ui-icon-plus"></span> <span class="ui-icon ui-icon-check"></span>
							  	</div>';
						  echo '
						  </div>
						  ';
						
					$i++;
					echo '</td></tr>';
				}
				echo'
		      <tr>
		      	<th>Wert: '.$total[0].' Gold<br />Gewicht: '.$total[1].' kg</th>
		      </tr>
			</table>
			
			<script type="text/javascript">
				var doAmount = false;
				$(document).ready(function()
				{
					$(".ui-icon-wrench").click(function()
					{
						$(".addremoveamount").toggle();
					});
				
					$(".ui-icon-minus").mousedown(function()
					{
						$amountelm = $(this).parent().find(".amount");
						$amount = parseInt($amountelm.val());
						$amountelm.val($amount-1);
						doAmount = true;
						setTimeout("addToAmount(\'"+$amountelm.attr("id")+"\', -1)", 600);
						$(this).parent().find(".ui-icon-check").fadeIn();
					});
					
					$(".amount").focus(function()
					{
						$(this).parent().find(".ui-icon-check").fadeIn();
					});
					
					$(".ui-icon-plus").mousedown(function()
					{
						$amountelm = $(this).parent().find(".amount");
						$amount = parseInt($amountelm.val());
						$amountelm.val($amount+1);
						doAmount = true;
						setTimeout("addToAmount(\'"+$amountelm.attr("id")+"\', +1)", 600);
						$(this).parent().find(".ui-icon-check").fadeIn();
					});
					
					$(".ui-icon-check").click(function()
					{
						$amountelm = $(this).parent().find(".amount");
						$amount = parseInt($amountelm.val());
						if($amount != 0)
						{
							$wiid = parseInt($(this).parent().attr("data-wiid"));
							if(!isNaN($amount))
								saveEditWhItem($(this).parent(), $wiid, $amount);
						}
						$(this).parent().find(".ui-icon-check").fadeOut();
					});
					
					$(".ui-icon-minus, .ui-icon-plus").mouseup(function()
					{
						doAmount = false;		//nicht weiter dazu addieren
					});
				});
				
				function addToAmount(id, $toAdd)
				{
					if(doAmount)
					{
						$amount = parseInt($("#"+id).val());	
						$("#"+id).text($amount+parseInt($toAdd));
						setTimeout("addToAmount(\'"+id+"\', "+$toAdd+")", 75);
					}
				}
			</script>';
		}
	}
	else if($do2 == 'showmin')
	{
		$total = $wh->getMinMax($whId);
		$minvals = $wh->getMinList($whId);
		
		echo '
		<p>&Uuml;bersicht der Waren, die das minimale Lagerlimit unterschritten haben.<br />
		Die Zahlenwerte stehen f&uuml;r den fehlenden Warenbestand, bis das Minimum wieder erreicht ist.<br />
		Klickt man auf eine einzelne Ware, erh&auml;lt man eine &Uuml;bersicht der vorhandenen Produzenten.</p>
                <div class="deledit hint" style="width:820px;">Stand: '.$lastDate['date'].'</div>
		<table class="tableItemTypes2" border="0">
			<tr>
				<th colspan="3">Lagerstand der fehlenden Waren</th>
			</tr>
		      ';
				$u = 0;
        echo '<td class="left" style="min-width:150px;">';
				foreach($minvals as $key=>$row)
				{
					if($key == 'B&ouml;gen' || $key == 'Leichte R&uuml;stung (Stoff)') {
                        echo '</td>';
                        echo '<td class="left" style="min-width:150px;">';
                    }
						
					if(count($minvals[$key]) > 0)
					{
						$total1 = $wh->getMinMaxType($whId, $row[0]['itid']);
						$hint = 'Wert: '.$total1[0].' Gold&nbsp;Gewicht: '.$total1[1].' kg';
						echo '<span class="txt"><a class="alt bold" title="'.$hint.'">'.$key.'</a></span><br />';
						foreach($row as $items)
						{
							$title = 'im Lager: '.$items['count'].', Min: '.$items['fminvalue'].' Max: '.$items['fmaxvalue'];		
							echo '<div class="wileft"><span class="txt">'.$items['diff'].'</span></div>
								  <div style="cursor:pointer;" class="wiright" onclick="showUsersForItem(\'itemusers\', \''.$items['id'].'\', \''.$items['item'].'\', \''.$items['magical'].'\', \''.$items['producable'].'\', \''.$items['equals'].'\', \''.$whId.'\', event);"><span class="txt"><a class="alt'.($items['magical']?"mag":"").'" title="'.$title.'">&nbsp;'.$items['item'].'</a></span></div>';
						}
						$u++;
					}
				}
				//if($u == 0)	echo '<td colspan="3">&nbsp;</td>';
        echo '</td>';
		      echo '
		      </tr>
		      <tr>
		      	<th colspan="3">Wert: '.$total[0].' Gold&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gewicht: '.$total[1].' kg</th>
		      </tr>
		</table>';
		    
		//f�rs Forum
		$whinfo = $wh->getWH($whId);
		echo '<p class="bold">Liste f&uuml;r das Forum</p>';
		echo '<form name="copyform"><textarea name="text" style="width:300px; height:200px;">[b]&Uuml;bersicht der fehlenden Waren im Lager: '.$whinfo['name'].'[/b]'.chr(13).chr(10).chr(13).chr(10);
		foreach($minvals as $key=>$row)
		{
			//wenn gruppe auch items enth�lt
			if(count($minvals[$key]) > 0)
			{
				echo '[b]'.$key.'[/b]'.chr(13).chr(10);
				foreach($row as $items)
				{	
					echo '&nbsp;&nbsp;'.$items['diff'].'&nbsp;&nbsp;'.($items['magical']?'[i]':'').$items['item'].($items['magical']?'[/i]':'').chr(13).chr(10);
				}
				echo chr(13).chr(10);
			}
			$i++;
		}
		echo '</textarea></form>';
	}
	else if($do2 == 'showmax')
	{
		$total = $wh->getMinMax($whId);
		$minvals = $wh->getMaxList($whId);
		$scrap = $wh->getScrapAmount($whId);
		
		echo '
		<p>&Uuml;bersicht der Waren, die das maximale Lagerlimit &uuml;berschritten haben.<br />
		Die Zahlenwerte stehen f&uuml;r den Warenbestand, der zuviel ist.<br />
		Klickt man auf eine einzelne Ware, erh&auml;lt man eine &Uuml;bersicht der vorhandenen Produzenten.</p>
		<table class="tableItemTypes2" border="0">
			<tr>
				<th colspan="3">Lagerstand der Waren, von denen genug vorhanden ist</th>
			</tr>
		      <tr>';
                 $u = 0;
        echo '<td class="left" style="min-width:150px;">';
				foreach($minvals as $key=>$row)
				{
                    if($key == 'B&ouml;gen' || $key == 'Leichte R&uuml;stung (Stoff)') {
                        echo '</td>';
                        echo '<td class="left" style="min-width:150px;">';
                    }
						
					if(count($minvals[$key]) > 0)
					{
						$total1 = $wh->getMinMaxType($whId, $row[0]['itid']);
						$hint = 'Wert: '.$total1[2].' Gold&nbsp;Gewicht: '.$total1[3].' kg';
						echo '<span class="txt"><a class="alt bold" title="'.$hint.'">'.$key.'</a></span><br />';
						foreach($row as $items)
						{
							$title = 'im Lager: '.$items['count'].', Min: '.$items['fminvalue'].' Max: '.$items['fmaxvalue'];		
							echo '<div class="wileft"><span class="txt">'.$items['diff'].'</span></div>
								  <div style="cursor:pointer;" class="wiright" onclick="showUsersForItem(\'itemusers\', \''.$items['id'].'\', \''.$items['item'].'\', \''.$items['magical'].'\', \''.$items['producable'].'\', \''.$items['equals'].'\', \''.$whId.'\', event);"><span class="txt"><a class="alt'.($items['magical']?"mag":"").'" title="'.$title.'">&nbsp;'.$items['item'].'</a></span></div>';
						}
						$u++;
					}
				}
        echo '</td>';
		      echo '
		      </tr>
		      <tr>
		      	<th colspan="3">Wert: '.$total[2].' Gold&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gewicht: '.$total[3].' kg&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Schrott: '.$scrap.' Gold</th>
		      </tr>
		</table>';
		      
		//f�rs Forum
		$whinfo = $wh->getWH($whId);
		echo '<p class="bold">Liste f&uuml;r das Forum</p>';
		echo '<form name="copyform"><textarea name="text" style="width:300px; height:200px;">[b]&Uuml;bersicht der Waren, von denen genug vorhanden ist: '.$whinfo['name'].'[/b]'.chr(13).chr(10).chr(13).chr(10);
		foreach($minvals as $key=>$row)
		{
			//wenn gruppe auch items enth�lt
			if(count($minvals[$key]) > 0)
			{
				echo '[b]'.$key.'[/b]'.chr(13).chr(10);
				foreach($row as $items)
				{	
					echo '&nbsp;&nbsp;'.$items['diff'].'&nbsp;&nbsp;'.($items['magical']?'[i]':'').$items['item'].($items['magical']?'[/i]':'').chr(13).chr(10);
				}
				echo chr(13).chr(10);
			}
			$i++;
		}
		echo '</textarea></form>';
	}
        else if($do2 == 'showscrap')
	{
		if(isset($_REQUEST['stabmin']) && isset($_REQUEST['stabmax']))
        {
          $stabmin = (int)$_REQUEST['stabmin'];
          $stabmax = (int)$_REQUEST['stabmax'];
        }
        else //beim ersten Aufruf der Seite
        {
                $stabmin = 1;
                $stabmax = 99;
        }
                
        $minvals = $wh->getScrapList($whId, $stabmin, $stabmax);
        $scrap = $wh->getScrapAmount($whId, $stabmin, $stabmax);
		
                echo '<div id="itemusers"></div>';
		echo '<form action="?site='.$site.'&amp;do='.$do.'&amp;do2='.$do2.'&amp;action=changewh" method="post">
		 
                    <table class="tableLogin" border="0">
                           <tr>
                                   <th colspan="2">Lagerauswahl</th>
                           </tr>
                         <tr>
                           <td class="left">Lager</td>
                           <td class="left"><select name="wh">';
                                   foreach($whs as $single)
                                                   {  
                                                           $whtype = ($single['parent'] == 0? 'Stadtlager':'Gildenlager, '.$single['short']);
                                                           echo '<option value="'.$single['wid'].'"'; if($whId==$single['wid']) echo ' selected="selected"'; echo'>
                                                                   '.$single['name'].' ('.$whtype.')</option>';

                                                   }
                                           echo '</select></td>
                         </tr>
                         <tr style="border:none;">
                           <td class="left">Haltbarkeit</td>
                           <td style="border:none;">
                               <div id="slider-range" class="slider" style="width: 230px;"></div>
                               <div class="range2 hint">'.$stabmin.' - '.$stabmax.'</div>
                           </td>
                           </tr>
                         <tr>
                           <th colspan="2"><input type="submit" value="&auml;ndern" /></th>
                         </tr>
                   </table>
                    <input type="hidden" id="stabmin" name="stabmin" value="'.$stabmin.'" />
                    <input type="hidden" id="stabmax" name="stabmax" value="'.$stabmax.'" />
		</form>';
                                        
		echo '
                    <br />
		<table class="tableItemTypes2" border="0">
			<tr>
				<th colspan="3">Lagerbestand der beschdigten Waren</th>
			</tr>
		      <tr>';
                $u = 0;
        echo '<td class="left" style="min-width:150px;">';
				foreach($minvals as $key=>$row)
				{
                    if($key == 'B&ouml;gen' || $key == 'Leichte R&uuml;stung (Stoff)') {
                        echo '</td>';
                        echo '<td class="left" style="min-width:150px;">';
                    }
						
					if(count($minvals[$key]) > 0)
					{
						echo '<span class="txt bold">'.$key.'</span><br />';
						foreach($row as $items)
						{
							$title = 'im Lager: '.$items['count'];		
							echo '<div class="wileft"><span class="txt">'.$items['count'].'</span></div>
								  <div style="cursor:pointer;" class="wiright" onclick="showUsersForItem(\'itemusers\', \''.$items['id'].'\', \''.$items['item'].'\', \''.$items['magical'].'\', \''.$items['producable'].'\', \''.$items['equals'].'\', \''.$whId.'\', event);"><span class="txt"><a class="alt'.($items['magical']?"mag":"").'" title="'.$title.'">&nbsp;'.$items['item'].'</a></span></div>';
						}
						$u++;
					}
				}
        echo '</td>';
		      echo '
		      </tr>
		      <tr>
		      	<th colspan="3">Wert: '.$scrap.' Gold</th>
		      </tr>
		</table>';
	}
        
	echo '<script type="text/javascript" src="js/'.AJAX_JS.'"></script>
		  <script type="text/javascript" src="js/'.JQUERY_UI_JS.'"></script>
		  <script type="text/javascript">
		  $(document).ready(function()
            {
                $("#itemusers").draggable({cancel: "#tabs"});
                if($( "#slider-range" ).length > 0)
                {
                    $( "#slider-range" ).slider({
                        range: true,
                        min: 1,
                        max: 99,
                        values: [ '.($stabmin ?? 1).', '.($stabmax ?? 99).' ],
                        slide: function( event, ui ) 
                        {
                            $( "#stabmin" ).val( ui.values[ 0 ] );
                            $( "#stabmax" ).val( ui.values[ 1 ] );
                            $( ".range2" ).text( ui.values[ 0 ] + " - " + ui.values[ 1 ] );
                        }
                    });
                }
            });
		</script>
		';
	}
	else
		echo '<p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p><p class="err">Zugang verweigert!</p>'; 
}
else
	echo '<p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p><p class="err">Zugang verweigert!</p>'; 
?>