<?php
session_name('sid');
session_start();
include_once ('../include/db.php');
require_once('../classes/functions.php');
include_once('../include/auth.php');
require_once('../classes/user.class.php');
require_once('../classes/warehouse.class.php');

$user = new User();
$wh = new Warehouse($user);

$whs = $wh->getWHsByWriteRight();

$wiid = (int)$_POST['wiid'];
$amount = (int)$_POST['amount'];
$whId = (int)$_SESSION['whid'];

if($wh->canAccess($whs, $whId))
{
	echo $wh->updateWarehouseItem($wiid, $amount, $whId);
}
else
	echo "-1";


?>