<?php
session_name('sid');
session_start();
include_once ('../include/db.php');
include_once('../classes/functions.php');
include_once('../include/auth.php');
include_once('../classes/user.class.php');
include_once('../classes/poll.class.php');

$polluser = new User();
$poll = new Poll($polluser);

if($_POST['action'] == "loadsingle")
{
	$pqid = (int)$_POST['pqid'];
	
	$singlepoll = $poll->getPollsByRight($pqid);
	//print_r($singlepoll);
	if(count($singlepoll) > 0)
	{
		echo '
		<table class="resultT votetable" style="width: 100%;height: 100%;" border="0">
		<tr style="height:25px;">
			<th id="chathead" class="txt2">'.$singlepoll[0]['question'].'</th>
		</tr>
		<tr>
			<td class="left txt2">';
			//Nutzer darf abstimmen, wenn Umfrage aktiv und er noch nicht abgestimmt hat
			if($singlepoll[0]['active'] && $poll->getUserVoteCount($singlepoll[0]['pqid']) == 0)
			{
				$answers = $singlepoll[0]['answers'];
				$maxvotes = ($singlepoll[0]['max_votes'] == 1? "Stimme": "Stimmen");
				echo '<form class="voteform">';
				foreach($answers as $row)
				{
					//bei Einfachnennung->Radiobuttons
					if($singlepoll[0]['max_votes'] == 1)
						$input = '<input type="radio" name="answer" value="'.$row['paid'].'" />';
					else 	
						$input = '<input type="checkbox" name="answer['.$row['paid'].']" value="'.$row['paid'].'" />';
						
					echo $input.' '.$row['answer'].'<br />';
				}
				echo '
				<div class="center" style="width: 100%;"><br />
					<span class="txt4"><input class="votesubmit" type="submit" value="abstimmen" /></span><br />
					<span class="hint">(Du hast '.$singlepoll[0]['max_votes'].' '.$maxvotes.')</span>
				</div>
				</form>';
			}
			else	//zeige Ergebnis
			{
				foreach($singlepoll[0]['results'] as $row)
				{
					if($row['totalvotes'] > 0)
						$percent = round($row['votes']*100/$row['totalvotes']);
					else
						$percent = 0;
					$vote = ($row['votes'] == 1? "Stimme": "Stimmen");
					echo $row['answer'].' <span class="hint">('.$percent.'%, '.$row['votes'].' '.$vote.')</span><br />
					<div class="pollpercent" style="width: '.$percent.'%; margin-bottom:10px;"></div>';
				}
			}
			echo '
			</td>
		</tr>
		</table>';
			
			echo '<script type="text/javascript">
		$(document).ready(function()
		{			
			$(".votesubmit").button();
			$(".voteform").submit(function()
			{
				saveVote($(".votetable").parent().attr("id"), '.$singlepoll[0]['pqid'].', '.$singlepoll[0]['max_votes'].');
				return false;
			});
		});
	</script>';
	}
	
	
}
else if($_POST['action'] == "savevote")
{
	$json = $_POST['json'];
	$json = str_replace('\\', '', $json);
	$json = json_decode($json, true);
	
	$pqid = (int)$json['pqid'];
	
	$singlepoll = $poll->getPollsByRight($pqid);
	if(count($singlepoll) > 0)
	{
		//wenn Nutzer nicht zu viele Stimmen abgegeben hat und Umfrage aktiv ist
		if($singlepoll[0]['active'] && (is_array($json['answers']) && count($json['answers']) <= $singlepoll[0]['max_votes']))
		{
			if($poll->addVotes($json['answers'], $pqid))
				echo "1";
			else 
				echo "0";
		}
		else 	
			echo "0";
	}
	else
		echo "0";
}
else if($_POST['action'] == "delpoll")
{
	$pqid = (int)$_POST['pqid'];
	if($poll->canEdit($_REQUEST['pqid']))
	{
		if($poll->deletePoll($pqid))
			echo "1";
		else 
			echo "0";
	}
	else 
		echo "0";
}
?>