<?php
use Repository\MarketUtilization;

ini_set("zlib.output_compression", 4096);		//kompression aktivieren
// Kompressionslevel setzen
ini_set('zlib.output_compression_level', 5);

session_name('sid'); 
session_start();
include_once ('../include/db.php');
require_once('../classes/functions.php');
//include_once('../include/auth.php');
require_once('../classes/warehouse.class.php');
require_once('../classes/user.class.php');

$user = new User();
$wh = new Warehouse($user);

$month = (int)$_POST['month'];
$year = (int)$_POST['year'];
$whId = (int)$_POST['whid'];
$daymin = max(array(1,(int)$_POST['daymin']));
$daymax = min(array(31,(int)$_POST['daymax']));
if($daymin>$daymax) {
    $daymin = $daymax; 
} 	
$nick = utf8_decode($_POST['nick']);

// get selected warehouses
if($whId == 0)
{
    $whs = $wh->getWHsByReadRight();
    $whIds = array();
    foreach($whs as $w){
        array_push($whIds, $w['wid']);
    }
}
else {
    $whIds = array($whId);        
}

$load = $_POST['load'] ?? "";

if($load === 'userprot') {
    $res = $wh->getProtocollListTotal($year, $month, NULL, NULL, $nick,1, $daymin, $daymax, $whIds);

    foreach($res as $nick=>$val1)
    {
        echo '
       <br />
        <div class="boxborder"></div>
        <div class="boxleft">';
        foreach($val1 as $type=>$val2)
        {
            $count = count($val1[$type]);
            //echo $count;
            echo '<div class="wip">'.$type.'</div>';
            for($i=0;$i<$count-1;$i++)
                    echo '<div class="wip">&nbsp;</div>
                    ';
        }
        echo '</div>
          <div class="boxright">';
               $count = count($val1); $i = 0;
        foreach($val1 as $type=>$val2)
        {
            foreach($val2 as $item=>$amount)
            {
                if($item != 'sum')
                echo '<div class="wipleft center"><span>'.$amount[0].'</span></div>
                                  <div class="wipright"><a class="alt" title="Einzelwert: '.$amount[3].' Gesamt: '.$amount[2].'"><span class="'.($amount[1]?" magical":"").'">
                                  '.$item.'</span></a></div>
                                  ';
            }
            if($i < $count-1) {
                echo '<br />';                
            }
            $i++;
        }
        echo '</div>
';
    }
} else if($load === "marketuserpurchases") {
    
    require_once(__DIR__.'/../Repository/MarketUtilization.php');
    
    
    $market = new MarketUtilization();
    
    $items = $market->getItemsForBuyer($nick, $year, $month, $daymin, $daymax, $whIds);
    
    echo '
        
        <table class="resultT5" border="0" style="border-bottom: none;">
        <tr>
            <th colspan="2" class="nob">
                <div class="close-container">
                    <div>Top 10 K&auml;ufe</div>                                            
                    <div style="cursor:pointer;" onclick="$(\'#user-info\').hide();">X</div>
                </div>
            </th>
        </tr>
        </table>
        <div id="overlib-content">
        <table class="resultT5" border="0" style="border-top: none;">';
    foreach($items as $item) {
        echo '
        <tr>
            <td class="left nob'.($item['magical']? " magical" : "").'">'.$item['icount'].' '.$item['item'].'</td>
            <td class="right nob">'.$item['price_f'].'</td>
        </tr>';

    }
    
    echo '
        <tr>
            <th colspan="2">&nbsp;</th>
        </tr>
        </table>
        </div>';
}


?>