<?php
ini_set("zlib.output_compression", 4096);		//kompression aktivieren
// Kompressionslevel setzen
ini_set('zlib.output_compression_level', 5);

session_name('sid');
session_start();
include_once ('../include/db.php');
require_once('../classes/functions.php');
include_once('../include/auth.php');
require_once('../classes/user.class.php');
require_once('../classes/hunt.class.php');
require_once('../classes/Folk.php');

$user = new User();
$hunt = new Hunt();
$load = $_POST['load'] ?? "";

if($load == 'filterlist')
{
	//print_r($_POST);
	$json = $_POST['json'];
	$json = str_replace('\\', '', $json);
	$json = json_decode($json, true);
	//print_r($json);
	$curSite = ((int)$_POST['site']>0?(int)$_POST['site']:1);

	if(is_array($json))
	{
		$users = $hunt->getUsersByFilter($json, $curSite, $_POST['hid']);
		$pages = $hunt->calculatePages($users[0]);
		echo '<table class="resultT txt2" style="width:170px">
				<tr>
					<th colspan="2">Charaktere</th>
				</tr>';
		
		//Anzahl der Ergebnisse
		if($pages > 1)
		{	echo '<tr>
					<td colspan="2" class="nob2 txt2 italic bold">Seite: ';
			for($i=1;$i<=$pages;$i++)				
			{
				if($curSite != $i)
				echo '<a class="txt2" href="#" onclick="loadUsers('.$i.');">'.$i.'</a>&nbsp;&nbsp;';
				else
				echo ''.$i.'&nbsp;&nbsp;';
			}
			echo '</td>
				</tr>
				<tr>
					<td colspan="2" class="nob"></td>
				</tr>';
		}
		//wenn keine Nutzer vorhanden
		if($users[0] == 0)
		{
			echo'<tr>
					<td colspan="2" class="nob2 italic txt2">Bitte den Filter benutzen.</td>
				</tr>';
		}
		else 
		{
			echo '<tr>
					<td colspan="2" class="nob2"><ul id="userlist">';
		}
		foreach($users as $u)
		{
			if(is_array($u))
			echo '<li class="drag left txt2" data-id="'.$u['id'].'">
					<span class="ui-icon ui-icon-info" style="float:left; margin:0 5px 0 3px;" onclick="showUserInfo(\'suser\',\''.$u['id'].'\',0,event);"></span>
					<span style="color:'.$u['color'].';">'.$u['nick'].'</span> <span class="italic">(' . $u['folk'] . ', ' . $u['lvl'].')</span></li>
				';
		}
		if($users[0] > 0)
		{
			echo '	</ul></td>
				  </tr>';
		}
		//Anzahl der Ergebnisse
		if($pages > 1)
		{	echo '
				<tr>
					<td colspan="2" class="nob3"></td>
				</tr>
				<tr>
					<td colspan="2" class="nob2 txt2 italic bold">Seite: ';
			for($i=1;$i<=$pages;$i++)				
			{
				if($curSite != $i)
				echo '<a class="txt2" href="#" onclick="loadUsers('.$i.');">'.$i.'</a>&nbsp;&nbsp;';
				else
				echo ''.$i.'&nbsp;&nbsp;';
			}
			echo '</td>
				</tr>';
		}
		echo '	<tr>
					<th colspan="2">&nbsp;</th>
				</tr>
			  </table>';
	}
}
else if($load == "single")
{
	$single = $hunt->loadUserForHunt($_POST['uid']);
	echo json_encode($single);
}
else if(isset($_POST['save']) && $_POST['save'] == 'group')
{
	//print_r($_POST);
	$json = $_POST['json'];
	$json = str_replace('\\', '', $json);
	$json = json_decode($json, true);
	echo $hunt->saveHuntGroup($json, $user->getUId());
	//print_r($json);
	//var_dump($json);
}
else if($load == "signleoverlib")
{
	$hid = (int)$_POST['hid'];
	if($hid == 0)
		$single = $hunt->loadUserForHunt($_POST['uid']);
	else
		$single = $hunt->loadUserForHunt2($_POST['uid'], $hid);

	$curUser = new User();
	$curUser->loadUser($single['id']);
	
	echo '
	<script type="text/javascript" src="js/progressbar.js"></script>
	
	<table class="resultT5" border="0">
		<tr>
			<th class="right" colspan="4">Charakterinformation
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<span style="cursor:pointer;" onclick="$(\'#suser\').hide();">X</span>&nbsp;&nbsp;</th>
		</tr>
	    <tr>
	    	<td colspan="4" class="txt2 left nob2 left">
	    		'.$curUser->getNick().' <span class="progressBar" id="p1">'.$curUser->getTrustLvl().'%</span><br /> 
	    		<span class="hint">'.$curUser->getFolkName().', Level: '.$curUser->getLvl().', '.($curUser->getNoWork()?'Wanderer':'Handwerker');
                        if($single['class'] !== null) {
                            echo '<br />Klasse: '.$single['class'];
                        }
                        echo '<br />Gilde: '.$curUser->getGuildName().'</span></td>
	    </tr>
	    <tr>
	      	<td colspan="4" class="nob3"><div style="position:relative;"><div id="showmore1info" class="showmoreinfo" data-uid="1"><span class="ui-icon ui-icon-caret-1-n arrtop"></span><span class="ui-icon ui-icon-caret-1-n arrbot"></span></div><div class="ithleft txt"><strong>Fertigkeiten</strong></div><div class="ithright txt"><strong>Stufe</strong>&nbsp;&nbsp;</div></div></td>
	    </tr>
	    <tr>
	      	<td colspan="4" class="txt2 nob2 left"><div id="more1info" class="moreinfo2">';
			if(isset($single['capabilities']))
			foreach($single['capabilities'] as $cap)
			{					
				//echo '<span style="width:50px; height:30px;border:1px solid #000;" class="right">'.$cap['lvl'].'</span> <span>'.$cap['name'].'</span> <span class="hint">('.($cap['active']?'aktiv':'nicht aktiv').')</span><br />';
				echo '<div class="itleft left txt2" style="min-width:150px;">&nbsp;&nbsp;&nbsp;'.$cap['name'].' <span class="hint">('.($cap['active']?'aktiv':'nicht aktiv').')</span></div>
					  <div class="itright txt2">'.$cap['lvl'].'&nbsp;&nbsp;</div>';	
			}
	      echo '</div></td>
	    </tr>
	    <tr>
	      	<td colspan="4" class="nob3"><div style="position:relative;"><div id="showmore2info" class="showmoreinfo" data-uid="2"><span class="ui-icon ui-icon-caret-1-s arrtop"></span><span class="ui-icon ui-icon-caret-1-s arrbot"></span></div><div class="ithleft txt"><strong>Attribute</strong></div><div class="ithright txt"><strong>Stufe</strong>&nbsp;&nbsp;</div></div></td>
	    </tr>
	    <tr>
	      	<td colspan="4" class="txt2 nob2 left"><div id="more2info" class="moreinfo">';
			//Gruppenspezifische Werte laden, bei bedarf
			if(isset($single['customattributes']) && $single['customattributes'])
				$attr = $curUser->getUsersAttributes($hid);
			else
				$attr = $curUser->getUsersAttributes();
			foreach($attr as $key=>$value)
			{					
				//echo '<span style="width:50px; height:30px;border:1px solid #000;" class="right">'.$cap['lvl'].'</span> <span>'.$cap['name'].'</span> <span class="hint">('.($cap['active']?'aktiv':'nicht aktiv').')</span><br />';
				echo '<div class="itleft left txt2" style="min-width:150px;">&nbsp;&nbsp;&nbsp;'.$key.'</div>
					  <div class="itright txt2">'.(int)$attr[$key]['lvl'].'&nbsp;&nbsp;</div>';	
			}
	      echo '
	      	</div>											
	      	</td>
	    </tr>
	    <tr>
	      	<td colspan="4" class="nob3 bold left"><div style="position:relative;"><div id="showmore4info" class="showmoreinfo" data-uid="4"><span class="ui-icon ui-icon-caret-1-s arrtop"></span><span class="ui-icon ui-icon-caret-1-s arrbot"></span></div>Ausr&uuml;stung</div></td>
	    </tr>
	    <tr>
	      	<td colspan="4" class="txt2 nob2 left"><div id="more4info" class="moreinfo">';
	      	//gruppenspezifischen Inventar laden, bei bedarf
			if(isset($single['custominventar']) && $single['custominventar'])
				$userItems = $curUser->getUsersInventar($hid);
			else 
				$userItems = $curUser->getUsersInventar();
			if(isset($single['customenchantment']) && $single['customenchantment'])
				$userEnch = $curUser->getUsersEnchantments($hid);
			else 
				$userEnch = $curUser->getUsersEnchantments();
	      	if(count($userItems) == 0)	echo '<span class="hint">Der Charakter tr&auml;gt keine Ausr&uuml;stung.</span>';
	      	$firstsep = false; $secstep = false;
	      	foreach($userItems as $single2)
			{	$step = "";	
				$ench = "";		
				if($single2['iid'] != 0)
				{
					if(!$firstsep && ($single2['type'] == 8 || $single2['type'] == 9))
					{ $firstsep = true; $step = " margin-top:7px;"; }
					if(!$secstep && ($single2['type'] >=1 && $single2['type'] <= 5))
					{ $secstep = true; $step = " margin-top:5px;"; }
					
					//Verzauberung f�r aktuellen Gegenstand holen
					$curEnch = $curUser->getItemForType($userEnch, $single2['type']);
					if(isset($curEnch['eid']) && $curEnch['eid'] > 0) {
                                            $ench = $curEnch['name'];
                                        }						
						
					echo '<div class="itleft left txt2" style="min-width:150px;'.$step.'">&nbsp;&nbsp;&nbsp;'.$single2['item'].' '.$ench.'</div>
					  ';
				}
					
			}
	      	echo '</div></td>
	    </tr>';
	    $fk = $curUser->getItemForType($userItems, 8);
	    $spellItems = array(11,12,13,14);
            
	    //wenn fk und auch stab angelegt ist
	    if(((isset($single['close_far_combat']) && $single['close_far_combat']) || ($hid == 0 && $curUser->getCombat() == 1)) && in_array($fk['itid'], $spellItems))
	    {
	    	echo '
		    <tr>
		      	<td colspan="4" class="nob3 bold left"><div style="position:relative;"><div id="showmore5info" class="showmoreinfo" data-uid="5"><span class="ui-icon ui-icon-caret-1-s arrtop"></span><span class="ui-icon ui-icon-caret-1-s arrbot"></span></div>Zauberspr&uuml;che</div></td>
		    </tr>
		    <tr>
		      	<td colspan="4" class="txt2 nob2 left"><div id="more5info" class="moreinfo">';
	    		//gruppenspezifische Zauber laden, bei bedarf
				if(isset($single['customspells']) && $single['customspells'])
					$userSpells = $curUser->getUsersSpell($hid);
				else
					$userSpells = $curUser->getUsersSpell();
		      	$i = 1;
		      	foreach($userSpells as $single2)
				{					
					if($single2['spid'] != 0)
					echo '<div class="itleft left txt2" style="min-width:150px;">&nbsp;&nbsp;&nbsp;'.$i++.'. Zauber: '.$single2['name'].'</div>
						  ';	
				}
		      	echo '</div></td>
		    </tr>';
	    }
	    if($single['desc'] != "")
	    {
	    	echo '
	    	<tr>
		      	<td colspan="4" class="nob3 bold left"><div style="position:relative;"><div id="showmore3info" class="showmoreinfo" data-uid="3"><span class="ui-icon ui-icon-caret-1-s arrtop"></span><span class="ui-icon ui-icon-caret-1-s arrbot"></span></div>Beschreibung</div></td>
		    </tr>
		    <tr>
		      	<td colspan="4" class="txt2 nob2 left hint"><div id="more3info" class="moreinfo">'.nl2br($single['desc']).'</div></td>
		    </tr>';
	    }
	    echo '
	    <tr>
	      	<th colspan="4">&nbsp;</th>
	    </tr>
	</table>
	<script type="text/javascript">
		$(document).ready(function()
		{
		    $("#p1").progressBar('.$single['trustlvl'].');
		    makeAllShowMoreInfoClickable();
		    
		});
	</script>';
}
else if($load == "editoverlib")
{
	$curUser = new User();
	$curUser->loadUser($_POST['uid']);
	echo '
	<div class="editoverlib">
		<table class="tableOverlib" border="0" style="">
			<tr>
				<th class="nob1" colspan="2"><span style="float:left;">'.$curUser->getNick().'</span>
						<span style="cursor:pointer; float:right; margin-right:10px;" onclick="$(\'#suser\').hide();">X</span></th>
			</tr>
		</table>
		<div id="tabs" class="txt2 left">
			<ul>
				<li class="txt4"><a href="#tabs-1">Ausr&uuml;stung</a></li>
				<li class="txt4"><a href="#tabs-2">Verzauberung</a></li>
				<li class="txt4"><a href="#tabs-3">Zauberspr&uuml;che</a></li>
				<li class="txt4"><a href="#tabs-4">Attribute</a></li>
				<li class="txt4"><a href="#tabs-5">Eigenschaften</a></li>
			</ul>
			<div id="tabs-1" class="left txt3">
				<div id="inventar"></div>
			</div>
			<div id="tabs-2" class="left txt3">
				<div id="enchantment"></div>							
			</div>
			<div id="tabs-3" class="left txt3">
				<div id="spells"></div>
			</div>
			<div id="tabs-4" class="left txt3">
				<div id="attributes"></div>							
			</div>
			<div id="tabs-5" class="left txt3">
				<div id="properties"></div>							
			</div>
		</div>';
	      
	      echo '
	      	<table class="tableOverlib" border="0">
	      <tr>
	      	<th class="nob"><input class="txt3" id="saveedit" type="submit" value="speichern" /></th>
	      </tr>
		</table>
		<input type="hidden" name="edituid" value="'.(int)$_POST['uid'].'" />
	<script type="text/javascript">
		$(document).ready(function()
		{
		    $( "#tabs" ).tabs();
		    
		    loadEditSubPage("inventar", '.(int)$_POST['uid'].'); 
		    loadEditSubPage("enchantment", '.(int)$_POST['uid'].'); 
		    loadEditSubPage("attributes", '.(int)$_POST['uid'].');
		    loadEditSubPage("properties", '.(int)$_POST['uid'].');
			$("#saveedit").click(function()
			{
				var selected = $( "#tabs" ).tabs( "option", "active" );
				saveEdit(selected);
			});
		});
	</script>';
}
else if($load == "spells")
{
	require_once '../classes/item.class.php';
	$items = new Item();
	$huntuser = $hunt->loadUserForHunt2($_POST['uid'], $_POST['hid']);
	$curUser = new User();
	$curUser->loadUser($_POST['uid']);
	
	$fkitem = $items->getItem($_POST['iid']);	//waffengattung laden
	
	//gruppenspezifische Zauber laden, bei bedarf
	if($huntuser['customspells'])
		$userSpells = $curUser->getUsersSpell($_POST['hid']);
	else
		$userSpells = $curUser->getUsersSpell();

	echo '
		<table class="tableOverlib" border="0" style="width:100%; border: none;">	
		<tr>
			<td colspan="2" class="txt3 nob3 bold" style="padding:0;">Zauberspr&uuml;che</td>
		</tr>
		<tr>
			<td class="txt4 nob" style="width:13%; padding:0;">1. Zauber</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select name="spell1" style="width:100%;" class="txt4">';
			$curSpell = $curUser->getItemForType($userSpells,0);
			echo '	<option class="txt4" value="0"'.($curSpell['spid']==0?' selected="selected"':'').'>--nicht belegt--</option>';
			$inv1 = $items->getSpells(1, $curUser, $fkitem['itid']);
			$type = "";
			$curSpell = $curUser->getItemForType($userSpells,1);
			foreach($inv1 as $single)
			{
				$more = ", ".$items->getSpellTypeName($single['type']).", (".$single['dmgmin']."-".$single['dmgmax'].")";
				if($single['reach'] > 1)
					$more .= ", [".$single['reach']." Felder]";
				echo '<option class="txt4" value="'.$single['spid'].'"'.($curSpell['spid']==$single['spid']?' selected="selected"':'').'>
					'.$single['name'].' (Stufe: '.$single['lvl'].')'.$more.'
					</option>';
			}
			
			echo '</select></td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:0;">2. Zauber</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="spell2" style="width:100%;">';
				
			$curSpell = $curUser->getItemForType($userSpells,0);
			echo '	<option value="0"'.($curSpell['spid']==0?' selected="selected"':'').'>--nicht belegt--</option>';
			$inv1 = $items->getSpells(2, $curUser, $fkitem['itid']);
			$type = "";
			$curSpell = $curUser->getItemForType($userSpells,2);
			foreach($inv1 as $single)
			{
				$more = ", ".$items->getSpellTypeName($single['type']).", (".$single['dmgmin']."-".$single['dmgmax'].")";
				if($single['reach'] > 1)
					$more .= ", [".$single['reach']." Felder]";
				echo '<option class="txt4" value="'.$single['spid'].'"'.($curSpell['spid']==$single['spid']?' selected="selected"':'').'>
					'.$single['name'].' (Stufe: '.$single['lvl'].')'.$more.'
					</option>';
			}
			
			echo '</select></td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:0;">3. Zauber</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="spell3" style="width:100%;">';
			$curSpell = $curUser->getItemForType($userSpells,0);
			echo '	<option value="0"'.($curSpell['spid']==0?' selected="selected"':'').'>--nicht belegt--</option>';
			$inv1 = $items->getSpells(3, $curUser, $fkitem['itid']);
			$type = "";
			$curSpell = $curUser->getItemForType($userSpells,3);
			foreach($inv1 as $single)
			{
				$more = ", ".$items->getSpellTypeName($single['type']).", (".$single['dmgmin']."-".$single['dmgmax'].")";
				if($single['reach'] > 1)
					$more .= ", [".$single['reach']." Felder]";
				echo '<option class="txt4" value="'.$single['spid'].'"'.($curSpell['spid']==$single['spid']?' selected="selected"':'').'>
					'.$single['name'].' (Stufe: '.$single['lvl'].')'.$more.'
					</option>';
			}
			
			echo '</select></td>
		</tr>
		<tr>
			<td class="txt4 nob center" style="padding:2px 5px 2px 5px;"><input type="checkbox" name="restore2" /></td>
			<td class="hint left nob" style="padding:2px 5px 2px 5px;"> Originalwerte wiederherstellen</td>
		</tr>
		</table>';
}
else if($load == "inventar")
{
	require_once '../classes/item.class.php';
	$items = new Item();
	$huntuser = $hunt->loadUserForHunt2($_POST['uid'], $_POST['hid']);
	$curUser = new User();
	$curUser->loadUser($_POST['uid']);
	
	//gruppenspezifischen Inventar laden, bei bedarf
	if(isset($huntuser['custominventar']) && $huntuser['custominventar'])
		$userItems = $curUser->getUsersInventar($_POST['hid']);
	else 
		$userItems = $curUser->getUsersInventar();
		
	echo '
		<table class="tableOverlib" border="0" style="">
		<tr>
			<td colspan="2" class="txt3 nob2 bold" style="padding:0;">R&uuml;stung</td>
		</tr>
		<tr>
			<td class="txt4 nob" style="width:13%; padding:2px 5px 2px 5px;">Kopf</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="head" style="width:87%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>kein Gegenstand angelegt</option>';
			$inv1 = $items->getItemsForInventary(1, $curUser->getUId());
			$type = "";
			$curItem = $curUser->getItemForType($userItems,1);
			foreach($inv1 as $single)
			{
				if($type != $single['type'])
				{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['type'].'</option>'; $type = $single['type']; }
				echo '<option value="'.$single['iid'].'"'.($single['magical']?' class="magical"':'').'"'.($curItem['iid']==$single['iid']?' selected="selected"':'').'>
					'.$single['item'].' (Stufe: '.$single['lvl'].')
					</option>';
			}
			
			echo '</select>
                        <select name="increment[]" style="width:11%;">
                        <option value="0">--</option>';
                        
                        $typeInc = 0;
                        if(count($curItem) > 0) {
                            $typeInc = $curItem['increment'];
                        }
                        for($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                            echo '<option value="'.$i.'"'.($typeInc == $i ? ' selected="selected"': '').'>+'.$i.'</option>';
                        }
                        echo '     
                        </select></td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">Torso</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="body" style="width:87%;">
				<option value="0"'.($user->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>kein Gegenstand angelegt</option>';
			$inv1 = $items->getItemsForInventary(2, $curUser->getUId());
			$type = "";
			$curItem = $curUser->getItemForType($userItems,2);
			foreach($inv1 as $single)
			{
				if($type != $single['type'])
				{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['type'].'</option>'; $type = $single['type']; }
				echo '<option value="'.$single['iid'].'"'.($single['magical']?' class="magical"':'').'"'.($curItem['iid']==$single['iid']?' selected="selected"':'').'>
					'.$single['item'].' (Stufe: '.$single['lvl'].')
					</option>';
			}
			
			echo '</select>
                        <select name="increment[]" style="width:11%;">
                        <option value="0">--</option>';
                        
                        $typeInc = 0;
                        if(count($curItem) > 0) {
                            $typeInc = $curItem['increment'];
                        }
                        for($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                            echo '<option value="'.$i.'"'.($typeInc == $i ? ' selected="selected"': '').'>+'.$i.'</option>';
                        }
                        echo '     
                        </select></td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">H&auml;nde</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="hand" style="width:87%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>kein Gegenstand angelegt</option>';
			$inv1 = $items->getItemsForInventary(3, $curUser->getUId());
			$type = "";
			$curItem = $curUser->getItemForType($userItems,3);
			foreach($inv1 as $single)
			{
				if($type != $single['type'])
				{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['type'].'</option>'; $type = $single['type']; }
				echo '<option value="'.$single['iid'].'"'.($single['magical']?' class="magical"':'').'"'.($curItem['iid']==$single['iid']?' selected="selected"':'').'>
					'.$single['item'].' (Stufe: '.$single['lvl'].')
					</option>';
			}
			
			echo '</select>
                        <select name="increment[]" style="width:11%;">
                        <option value="0">--</option>';
                        
                        $typeInc = 0;
                        if(count($curItem) > 0) {
                            $typeInc = $curItem['increment'];
                        }
                        for($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                            echo '<option value="'.$i.'"'.($typeInc == $i ? ' selected="selected"': '').'>+'.$i.'</option>';
                        }
                        echo '     
                        </select></td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">Beine</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="leg" style="width:87%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>kein Gegenstand angelegt</option>';
			$inv1 = $items->getItemsForInventary(4, $curUser->getUId());
			$type = "";
			$curItem = $curUser->getItemForType($userItems,4);
			foreach($inv1 as $single)
			{
				if($type != $single['type'])
				{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['type'].'</option>'; $type = $single['type']; }
				echo '<option value="'.$single['iid'].'"'.($single['magical']?' class="magical"':'').'"'.($curItem['iid']==$single['iid']?' selected="selected"':'').'>
					'.$single['item'].' (Stufe: '.$single['lvl'].')
					</option>';
			}
			
			echo '</select>
                        <select name="increment[]" style="width:11%;">
                        <option value="0">--</option>';
                        
                        $typeInc = 0;
                        if(count($curItem) > 0) {
                            $typeInc = $curItem['increment'];
                        }
                        for($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                            echo '<option value="'.$i.'"'.($typeInc == $i ? ' selected="selected"': '').'>+'.$i.'</option>';
                        }
                        echo '     
                        </select></td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">F&uuml;&szlig;e</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="feet" style="width:87%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>kein Gegenstand angelegt</option>';
			$inv1 = $items->getItemsForInventary(5, $curUser->getUId());
			$type = "";
			$curItem = $curUser->getItemForType($userItems,5);
			foreach($inv1 as $single)
			{
				if($type != $single['type'])
				{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['type'].'</option>'; $type = $single['type']; }
				echo '<option value="'.$single['iid'].'"'.($single['magical']?' class="magical"':'').'"'.($curItem['iid']==$single['iid']?' selected="selected"':'').'>
					'.$single['item'].' (Stufe: '.$single['lvl'].')
					</option>';
			}
			
			echo '</select>
                        <select name="increment[]" style="width:11%;">
                        <option value="0">--</option>';
                        
                        $typeInc = 0;
                        if(count($curItem) > 0) {
                            $typeInc = $curItem['increment'];
                        }
                        for($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                            echo '<option value="'.$i.'"'.($typeInc == $i ? ' selected="selected"': '').'>+'.$i.'</option>';
                        }
                        echo '     
                        </select></td>
		</tr>
		<tr>
			<td colspan="2" class="txt3 nob2 bold" style="padding:0;">Nahkampf</td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">Hand</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="nk1" style="width:87%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>kein Gegenstand angelegt</option>';
			$inv1 = $items->getItemsForInventary(6, $curUser->getUId());
			$type = "";
			$curItem = $curUser->getItemForType($userItems,6);
			foreach($inv1 as $single)
			{
				if($type != $single['type'])
				{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['type'].'</option>'; $type = $single['type']; }
				echo '<option value="'.$single['iid'].'"'.($single['magical']?' class="magical"':'').'"'.($curItem['iid']==$single['iid']?' selected="selected"':'').'>
					'.$single['item'].' (Stufe: '.$single['lvl'].')
					</option>';
			}
			
			echo '</select>
                        <select name="increment[]" style="width:11%;">
                        <option value="0">--</option>';
                        
                        $typeInc = 0;
                        if(count($curItem) > 0) {
                            $typeInc = $curItem['increment'];
                        }
                        for($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                            echo '<option value="'.$i.'"'.($typeInc == $i ? ' selected="selected"': '').'>+'.$i.'</option>';
                        }
                        echo '     
                        </select></td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">Hand</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="nk2" style="width:87%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>kein Gegenstand angelegt</option>';
			$inv1 = $items->getItemsForInventary(7, $curUser->getUId());
			$type = "";
			$curItem = $curUser->getItemForType($userItems,7);
			foreach($inv1 as $single)
			{
				if($type != $single['type'])
				{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['type'].'</option>'; $type = $single['type']; }
				echo '<option value="'.$single['iid'].'"'.($single['magical']?' class="magical"':'').'"'.($curItem['iid']==$single['iid']?' selected="selected"':'').'>
					'.$single['item'].' (Stufe: '.$single['lvl'].')
					</option>';
			}
			
			echo '</select>
                        <select name="increment[]" style="width:11%;">
                        <option value="0">--</option>';
                        
                        $typeInc = 0;
                        if(count($curItem) > 0) {
                            $typeInc = $curItem['increment'];
                        }
                        for($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                            echo '<option value="'.$i.'"'.($typeInc == $i ? ' selected="selected"': '').'>+'.$i.'</option>';
                        }
                        echo '     
                        </select></td>
		</tr>
		<tr>
			<td colspan="2" class="txt3 nob2 bold" style="padding:0;">Fernkampf</td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">Fernwaffe</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="fk" style="width:87%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>kein Gegenstand angelegt</option>';
			$inv1 = $items->getItemsForInventary(8, $curUser->getUId());
			$type = "";
			$curItem = $curUser->getItemForType($userItems,8);
			foreach($inv1 as $single)
			{
				if($type != $single['type'])
				{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['type'].'</option>'; $type = $single['type']; }
				echo '<option value="'.$single['iid'].'"'.($single['magical']?' class="magical"':'').'"'.($curItem['iid']==$single['iid']?' selected="selected"':'').'>
					'.$single['item'].' (Stufe: '.$single['lvl'].')
					</option>';
			}
			
			echo '</select>
                        <select name="increment[]" style="width:11%;">
                        <option value="0">--</option>';
                        
                        $typeInc = 0;
                        if(count($curItem) > 0) {
                            $typeInc = $curItem['increment'];
                        }
                        for($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                            echo '<option value="'.$i.'"'.($typeInc == $i ? ' selected="selected"': '').'>+'.$i.'</option>';
                        }
                        echo '     
                        </select></td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">Munition</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="mun" style="width:87%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>kein Gegenstand angelegt</option>';
			$inv1 = $items->getItemsForInventary(9, $curUser->getUId());
			$type = "";
			$curItem = $curUser->getItemForType($userItems,9);
			foreach($inv1 as $single)
			{
				if($type != $single['type'])
				{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['type'].'</option>'; $type = $single['type']; }
				echo '<option value="'.$single['iid'].'"'.($single['magical']?' class="magical"':'').'"'.($curItem['iid']==$single['iid']?' selected="selected"':'').'>
					'.$single['item'].' (Stufe: '.$single['lvl'].')
					</option>';
			}
			
			echo '</select>
                        <select name="increment[]" style="width:11%;">
                        <option value="0">--</option>';
                        
                        $typeInc = 0;
                        if(count($curItem) > 0) {
                            $typeInc = $curItem['increment'];
                        }
                        for($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                            echo '<option value="'.$i.'"'.($typeInc == $i ? ' selected="selected"': '').'>+'.$i.'</option>';
                        }
                        echo '     
                        </select></td>
		</tr>
                <tr>
                    <td colspan="2" class="txt3 nob2 bold" style="padding:0;">Bandagen</td>
                </tr>
                <tr>
                    <td class="txt4 nob" style="width:15%; padding:0;"></td>
                    <td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
                        <select name="bandages" style="width:87%;">
                            <option value="0"' . ($curUser->getItemIdForType($userItems, 0) == 0 ? ' selected="selected"' : '') . '>kein Gegenstand angelegt</option>';
                            $inv1 = $items->getItemsForInventary(10, $curUser->getUId());
                            $type = "";
                            foreach ($inv1 as $single) {
                                if ($type != $single['type']) {
                                    echo '<option value="0" class="bold italic">&nbsp;&nbsp;' . $single['type'] . '</option>';
                                    $type = $single['type'];
                                }
                                echo '<option value="' . $single['iid'] . '"' . ($single['magical'] ? ' class="magical"' : '') . '"' . ($curUser->getItemIdForType($userItems, 10) == $single['iid'] ? ' selected="selected"' : '') . '>
                                    ' . $single['item'] . ' (Stufe: ' . $single['lvl'] . ')
                                    </option>';
                            }

            echo '
                        </select>
                        <select name="increment[]" style="width:11%;">
                            <option value="0">--</option>';
                            $typeItems = $curUser->getItemForType($userItems, 10);
                            $typeInc = 0;
                            if (count($typeItems) > 0) {
                                $typeInc = $typeItems['increment'];
                            }
                            for ($i = 1; $i <= Config::MAX_INCREMENT; $i++) {
                                echo '<option value="' . $i . '"' . ($typeInc == $i ? ' selected="selected"' : '') . '>+' . $i . '</option>';
                            }
            echo '     
                        </select>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="nob hint">* Whle hier +2 fr eine personenbezogene Ausrstung.</td>
                </tr>
		<tr>
			<td class="txt4 nob6 center" style="padding:2px 5px 2px 5px;"><input type="checkbox" name="restore0" /></td>
			<td class="hint left nob6" style="padding:2px 5px 2px 5px;"> Originalwerte wiederherstellen</td>
		</tr>                
		</table>
		
		<script type="text/javascript">
		$(document).ready(function()
		{
		    loadSpells("spells",'.$curUser->getUId().');
		    loadFightCap('.$curUser->getUId().');
		    $(\'select[name="fk"]\').change(function() 
		    {
		    	loadSpells("spells",'.$curUser->getUId().');
			});
		});
		</script>';
}
else if($load == "enchantment")
{
	require_once '../classes/item.class.php';
	$items = new Item();
	$huntuser = $hunt->loadUserForHunt2($_POST['uid'], $_POST['hid']);
	$curUser = new User();
	$curUser->loadUser($_POST['uid']);
	
	//gruppenspezifischen Inventar laden, bei bedarf
	if($huntuser['custominventar'])
		$inventar = $curUser->getUsersInventar($_POST['hid']);
	else 
		$inventar = $curUser->getUsersInventar();
	if($huntuser['customenchantment'])
		$userItems = $curUser->getUsersEnchantments($_POST['hid']);
	else 
		$userItems = $curUser->getUsersEnchantments();

	$inv = $items->getEnchantments();
	echo '
		<table class="tableOverlib" border="0" style="">
		<tr>
			<td colspan="2" class="txt3 nob2 bold" style="padding:0;">R&uuml;stung</td>
		</tr>
		<tr>
			<td class="txt4 nob" style="width:13%; padding:2px 5px 2px 5px;">Kopf</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="head" style="width:100%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
			$invItem = $curUser->getItemForType($inventar,1);
			//wenn an aktueller Position auch etwas anliegt
			if($invItem['iid'] > 0)
			{
				$type = "";
				$curItem = $curUser->getItemForType($userItems,1);
				foreach($inv as $single)
				{
					if($type != $single['typename'])
					{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
					echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
						Gegenstand '.$single['name'].' ('.$single['description'].')
						</option>';
				}
			}
			
			echo '</select></td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">Torso</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="body" style="width:100%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
			$invItem = $curUser->getItemForType($inventar,2);
			//wenn an aktueller Position auch etwas anliegt
			if($invItem['iid'] > 0)
			{
				$type = "";
				$curItem = $curUser->getItemForType($userItems,2);
				foreach($inv as $single)
				{
					if($type != $single['typename'])
					{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
					echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
						Gegenstand '.$single['name'].' ('.$single['description'].')
						</option>';
				}
			}
			
			echo '</select></td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">H&auml;nde</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="hand" style="width:100%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
			$invItem = $curUser->getItemForType($inventar,3);
			//wenn an aktueller Position auch etwas anliegt
			if($invItem['iid'] > 0)
			{
				$type = "";
				$curItem = $curUser->getItemForType($userItems,3);
				foreach($inv as $single)
				{
					if($type != $single['typename'])
					{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
					echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
						Gegenstand '.$single['name'].' ('.$single['description'].')
						</option>';
				}
			}
			
			echo '</select></td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">Beine</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="leg" style="width:100%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
			$invItem = $curUser->getItemForType($inventar,4);
			//wenn an aktueller Position auch etwas anliegt
			if($invItem['iid'] > 0)
			{
				$type = "";
				$curItem = $curUser->getItemForType($userItems,4);
				foreach($inv as $single)
				{
					if($type != $single['typename'])
					{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
					echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
						Gegenstand '.$single['name'].' ('.$single['description'].')
						</option>';
				}
			}
			
			echo '</select></td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">F&uuml;&szlig;e</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="feet" style="width:100%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
			$invItem = $curUser->getItemForType($inventar,5);
			//wenn an aktueller Position auch etwas anliegt
			if($invItem['iid'] > 0)
			{
				$type = "";
				$curItem = $curUser->getItemForType($userItems,5);
				foreach($inv as $single)
				{
					if($type != $single['typename'])
					{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
					echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
						Gegenstand '.$single['name'].' ('.$single['description'].')
						</option>';
				}
			}
			
			echo '</select></td>
		</tr>
		<tr>
			<td colspan="2" class="txt3 nob2 bold" style="padding:0;">Nahkampf</td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">Hand</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="nk1" style="width:100%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
			$invItem = $curUser->getItemForType($inventar,6);
			//wenn an aktueller Position auch etwas anliegt
			if($invItem['iid'] > 0)
			{
				$type = "";
				$curItem = $curUser->getItemForType($userItems,6);
				foreach($inv as $single)
				{
					if($type != $single['typename'])
					{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
					echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
						Gegenstand '.$single['name'].' ('.$single['description'].')
						</option>';
				}
			}
			
			echo '</select></td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">Hand</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="nk2" style="width:100%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
			$invItem = $curUser->getItemForType($inventar,7);
			//wenn an aktueller Position auch etwas anliegt
			if($invItem['iid'] > 0)
			{
				$type = "";
				$curItem = $curUser->getItemForType($userItems,7);
				foreach($inv as $single)
				{
					if($type != $single['typename'])
					{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
					echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
						Gegenstand '.$single['name'].' ('.$single['description'].')
						</option>';
				}
			}
			
			echo '</select></td>
		</tr>
		<tr>
			<td colspan="2" class="txt3 nob2 bold" style="padding:0;">Fernkampf</td>
		</tr>
		<tr>
			<td class="txt4 nob" style="padding:2px 5px 2px 5px;">Fernwaffe</td>
			<td class="txt4 left nob4" style="padding:2px 5px 2px 5px;">
			<select class="txt4" name="fk" style="width:100%;">
				<option value="0"'.($curUser->getItemIdForType($userItems,0)==0?' selected="selected"':'').'>--nicht belegt--</option>';
			$invItem = $curUser->getItemForType($inventar,8);
			//wenn an aktueller Position auch etwas anliegt
			if($invItem['iid'] > 0)
			{
				$type = "";
				$curItem = $curUser->getItemForType($userItems,8);
				foreach($inv as $single)
				{
					if($type != $single['typename'])
					{	echo '<option value="0" class="bold italic">&nbsp;&nbsp;'.$single['typename'].'</option>'; $type = $single['typename']; }
					echo '<option value="'.$single['eid'].'"'.($curItem['eid']==$single['eid']?' selected="selected"':'').'>
						Gegenstand '.$single['name'].' ('.$single['description'].')
						</option>';
				}
			}
			
			echo '</select></td>
		</tr>
		<tr>
			<td class="txt4 nob center" style="padding:2px 5px 2px 5px;"><input type="checkbox" name="restore1" /></td>
			<td class="hint left nob" style="padding:2px 5px 2px 5px;"> Originalwerte wiederherstellen</td>
		</tr>
		</table>';
}
else if($load == "attributes")
{
	require_once '../classes/item.class.php';
	$items = new Item();
	$huntuser = $hunt->loadUserForHunt2($_POST['uid'], $_POST['hid']);
	$curUser = new User();
	$curUser->loadUser($_POST['uid']);
	
	//Gruppenspezifische Werte laden, bei bedarf
	if($huntuser['customattributes'])
		$attr = $curUser->getUsersAttributes($_POST['hid']);
	else
		$attr = $curUser->getUsersAttributes();
	echo'
	<table class="tableOverlib" border="0">	
	<tr>
		<td colspan="2" class="txt3 nob3 bold" style="padding:0;">Werte</td>
	</tr>';
	foreach($attr as $key=>$value)
	{
		echo '
		<tr>
			<td class="txt3 nob" style="width:50%; padding:2px 5px 2px 5px;">'.$key.'</td>
			<td class="txt3 left nob4" style="padding:2px 5px 2px 5px;">
			<input type="text" class="inp2" name="lvl'.$attr[$key]['id'].'" value="'.(int)$attr[$key]['lvl'].'" />
			</td>
		</tr>
		';
	}
	
	echo '
	<tr>
	      <td class="hint left nob" colspan="2">freie Attributspunkte: '.$curUser->getUsersFreeAttrPoints($attr).'</td>
	</tr>
	<tr>
		<td class="txt4 nob2 right" style="padding:2px 5px 2px 5px;"><input type="checkbox" name="restore3" /></td>
		<td class="hint left nob2" style="padding:2px 5px 2px 5px;"> Originalwerte wiederherstellen</td>
	</tr>
	</table>';
}
else if($load == "properties")
{
	require_once '../classes/item.class.php';
        
        $items = new Item();
        
        $huntuser = $hunt->loadUserForHunt2($_POST['uid'], $_POST['hid']);
	$curUser = new User();
	$curUser->loadUser($_POST['uid']);        
        $usersCaps = $curUser->getUsersCapabilities(1);
	
	
	//Gruppenspezifische Werte laden, bei bedarf
	if($huntuser['customattributes'])
		$uc = $curUser->getUsersAttributes($_POST['hid']);
	else
		$uc = $curUser->getUsersAttributes();
		
	if($huntuser['custominventar'])
		$inventar = $curUser->getUsersInventar($_POST['hid']);
	else 
		$inventar = $curUser->getUsersInventar();
	if($huntuser['customspells'])
		$spells = $curUser->getUsersSpell($_POST['hid']);
	else 
		$spells = $curUser->getUsersSpell();
	if($huntuser['customenchantment'])
		$userEnch = $curUser->getUsersEnchantments($_POST['hid']);
	else 
		$userEnch = $curUser->getUsersEnchantments();
	
	$lp = $curUser->getLP($uc, $userEnch, $inventar, $items);
	$handicap = $curUser->getHandicap($uc, $inventar, $items, $userEnch);
    $armor = $curUser->getArmor($inventar, $items);
    $absorb = $curUser->getAbsorb($uc, $inventar, $items, $userEnch, $usersCaps, $curUser);
    $avoid = $curUser->getAvoid($uc, $handicap, $items, $inventar, $userEnch);
    $accuracy = $curUser->getAccuracy($uc, $inventar, $items, 'nk', $userEnch);
    $critical = $curUser->getCritical($uc, $handicap, $items, $inventar, $userEnch);
    echo '
	<div style="width:100%; margin:0 auto;">
		<div style="float:left; margin-right:5px; width:49%;">
			<table class="resultT4" border="0" style="width:100%; border: none;">
			<tr>
				<td colspan="2" class="txt3 nob3 bold" style="padding:0;">Werte im Nahkampf</td>
			</tr>
			<tr>
				<td class="nob6 bold txt4 left padhead">Allgemeine Werte</td>
				<td class="nob5 txt4 padtxt">&nbsp;</td>
			</tr>
			<tr>
				<td class="nob6 txt4 padtxt left" style="width:50%;">';
      			$block = $curUser->getBlock($uc, $inventar, $items, $userEnch);
                        $blockout = '';
      			if($block[1] > 0) $blockout = 'Schildblock<br />';
      			echo '
				Lebenspunkte<br />
				R&uuml;stschutz<br />
				Absorb<br />
				Ausweichen<br />
				'.$blockout.'
				Behinderung<br />
				</td>
				<td class="nob5 txt4 padtxt left">';
      			if($block[1] > 0) $blockout = number_format($block[0],2,'.','').' % ('.$block[1].'% Schaden)<br />';
      			echo '
				'.$lp.'<br />
				'.number_format($armor,1,'.','').' %<br />
				'.number_format($absorb,1,'.','').'<br />
				'.number_format($avoid,2,'.','').' %<br />
				'.$blockout.'
				'.number_format($handicap,0,'.','').' %<br />
				</td>
			</tr>';
      			for($i=0;$i<2;$i++)
      			{
      				$nkitem = $curUser->getItemForType($inventar, 6+$i); //6 und 7 f�r nk1, nk2
      				
      				if($nkitem['iid']	!= 0 && in_array($nkitem['itid'], $items->getItidWeapons()))
      				{
	      				$item = $items->getItem($nkitem['iid']);
	      				$item['speed'] = $curUser->getSpeed($item, $items, $inventar, 'nk', $userEnch);
	      				$speed = ($item['speed']==2?'langsam':($item['speed']==3?'normal':'schnell'));
	      				$speed .= " (".$item['speed']." Angriffe)";

      					$dmg = $curUser->getDmgForWeapon($uc, $item, $items, $inventar, $userEnch, $nkitem, $usersCaps, $curUser);
      					$out = $dmg[0].' - '.$dmg[1];

      					echo '
	      				<tr>
							<td class="nob6 bold txt4 left padhead"><br />'.$item['item'].'</td>
							<td class="nob5 txt4 padtxt">&nbsp;</td>
						</tr>
						<tr>
							<td class="nob6 txt4 padtxt left">
							Schaden<br />
							Geschwindigkeit<br />
							Treffsicherheit<br />
							Kritische Treffer
							</td>
						<td class="nob5 txt4 padtxt left">
						'.$out.'<br />
						'.$speed.'<br />
						'.number_format($accuracy,2,'.','').' %<br />
						'.number_format($critical,2,'.','').' %
						</td>
                                                </tr>';
      				}
      			}
      		echo '
			</table>
		</div>
		<div style="float:right; width:49%;">
			<table class="resultT4" border="0" style="width:100%; border:none;">
			<tr>
				<td colspan="2" class="txt3 nob3 bold" style="padding:0;">Werte im Fernkampf</td>
			</tr>
			<tr>
				<td class="nob6 bold txt4 left padhead">Allgemeine Werte</td>
				<td class="nob5 txt4 padtxt">&nbsp;</td>
			</tr>
			<tr>
				<td class="nob6 txt4 padtxt left" style="width:50%;">';
      			
      			echo '
				Lebenspunkte<br />
				R&uuml;stschutz<br />
				Absorb<br />
				Ausweichen<br />
				Behinderung<br />
				</td>
				<td class="nob5 txt4 padtxt left">';
      	
      			echo '
				'.$lp.'<br />
				'.number_format($armor,1,'.','').' %<br />
				'.number_format($absorb,1,'.','').'<br />
				'.number_format($avoid,2,'.','').' %<br />
				'.number_format($handicap,0,'.','').' %<br />
				</td>
			</tr>';
      			$accuracy = $curUser->getAccuracy($uc, $inventar, $items, 'fk',$userEnch);
      			$critical = $curUser->getCritical($uc, $handicap, $items, $inventar, $userEnch, 'fk');
      			$fkitem = $curUser->getItemForType($inventar, 8);
      			//wenn Zauberstab
      			if(in_array($fkitem['itid'], $items->getItidSpellWeapons()))
      				$loop = 3;
      			else 	
      				$loop = 1; //ander fk waffe
      			for($i=0;$i<$loop;$i++)
      			{	      			
                                // nk + fk
      				if($fkitem['iid'] > 0 && $huntuser['hcombat'] == 1)
      				{
	      				if($loop == 3)
	      				{	
	      					$spell = $curUser->getItemForType($spells, 1+$i); 
	      					$dmg = $curUser->getDmgForSpell($uc, $spell, $items, $inventar, $handicap, $userEnch, $usersCaps, $curUser);
	      					if($spell['spid'] == 0) break;
	      					$name = $spell['name'];
	      				}
      					else 
      					{
      						$spell = $items->getItem($fkitem['iid']);
      						$dmg = $curUser->getDmgForFk($uc, $spell, $items, $inventar, $handicap, $userEnch, $fkitem, $usersCaps, $curUser);
      						$name = $spell['item'];
      					}
      					$speed = ($spell['speed']==1?'sehr langsam':($spell['speed']==2?'langsam':($spell['speed']==3?'normal':'schnell')));
                                        $speed .= " (".$spell['speed'] . ($spell['speed']>1?' Angriffe':' Angriff') . ')' ;

      					
      					$out = $dmg[0].' - '.$dmg[1];

      					echo '
	      				<tr>
							<td class="nob6 bold txt4 left padhead"><br />'.$name.'</td>
							<td class="nob5 txt4 padtxt">&nbsp;</td>
						</tr>
						<tr>
							<td class="nob6 txt4 padtxt left">
							'.(isset($spell['type2']) && ($spell['type2']==3||$spell['type2']==4)?'Lebenspunkte':'Schaden').'<br />
							'.(isset($spell['reach']) && $spell['reach']>1?'Wirkungsbereich<br />':'').'
							Geschwindigkeit<br />
							Treffsicherheit<br />
							Kritische Treffer
							</td>
						<td class="nob5 txt4 padtxt left">
						'.$out.'<br />
						'.(isset($spell['reach']) && $spell['reach']>1?$spell['reach']. ' Felder<br />':'').'
						'.$speed.'<br />
						'.number_format($accuracy,2,'.','').' %<br />
						'.number_format($critical,2,'.','').' %
						</td>
                                                </tr>';
      				}
      			}
      		echo '
			</table>
		</div>
	</div><div style="clear:both;">';
                // Bandagen
                $bandages = $curUser->getBaseHealForBandages($uc, $items, $inventar, $userEnch, $usersCaps, $curUser);
                if(count($bandages) > 0) {
                    $inventarItem = $curUser->getItemForType($inventar, 10);	//Bandagen
                    $nameClass = ($bandages['item']['magical'] ? ' class="magical"' : '');
                    $name = '<span'.$nameClass.'>'.$bandages['item']['item'].($inventarItem['increment'] > 0 ? ' +'.$inventarItem['increment'] : '').'</span>';
                    echo '<br />'
                        . '<table class="resultT4" border="0" style="border: none;">
                        <tr>
                            <td colspan="2" class="txt3 nob3 bold" style="padding:0;">Werte beimBandagieren</td>
                        </tr>
                        <tr>
                            <td class="nob6 bold txt4 left padhead">'.$name.'</td>
                            <td class="nob5 txt4 padtxt">&nbsp;</td>
                        </tr>
                        <tr>
                            <td class="nob6 txt4 left padtxt" style="width:60%; ">Absolute Heilung</td>
                            <td class="nob5 txt4 left padtxt">'.$bandages['minAbs'].' - '.$bandages['maxAbs'].'</td>
                        <tr>
                        <tr>
                            <td class="nob6 txt4 left padtxt" style="width:60%; ">Relative Heilung</td>
                            <td class="nob5 txt4 left padtxt">'.$bandages['minRel'].' - '.$bandages['maxRel'].'%</td>
                        <tr>
                        </tr>
                    </table>';
                }
       echo ' 
    </div>
	';
}
else if(isset($_POST['save']) && $_POST['save'] == "edit")
{
	require_once '../classes/item.class.php';
	$items = new Item();
	
	$json = $_POST['json'];
	$json = str_replace('\\', '', $json);
	$json = json_decode($json, true);
	if($json['restore'])
		$custom = 0;
	else 
		$custom = 1;
        
	$curUser = new User();
	$curUser->loadUser($json['uid']);
	switch($json['index'])
	{
		case 0:
			{
				//prfen, ob nur eine 2H Waffe angelegt wurde
				$nk1item = $items->getItem($json[$json['index']]['nk1']);
				$h2weapons = Array(2,5,7,8);	//itid der 2H-Waffen
				if(in_array($nk1item['itid'], $h2weapons))
					$json[$json['index']]['nk2'] = 0;
				//auf passende mun achten
				$weaponmun = $items->getValidMunforWeapon($json[$json['index']]['fk'],$json[$json['index']]['mun']);
				if($weaponmun != 0)	$json[$json['index']]['mun'] = $weaponmun;
				
				if($user->updateInventar($json['uid'], $json[$json['index']]['head'], $json[$json['index']]['body'], 
					$json[$json['index']]['hand'], $json[$json['index']]['leg'], $json[$json['index']]['feet'], 
					$json[$json['index']]['nk1'], $json[$json['index']]['nk2'], $json[$json['index']]['fk'], 
					$json[$json['index']]['mun'], $json[$json['index']]['bandages'], $json[$json['index']]['increment'], 
                                        $json['hid']))
				{
					if($hunt->updateHuntEditUser($json['hid'], $json['uid'], "inventar", $custom))
						echo "1";
				}
				break;
			}
		case 1:
			{
				if($user->updateEnchantments($json['uid'], $json[$json['index']]['head'], $json[$json['index']]['body'], 
					$json[$json['index']]['hand'], $json[$json['index']]['leg'], $json[$json['index']]['feet'], 
					$json[$json['index']]['nk1'], $json[$json['index']]['nk2'], $json[$json['index']]['fk'], 
					$json['hid']))
				{
					if($hunt->updateHuntEditUser($json['hid'], $json['uid'], "enchantment", $custom))
						echo "1";
				}
				break;
			}
		case 2:
			{
				$valid = $items->getValidSpells($json[$json['index']]['spell1'], $json[$json['index']]['spell2'], $json[$json['index']]['spell3']);
				if($user->updateUsersSpell($json['uid'], $valid[0], $valid[1], $valid[2], $json['hid']))
				{
					if($hunt->updateHuntEditUser($json['hid'], $json['uid'], "spells", $custom))
						echo "1";
				}
				break;
			}
		case 3:
			{
				$points = $curUser->getUsersFreeAttrPoints(
							array(
								array("lvl"=>$json[$json['index']]['lvl1']), 
								array("lvl"=>$json[$json['index']]['lvl2']),
								array("lvl"=>$json[$json['index']]['lvl3']),
								array("lvl"=>$json[$json['index']]['lvl4'])
								));
				 
				if($points >= 0)
				{
					if($user->updateUsersAttributes($json['uid'], $json[$json['index']]['lvl1'], $json[$json['index']]['lvl2'], 
						$json[$json['index']]['lvl3'], $json[$json['index']]['lvl4'], $json['hid']))
					{
						if($hunt->updateHuntEditUser($json['hid'], $json['uid'], "attributes", $custom))
							echo "1";
					}
					else
						echo "0";
				}
				else 	
					echo "1";
				break;
			}
	}
}
else if($load == "fightcap")
{
	require_once '../classes/item.class.php';
	$items = new Item();
	$iid = (int)$_POST['iid'];
	$item = $items->getItem($iid);
	$fc = $items->getFightCapForUser($item['cid_fight'], $_POST['uid']);
	echo $fc['capability']." (".$fc['lvl'].")";
}
else if($load == "onlinelist")
{
	$onlineliste = $user->getOnlineList();
	$list = "";
	foreach($onlineliste as $row)
	{
		if($row['online'])
			$list .= '<a href="?site=info_hero&hero_id=' . $row['uid'] . '">' . $row['nick']."</a>, ";
	}
	if(strlen($list) > 0) $list = substr($list, 0, strlen($list)-2);
	echo '<span class="hint">'.$list.'</span>';
}

?>