<?php
include_once ('../include/db.php');
include_once '../classes/functions.php';
include_once '../classes/user.class.php';

//$userMgmt = new User();
//
//$users = $userMgmt->getUserList();
//foreach($users as $user) {
//    $uuid = gen_uuidv4();
//    if(!$userMgmt->updateAPIKey($user['id'], $uuid)) {
//        echo $user['id'].'<br/>';
//    }
//}
//echo 'done';
if(!isset($_GET['token'])) {
    echo 'no token';
    exit;
}

$apiKey = filter_input(INPUT_GET, 'token');

if(!preg_match("/^[a-z0-9-]+$/i", $apiKey)) {
    echo 'token not valid';
    exit;
}

$userMgmt = new User();
$user = $userMgmt->loadUserByAPIKey($apiKey);

if(is_null($user)) {
    echo 'token not valid';
    exit;
}

if(isset($_GET['text']) && strlen($_GET['text']) > 0) {                     
    $res = $userMgmt->parseCapabilitiesInput($_GET['text']);                        

    if($userMgmt->updateCap($res))
        echo 'Daten gespeichert.';
    else
        echo 'Es trat leider ein Fehler beim Speichern auf.';
} else {
    echo "no capabilities";
}