<?php

class members {
    public function getMembers($guid, $character, $gus) {
        if($guid == '0' && $character == '0') {
            return $this->getAllMembers($gus);
        }
        else {
            return $this->getFilterMembers($guid, $character, $gus);
        }
    }

    private function getAllMembers($gus) {
        $qry_where = '';

        // Eingrenzung: Anzuzeigende Gilden
        $qry_where .= 'WHERE gu.guid IN(';
        for($i=0;$i<count($gus);$i++) {
            $qry_where .= $gus[$i]['id'];
            if($i < count($gus)-1) {
                 $qry_where .= ', ';
            } 
        }
        if(count($gus) == 0) {
            $qry_where .= "0";
        }
        $qry_where .= ')';

        $qry = "
            SELECT u.uid, g.name AS guild_name, g.short AS guild_short, g.color AS guild_color, u.gender_id, ug.name AS gender, u.nick, u.avatar, u.titel, u.lvl, u.fid, f.name AS folk, u.lastaction, class.name as class
            FROM " . DB_PREFIX . "users AS u
            LEFT JOIN " . DB_PREFIX . "users_gender AS ug ON(u.gender_id=ug.id)
            LEFT JOIN " . DB_PREFIX . "folk AS f ON(f.fid = u.fid)
            LEFT JOIN " . DB_PREFIX . "guilds_user AS gu ON u.uid=gu.uid
            LEFT JOIN " . DB_PREFIX . "guilds AS g ON gu.guid=g.guid 
            LEFT JOIN " . DB_PREFIX . "classes_class AS class ON u.classes_class_id=class.id 
        " . $qry_where . "
            ORDER BY u.nick, u.lvl
        ";

        $res =  mysqli_query(Config::getDBConn(), $qry);

        if(mysqli_num_rows($res) > 0) {
            $characters = array();

            while($row = mysqli_fetch_assoc($res)) {
                $characters[$row['uid']] = array(
                    'guild_name' => $row['guild_name'],
                    'guild_short' => $row['guild_short'],
                    'guild_color' => $row['guild_color'],
                    'gender_id' => $row['gender_id'],
                    'gender' => $row['gender'],
                    'nick' => $row['nick'],
                    'avatar' => $row['avatar'],
                    'titel' => $row['titel'],
                    'lvl' => $row['lvl'],
                    'fid' => $row['fid'],
                    'folk' => $row['folk'],
                    'lastAction' => $row['lastaction'],
                    'class' => $row['class']
                );
            }

            return $characters;
        }
        else {
            return false;
        }
    }

    private function getFilterMembers($guid, $character, $gus) {
        // Eingrenzung: Gilde
        if($guid != '0') {
            $qry_where = "WHERE gu.guid='" . $guid . "'";
        }

        // Eingrenzung: Charaktername
        if($character != '0') {
            if(isset($qry_where)) {
                $qry_where .= " AND u.nick LIKE '%" . $character . "%'";
            }
            else {
                $qry_where = "WHERE u.nick LIKE '%" . $character . "%'";
            }
        }

        // Eingrenzung: Anzuzeigende Gilden
        $qry_where .= ' AND gu.guid IN(';
        for($i=0;$i<count($gus);$i++) {
            $qry_where .= $gus[$i]['id'];
            if($i < count($gus)-1) {
                 $qry_where .= ', ';
            } 
        }
        if(count($gus) == 0) {
            $qry_where .= "0";
        }
        $qry_where .= ')';      

        $qry = "
            SELECT u.uid, g.name AS guild_name, g.short AS guild_short, g.color AS guild_color, u.gender_id, ug.name AS gender, u.nick, u.avatar, u.titel, u.lvl, u.fid, f.name AS folk, u.lastaction, class.name as class
            FROM " . DB_PREFIX . "users AS u
            LEFT JOIN " . DB_PREFIX . "users_gender AS ug ON(u.gender_id=ug.id)
            LEFT JOIN " . DB_PREFIX . "folk AS f ON(f.fid = u.fid)
            LEFT JOIN " . DB_PREFIX . "guilds_user AS gu ON u.uid=gu.uid
            LEFT JOIN " . DB_PREFIX . "guilds AS g ON gu.guid=g.guid
            LEFT JOIN " . DB_PREFIX . "classes_class AS class ON u.classes_class_id=class.id 
            " . $qry_where . "
            ORDER BY u.nick, u.lvl
        ";
        $res =  mysqli_query(Config::getDBConn(), $qry);

        if(mysqli_num_rows($res) > 0) {
            $characters = array();

            while($row = mysqli_fetch_assoc($res)) {
                $characters[$row['uid']] = array(
                    'guild_name' => $row['guild_name'],
                    'guild_short' => $row['guild_short'],
                    'guild_color' => $row['guild_color'],
                    'gender_id' => $row['gender_id'],
                    'gender' => $row['gender'],
                    'nick' => $row['nick'],
                    'avatar' => $row['avatar'],
                    'titel' => $row['titel'],
                    'lvl' => $row['lvl'],
                    'fid' => $row['fid'],
                    'folk' => $row['folk'],
                    'lastAction' => $row['lastaction'],
                    'class' => $row['class']
                );
            }

            return $characters;
        }
        else {
            return false;
        }
    }
}