<?php

class Smileys
{   
    /**
     * gets all Smileys from db
     * @return array
     */
    public function findAll()
    {
        $result = Array();
        $query = "SELECT s.id, s.image, s.short_1, s.short_2, sort
                    FROM ".DB_PREFIX."smileys s
                    ORDER BY s.sort";
        //echo $query;
        $res =  mysqli_query(Config::getDBConn(), $query);
        if(mysqli_num_rows($res) > 0)
        {
            $i = 0;
            while($row = mysqli_fetch_array($res))
            {
                $result[$i]['id'] = $row['id'];
                $result[$i]['image'] = $row['image'];
                $result[$i]['short_1'] = $row['short_1'];
                $result[$i]['short_2'] = $row['short_2'];
                $result[$i]['sort'] = $row['sort'];
                $i++;	
            }
        }
        return $result;        
    }
    
    /**
     * Converts text based smileys into images in $text
     * @param array $smileys an Array containing a list of smileys
     * @param text $text the text to search in
     * @return type
     */
    public static function smileyConverter($smileys, $text)
    {
        foreach($smileys as $smiley) {
            $text = str_replace($smiley['short_1'], '<img src="images/smileys/'.$smiley['image'].'" />', $text);
            $text = str_replace($smiley['short_2'], '<img src="images/smileys/'.$smiley['image'].'" />', $text);
        }
        return $text;
    }
    
}

