CREATE TABLE IF NOT EXISTS `egtool_items` (
  `iid` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `item` varchar(50) NOT NULL,
  `lvl` smallint(6) NOT NULL,
  `producable` tinyint(1) NOT NULL DEFAULT 0,
  `magical` tinyint(1) NOT NULL DEFAULT 0,
  `marketvalue` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `realvalue` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `itid` int(10) UNSIGNED NOT NULL,
  `sort` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `subsort` tinyint(4) NOT NULL,
  `cid` int(10) UNSIGNED NOT NULL,
  `weight` float NOT NULL,
  `dmgmin` mediumint(9) DEFAULT NULL,
  `dmgmax` mediumint(9) DEFAULT NULL,
  `effect` mediumint(9) DEFAULT NULL,
  `armor` float DEFAULT NULL,
  `absorb` float DEFAULT NULL,
  `handicap` mediumint(9) DEFAULT NULL,
  `speed` mediumint(9) DEFAULT NULL,
  `accuracy` mediumint(9) DEFAULT NULL,
  `blockabsorb` mediumint(9) DEFAULT NULL,
  `critical` smallint(6) DEFAULT NULL,
  `rel_min` decimal(3,2) DEFAULT NULL,
  `rel_max` decimal(3,2) DEFAULT NULL,
  PRIMARY KEY (`iid`),
  KEY `itid` (`itid`),
  KEY `item` (`item`),
  KEY `cid` (`cid`),
  KEY `iid_itid_cid` (`iid`,`itid`,`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;