CREATE TABLE IF NOT EXISTS `egtool_users` (
  `uid` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `gender_id` tinyint(1) DEFAULT NULL,
  `nick` varchar(50) NOT NULL,
  `avatar` varchar(250) DEFAULT NULL,
  `pwd` varchar(255) NOT NULL,
  `cookie` varchar(20) DEFAULT NULL,
  `mail` varchar(40) DEFAULT NULL,
  `titel` varchar(50) DEFAULT NULL,
  `lastaction` datetime DEFAULT NULL,
  `nowork` tinyint(1) DEFAULT 0,
  `fid` int(11) NOT NULL,
  `lvl` smallint(6) NOT NULL,
  `description` text DEFAULT NULL,
  `bot` tinyint(1) NOT NULL,
  `trustlvl` smallint(6) NOT NULL,
  `ontime` varchar(100) DEFAULT NULL,
  `enemy` tinyint(4) DEFAULT NULL,
  `combat` tinyint(4) DEFAULT NULL,
  `combat_position` tinyint(4) NOT NULL DEFAULT 1,
  `bandages_count` tinyint(4) NOT NULL DEFAULT 0,
  `bandages_heal` tinyint(4) NOT NULL DEFAULT 0,
  `bandages_prio` tinyint(4) NOT NULL DEFAULT 1,
  `apikey` varchar(50) DEFAULT NULL,
  `classes_class_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`uid`),
  UNIQUE KEY `user_apikey` (`apikey`),
  KEY `fid` (`fid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;