<?php
if(file_exists('../include/db.php'))
{
	$currentCookieParams = session_get_cookie_params(); 
	session_set_cookie_params(
	    $currentCookieParams["lifetime"],
	    dirname($_SERVER['PHP_SELF']),
	    $currentCookieParams["domain"],
	    $currentCookieParams["secure"],
	    $currentCookieParams["httponly"]
	); 
	session_name('sid'); 
	session_start();
	
	require_once('../include/db.php');
	require '../classes/functions.php';
	require '../classes/config.class.php';
	
	$err = "";
	$msg = "";
	
	$neededversion = "1.6.5";
	$config = new Config();
	$curversion = $config->getToolVersion();
	if($curversion != $neededversion)
		$err .= "Dieses Script setzt die Toolversion ".$neededversion." voraus, <br />du nutzt aber ".$curversion.".";
		
	
	
	echo '<?xml version="1.0" encoding="ISO-8859-1" ?>';
	
	echo '
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
	       "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">
	';
	?>
	<head>
	<title>EG-Verwaltungstool by Egrem</title>
	<link rel="stylesheet" type="text/css" href="../css/style_1.7.3.css" />
	
	</head>
	<body>
	<h1>Updatescript 1.6.5 -> 1.6.6</h1>
	<p class="bold">
	<?php 
	if($err != "") echo '<br /><span class="err">'.$err.'</span>';
	if($err == "" && !$_POST)
	{
	?>
	</p>
	<form action="?" method="post">
	
	<table class="tableLogin" border="0">
		<tr>
			<th colspan="2">Aktualisierung der Datenbank</th>
		</tr>
		  <tr>
	        <td class="center" colspan="2">Dieses Script aktualisiert deine Datenbank von Version 1.6.5 auf 1.6.6</td>
	      </tr>
	      <tr>
	      	<th colspan="2"><input type="submit" value="Vorgang starten" /></th>
	      </tr>
	</table>
	<input type="hidden" name="action" value="check" />
	</form>
	<?php 
	}
	else if(isset($_POST['action']) && $_POST['action'] == 'check' && $err == "")
	{			
		$sql_status = array();
		$errcount = 0;
		$i = 0;
		
		/***********  Start Angriffe je Runde ***********/
		$dbChange = Array();	
		$dbChange[] = "update ".DB_PREFIX."items set speed=4 WHERE itid=9;";
                $dbChange[] = "update ".DB_PREFIX."items set speed=1 WHERE itid=10;";
		
		$dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    $sql_status[$i]['file'] = "Angriffe je Runde von B&ouml;gen und Armbr&auml;sten angepasst";
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
                    $sql_status[$i]['file'] = "Angriffe je Runde von B&ouml;gen und Armbr&auml;sten angepasst";
                    $sql_status[$i]['status'] = $cittransfererr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende Angriffe je Runde ***********/
                
                /***********  Start Schaden ***********/
		$dbChange = Array();	
		$dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '9', dmgmax = '14' WHERE egtool_items.iid = 111;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '19', dmgmax = '29' WHERE egtool_items.iid = 121;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '14', dmgmax = '21' WHERE egtool_items.iid = 112;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '17', dmgmax = '26' WHERE egtool_items.iid = 113;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '23', dmgmax = '34' WHERE egtool_items.iid = 114;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '29', dmgmax = '43' WHERE egtool_items.iid = 122;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '27', dmgmax = '40' WHERE egtool_items.iid = 115;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '33', dmgmax = '49' WHERE egtool_items.iid = 116;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '39', dmgmax = '58' WHERE egtool_items.iid = 123;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '37', dmgmax = '55' WHERE egtool_items.iid = 117;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '50', dmgmax = '76' WHERE egtool_items.iid = 124;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '43', dmgmax = '65' WHERE egtool_items.iid = 118;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '50', dmgmax = '76' WHERE egtool_items.iid = 119;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '58', dmgmax = '87' WHERE egtool_items.iid = 120;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '66', dmgmax = '99' WHERE egtool_items.iid = 125;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET lvl = '14' WHERE egtool_items.iid = 123;";
                
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '31', dmgmax = '51' WHERE egtool_items.iid = 126;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '63', dmgmax = '105' WHERE egtool_items.iid = 136;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '46', dmgmax = '77' WHERE egtool_items.iid = 127;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '57', dmgmax = '95' WHERE egtool_items.iid = 128;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '75', dmgmax = '125' WHERE egtool_items.iid = 129;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '87', dmgmax = '145' WHERE egtool_items.iid = 130;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '128', dmgmax = '213' WHERE egtool_items.iid = 138;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '107', dmgmax = '178' WHERE egtool_items.iid = 131;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '121', dmgmax = '202' WHERE egtool_items.iid = 132;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '166', dmgmax = '277' WHERE egtool_items.iid = 139;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '143', dmgmax = '238' WHERE egtool_items.iid = 133;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '166', dmgmax = '277' WHERE egtool_items.iid = 134;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '191', dmgmax = '318' WHERE egtool_items.iid = 135;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '216', dmgmax = '361' WHERE egtool_items.iid = 140;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '94', dmgmax = '156' WHERE egtool_items.iid = 137;";
                
		
		$dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    $sql_status[$i]['file'] = "Schadenswerte angepasst";
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
                    $sql_status[$i]['file'] = "Schadenswerte angepasst";
                    $sql_status[$i]['status'] = $cittransfererr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende Schaden ***********/
		
		/***********  Start Kampfverhalten User ***********/
		$dbChange = Array();	
		$dbChange[] = "ALTER TABLE ".DB_PREFIX."users ADD combat_position TINYINT NOT NULL DEFAULT '1' ;";
		
		$dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    $sql_status[$i]['file'] = "Kampfverhalten angepasst (Nutzer)";
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
                    $sql_status[$i]['file'] = "Kampfverhalten angepasst (Nutzer)";
                    $sql_status[$i]['status'] = $cittransfererr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende Kampfverhalten User ***********/
                
                /***********  Start Kampfverhalten Jagd ***********/
		$dbChange = Array();	
		$dbChange[] = "ALTER TABLE ".DB_PREFIX."hunt_group_users CHANGE rand_enemy enemy TINYINT(1) NOT NULL;";
                $dbChange[] = "ALTER TABLE ".DB_PREFIX."hunt_group_users DROP weak_enemy, DROP strong_enemy, DROP close_far_combat;";
                $dbChange[] = "ALTER TABLE ".DB_PREFIX."hunt_group_users CHANGE close_combat combat TINYINT(1) NOT NULL;";
                $dbChange[] = "ALTER TABLE ".DB_PREFIX."hunt_group_users ADD cposition TINYINT NOT NULL DEFAULT '1' AFTER combat";
                $dbChange[] = "UPDATE ".DB_PREFIX."hunt_group_users SET enemy=1, combat=1";
		
		$dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    $sql_status[$i]['file'] = "Kampfverhalten angepasst (Jagdgruppen)";
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
                    $sql_status[$i]['file'] = "Kampfverhalten angepasst (Jagdgruppen)";
                    $sql_status[$i]['status'] = $cittransfererr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende Kampfverhalten Jagd ***********/
		
		/***********  Start Version ***********/
		$structure = Array();	
		$structure[] = "UPDATE ".DB_PREFIX."config set value='1.6.6' WHERE set_key='version'";
		
		$strucerr = "";
		foreach($structure as $row)
		{
			if(! mysqli_query(Config::getDBConn(), $row))
				$strucerr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($strucerr == "")
		{
			$sql_status[$i]['file'] = "Version aktualisiert";
			$sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
			$sql_status[$i]['file'] = "Version aktualisiert";
			$sql_status[$i]['status'] = $strucerr;		
			$errcount++;	
		}
		$i++;
		/***********  Ende Version ***********/

		if($errcount == 0)
		{
			echo '<span class="ok">Das Update war erfolgreich.<br />Bitte l&ouml;sche jetzt das Verzeichnis<br />install/</span>';
			echo '<p><a href="../index.php">zum Tool</a></p>';
		}
		else
		{
			echo '<span class="err">Das Update war nicht erfolgreich! Es trat mindestens ein Fehler auf.</span>';
		}
		echo '				
		<table class="tableGroup2" border="0">
			<tr>
				<th colspan="2">Status der Datenbankscripts</th>
			</tr>';
			foreach($sql_status as $line)
			{
				echo '
				<tr>
			      <td class="left txt2">'.$line['file'].'</td>
			      <td class="left txt2">'.$line['status'].'</td>
			    </tr>';
			}
		echo '					      
		</table>';			
	}
	echo '
	</body>
	</html>';
}
else
	echo 'Das Tool muss bereits installiert sein!';
?>