<?php
if(file_exists('../include/db.php'))
{
	$currentCookieParams = session_get_cookie_params(); 
	session_set_cookie_params(
	    $currentCookieParams["lifetime"],
	    dirname($_SERVER['PHP_SELF']),
	    $currentCookieParams["domain"],
	    $currentCookieParams["secure"],
	    true
	); 
	session_name('sid'); 
	session_start();
	ini_set("default_charset", "iso-8859-1");
	require_once('../include/db.php');
	require '../classes/functions.php';
	require '../classes/config.class.php';
	
	$err = "";
	$msg = "";
	
	$neededversion = "1.7.3";
        $newVersion = "1.8.0";
	$config = new Config();
	$curversion = $config->getToolVersion();
	if($curversion != $neededversion)
		$err .= "Dieses Script setzt die Toolversion ".$neededversion." voraus, <br />du nutzt aber ".$curversion.".";
		
	
	
	echo '<?xml version="1.0" encoding="ISO-8859-1" ?>';
	
	echo '
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
	       "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">
	';
	?>
	<head>
	<title>EG-Verwaltungstool by Egrem</title>
	<link rel="stylesheet" type="text/css" href="../css/style_1.7.3.css" />
	
	</head>
	<body>
	<h1>Updatescript <?php echo $neededversion ?> -> <?php echo $newVersion ?></h1>
	<p class="bold">
	<?php 
	if($err != "") echo '<br /><span class="err">'.$err.'</span>';
	if($err == "" && !$_POST)
	{
	?>
	</p>
	<form action="?" method="post">
	
	<table class="tableLogin" border="0">
		<tr>
			<th colspan="2">Aktualisierung der Datenbank</th>
		</tr>
		  <tr>
	        <td class="center" colspan="2">Dieses Script aktualisiert deine Datenbank von Version <?php echo $neededversion ?> auf <?php echo $newVersion ?></td>
	      </tr>
	      <tr>
	      	<th colspan="2"><input type="submit" value="Vorgang starten" /></th>
	      </tr>
	</table>
	<input type="hidden" name="action" value="check" />
	</form>
	<?php 
	}
	else if(isset($_POST['action']) && $_POST['action'] == 'check' && $err == "")
	{			
		$sql_status = array();
		$errcount = 0;
		$i = 0;
                            
                /***********  Start Waren ***********/
		$dbChange = Array();	
                // Schilde
		$dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '27' WHERE egtool_items.iid = 431;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '29' WHERE egtool_items.iid = 432;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '32' WHERE egtool_items.iid = 433;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '35' WHERE egtool_items.iid = 434;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '37' WHERE egtool_items.iid = 435;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '40' WHERE egtool_items.iid = 436;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '43' WHERE egtool_items.iid = 437;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '46' WHERE egtool_items.iid = 438;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '48' WHERE egtool_items.iid = 439;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '51' WHERE egtool_items.iid = 440;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '33' WHERE egtool_items.iid = 441;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '38' WHERE egtool_items.iid = 442;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '44' WHERE egtool_items.iid = 443;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '49' WHERE egtool_items.iid = 444;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '55' WHERE egtool_items.iid = 445;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '36' WHERE egtool_items.iid = 446;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '39' WHERE egtool_items.iid = 447;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '40' WHERE egtool_items.iid = 448;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '43' WHERE egtool_items.iid = 449;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '45' WHERE egtool_items.iid = 450;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '48' WHERE egtool_items.iid = 451;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '50' WHERE egtool_items.iid = 452;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '52' WHERE egtool_items.iid = 453;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '54' WHERE egtool_items.iid = 454;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '57' WHERE egtool_items.iid = 455;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '41' WHERE egtool_items.iid = 456;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '46' WHERE egtool_items.iid = 457;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '50' WHERE egtool_items.iid = 458;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '55' WHERE egtool_items.iid = 459;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET blockabsorb = '59' WHERE egtool_items.iid = 460;";
                // Armbrust Schaden
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '30', dmgmax = '50' WHERE egtool_items.iid = 126;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '45', dmgmax = '76' WHERE egtool_items.iid = 127;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '56', dmgmax = '94' WHERE egtool_items.iid = 128;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '73', dmgmax = '122' WHERE egtool_items.iid = 129;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '86', dmgmax = '143' WHERE egtool_items.iid = 130;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '105', dmgmax = '175' WHERE egtool_items.iid = 131;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '118', dmgmax = '197' WHERE egtool_items.iid = 132;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '140', dmgmax = '233' WHERE egtool_items.iid = 133;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '163', dmgmax = '271' WHERE egtool_items.iid = 134;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '187', dmgmax = '311' WHERE egtool_items.iid = 135;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '62', dmgmax = '103' WHERE egtool_items.iid = 136;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '92', dmgmax = '153' WHERE egtool_items.iid = 137;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '125', dmgmax = '209' WHERE egtool_items.iid = 138;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '163', dmgmax = '271' WHERE egtool_items.iid = 139;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '212', dmgmax = '353' WHERE egtool_items.iid = 140;";
                // Keulen Schaden
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '7', dmgmax = '17' WHERE egtool_items.iid = 69;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '11', dmgmax = '26' WHERE egtool_items.iid = 70;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '14', dmgmax = '32' WHERE egtool_items.iid = 71;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '18', dmgmax = '42' WHERE egtool_items.iid = 72;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '21', dmgmax = '49' WHERE egtool_items.iid = 73;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '26', dmgmax = '60' WHERE egtool_items.iid = 74;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '29', dmgmax = '68' WHERE egtool_items.iid = 75;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '34', dmgmax = '80' WHERE egtool_items.iid = 76;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '40', dmgmax = '93' WHERE egtool_items.iid = 77;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '46', dmgmax = '107' WHERE egtool_items.iid = 78;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '15', dmgmax = '35' WHERE egtool_items.iid = 79;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '22', dmgmax = '52' WHERE egtool_items.iid = 80;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '31', dmgmax = '72' WHERE egtool_items.iid = 81;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '40', dmgmax = '93' WHERE egtool_items.iid = 82;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '52', dmgmax = '121' WHERE egtool_items.iid = 83;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '23', dmgmax = '68' WHERE egtool_items.iid = 84;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '29', dmgmax = '87' WHERE egtool_items.iid = 85;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '34', dmgmax = '101' WHERE egtool_items.iid = 86;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '41', dmgmax = '123' WHERE egtool_items.iid = 87;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '46', dmgmax = '138' WHERE egtool_items.iid = 88;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '54', dmgmax = '162' WHERE egtool_items.iid = 89;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '60', dmgmax = '179' WHERE egtool_items.iid = 90;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '69', dmgmax = '206' WHERE egtool_items.iid = 91;";
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '36', dmgmax = '108' WHERE egtool_items.iid = 92;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '49', dmgmax = '146' WHERE egtool_items.iid = 93;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '63', dmgmax = '188' WHERE egtool_items.iid = 94;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."items SET dmgmin = '78', dmgmax = '234' WHERE egtool_items.iid = 95;";                     
		
		$dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    $sql_status[$i]['file'] = "Schaden und Absorb von Waren aktualisiert";
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
                    $sql_status[$i]['file'] = "Schaden und Absorb von Waren";
                    $sql_status[$i]['status'] = $dbChangeErr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende Waren ***********/
                
                /***********  Start +X/Wirkung ***********/
		$dbChange = Array();	
                // Schilde
		$dbChange[] = "ALTER TABLE ".DB_PREFIX."users_inventar ADD increment TINYINT(3) UNSIGNED NOT NULL DEFAULT '0' AFTER sort;"; 
                $dbChange[] = "ALTER TABLE ".DB_PREFIX."guilds ADD world SMALLINT UNSIGNED NOT NULL DEFAULT '0' AFTER auto_cap_active;"; 
                $dbChange[] = "ALTER TABLE ".DB_PREFIX."users_capabilities ADD effect DECIMAL(3,2) NOT NULL DEFAULT '1.00' AFTER value;";                      
		
		$dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    $sql_status[$i]['file'] = "+X Ausr�stung/Wirkung f�r F&auml;higkeiten";
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
                    $sql_status[$i]['file'] = "+X Ausr�stung/Wirkung f�r F&auml;higkeiten";
                    $sql_status[$i]['status'] = $dbChangeErr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende +X/Wirkung ***********/
                
                /***********  Start Marktstand ***********/
		$dbChange = Array();	
                // Schilde
		$dbChange[] = "ALTER TABLE ".DB_PREFIX."warehouse_protocoll_entry ADD sellprice INT UNSIGNED NOT NULL DEFAULT '0' AFTER increment;"; 
                $dbChange[] = "ALTER TABLE ".DB_PREFIX."warehouse ADD type TINYINT UNSIGNED NOT NULL DEFAULT '0' AFTER world;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."warehouse SET type=1 WHERE parent > 0;";
                $dbChange[] = "CREATE TABLE ".DB_PREFIX."market_transfer (
                                mtid int(10) UNSIGNED PRIMARY KEY AUTO_INCREMENT NOT NULL,
                                date datetime NOT NULL,
                                nick varchar(100) NOT NULL,
                                type varchar(20) NOT NULL,
                                amount_in int(11) NOT NULL,
                                amount_out int(11) NOT NULL,
                                wid int(10) UNSIGNED NOT NULL
                              ) ENGINE=MyISAM DEFAULT CHARSET=latin1;";    
                 
                $dbChange[] = "UPDATE ".DB_PREFIX."sites SET sort = '5' WHERE egtool_sites.sid = 10;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."sites SET sort = '4' WHERE egtool_sites.sid = 9;"; 
                $dbChange[] = "UPDATE ".DB_PREFIX."sites SET sort = '6' WHERE egtool_sites.sid = 11;"; 
                $dbChange[] = "INSERT INTO ".DB_PREFIX."sites (sid, site, short, sort, type, parent) VALUES (NULL, 'Markstandauswertung', 'marketutilization', '3', '2', '42');"; 
		
		$dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    $sql_status[$i]['file'] = "Markstandauswertung<br>(Bitte die Zugriffsrechte unter Verwaltung->Gruppeneinstellungen entsprechend hinzuf�gen.)";
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
                    $sql_status[$i]['file'] = "Marktstandauswertung";
                    $sql_status[$i]['status'] = $dbChangeErr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende Marktstand ***********/
                
                /***********  Start API ***********/
		$dbChange = Array();	
                // Schilde
		$dbChange[] = "ALTER TABLE ".DB_PREFIX."users ADD apikey VARCHAR(50) NULL AFTER combat_position, ADD UNIQUE user_apikey (apikey);"; 
		
		$dbChangeErr = "";
		foreach($dbChange as $row)
		{
                    if(! mysqli_query(Config::getDBConn(), $row))
                        $dbChangeErr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($dbChangeErr == "")
		{
                    require_once '../classes/user.class.php';
                    $userMgmt = new User();

                    $users = $userMgmt->getUserList();
                    foreach($users as $user) {
                        $uuid = gen_uuidv4();
                        // set an API key for every user, if unique constraint error, retry
                        for($ui = 0; $ui < 10; $ui++) {
                            if($userMgmt->updateAPIKey($user['id'], $uuid)) {
                                break;
                            }
                        }                                                
                    }
                    
                    $sql_status[$i]['file'] = "schnelleres aktualisieren der F�higkeiten erm�glichen";
                    $sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
                    $sql_status[$i]['file'] = "schnelleres aktualisieren der F�higkeiten";
                    $sql_status[$i]['status'] = $dbChangeErr;		
                    $errcount++;	
		}
		$i++;
		unset($dbChange);
		/***********  Ende API ***********/
                
		/***********  Start Version ***********/
		$structure = Array();	
		$structure[] = "UPDATE ".DB_PREFIX."config set value='".$newVersion."' WHERE set_key='version'";
		
		$strucerr = "";
		foreach($structure as $row)
		{
			if(! mysqli_query(Config::getDBConn(), $row))
				$strucerr .= "<p>".$row."<br />Fehler: ".mysqli_error(Config::getDBConn())."</p>";
		}
		if($strucerr == "")
		{
			$sql_status[$i]['file'] = "Version aktualisiert";
			$sql_status[$i]['status'] = '<span class="ok">OK</span>';					
		}
		else
		{
			$sql_status[$i]['file'] = "Version aktualisiert";
			$sql_status[$i]['status'] = $strucerr;		
			$errcount++;	
		}
		$i++;
		/***********  Ende Version ***********/

		if($errcount == 0)
		{
			echo '<span class="ok">Das Update war erfolgreich.<br />Bitte l&ouml;sche jetzt das Verzeichnis<br />install/</span>';
			echo '<p><a href="../index.php">zum Tool</a></p>';
		}
		else
		{
			echo '<span class="err">Das Update war nicht erfolgreich! Es trat mindestens ein Fehler auf.</span>';
		}
		echo '				
		<table class="tableGroup2" border="0">
			<tr>
				<th colspan="2">Status der Datenbankscripts</th>
			</tr>';
			foreach($sql_status as $line)
			{
				echo '
				<tr>
			      <td class="left txt2">'.$line['file'].'</td>
			      <td class="left txt2">'.$line['status'].'</td>
			    </tr>';
			}
		echo '					      
		</table>';			
	}
	echo '
	</body>
	</html>';
}
else
	echo 'Das Tool muss bereits installiert sein!';
?>