var loadInProgress = false;
var updateTimeMessages = 60000;
function loadMessages(id, page)
{
    $.ajax(
    {
        type: "GET", url: "ajaxcalls/messages.php",
        beforeSend: function ()
        {
            wait = 1;
            setTimeout(function () {
                displayWait(id)
            }, 400);

        },
        data: ({ load: 'list', page: page }),
        success: function (data)
        {
            if (data.length > 0)
            {
                $("#" + id).html(data);
            }
        },
        error: function (data, status, error)
        {
            console.error("Nachrichten konnten nicht geladen werden: " + error);
        },
        complete: function ()
        {
            wait = 0;
            setTimeout('jQuery(function(){loadMessages("messages");});', updateTimeMessages);
        }
    });
}

function getMessage(id) {
    var targetElmId = "message-dialog";
    let dInstance = $( "#"+targetElmId ).dialog("instance");
    if( dInstance !== undefined ) {
        $( "#"+targetElmId ).dialog("destroy");
    }
    $( "#"+targetElmId ).dialog({
        width: 400,
        open: function( event, ui ) {
            $.ajax(
            {                
                type: "GET", url: "ajaxcalls/messages.php",
                beforeSend: function ()
                {
                    wait = 1;
                    $("#" + targetElmId).html("");
                    setTimeout(function () {
                        displayWait(targetElmId)
                    }, 400);

                },
                data: ({ load: 'single', id: id }),
                success: function (data)
                {
                    if (data.length > 0)
                    {
                        $("#" + targetElmId).html(data);
                    }
                },
                error: function (data, status, error)
                {
                    console.error("Nachricht konnten nicht geladen werden: " + error);
                },
                complete: function ()
                {
                    wait = 0;
                }
            });
        }
    });
}

function loadCountNewMessages()
{
    $.ajax(
    {
        type: "GET", url: "ajaxcalls/messages.php",
        data: ({ load: 'new' }),
        success: function (data)
        {
            if (data.length > 0)
            {
                $("#message-count").attr('data-badge', data);
            }
        },
        error: function (data, status, error)
        {
            console.error("Nachrichten Count konnten nicht geladen werden: " + error);
        },
        complete: function ()
        {
            setTimeout('jQuery(function(){loadCountNewMessages();});', updateTimeMessages);
        }
    });
}

