function loadPoll(id, pqid, single, initial, animate)
{	
	if(single)	$action = "loadsingle";
	else		$action = "loadall";
	if(isNaN(pqid))	return;
	
	$.ajax(
      {type: "POST", url: "ajaxcalls/getPoll.php", 
		beforeSend: function()
		{
			wait = 1;
			if(initial)
			{
				setTimeout(function(){ displayWait(id)}, 400);
			}
		}
		 ,data: ({ action: $action, pqid: pqid }),
	 	success: function(data)
		{					
	 		if(animate)
	 		{
		 		$("#"+id).fadeOut(function()
		 		{
		 			$(this).html(data);
		 			$(this).show();
		 			animateResult(id);		 			
				});
		 		
	 		}
	 		else
	 		{
	 			$("#"+id).html(data);
	 			animateResult(id);
	 		}
	 		
		},
		error: function(data, status, error)
		{
			alert("Umfrage konnte nicht geladen werden. Fehler: "+error);		 		
		},
		complete: function()
		{
			wait = 0;
		}
	});		
}

function saveVote(parentid, pqid, max_votes)
{
	//prfen, ob nicht mehr als erlaubt ist, angeklickt wurde
	if($("#"+parentid+" .voteform input:checked").length <= max_votes && $("#"+parentid+" .voteform input:checked").length > 0)
	{
		var jsonstr = '{"pqid":"'+pqid+'",';
		jsonstr += '"answers":{';
		$("#"+parentid+" .voteform input:checked").each(function(index) 
		{
			jsonstr += '"'+index+'":"'+$(this).val()+'",';
		});
		if(jsonstr[jsonstr.length-1] == ",")
			jsonstr = jsonstr.slice(0,-1);
		jsonstr += '}';
		jsonstr += '}';
		$.ajax(
		{
			type: "POST", url: "ajaxcalls/getPoll.php", 
			beforeSend: function()
			{
				$("#"+parentid+" .votesubmit").button( "option", "disabled", true );
			}
			 ,data: ({ action: "savevote", json: jsonstr }),
		 	success: function(data)
			{					
		 		if(data == "1")
		 			loadPoll(parentid, pqid, true, false, true);
		 		else
		 			setTimeout('$("#'+parentid+' .votesubmit").button( "option", "disabled", false );',2000 );
			},
			error: function(data, status, error)
			{
				setTimeout('$("#'+parentid+' .votesubmit").button( "option", "disabled", false );',2000 );
				alert("Umfrage konnte nicht gespeichert werden. Fehler: "+error);		 		
			}
		});	
	}
}

function animateResult(id)
{
	$("#"+id+" .pollpercent").each(function(index)
	{
			var bar_width=$(this).css('width');
			
			$(this).css('width', '0').animate({ width: bar_width }, 1000);
	});	
}

function delPoll(elm)
{
	$div = $(elm).parent().children(".delpoll");
	
	if($div.is(":hidden"))
	{	
		$(".votedeltrue, .votedelfalse").button();
		$div.slideDown(); 
		$("#chateditsubmit").click(function(){ clearChat(); });
		
		//nein button
		$div.find(".votedelfalse").click(function()
		{
			$(this).parents(".delpoll").fadeOut();
		});
		
		//ja button
		$div.find(".votedeltrue").click(function()
		{
			$pqid = $div.attr("data-pqid");
			$but = $(this);
			if(!isNaN($pqid))
			{
				$.ajax(
				{
					type: "POST", url: "ajaxcalls/getPoll.php", 
					beforeSend: function()
					{
						$but.button( "option", "disabled", true );
					}
					 ,data: ({ action: "delpoll", pqid: $pqid }),
				 	success: function(data)
					{	//alert($(this).parents().find(".votecontainer").attr("class"));		
				 		if(data == "1")
				 			$but.parents(".votecontainer").fadeOut();
				 		else
				 			$but.button( "option", "disabled", false );
					},
					error: function(data, status, error)
					{
						$but.button( "option", "disabled", false );
						alert("Umfrage konnte nicht gelscht werden. Fehler: "+error);
						
					}
				});	
			}
		});
	}
	else
		$div.fadeOut();
}