<?php
session_name('sid');
session_start();
include_once ('../include/db.php');
include_once('../classes/functions.php');
include_once('../include/auth.php');
include_once('../classes/user.class.php');
include_once('../classes/config.class.php');

$cuser = new User();
$config = new Config();
$pjirc_settings = $config->getPJIRCSettings();
if($pjirc_settings['pjirc_host'] == "-" || $pjirc_settings['pjirc_channel'] == "-")
{
	echo 'Die Einstellungen fr den Chat sind unvollstndig!';
	exit;
}

$pos = strpos($cuser->getNick(), " ");
if($pos === false)
	$nick = $cuser->getNick();
else 
	$nick = substr($cuser->getNick(), 0, $pos);

//max 15 Zeichen erlaubt im irc
//Aufbau: Gilde|Vorname
$name = substr(makeEntityDecodeString('EGT|'.$nick), 0, 15);
echo '
	<html>
	<head>
	<title>EG-Tool Chat</title>
	<style type="text/css">
		body { background: url("../bg.jpg"); text-align:center; margin:5px auto;}
	</style>
	</head>
	<body>
	<h1>IRC Chat</h1><hr>
	<applet code=IRCApplet.class archive="irc.jar,pixx.jar" width=640 height=400>
	<param name="CABINETS" value="irc.cab,securedirc.cab,pixx.cab">
	
	<param name="nick" value="'.$name.'">
	<param name="alternatenick" value="'.$name.'???">
	<param name="name" value="Java User">
	<param name="host" value="'.$pjirc_settings['pjirc_host'].'">
	<param name="command1" value="join #'.$pjirc_settings['pjirc_channel'].'">
	<param name="gui" value="pixx">
	
	<param name="quitmessage" value="">
	<param name="asl" value="true">
	<param name="useinfo" value="true">
	
	<param name="style:bitmapsmileys" value="true">
	<param name="style:smiley1" value=":) img/sourire.gif">
	<param name="style:smiley2" value=":-) img/sourire.gif">
	<param name="style:smiley3" value=":-D img/content.gif">
	<param name="style:smiley4" value=":d img/content.gif">
	<param name="style:smiley5" value=":-O img/OH-2.gif">
	<param name="style:smiley6" value=":o img/OH-1.gif">
	<param name="style:smiley7" value=":-P img/langue.gif">
	<param name="style:smiley8" value=":p img/langue.gif">
	<param name="style:smiley9" value=";-) img/clin-oeuil.gif">
	<param name="style:smiley10" value=";) img/clin-oeuil.gif">
	<param name="style:smiley11" value=":-( img/triste.gif">
	<param name="style:smiley12" value=":( img/triste.gif">
	<param name="style:smiley13" value=":-| img/OH-3.gif">
	<param name="style:smiley14" value=":| img/OH-3.gif">
	<param name="style:smiley15" value=":\'( img/pleure.gif">
	<param name="style:smiley16" value=":$ img/rouge.gif">
	<param name="style:smiley17" value=":-$ img/rouge.gif">
	<param name="style:smiley18" value="(H) img/cool.gif">
	<param name="style:smiley19" value="(h) img/cool.gif">
	<param name="style:smiley20" value=":-@ img/enerve1.gif">
	<param name="style:smiley21" value=":@ img/enerve2.gif">
	<param name="style:smiley22" value=":-S img/roll-eyes.gif">
	<param name="style:smiley23" value=":s img/roll-eyes.gif">
	<param name="style:floatingasl" value="true">
	
	<param name="pixx:timestamp" value="true">
	<param name="pixx:highlight" value="true">
	<param name="pixx:highlightnick" value="true">
	<param name="pixx:nickfield" value="true">
	<param name="pixx:styleselector" value="true">
	<param name="pixx:setfontonstyle" value="true">
	
	</applet>
	
	<hr></body>
	</html>
';

?>