<?php
require_once 'classes/payment.class.php';
require_once('classes/warehouse.class.php');
require_once('classes/guild.class.php');

$payment = new Payment();
$wh = new Warehouse($user);

$m = $payment->getMonthsForCity();
$months = getMonthList($m);
$years = $payment->getYearsForCity();
  
if(isset($_GET['action']) && in_array($_GET['action'], $actions))
	$action = $_GET['action'];
else 	
	$action = "monthly";
// 0 = Umbuchung + Steuer, 1 = Umbuchung, 2 = Steuer
$types = Array(0,1,2);
if(isset($_GET['type']) && in_array($_GET['type'], $types))
	$type = $_GET['type'];
else 	
	$type = 0;
	
if(isset($_REQUEST['total']) || $action == "total")
	$total = true;
else
	$total = false;

if(isset($_REQUEST['yearly']) || (isset($_REQUEST['month']) && $_REQUEST['month'] == 0 && isset($_REQUEST['year'])))
	$yearly = true;
else
	$yearly = false;

$whs = $wh->getWHsByReadRight();
if(isset($_REQUEST['wh']) && $wh->canAccess($whs, $_REQUEST['wh']))
	$whId = (int)$_REQUEST['wh'];
else if(array_key_exists(0, $whs))
	$whId = $whs[0]['wid'];
else
	$whId = 0;

if(!$total)
{
  if(isset($_REQUEST['month']) && $_REQUEST['month'] > 0)	//wenn ein anderer Zeitpunkt gewhlt wurde
  {
	  $year = (int)$_REQUEST['year'];
	  $month = (int)$_REQUEST['month'];
	  $daymin = max(array(1,(int)$_REQUEST['daymin']));
	  $daymax = min(array(31,(int)$_REQUEST['daymax']));
  }
  else if(isset($_REQUEST['year']) && $_REQUEST['year'] > 0)
  {
	$year = (int)$_REQUEST['year'];
	$month = 0;
	$daymin = 1;
	$daymax = 31;
  }
  else //beim ersten Aufruf der Seite
  {
	  $year = (in_array(date("Y"), $years)?date("Y"):$years[0]);
	  $month = (in_array(date("n"), $m)?date("n"):$m[0]);
	  $daymin = 1;
	  $daymax = 31;
  }
  if($daymin>$daymax)
	  $daymin = $daymax;  
}
else
{
  $year = 0;
  $month = 0;
  $daymin = 1;
  $daymax = 31;
}

echo '
	<link rel="stylesheet" type="text/css" href="css/humanity/'.JQUERY_UI_CSS.'" />
	<script type="text/javascript" src="js/'.JQUERY_UI_JS.'"></script>';
	
echo '<form action="?site='.$site.'&amp;do=monthly" method="get">
<table border="0" class="tableGroup2" cellspacing="0" cellpadding="0" style="border:none;">
<tr style="border:none;">
	<td style="border:none;" >Stadt/Stadtlager: <select name="wh">';
				foreach($whs as $single)
						{  
							if($single['parent'] > 0) continue;	// nur Stadtlager anzeigen
							echo '<option value="'.$single['wid'].'"'; if($whId==$single['wid']) echo ' selected="selected"'; echo'>
								'.$single['name'].'</option>';
							
						}
					echo '</select></td>
</tr>
<tr style="border:none;">
	<td style="border:none;" >Gesamt <input type="checkbox" name="total"'.($total?' checked="checked"':'').' id="total" />
		jhrlich <input type="checkbox" name="yearly"'.($yearly?' checked="checked"':'').' id="yearly" />
		<select name="month" id="month">';
		foreach($months as $month2)
		{  echo '<option value="'.$month2[1].'"'; if($month==$month2[1]) echo ' selected="selected"'; echo'>'.$month2[0].'</option>'; }
		echo '
		</select>
		<select name="year" id="year">';
		foreach($years as $year2)
		{  echo '<option value="'.$year2.'"'; if($year==$year2) echo ' selected="selected"'; echo'>'.$year2.'</option>'; }
		echo '
		</select>
		Typ: <select name="type" id="type">
			<option value="0"'; if($type==0) echo ' selected="selected"'; echo'>Umbuchung + Steuer</option>
			<option value="1"'; if($type==1) echo ' selected="selected"'; echo'>Umbuchung</option>
			<option value="2"'; if($type==2) echo ' selected="selected"'; echo'>Steuer</option>
		</select>
	</td>
</tr>
<tr style="border:none;">
	<td style="border:none;"><div style="float:left; width:40px;margin-right:20px;">Zeitraum:</div><div id="slider-range" class="slider2"></div><div class="range hint center">'.$daymin.'. - '.$daymax.'.</div></td>
</tr>
</table>


 <p><input type="submit" value="Anzeigen" /></p>
 <input type="hidden" name="site" value="'.$site.'" />
 <input type="hidden" name="do" value="'.$do.'" />
 <input type="hidden" id="daymin" name="daymin" value="'.$daymin.'" />
 <input type="hidden" id="daymax" name="daymax" value="'.$daymax.'" />
</form>
';

$sort = array('name', 'amount_in', 'amount_out', 'gesamt');

  //sortierung
  if(in_array($_GET['sort'], $sort))
    $sort = $_GET['sort'];
  else
    $sort = "";
    
  //alle Monate
  if($total)
  {
	 echo '<p class="bold">Gesamt&uuml;bersicht (alle Monate)</p>';
	 $result = $payment->getCityTransferOverview($whId, $type, 0, 0, $sort, $_GET['dir'], $daymin, $daymax);
  }else	//einzelner Monat
  {
	
	$result = $payment->getCityTransferOverview($whId, $type, $month, $year, $sort, $_GET['dir'], $daymin, $daymax);
  }

  $lastDate = $payment->getYoungestCityEntry($whId);
  
 //echo $query;
 echo '
 <div class="deledit hint">Stand: '.$lastDate['date'].'</div>
 <table border="0" class="resultT" cellspacing="0" cellpadding="0">
		<tr>';
		if($total)
		{
			echo '
			<th class="tableBordThInner">Gilde <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=name&amp;dir=down&amp;wh='.$whId.'&amp;type='.$type.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=name&amp;dir=up&amp;wh='.$whId.'&amp;type='.$type.'"><img src="down.png" alt="down" title="down" /></a></th>
			<th class="tableBordThInner">Einzahlung <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=amount_in&amp;dir=down&amp;wh='.$whId.'&amp;type='.$type.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=amount_in&amp;dir=up&amp;wh='.$whId.'&amp;type='.$type.'"><img src="down.png" alt="down" title="down" /></a></th>
			<th class="tableBordThInner">Entnahme <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=amount_out&amp;dir=down&amp;wh='.$whId.'&amp;type='.$type.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=amount_out&amp;dir=up&amp;wh='.$whId.'&amp;type='.$type.'"><img src="down.png" alt="down" title="down" /></a></th>
			<th class="tableBordThInner">Gesamt <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=gesamt&amp;dir=down&amp;wh='.$whId.'&amp;type='.$type.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=gesamt&amp;dir=up&amp;wh='.$whId.'&amp;type='.$type.'"><img src="down.png" alt="down" title="down" /></a></th>';
		}else
		{
			echo '
			<th class="tableBordThInner">Gilde <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=name&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gwh='.$whId.'&amp;type='.$type.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=name&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;wh='.$whId.'&amp;type='.$type.'"><img src="down.png" alt="down" title="down" /></a></th>
			<th class="tableBordThInner">Einzahlung <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=amount_in&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;wh='.$whId.'&amp;type='.$type.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=amount_in&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;wh='.$whId.'&amp;type='.$type.'"><img src="down.png" alt="down" title="down" /></a></th>
			<th class="tableBordThInner">Entnahme <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=amount_out&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;wh='.$whId.'&amp;type='.$type.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=amount_out&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;wh='.$whId.'&amp;type='.$type.'"><img src="down.png" alt="down" title="down" /></a></th>
			<th class="tableBordThInner">Gesamt <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=gesamt&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;wh='.$whId.'&amp;type='.$type.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=gesamt&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;wh='.$whId.'&amp;type='.$type.'"><img src="down.png" alt="down" title="down" /></a></th>';
		}
		echo '
		</tr>
		';
  $totDep = 0;
  $totWith = 0;
  foreach($result as $row)
  {
    echo '<tr>
	  <td valign="top" class="tableBordBot">'.$row['name'].'</td>
	  <td valign="top" class="money tableBordBot">'.number_format($row['amountin'], 0, '', '.').'</td>
	  <td valign="top" class="money tableBordBot">'.number_format($row['amountout'], 0, '', '.').'</td>
	  <td valign="top" class="money tableBordBot">'.number_format($row['gesamt'], 0, '', '.').'</td>
	</tr>';
	$totDep += $row['amountin'];
	$totWith += $row['amountout'];
	$totGesamt += $row['gesamt'];	
  }
  echo '<tr>
	  <th valign="top" class="tableBordThInner"><span class="bold">Gesamt</span></th>
	  <th valign="top" class="money tableBordThInner"><span class="bold">'.number_format($totDep, 0, '', '.').'</span></th>
	  <th valign="top" class="money tableBordThInner"><span class="bold">'.number_format($totWith, 0, '', '.').'</span></th>
	  <th valign="top" class="money tableBordThInner"><span class="bold">'.number_format($totGesamt, 0, '', '.').'</span></th>
	</tr>
	</table>';
	
	echo '<script type="text/javascript">
		$(document).ready(function()
		{
			$( "#slider-range" ).slider({
				range: true,
				min: 1,
				max: 31,
				values: [ '.$daymin.', '.$daymax.' ],
				slide: function( event, ui ) 
				{
					$( "#daymin" ).val( ui.values[ 0 ] );
					$( "#daymax" ).val( ui.values[ 1 ] );
					$( ".range" ).text( ui.values[ 0 ] + ". - " + ui.values[ 1 ] +"." );
				}
			});
		
			if($("#total").is(":checked"))
				disableYearMonth();
			if($("#yearly").is(":checked"))
				disableMonth();
				
			$("#total").click(function()
			{
				if($(this).is(":checked"))
					disableYearMonth();
				else
					enableYearMonth();
			});	
			
			$("#yearly").click(function()
			{
				if($(this).is(":checked"))
					disableMonth();
				else
					enableYearMonth();
			});
		});
		
		function disableYearMonth()
		{
			$("#month").attr("disabled","true");
			$("#year").attr("disabled","true");
			$("#yearly").attr("disabled","true");
			$( "#slider-range" ).slider( "option", "disabled", true );
		}
		
		function enableYearMonth()
		{
			$("#month").removeAttr("disabled");
			$("#year").removeAttr("disabled");
			$("#yearly").removeAttr("disabled");
			$("#total").removeAttr("disabled");
			$( "#slider-range" ).slider( "option", "disabled", false );
		}
		
		function disableMonth()
		{
			$("#month").attr("disabled","true");
			$("#total").attr("disabled","true");
			$( "#slider-range" ).slider( "option", "disabled", true );
		}
	</script>';

?>
