<?php
if ($menue2->checkPermission($do)) {
    echo '
	<p>Hier bitte den kopierten Lagerausschnitt einf&uuml;gen.(Jede Seite einzeln einf&uuml;gen und absenden.)<br />
	ACHTUNG: Alle Eintr&auml;ge werden ohne Nachfragen eingef&uuml;gt. Die Initialisierung, muss nur <strong>einmalig</strong> gemacht werden.<br/>
	Bitte darauf achten, dass w&auml;hrend der Initialisierung keine Ein- oder Auslagerungen stattfinden!</p>';

    require_once('classes/warehouse.class.php');
    require_once 'classes/enums/WHType.enum.php';
    $wh = new Warehouse($user);

    //fragen, ob lager geleert werden soll
    if (isset($_POST['wh']) && isset($_POST['truncate'])) {
        echo '
		<form action="?site=' . $site . '&amp;do=' . $do . '&amp;do2=truncate" method="post">

		 <table class="tableLogin" border="0">
			<tr>
				<th colspan="2">Lager leeren</th>
			</tr>
		      <tr>
		        <td class="left" colspan="2"><span class="err">Lager wirklich leeren?</span></td>
		      </tr>
                      <tr>
		        <td class="left hint">Lagerauswertung zurcksetzen</td>
                        <td class="left"><input type="checkbox" name="resetprotocoll" /></td>
		      </tr>
		      <tr>
		      	<th colspan="2"><input type="submit" value="ja" /></th>
		      </tr>
		</table>
		<input type="hidden" name="wh" value="' . (int)$_POST['wh'] . '" />
		<input type="hidden" name="action" value="doit" />
		 </form>';
    }

    $whs = $wh->getWHsByWriteRight();

    //lager leeren
    if (isset($_POST['wh']) && $_POST['action'] == 'doit' && $_GET['do2'] == 'truncate') {
        if (isset($_POST['resetprotocoll']))
            $resetProtocoll = true;
        else
            $resetProtocoll = false;

        if ($wh->canAccess($whs, $_POST['wh']) && $wh->truncateWh($_POST['wh'], $resetProtocoll))
            echo '<p class="ok">Lager geleert</p>';
        else
            echo '<p class="ok">Fehler beim Leeren des Lagers</p>';
    }


    echo '<p><form action="?site=' . $site . '&amp;do=' . $do . '&amp;do2=check" method="post">
		Lager: 
		<select name="wh">';
    foreach ($whs as $single) {
        switch ($single['type']) {
            case WHType::STADTLAGER :
                $whtype = 'Stadtlager';
                break;
            case WHType::GILDENLAGER :
                $whtype = 'Gildenlager, ' . $single['short'];
                break;
            case WHType::MARKTSTAND :
                $whtype = 'Marktstand, ' . $single['short'];
                break;
        }
        echo '<option value="' . $single['wid'] . '"';
        if (isset($_REQUEST['wh']) && $_REQUEST['wh'] == $single['wid']) echo ' selected="selected"';
        echo '>
                            ' . $single['name'] . ' (' . $whtype . ', Inintialisiert: ' . $single['ini'] . ')</option>';

    }
    echo '</select><br />
		<span class="err">Lager leeren</span> <input type="checkbox" name="truncate" />
		 </p>';

    ?>

    <textarea name="text" style="width:500px; height:400px;"><?php /*echo $_POST['text'] ?? "";*/ ?></textarea>
    <p><input type="submit" value="senden"/></p>
    </form><br/>

    <?php
    if (isset($_GET['do2']) && $_GET['do2'] == 'check' && isset($_POST['text'])) {

        $ignore = array();
        $ignored = array();

        //absatz zwischen Einzahlung|Entnhame und Goldbetrag entfernen
        $input = preg_replace("/(\([0-9]+\))(\r\n)+/", "$1 ", $_POST['text']); // alles mit Haltbarkeit ohne +X
        $input = preg_replace("/(\+[0-9]+)(\r\n)+/", "$1 ", $input); // +X Waren
        $input = preg_replace("/(\(Plan\))(\r\n)+/", "$1 ", $input);
        $input = preg_replace("/\r\n([0-9\. ]+kg)/i", " $1", $input);
        $input = preg_replace("/\r\n((kein.{1})?Lagerzugriff)/i", " $1", $input);
        $input = preg_replace("/\r\n(Bauteil)/i", " $1", $input);
        $input = preg_replace("/\r\n(Edelstein)/i", " $1", $input);
        $input = preg_replace("/\r\n(Handwerksmaterial)/i", " $1", $input);
        $input = preg_replace("/\r\n(Rohstoff)/i", " $1", $input);
        $input = preg_replace("/\r\n(\+[0-9]+%.{1}Wirkung)/i", " $1", $input);
        $input = preg_replace("/\r\n[0-9]{1,3}-[0-9]{1,3} Heilung/i", " $1", $input);      // Bandagen ohne +X
        $input = preg_replace("/Rohstoff|Handwerksmaterial|Bauteil|Edelstein|Bauplan/", "", $input);
        $input = preg_replace("/\t+(\r\n)+/", "", $input); // remove empty lines
        $input = preg_replace("/Auswahl der Kategorie \(alle anzeigen\)\r\n.*\r\n/", "", $input); // alle Eintrge aus der Warenkategorietabelle ignorieren, falls mit Strg+A kopiert wurde
        //echo nl2br($input);

        //echo '<textarea name="text" style="width:500px; height:400px;">'.$input.'</textarea>
//<p><input type="submit" value="senden" /></p>
//</form><br />';
        $matches = array();
        preg_match_all("/([0-9]+.{1})?[a-zA-Z2\[\] -]+(.{1}\([0-9]+|Plan\))?.*kg(.*Lagerzugriff.{1}[a-z -]+)?/i", $input, $matches);
        //echo '<br><br>';
        //var_dump($matches);
        //echo '<br><br>';
        $myList = array();
        foreach ($matches[0] as $entry) {
            $m2 = array();
            if (strlen(strstr($entry, "(Plan)"))) {
                //Plne
                preg_match_all("/([0-9]+.{1})?([a-zA-Z2\[\] -]+.{1}\(Plan\)).*kg(.*Lagerzugriff.{1}[a-z -]+)?/i", trim($entry), $m2);
            } else if (preg_match("/\([0-9]+\)/", $entry)) {
                //alles mit Hatbarkeit
                preg_match_all("/([0-9]+.{1})?([a-zA-Z2\[\]\(\) -]+).{1}\(([0-9]+)\)( \+([0-9])+ )?.*kg(.*Lagerzugriff.{1}[a-z -]+)?/i", trim($entry), $m2);
            } else if (preg_match("/\+([0-9])+/", $entry)) {
                //Munition, Steine, Rohstoffe, HWM mit +X
                preg_match_all("/([0-9]+.{1})?([a-zA-Z -]+)(.{1}\+([0-9])+).*kg(.*Lagerzugriff.{1}[a-z -]+)?/i", trim($entry), $m2);
            } else {
                //Munition, Steine, Rohstoffe, HWM ohne +X
                preg_match_all("/([0-9]+.{1})?([a-zA-Z -]+).*kg(.*Lagerzugriff.{1}[a-z -]+)?/i", trim($entry), $m2);
            }
            //var_dump($m2);
            //echo '<br>';
            $myList = $wh->addToWhInitList($myList, $m2, $_POST['wh']);
            //var_dump($entry).'<br><br>';
        }
        //print_r($myList);
        //asort($myList);
        echo '<p>Tabelle bitte &uuml;berpr&uuml;fen:</p>
 <table border="0" class="resultT" cellspacing="0" cellpadding="0">
		<tr>
			<th>Name</th>
			<th>Anzahl/Status</th>
		</tr>
		';
//namen durchgehen
        foreach ($myList as $name => $value) {
            if ($value['increment'] > 0)
                $value['name'] .= ' +' . $value['increment'];
            echo '<tr>
	  <td valign="top">' . $value['name'] . '</td>
	  <td valign="top">' . $value['amount'] . '/' . $value['status'];


            echo '</td>
	</tr>';
        }
        echo '</table>';
    }
} else
    echo '<p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p><p class="err">Zugang verweigert!</p>';
?>