<?php
	require_once 'classes/payment.class.php';
	require_once('classes/guild.class.php');
	
	$payment = new Payment();

$m = $payment->getMonths();
$months = getMonthList($m);
$years = $payment->getYears();
  
if(isset($_REQUEST['action']) && in_array($_GET['action'], $actions))
	$action = $_GET['action'];
else 	
	$action = "";
	
if(isset($_REQUEST['total']) || $action == "total")
	$total = true;
else
	$total = false;

//gilden
$guild = new Guild($user);

if(isset($_REQUEST['yearly']) || (isset($_REQUEST['month']) && $_REQUEST['month'] == 0 && isset($_REQUEST['year'])))
	$yearly = true;
else
	$yearly = false;

$gus = $guild->getGuildsByReadRight();
if(isset($_REQUEST['gu']) && ((int)$_REQUEST['gu'] == 0 || $guild->canAccess($gus, (int)$_REQUEST['gu'])))
	$guId = (int)$_REQUEST['gu'];
else if(array_key_exists(0, $gus))
	$guId = $gus[0]['id'];
else 
	$guId = 0;

if(!$total)
{
  if(isset($_REQUEST['month']) && $_REQUEST['month'] > 0)	//wenn ein anderer Zeitpunkt gewhlt wurde
  {
	  $year = (int)$_REQUEST['year'];
	  $month = (int)$_REQUEST['month'];
	  $daymin = max(array(1,(int)$_REQUEST['daymin']));
	  $daymax = min(array(31,(int)$_REQUEST['daymax']));
  }
  else if(isset($_REQUEST['year']) && $_REQUEST['year'] > 0)
  {
	$year = (int)$_REQUEST['year'];
	$month = 0;
	$daymin = 1;
	$daymax = 31;
  }
  else //beim ersten Aufruf der Seite
  {
	  $year = (in_array(date("Y"), $years)?date("Y"):$years[0]);
	  $month = (in_array(date("n"), $m)?date("n"):$m[0]);
	  $daymin = 1;
	  $daymax = 31;
  }
  if($daymin>$daymax)
	  $daymin = $daymax;  
}
else
{
  $year = 0;
  $month = 0;
  $daymin = 1;
  $daymax = 31;
}

echo '
	<link rel="stylesheet" type="text/css" href="css/humanity/'.JQUERY_UI_CSS.'" />
	<script type="text/javascript" src="js/'.JQUERY_UI_JS.'"></script>';
	
echo '<form action="?site='.$site.'&amp;do=monthly" method="get">
<table border="0" class="tableGroup2" cellspacing="0" cellpadding="0" style="border:none;">
<tr style="border:none;">
	<td style="border:none;" >Gilde: <select id="guild" name="gu">
								<option value="0">--alle--</option>';
						foreach($gus as $single)
								{  echo '<option value="'.$single['id'].'"'; if($guId==$single['id']) echo ' selected="selected"'; echo'>
										'.$single['name'].'</option>'; }
					echo '</select></td>
</tr>
<tr style="border:none;">
	<td style="border:none;" >Gesamt <input type="checkbox" name="total"'.($total?' checked="checked"':'').' id="total" />
		jhrlich <input type="checkbox" name="yearly"'.($yearly?' checked="checked"':'').' id="yearly" />
		<select name="month" id="month">';
		foreach($months as $month2)
		{  echo '<option value="'.$month2[1].'"'; if($month==$month2[1]) echo ' selected="selected"'; echo'>'.$month2[0].'</option>'; }
		echo '
		</select>
		<select name="year" id="year">';
		foreach($years as $year2)
		{  echo '<option value="'.$year2.'"'; if($year==$year2) echo ' selected="selected"'; echo'>'.$year2.'</option>'; }
		echo '
		</select>
		Charakter: <input type="text" name="nick" size="10" value="'.makeEntityString($_GET['nick']).'" /></td>
</tr>
<tr style="border:none;">
	<td style="border:none;"><div style="float:left; width:40px;margin-right:20px;">Zeitraum:</div><div id="slider-range" class="slider2"></div><div class="range hint center">'.$daymin.'. - '.$daymax.'.</div></td>
</tr>
</table>


 <p><input type="submit" value="Anzeigen" /></p>
 <input type="hidden" name="site" value="'.$site.'" />
 <input type="hidden" name="do" value="'.$do.'" />
 <input type="hidden" id="daymin" name="daymin" value="'.$daymin.'" />
 <input type="hidden" id="daymax" name="daymax" value="'.$daymax.'" />
</form>
';

$sort = array('nick', 'deposit', 'withdrawal', 'gesamt');

  //sortierung
  if(isset($_GET['sort']) && in_array($_GET['sort'], $sort))
    $sort = $_GET['sort'];
  else
    $sort = "nick";
  
  if($guId == 0)
  {
  	$guids = array();
  	foreach($gus as $g)
  		array_push($guids, $g['id']);
  }
  else 
  	$guids = array($guId);
  $dir = $_GET['dir'] ?? "";
  //alle Monate
  if($total)
  {
	 echo '<p class="bold">Gesamt&uuml;bersicht (alle Monate)</p>';
	 $result = $payment->getOverview(0,0,$sort,$dir,true, $guids, $daymin, $daymax, $_GET['nick']);
  }else	//einzelner Monat
  {
	$result = $payment->getOverview($month,$year,$sort,$dir,true, $guids, $daymin, $daymax, $_GET['nick']);
  }

  $lastDate = $payment->getYoungestProtEntry($guids);
  
 //echo $query;
 echo '
 <div class="deledit hint">Stand: '.$lastDate['date'].'</div>
 <table border="0" class="resultT" cellspacing="0" cellpadding="0">
		<tr>';
		if($total)
		{
			echo '
			<th class="tableBordThInner">Name <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=nick&amp;dir=down&amp;gu='.$guId.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=nick&amp;dir=up&amp;gu='.$guId.'"><img src="down.png" alt="down" title="down" /></a></th>
			<th class="tableBordThInner">Einzahlung <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=deposit&amp;dir=down&amp;gu='.$guId.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=deposit&amp;dir=up&amp;gu='.$guId.'"><img src="down.png" alt="down" title="down" /></a></th>
			<th class="tableBordThInner">Entnahme <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=withdrawal&amp;dir=down&amp;gu='.$guId.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=withdrawal&amp;dir=up&amp;gu='.$guId.'"><img src="down.png" alt="down" title="down" /></a></th>
			<th class="tableBordThInner">Gesamt <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=gesamt&amp;dir=down&amp;gu='.$guId.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=total&amp;sort=gesamt&amp;dir=up&amp;gu='.$guId.'"><img src="down.png" alt="down" title="down" /></a></th>';
		}else
		{
			echo '
			<th class="tableBordThInner">Name <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=nick&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=nick&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="down.png" alt="down" title="down" /></a></th>
			<th class="tableBordThInner">Einzahlung <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=deposit&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=deposit&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="down.png" alt="down" title="down" /></a></th>
			<th class="tableBordThInner">Entnahme <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=withdrawal&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=withdrawal&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="down.png" alt="down" title="down" /></a></th>
			<th class="tableBordThInner">Gesamt <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=gesamt&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="up.png" alt="up" title="up" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;action=monthly&amp;sort=gesamt&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'"><img src="down.png" alt="down" title="down" /></a></th>';
		}
		echo '
		</tr>
		';
  $totDep = 0;
  $totWith = 0;
  $totGesamt = 0;
  foreach($result as $row)
  {
    echo '<tr>
	  <td valign="top" class="tableBordBot" style="color:'.$row['color'].';"><a href="?site=info_hero&hero_id=' . $row['uid'] . '">'.$row['nick'].'</a></td>
	  <td valign="top" class="money tableBordBot">'.number_format($row['deposit'], 0, '', '.').'</td>
	  <td valign="top" class="money tableBordBot">'.number_format($row['withdrawal'], 0, '', '.').'</td>
	  <td valign="top" class="money tableBordBot">'.number_format($row['deposit']-$row['withdrawal'], 0, '', '.').'</td>
	</tr>';
	$totDep += $row['deposit'];
	$totWith += $row['withdrawal'];
	$totGesamt += $row['deposit']-$row['withdrawal'];	
  }
  echo '<tr>
	  <th valign="top" class="tableBordThInner"><span class="bold">Gesamt</span></th>
	  <th valign="top" class="money tableBordThInner"><span class="bold">'.number_format($totDep, 0, '', '.').'</span></th>
	  <th valign="top" class="money tableBordThInner"><span class="bold">'.number_format($totWith, 0, '', '.').'</span></th>
	  <th valign="top" class="money tableBordThInner"><span class="bold">'.number_format($totGesamt, 0, '', '.').'</span></th>
	</tr>
	</table>';
    
  //Spendenliste
	if(!$total)
	{
		$ignore = $payment->getNoDonationShowNicks();//array("Solgar", "Haudrauf", "Amilor", "Lestat", "Nesu", "Nodons");
		
		$result = $payment->getOverview($month, $year, "SUM(deposit)", "up", true,$guids, $daymin, $daymax);
		
		echo '<p class="bold">Spendenliste</p>';
		echo '<textarea name="text" style="width:300px; height:200px;">[b]Spendenliste der Mitglieder ('.getMonth($month).')[/b]'.chr(13).chr(10);
		$i = 1;
		$totDep = 0;
		foreach($result as $row)
		{
		  if(!in_array($row['nick'], $ignore) && $row['deposit'] > 0)
		  {
    		  echo $i++.'. '.$row['nick'].' : '.number_format($row['deposit'],0,'','.').' Gold'.chr(13).chr(10);
			  $totDep += $row['deposit'];
		  }
		}
		echo chr(13).chr(10).'[b]Gesamt: '.number_format($totDep,0,'','.').' Gold[/b]';
		echo '</textarea>';
	}
	
	echo '<script type="text/javascript">
		$(document).ready(function()
		{
			$( "#slider-range" ).slider({
				range: true,
				min: 1,
				max: 31,
				values: [ '.$daymin.', '.$daymax.' ],
				slide: function( event, ui ) 
				{
					$( "#daymin" ).val( ui.values[ 0 ] );
					$( "#daymax" ).val( ui.values[ 1 ] );
					$( ".range" ).text( ui.values[ 0 ] + ". - " + ui.values[ 1 ] +"." );
				}
			});
		
			if($("#total").is(":checked"))
				disableYearMonth();
			if($("#yearly").is(":checked"))
				disableMonth();
				
			$("#total").click(function()
			{
				if($(this).is(":checked"))
					disableYearMonth();
				else
					enableYearMonth();
			});	
			
			$("#yearly").click(function()
			{
				if($(this).is(":checked"))
					disableMonth();
				else
					enableYearMonth();
			});
		});
		
		function disableYearMonth()
		{
			$("#month").attr("disabled","true");
			$("#year").attr("disabled","true");
			$("#yearly").attr("disabled","true");
			$( "#slider-range" ).slider( "option", "disabled", true );
		}
		
		function enableYearMonth()
		{
			$("#month").removeAttr("disabled");
			$("#year").removeAttr("disabled");
			$("#yearly").removeAttr("disabled");
			$("#total").removeAttr("disabled");
			$( "#slider-range" ).slider( "option", "disabled", false );
		}
		
		function disableMonth()
		{
			$("#month").attr("disabled","true");
			$("#total").attr("disabled","true");
			$( "#slider-range" ).slider( "option", "disabled", true );
		}
	</script>';

?>
