<?php
if($menue2->checkPermission($do))
{ 
	require_once('classes/warehouse.class.php');
	require_once('classes/guild.class.php');
        require_once 'classes/enums/WHType.enum.php';
	$wh = new Warehouse($user);

$m = $wh->getMonths();
$months = getMonthList($m);
$years = $wh->getYears();

$dos2 = Array('monthly');
$do2 = $_GET['do2'] ?? "monthly"; //beim ersten Aufruf der Seite
if(!in_array($do2, $dos2))
	$do2 = "monthly";
	
if(isset($_REQUEST['total']) || $do2 == "total")
	$total = true;
else
	$total = false;

$sort = $_GET['sort'] ?? "nick";
$dir = $_GET['dir'] ?? "down";
$nick = $_GET['nick'] ?? "";

//gilden
$guild = new Guild($user);

$gus = $guild->getGuildsByReadRight();
if(isset($_REQUEST['gu']) && ((int)$_REQUEST['gu'] == 0 || $guild->canAccess($gus, (int)$_REQUEST['gu'])))
	$guId = (int)$_REQUEST['gu'];
else if(array_key_exists(0, $gus))
	$guId = $gus[0]['id'];
else 
	$guId = 0;

if(isset($_REQUEST['yearly']) || (isset($_REQUEST['month']) && $_REQUEST['month'] == 0 && isset($_REQUEST['year'])))
	$yearly = true;
else
	$yearly = false;

$whs = $wh->getWHsByReadRight();

// Lager
if(isset($_REQUEST['wh']) && ((int)$_REQUEST['wh'] == 0 || $wh->canAccess($whs, $_REQUEST['wh'])))
	$whId = (int)$_REQUEST['wh'];
else if(array_key_exists(0, $whs))
	$whId = $whs[0]['wid'];

// get selected warehouses
if($whId == 0)
{
	$whids = array();
	foreach($whs as $w)
		array_push($whids, $w['wid']);
        //j�ngster Eintrag
        $lastDate = $wh->getJungestProtEntry();
}
else 
{
    $whids = array($whId);    
    //jüngster Eintrag nach Lager
    $lastDate = $wh->getJungestProtEntry($whId);
}
	
if(!$total)
  {
  	if(isset($_REQUEST['month']) && $_REQUEST['month'] > 0)	//wenn ein anderer Zeitpunkt gew�hlt wurde
	{
		$year = (int)$_REQUEST['year'];
		$month = (int)$_REQUEST['month'];
		$daymin = max(array(1,(int)$_REQUEST['daymin']));
		$daymax = min(array(31,(int)$_REQUEST['daymax']));
	}
	else if(isset($_REQUEST['year']) && $_REQUEST['year'] > 0)
	{
	  $year = (int)$_REQUEST['year'];
	  $month = 0;
	  $daymin = 1;
	  $daymax = 31;
	}
  	else //beim ersten Aufruf der Seite
  	{
  		$year = (in_array(date("Y"), $years)?date("Y"):$years[0]);
	  	$month = (in_array(date("n"), $m)?date("n"):$m[0]);
	  	$daymin = 1;
	  	$daymax = 31;
  	}
  	
  	if($daymin>$daymax)
  		$daymin = $daymax;  
  }
  else
  {
  	$year = 0;
  	$month = 0;
  	$daymin = 1;
  	$daymax = 31;
  }

echo '
	<link rel="stylesheet" type="text/css" href="css/humanity/'.JQUERY_UI_CSS.'" />
	<script type="text/javascript" src="js/'.JQUERY_UI_JS.'"></script>';
	
echo '<form action="?site='.$site.'&amp;do='.$do.'&amp;do2=monthly" method="get">
<table border="0" class="tableGroup2" cellspacing="0" cellpadding="0" style="border:none;">
<tr style="border:none;">
	<td style="border:none;" >
	Lager: 
	<select name="wh">
		<option value="0">--alle--</option>';
			foreach($whs as $single)
                        {  
                            switch($single['type']) {
                                case WHType::STADTLAGER : $whtype = 'Stadtlager'; break;
                                case WHType::GILDENLAGER : $whtype = 'Gildenlager, '.$single['short']; break;
                                case WHType::MARKTSTAND : $whtype = 'Marktstand, '.$single['short']; break;
                            }
                            echo '<option value="'.$single['wid'].'"'; if($whId==$single['wid']) echo ' selected="selected"'; echo'>
                                    '.$single['name'].' ('.$whtype.')</option>';
                        }
                    echo '</select></td>
</tr>
<tr style="border:none;">
	<td style="border:none;" >
	Gilde: <select id="guild" name="gu">
				<option value="0">--alle--</option>';
				foreach($gus as $single)
						{  echo '<option value="'.$single['id'].'"'; if($guId==$single['id']) echo ' selected="selected"'; echo'>
								'.$single['name'].'</option>'; }
			echo '</select></td>
</tr>
<tr style="border:none;">
	<td style="border:none;" >Gesamt <input type="checkbox" name="total"'.($total?' checked="checked"':'').' id="total" />
		j&auml;hrlich <input type="checkbox" name="yearly"'.($yearly?' checked="checked"':'').' id="yearly" />
		<select name="month" id="month">';
		foreach($months as $month2)
		{  echo '<option value="'.$month2[1].'"'; if($month==$month2[1]) echo ' selected="selected"'; echo'>'.$month2[0].'</option>'; }
		echo '
		</select>
		<select name="year" id="year">';
		foreach($years as $year2)
		{  echo '<option value="'.$year2.'"'; if($year==$year2) echo ' selected="selected"'; echo'>'.$year2.'</option>'; }
		echo '
		</select>
		Charakter: <input type="text" name="nick" size="10" value="'.makeEntityString($nick).'" /></td>
</tr>
<tr style="border:none;">
	<td style="border:none;"><div style="float:left; width:40px;margin-right:20px;">Zeitraum:</div><div id="slider-range" class="slider2"></div><div class="range hint center">'.$daymin.'. - '.$daymax.'.</div></td>
</tr>
</table>


 <p><input type="submit" value="Anzeigen" /></p>
 <input type="hidden" name="site" value="'.$site.'" />
 <input type="hidden" name="do" value="'.$do.'" />
 <input type="hidden" name="do2" value="monthly" />
 <input type="hidden" id="daymin" name="daymin" value="'.$daymin.'" />
 <input type="hidden" id="daymax" name="daymax" value="'.$daymax.'" />
</form>
';
  $res = array();
  
  //alle Monate
  if($total || !$_GET['do2'] || $_GET['do2'] == 'monthly')
  {
    $res = $wh->getProtocollListTotal($year, $month, $sort, $dir, $nick, 0, $daymin, $daymax, $whids);
  }
  if($total)
   	echo '<span class="bold">Gesamt&uuml;bersicht (alle Monate)</span>';
 echo '
 <div class="deledit hint" style="width:530px;">Stand: '.($lastDate['date'] ?? "").'</div>
 <table border="0" class="tableGroup2" cellspacing="0" cellpadding="0">
		<tr>
			<th>';
 		if($total)
 		{
			echo '<div class="itleft">Name <a href="?site='.$site.'&amp;do='.$do.'&amp;do2='.$do2.'&amp;sort=nick&amp;dir=down&amp;gu='.$guId.'&amp;wh='.$whId.'&amp;total=on"><img src="down.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;do2='.$do2.'&amp;sort=nick&amp;dir=up&amp;gu='.$guId.'&amp;wh='.$whId.'&amp;total=on"><img src="up.png" alt="up" title="up" /></a></div>
				<div class="itright"><div class="box1">Einlagerung <a href="?site='.$site.'&amp;do='.$do.'&amp;do2='.$do2.'&amp;sort=in&amp;dir=down&amp;gu='.$guId.'&amp;wh='.$whId.'&amp;total=on"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;do2='.$do2.'&amp;sort=in&amp;dir=up&amp;gu='.$guId.'&amp;wh='.$whId.'&amp;total=on"><img src="down.png" alt="up" title="up" /></a></div>
									 <div class="box1">Entnahme <a href="?site='.$site.'&amp;do='.$do.'&amp;do2='.$do2.'&amp;sort=out&amp;dir=down&amp;gu='.$guId.'&amp;wh='.$whId.'&amp;total=on"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;do2='.$do2.'&amp;sort=out&amp;dir=up&amp;gu='.$guId.'&amp;wh='.$whId.'&amp;total=on"><img src="down.png" alt="up" title="up" /></a></div><div class="box2">Verh&auml;ltnis</div></div>';
 		}
 		else
 		{
 			echo '<div class="itleft">Name <a href="?site='.$site.'&amp;do='.$do.'&amp;do2=monthly&amp;sort=nick&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'&amp;wh='.$whId.'"><img src="down.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;do2=monthly&amp;sort=nick&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'&amp;wh='.$whId.'"><img src="up.png" alt="up" title="up" /></a></div>
				<div class="itright"><div class="box1">Einlagerung <a href="?site='.$site.'&amp;do='.$do.'&amp;do2=monthly&amp;sort=in&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'&amp;wh='.$whId.'"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;do2=monthly&amp;sort=in&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'&amp;wh='.$whId.'"><img src="down.png" alt="up" title="up" /></a></div>
									 <div class="box1">Entnahme <a href="?site='.$site.'&amp;do='.$do.'&amp;do2=monthly&amp;sort=out&amp;dir=down&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'&amp;wh='.$whId.'"><img src="up.png" alt="down" title="down" /></a> <a href="?site='.$site.'&amp;do='.$do.'&amp;do2=monthly&amp;sort=out&amp;dir=up&amp;year='.$year.'&amp;month='.$month.'&amp;daymin='.$daymin.'&amp;daymax='.$daymax.'&amp;gu='.$guId.'&amp;wh='.$whId.'"><img src="down.png" alt="up" title="up" /></a></div><div class="box2">Verh&auml;ltnis</div></div>';
 		}
		echo '</th>
		</tr>
		';
  $in = array(); $out = array(); $names = array();
  
  if($guId == 0)
  	$guUsers = $guild->getGuildsUserByAccess($gus);
  else
  	$guUsers = $guild->getUsersForGuild($guId);	
  $intot = 0;
  $outtot = 0;
  foreach($res as $nick=>$val1)
  {
   		//pr�fen, ob der nutzer in der gilde ist, wenn ja mit anzeigen
  		//if(count($guUsers) > 0)
   		//{
   			$found = false;
   			foreach($guUsers as $cuser)
   			{
   				if($cuser['nick'] == $nick)
   				{
   					$found = true;
   					break;
   				}
   			}
   			if(!$found)
   				continue;
   		//}
  	
    	if(array_key_exists('Einlagerung', $val1))
			$inwh = $val1['Einlagerung']['sum'];
		else 
			$inwh = 0;
		if(array_key_exists('Entnahme', $val1))
			$outwh = $val1['Entnahme']['sum'];
		else 
			$outwh = 0;
		if(!in_array($nick, $wh->getNoWhTransactNicks()))
		{
			$intot += $inwh;
			$outtot += $outwh;
		}
		else
		{
			if($inwh>$outwh)
				$intot += $inwh-$outwh;
			else if($outwh>$inwh)
				$outtot += $outwh-$inwh;
		}
		
		$in[strtolower($nick)] = $inwh;
		$out[strtolower($nick)] = $outwh;
		$names[strtolower($nick)] = $nick;
  	
		
  }
  
	//sortierung
	
	if($sort == "nick" && $dir == "up")
		{ krsort($out, SORT_STRING); $looparr = $out; }
	else if($sort == "out" && $dir == "up")
		{ arsort($out, SORT_NUMERIC ); $looparr = $out; }
	else if($sort == "out" && $dir == "down")
		{ asort($out, SORT_NUMERIC ); $looparr = $out; }
	else if($sort == "in" && $dir == "up")
		{ arsort($in, SORT_NUMERIC ); $looparr = $in;}
	else if($sort == "in" && $dir == "down")
		{ asort($in, SORT_NUMERIC ); $looparr = $in;}
	else	
		{ ksort($out, SORT_STRING ); $looparr = $out; }
	
	$ind = 1;
	//darstellen
	foreach($looparr as $key=>$value)
	{
		$ratio = ($out[$key]>0?$in[$key]/$out[$key]:0);
		echo '<tr>
				  <td valign="top" class="left txt2">
				  	<div class="itleft">
				  		<div class="nonlink" id="n'.$ind.'" onclick="showDetails(\'det'.$ind.'\', \''.$year.'\', \''.$month.'\', \''.makeEntityDecodeString($names[$key]).'\', \'n'.$ind.'\', \''.$daymin.'\', \''.$daymax.'\', \''.$whId.'\');">
				  		'.$names[$key].'
				  		</div>
				  	</div>
				  	<div class="itright">';
		$ratio = ($out[$key]>0?$in[$key]/$out[$key]:0);
			echo '	<div class="box1">'.number_format($in[$key],0,'','.').' Gold</div>  
					  <div class="box1">'.number_format($out[$key],0,'','.').' Gold</div>
					 <div class="box2"><span'.($ratio<0.95&&$out[$key]>0?' class="err"':($ratio>2.05||$out[$key]==0?' class="ok"':'')).'>
					 <strong>'.($out[$key]==0?'1 : ':'').number_format($ratio,2,',','.').($out[$key]!=0?' : 1':'').'</strong></span></div>';
		    echo '	</div>
				    <br style="clear:both;"/>
				   
				   <div class="box" id="det'.$ind.'">
				   
		    	</div>
		    	</td>
		      </tr>';
		$ind++;
	}
	
  $ratiotot = ($outtot>0?$intot/$outtot:0);

  echo '
  		<th><div class="itleft">Gesamt </div>
				<div class="itright"><div class="box1">'.number_format($intot,0,'','.').' Gold</div>
				<div class="box1">'.number_format($outtot,0,'','.').' Gold</div>
				<div class="box2"><span'.($ratiotot<0.95&&$outtot>0?' class="err"':($ratiotot>2.05||$outtot==0?' class="ok"':'')).'">
			 <strong>'.($outtot==0&&$intot==0?'0,00 : ':($outtot==0?'1 : ':'')).number_format($ratiotot,2,',','.').($outtot!=0?' : 1':'').'&nbsp;</strong></span></div></div>
			</th>
	</table>
	
	<script type="text/javascript">
		$(document).ready(function()
		{
			$( "#slider-range" ).slider({
				range: true,
				min: 1,
				max: 31,
				values: [ '.$daymin.', '.$daymax.' ],
				slide: function( event, ui ) 
				{
					$( "#daymin" ).val( ui.values[ 0 ] );
					$( "#daymax" ).val( ui.values[ 1 ] );
					$( ".range" ).text( ui.values[ 0 ] + ". - " + ui.values[ 1 ] +"." );
				}
			});
		
			if($("#total").is(":checked"))
				disableYearMonth();
			if($("#yearly").is(":checked"))
				disableMonth();
				
			$("#total").click(function()
			{
				if($(this).is(":checked"))
					disableYearMonth();
				else
					enableYearMonth();
			});	
			
			$("#yearly").click(function()
			{
				if($(this).is(":checked"))
					disableMonth();
				else
					enableYearMonth();
			});
		});
		
		function disableYearMonth()
		{
			$("#month").attr("disabled","true");
			$("#year").attr("disabled","true");
			$("#yearly").attr("disabled","true");
			$( "#slider-range" ).slider( "option", "disabled", true );
		}
		
		function enableYearMonth()
		{
			$("#month").removeAttr("disabled");
			$("#year").removeAttr("disabled");
			$("#yearly").removeAttr("disabled");
			$("#total").removeAttr("disabled");
			$( "#slider-range" ).slider( "option", "disabled", false );
		}
		
		function disableMonth()
		{
			$("#month").attr("disabled","true");
			$("#total").attr("disabled","true");
			$( "#slider-range" ).slider( "option", "disabled", true );
		}
	</script>
	<script type="text/javascript" src="js/'.AJAX_JS.'"></script>';
}
else
	echo '<p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p><p class="err">Zugang verweigert!</p>'; 
?>
