<?php

require_once __DIR__.'/../../classes/item.class.php';

$items = new Item();

$usersCaps = $editUser->getUsersCapabilities(1);

if($_SERVER['REQUEST_METHOD'] === 'POST')
{
    $points = $editUser->getUsersFreeAttrPoints(array(array("lvl"=>$_POST['lvl1']), array("lvl"=>$_POST['lvl2']),array("lvl"=>$_POST['lvl3']),array("lvl"=>$_POST['lvl4'])));
    if($points >= 0)
    {
        if($editUser->updateUsersAttributes($editUser->getUId(), $_POST['lvl1'],$_POST['lvl2'],$_POST['lvl3'],$_POST['lvl4']))
            $msg = "Daten gespeichert";
        else
            $err = "Es trat leider ein Fehler beim Speichern auf.";
    } else {
        $free = $editUser->getUsersFreeAttrPoints($editUser->getUsersAttributes());
        $err = "Du hast versucht mehr Punkte zu vergeben als erlaubt. Es knnen nur ".$free." freie Attributspunkte verteilt werden.<br /><i>&Uuml;berpr&uuml;fe ggf. dein Charakterlevel.</i>";
    }
}

echo '<p>&nbsp;</p>';

if($err != "") echo '<p class="err">'.$err.'</p>';
if($msg != "") echo '<p class="ok">'.$msg.'</p>';
$inventar = $editUser->getUsersInventar();
$getAction = (!empty($action) ? "&amp;action=".$action : "");   // used in management site
echo '
<form action="?site='.$site.'&amp;do='.$do.$getAction.'" method="post">
    <table class="resultT4" border="0">
    <tr>
        <th>Eigenschaften</th>
    </tr>
    <tr>
        <td><div class="ithleft txt"><strong>Attribut</strong></div><div class="ithright txt"><strong>Stufe</strong>&nbsp;&nbsp;</div></td>
    </tr>
    ';
    $uc = $editUser->getUsersAttributes();
    $i = 1;
    foreach($uc as $key=>$value)
    {					
        echo '<tr><td>';
        echo '<div class="itleft"><span class="txt">'.$key.'</span></div>
                  <div class="itright"><input type="text" class="inp2" name="lvl'.$i.'" value="'.(int)$value['lvl'].'" />
                  <input type="hidden" name="c'.$value['id'].'" value="'.$value['id'].'" /></div>';							
        $i++;
        echo '</td></tr>';
    }

    echo '
    <tr>
        <td class="hint left">freie Attributspunkte: '.$editUser->getUsersFreeAttrPoints($uc).'</td>
    </tr>	
    <tr>
        <th><input type="submit" value="speichern" /></th>
    </tr>    
    </table>
    <input type="hidden" name="user" value="'.$editUser->getId().'" />
</form>';

$userEnch = $editUser->getUsersEnchantments();

$handicap = $editUser->getHandicap($uc, $inventar, $items, $userEnch);
$armor = $editUser->getArmor($inventar, $items);
$absorb = $editUser->getAbsorb($uc, $inventar, $items, $userEnch, $usersCaps, $user);
$avoid = $editUser->getAvoid($uc, $handicap, $items, $inventar, $userEnch);
$accuracy = $editUser->getAccuracy($uc, $inventar, $items, 'nk', $userEnch);
$critical = $editUser->getCritical($uc, $handicap, $items, $inventar, $userEnch);
$lp = $editUser->getLP($uc, $userEnch, $inventar, $items);
echo '
<br />
<div style="width:650px; margin:0 auto;">
    <div style="float:left; margin-right:10px;">
        <table class="resultT4" border="0" style="width:320px;">
        <tr>
                <th colspan="2">Werte im Nahkampf</th>
        </tr>
        <tr>
                <td class="nob6 bold txt2 left padhead">Allgemeine Werte</td>
                <td class="nob5 txt2 padtxt">&nbsp;</td>
        </tr>
        <tr>
                <td class="nob6 txt2 padtxt left" style="width:50%;">';
        $block = $editUser->getBlock($uc, $inventar, $items, $userEnch);
        $blockout = '';
        if($block[1] > 0) $blockout = 'Schildblock<br />';
        echo '
            Lebenspunkte<br />
            R&uuml;stschutz<br />
            Absorb<br />
            Ausweichen<br />
            '.$blockout.'
            Behinderung<br />
            </td>
            <td class="nob5 txt2 padtxt left">';
        if($block[1] > 0) $blockout = number_format($block[0],2,'.','').' % ('.$block[1].'% Schaden)<br />';
        echo '
            '.$lp.'<br />
            '.number_format($armor,1,'.','').' %<br />
            '.number_format($absorb,1,'.','').'<br />
            '.number_format($avoid,2,'.','').' %<br />
            '.$blockout.'
            '.number_format($handicap,0,'.','').' %<br />
            </td>
        </tr>';
        for($i=0;$i<2;$i++)
        {
            $nkitem = $editUser->getItemForType($inventar, 6+$i); //6 und 7 fr nk1, nk2
            $iid = $nkitem['iid'] ?? 0;
            if($iid != 0 && in_array($nkitem['itid'], $items->getItidWeapons()))
            {
                $item = $items->getItem($nkitem['iid']);
                $tmpSpeed = $editUser->getSpeed($item, $items, $inventar, 'nk');
                $speed = ($tmpSpeed==2?'langsam':($tmpSpeed==3?'normal':'schnell'));
                $speed .= " (".$item['speed']." Angriffe)";

                $dmg = $editUser->getDmgForWeapon($uc, $item, $items, $inventar, $userEnch, $nkitem, $usersCaps, $user);
                $out = $dmg[0].' - '.$dmg[1];

                echo '
                <tr>
                    <td class="nob6 bold txt2 left padhead"><br />'.$item['item'].'</td>
                    <td class="nob5 txt2 padtxt">&nbsp;</td>
                </tr>
                <tr>
                    <td class="nob6 txt2 padtxt left">
                    Schaden<br />
                    Geschwindigkeit<br />
                    Treffsicherheit<br />
                    Kritische Treffer<br />
                    </td>
                    <td class="nob5 txt2 padtxt left">
                    '.$out.'<br />
                    '.$speed.'<br />
                    '.number_format($accuracy,2,'.','').' %<br />
                    '.number_format($critical,2,'.','').' %<br />
                    </td>
                </tr>';
            }
        }
    echo '
        </table>
    </div>
    <div>
        <table class="resultT4" border="0" style="width:320px;">
        <tr>
            <th colspan="2">Werte im Fernkampf</th>
        </tr>
        <tr>
            <td class="nob6 bold txt2 left padhead">Allgemeine Werte</td>
            <td class="nob5 txt2 padtxt">&nbsp;</td>
        </tr>
        <tr>
            <td class="nob6 txt2 padtxt left" style="width:50%;">';

        echo '
            Lebenspunkte<br />
            R&uuml;stschutz<br />
            Absorb<br />
            Ausweichen<br />
            Behinderung<br />
            </td>
            <td class="nob5 txt2 padtxt left">';

        echo '
            '.$lp.'<br />
            '.number_format($armor,1,'.','').' %<br />
            '.number_format($absorb,1,'.','').'<br />
            '.number_format($avoid,2,'.','').' %<br />
            '.number_format($handicap,0,'.','').' %<br />
            </td>
        </tr>';
        $accuracy = $editUser->getAccuracy($uc, $inventar, $items, 'fk', $userEnch);
        $spells = $editUser->getUsersSpell();
        $fkitem = $editUser->getItemForType($inventar, 8);
        $critical = $editUser->getCritical($uc, $handicap, $items, $inventar, $userEnch, 'fk');
        $itid = $fkitem['itid'] ?? 0;
        $iid = $fkitem['iid'] ?? 0;
        
        //wenn Zauberstab
        if(in_array($itid, $items->getItidSpellWeapons())) {
            $loop = 3;
        }                
        else {
            $loop = 1; //ander fk waffe
        }	
                
        for($i=0;$i<$loop;$i++)
        {	      				
            if($iid > 0 && $editUser->getCombat() == 1)
            {
                if($loop == 3)
                {	
                    $spell = $editUser->getItemForType($spells, 1+$i); 
                    $dmg = $editUser->getDmgForSpell($uc, $spell, $items, $inventar, $handicap, $userEnch, $usersCaps, $user);
                    if($spell['spid'] == 0) break;
                    $name = $spell['name'];
                }
                else 
                {
                    $spell = $items->getItem($fkitem['iid']);
                    $dmg = $editUser->getDmgForFk($uc, $spell, $items, $inventar, $handicap, $userEnch, $fkitem, $usersCaps, $user);
                    $name = $spell['item'];
                }
                $speed = ($spell['speed']==1?'sehr langsam':($spell['speed']==2?'langsam':($spell['speed']==3?'normal':'schnell')));
                $speed .= " (".$spell['speed'] . ($spell['speed']>1?' Angriffe':' Angriff') . ')' ;

                $out = $dmg[0].' - '.$dmg[1];

                echo '
                <tr>
                    <td class="nob6 bold txt2 left padhead"><br />'.$name.'</td>
                    <td class="nob5 txt2 padtxt">&nbsp;</td>
                </tr>
                <tr>
                    <td class="nob6 txt2 padtxt left">
                    '.(isset($spell['type2']) && ($spell['type2']==3||$spell['type2']==4)?'Lebenspunkte':'Schaden').'<br />
                    '.(isset($spell['reach']) && $spell['reach']>1?'Wirkungsbereich<br />':'').'
                    Geschwindigkeit<br />
                    Treffsicherheit<br />
                    Kritische Treffer<br />
                    </td>
                    <td class="nob5 txt2 padtxt left">
                    '.$out.'<br />
                    '.(isset($spell['reach']) && $spell['reach']>1?$spell['reach']. ' Felder<br />':'').'
                    '.$speed.'<br />
                    '.number_format($accuracy,2,'.','').' %<br />
                    '.number_format($critical,2,'.','').' %<br />
                    </td>
                </tr>';
            }
        }
    echo '
        </table>
    </div>';
    // Bandagen
    $bandages = $editUser->getBaseHealForBandages($uc, $items, $inventar, $userEnch, $usersCaps, $user);
    if(count($bandages) > 0) {
        $inventarItem = $user->getItemForType($inventar, 10);	//Bandagen
        $nameClass = ($bandages['item']['magical'] ? ' class="magical"' : '');
        $name = '<span'.$nameClass.'>'.$bandages['item']['item'].($inventarItem['increment'] > 0 ? ' +'.$inventarItem['increment'] : '').'</span>';
        echo '<br style="clear: both;" />'
            . '<table class="resultT4" border="0" style="margin-top: 15px;">
            <tr>
                <th colspan="2">Werte beim Bandagieren</th>
            </tr>
            <tr>
                <td class="nob6 bold txt2 left padhead">'.$name.'</td>
                <td class="nob5 txt2 padtxt">&nbsp;</td>
            </tr>
            <tr>
                <td class="nob6 txt2 left padtxt" style="width:60%; ">Absolute Heilung</td>
                <td class="nob5 txt2 left padtxt">'.$bandages['minAbs'].' - '.$bandages['maxAbs'].'</td>
            </tr>
            <tr>
                <td class="nob6 txt2 left padtxt" style="width:60%; ">Relative Heilung</td>
                <td class="nob5 txt2 left padtxt">'.$bandages['minRel'].' - '.$bandages['maxRel'].'%</td>
            </tr>
        </table>';
    }
    echo '
</div>
';
